#!/bin/sh
if [ "`uname`" = "Linux" ]; then enable -n echo; fi
#
# This scripts counts the number of valid data lines in a file.
# The following lines are not counted as valid data lines :
# - Lines beginning with '#'
# - Empty lines
#

gawk '

BEGIN {
   lineCounter  = 0
}

END {
   print lineCounter
}

{
   token = substr($1,1,1)

   if (token !~ "#"  && length(token) != 0) { 
      lineCounter = lineCounter +1
   }

#   print "token  : " token " lineCounter " lineCounter   "  len : " length(token)
}
' $*

