#ifndef agwsCON_STD_COMMANDS_H
#define agwsCON_STD_COMMANDS_H
/*****************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: agwsCON_STD_COMMANDS.h,v 1.198 2005/08/26 15:24:45 vltsccm Exp $"
*
* who       when      what
* --------  --------  -------------------------------------------------------
* gchiozzi  02/10/97  Removed version parameter
* nfiebig   12/08/96  OffCB and StandbyCB moved to agwsCON_MAIN_TASK
* gchiozzi  29/02/96  created
*/

/*****************************************************************************
 *
 *----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "agws.h"
#include "evhSTD_COMMANDS.h"
#include "evhCOMMAND.h"

class agwsCON_STD_COMMANDS : public evhSTD_COMMANDS
{
  public:
    agwsCON_STD_COMMANDS(const dbSYMADDRESS  dbPoint);

    virtual evhCB_COMPL_STAT  StateCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StatusCB(msgMESSAGE &msg, void *udata);

    vltINT32          GlobalState();
    const char*       GlobalStateName();
    vltINT32          GlobalSubState();
    const char*       GlobalSubStateName();

  private:
    const dbSYMADDRESS  dbBasePoint;  // process DB root point
};

#endif /*!agwsCON_STD_COMMANDS_H*/
