#ifndef agwsTARGET_LIST_H
#define agwsTARGET_LIST_H
/*****************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: agwsTARGET_LIST.h,v 1.198 2005/08/26 15:24:47 vltsccm Exp $"
*
* who       when      what
* --------  --------  ------------------------------------------------------
* nfiebig   31/05/96  created
*/

/*****************************************************************************
 * Definition of class agsTARGET_LIST
 *----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <ECCS.h>
#include "mswMOD_LIST.h"

struct agwsTARGET
{
    dbATTRIBUTE modName;
    ccsENVNAME  envName;
    ccsPROCNAME procName;
    vltBYTES32  targetSpec;
    vltBYTES256 modDbState;
    vltBYTES256 modDbPoint;
};

class agwsTARGET_LIST : public eccsERROR_CLASS
{
  public:
    agwsTARGET_LIST(const dbSYMADDRESS dbPoint);
    virtual ~agwsTARGET_LIST();

    virtual ccsCOMPL_STAT LoadFocusData();
    ccsCOMPL_STAT agwsTARGET_LIST::LoadModuleData(const char *point, 
						  const char *name,
						  const mswMOD_RECORD_ARRAY &modArray);
    virtual ccsCOMPL_STAT Load(const dbSYMADDRESS point);
    ccsCOMPL_STAT SetDest(const dbATTRIBUTE name, msgMESSAGE &msg, vltLOGICAL loadFocusData = ccsTRUE);
    const char *  Envname(const dbATTRIBUTE name);
    const char *  Procname(const dbATTRIBUTE name);
    const char *  Target(const dbATTRIBUTE name);
    const char *  ModDbPoint(const dbATTRIBUTE name);
    const char *  ModDbState(const dbATTRIBUTE name);

    ccsCOMPL_STAT CreateTargetList(vltINT32 my_numTargets);
    void GetDbEntryPoint (dbSYMADDRESS dbEntryPoint);

  protected:
    virtual ccsCOMPL_STAT Select(const dbATTRIBUTE name);
    virtual ccsCOMPL_STAT LoadTarget(const dbSYMADDRESS point, 
				     const dbATTRIBUTE name, vltINT32 index);
 
  private:

    vltUINT16   curTarget;   // current target list index
    vltUINT16   numTargets;  // number of entries in target list
    agwsTARGET *targets;     // target list

    dbSYMADDRESS dbEntryPoint;
};

#endif // !agwsTARGET_LIST_H

// __oOo__
