#ifndef bossArchErrHndl_H
#define bossArchErrHndl_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossArchErrHndl.h,v 1.153 2005/08/23 16:46:43 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* epozna  2004-10-21  created (VLTSW20030523 Arch err handling)
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "eccsErr.h"
#include "miscHash.h"

class bossArchErrHndl : public eccsERROR_CLASS
{
  public:
    
    bossArchErrHndl( );
    ~bossArchErrHndl();
    
    ccsCOMPL_STAT ArchErrorReset();
    ccsCOMPL_STAT AddError(eccsERROR     *mainstack);
    ccsCOMPL_STAT MergeArchErr(eccsERROR *mainstack);

  private: 
    eccsERROR   archErr_; 
    vltLOGICAL  isWarning_;
    vltINT32    totalNumMergingErr_;  
    vltINT32    reportedErrNum_; 
};

#endif /*!bossArchErrHndl_H*/
