#ifndef bossEXPOSURE_TABLE_ENTRY_H
#define bossEXPOSURE_TABLE_ENTRY_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossEXPOSURE_TABLE_ENTRY.h,v 1.153 2005/08/23 16:46:36 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna     19/07/00   created
* epozna     22/08/00   added flag for expstart
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif
/*
 * VLT Software
 */
#include "eccsDB_TABLE.h"

class bossEXPOSURE_TABLE_ENTRY : public eccsDB_TABLE_RECORD
{
public:
    bossEXPOSURE_TABLE_ENTRY();
    virtual ~bossEXPOSURE_TABLE_ENTRY();
    
    ccsCOMPL_STAT Unpack( void *buffer );
    ccsCOMPL_STAT Pack( void *buffer );

    vltBYTES64   expoId;
    vltBYTES64   mode;
    vltBYTES256  subsystems;   
    vltBYTES64   inspath;   
    vltBYTES64   detector;  
    vltBYTES64   filename;      
    vltBYTES64   state;
    vltBYTES64   expstrt;  

protected:

private:
    bossEXPOSURE_TABLE_ENTRY& operator=(const bossEXPOSURE_TABLE_ENTRY&);
    bossEXPOSURE_TABLE_ENTRY  (const bossEXPOSURE_TABLE_ENTRY&);
};

#endif /*bossEXPOSURE_TABLE_ENTRY_H*/
