#ifndef bossINTERFACE_FIERA_H
#define bossINTERFACE_FIERA_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossINTERFACE_FIERA.h,v 1.153 2005/08/23 16:46:38 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    05/06/00  created
* epozna    06/08/01  overloaded  CompletedCB (VLTSW00990451, VLTSW20010011)
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif


#include "bossINTERFACE_CCD.h"

class bossINTERFACE_FIERA : public bossINTERFACE_CCD
{
public:
  
    bossINTERFACE_FIERA(const dbSYMADDRESS dbPoint, char * srvId);
    virtual ~bossINTERFACE_FIERA();
    virtual char *GetStatusFits(vltINT32,const char *,const char *); 
    virtual ccsCOMPL_STAT SetImageFileName(const char *filename,
					   vltINT32 expoId);
    virtual ccsCOMPL_STAT ConfigureIfPreProc(ctooCONFIG *appConfig, 
					     oslxCONFIG *cfgSubstPtr);


protected:    
    virtual evhCB_COMPL_STAT CompletedCB(msgMESSAGE &msg, void *);
    virtual ccsCOMPL_STAT StartTL();
    virtual ccsCOMPL_STAT StartWipe();

};
#endif /*!bossINTERFACE_FIERA_H*/
