#ifndef bossINTERFACE_IRACE_H
#define bossINTERFACE_IRACE_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossINTERFACE_IRACE.h,v 1.153 2005/08/23 16:46:39 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    05/06/00  created
* epozna    26/09/00  added StartCmdModify 
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif


#include "bossINTERFACE_DCS.h"

class bossINTERFACE_IRACE : public bossINTERFACE_DCS
{
public:
  
    bossINTERFACE_IRACE(const dbSYMADDRESS dbPoint, char * srvId);
    virtual ~bossINTERFACE_IRACE();
    virtual ccsCOMPL_STAT SetImageFileName(const char *filename,
					   vltINT32 expoId);
    virtual ccsCOMPL_STAT subsMsgModify   (const msgCMD command,
					   msgMESSAGE &msg);
    virtual ccsCOMPL_STAT StartCmdModify   (msgMESSAGE &msg);
    virtual  ccsCOMPL_STAT ConfigureIfPreProc(ctooCONFIG *appConfig, 
					      oslxCONFIG *cfgSubstPtr);

protected: 

   
};
#endif /*!bossINTERFACE_IRACE_H*/
