#ifndef bossMODES_TABLE_ENTRY_H
#define bossMODES_TABLE_ENTRY_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossMODES_TABLE_ENTRY.h,v 1.153 2005/08/23 16:46:41 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* zins     28/07/98   created
* epozna   10/07/00   new mode ..
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif
/*
 * VLT Software
 */
#include "eccsDB_TABLE.h"

class bossMODES_TABLE_ENTRY : public eccsDB_TABLE_RECORD
{
public:
    bossMODES_TABLE_ENTRY();
    virtual ~bossMODES_TABLE_ENTRY();
    
    ccsCOMPL_STAT Unpack( void *buffer );
    ccsCOMPL_STAT Pack( void *buffer );

    vltBYTES32   name;
    vltBYTES256  setupParams;
    vltBYTES128  subsystems;
    vltBYTES32   inspath;
       


protected:

private:
    bossMODES_TABLE_ENTRY& operator=(const bossMODES_TABLE_ENTRY&);
    bossMODES_TABLE_ENTRY  (const bossMODES_TABLE_ENTRY&);
};

#endif /*!bossMODES_TABLE_ENTRY_H*/
