#ifndef bossSTD_COMMANDS_NAMES_H
#define bossSTD_COMMANDS_NAMES_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossSTD_COMMANDS_NAMES.h,v 1.153 2005/08/23 16:46:41 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* zins      09/07/98  created
* epozna    14/03/00  adopted for BOSS
* epozna    30/06/00  add command VERSION   
* epozna    30/04/01  added internal commands GETHDR and CLEAN                   
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/**********************************************************/
/* Command names for implemented standard commands        */
/**********************************************************/

#include "evhSTD_COMMANDS_NAMES.h"
#include "fcd.h"
#include "ccd.h"
/* Command names  */
#define bossABORT_CMD     "ABORT"
#define bossADDFITS_CMD   "ADDFITS"
#define bossARCHIVE_CMD   "ARCHIVE"
#define bossCOMMENT_CMD   "COMMENT"
#define bossCONT_CMD      "CONT"
#define bossDEBUG_CMD     "DEBUG"
#define bossEND_CMD       "END"
#define bossEXPEND_CMD    "EXPEND"    // only used to create command to be sent to ICS
#define bossEXPSTRT_CMD   "EXPSTRT"   //   -- ||- -
#define bossFORWARD_CMD   "FORWARD"
#define bossPAUSE_CMD     "PAUSE"
#define bossSETMODE_CMD   "SETMODE"
#define bossSETUP_CMD     "SETUP"
#define bossSIMUL_CMD     "SIMUL"
#define bossSTART_CMD     "START"
#define bossWAIT_CMD      "WAIT"
#define bossVERSION_CMD   "VERSION"
#define bossACCESS_CMD    "ACCESS"

// boss internal command names
#define bossGETHDR_CMD    "GETHDR"
#define bossCLEAN_CMD     "CLEAN"
#define bossEXPEND_CMD     "EXPEND"

// DCS comamands STARTTL
#define bossDCSCMD_STARTTL    ccdCMD_STARTTL     // also fcdCMD_STARTTL
#define bossDCSCMD_STARTWP    ccdCMD_START_WIPE  // also fcdCMD_START_WIPE
#define bossDCSCMD_STOPWP     ccdCMD_STOP_WIPE   // also fcdCMD_STOP_WIPE

#endif /*!bossSTD_COMMANDS_NAMES_H*/
