#ifndef eccsAlrmCon_H
#define eccsAlrmCon_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: eccsAlrmCon.h,v 1.134 2005/04/08 08:34:15 vltsccm Exp $" 
*
* eccsAlrm.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* gfilippi  25/05/99  fixed alrmCONNECTION(const alrmCONNECTION &source)
* gluca  24/08/97  Changed illegal method names
* rabuter   20/11/95  Created
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#ifndef eccs_H
  #include "eccs.h"
#endif
#ifndef eccsMsg_H
  #include "eccsMsg.h"
#endif
extern "C" {
   #include "alrmCCS.h"
   #include "evt.h"
}

class  alrmCONNECTION : virtual public eccsERROR_CLASS  {

  public:
    
    alrmCONNECTION();
    alrmCONNECTION(const alrmCONNECTION &source);
    virtual ~alrmCONNECTION();

    virtual ccsCOMPL_STAT Attach();
    virtual ccsCOMPL_STAT Detach();

    // Inline methods for returning/settung data member values
    const char         *EnvName() const;
    ccsCOMPL_STAT       EnvName(ccsENVNAME newEnv);

    const char         *EnvBranch() const;
    ccsCOMPL_STAT       EnvBranch(dbSYMADDRESS newBranch);

    const vltUINT16     Filter() const;
    ccsCOMPL_STAT       Filter(vltUINT16 newFilter);

    const vltINT16      ConId() const;
    const vltUINT16     Status() const;

  private :
    ccsENVNAME   envname;
    dbSYMADDRESS envbranch;
    vltUINT16    filter;
    vltINT16     id;       //Connection identifier
    vltUINT16    status;

};
#define  eccsALARM_CMD "ALARM"

#include "eccsAlrmCon.icc"

#endif /* ! ECCSALRMCON_H */
