#ifndef evhDB_SEND_ID_H
#define evhDB_SEND_ID_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhDB_SEND_ID.h,v 1.135 2005/07/21 12:41:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#ifndef db_H
  #include "db.h"
#endif
#ifndef fndOBJECT_H
  #include "fndOBJECT.h"
#endif

class evhDB_CMD_SEND;

class evhDB_SEND_ID:  public fndOBJECT {

  public:

    evhDB_SEND_ID(evhDB_CMD_SEND *cmd = NULL, vltUINT32 id = 0);
    evhDB_SEND_ID(const evhDB_SEND_ID &newId);

    virtual int   IsEqual(const fndOBJECT&) const;

    evhDB_SEND_ID &operator =(const evhDB_SEND_ID&);

    evhDB_CMD_SEND *cmd;
    vltUINT32       id;

    fndStdObjectDef(evhDB_SEND_ID,fndOBJECT);
    
};


#include "evhDB_SEND_ID.icc"

#endif /*!evhDB_SEND_ID_H*/
