#ifndef evhDB_SERIAL_DATA_H
#define evhDB_SERIAL_DATA_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhDB_SERIAL_DATA.h,v 1.135 2005/07/21 12:41:50 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#ifndef db_H
  #include "db.h"
#endif
#ifndef fndOBJECT_H
  #include "fndOBJECT.h"
#endif
#ifndef evhHANDLER_H
  #include "evhHANDLER.h"
#endif
#ifndef evhDB_CMD_SEND_H
  #include "evhDB_CMD_SEND.h"
#endif

class evhDB_SERIAL_DATA:  public fndOBJECT {

  public:

    evhDB_SERIAL_DATA(const msgCMD   command, 
		      const char    *newBuffer, 
		      msgLENGTH      newBuflen,
		      evhDB_SEND_ID  sendId, 
		      evhDB_SEND_ID  waitId = evhDB_CMD_SEND::noWaitId);
    evhDB_SERIAL_DATA(const evhDB_SERIAL_DATA &newId);
   ~evhDB_SERIAL_DATA();

    virtual int   IsEqual(const fndOBJECT&) const;

    evhDB_SERIAL_DATA &operator =(const evhDB_SERIAL_DATA&);

    vltLOGICAL          Active();
    evhDB_SERIAL_DATA  &Active(vltLOGICAL newState);

    /* In a clean implementation these should be private */
    msgCMD         command;
    char          *buffer;
    msgLENGTH      buflen;
    evhDB_SEND_ID  sendId;
    evhDB_SEND_ID  waitId;

    fndStdObjectDef(evhDB_SERIAL_DATA,fndOBJECT);

  private:
    evhDB_SERIAL_DATA() {}; // Cannot be used
    vltLOGICAL  active;
};


#include "evhDB_SERIAL_DATA.icc"

#endif /*!evhDB_SERIAL_DATA_H*/
