#ifndef evhMSG_TYPE_KEY_H
#define evhMSG_TYPE_KEY_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhMSG_TYPE_KEY.h,v 1.135 2005/07/21 12:41:46 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  12/06/97  Split in .h and .icc
* vltsw  23/07/96  Derived public virtual from eccsERROR_CLASS
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/


#ifndef fndOBJECT_H
  #include "fndOBJECT.h"
#endif

#ifndef eccsMsg_H
  #include "eccsMsg.h"
#endif

/* A first key is based on TYPE, COMMAND and COMMANDID */
#define  evhMSG_TYPE_KEY_CLASS  (classType)evhMSG_TYPE_KEY::CreateNew

class evhMSG_TYPE_KEY: public fndOBJECT, virtual public eccsERROR_CLASS
{
  public:
    evhMSG_TYPE_KEY(const vltUINT8 type  = 0 , 
		    const msgCMD   cmd   = msgNULL_CMD, 
		    const msgCMDID cmdId = 0);
    evhMSG_TYPE_KEY(const evhMSG_TYPE_KEY &source);


    evhMSG_TYPE_KEY &MsgType(const vltUINT8 type);
    vltUINT8         MsgType() const;
    evhMSG_TYPE_KEY &Command(const msgCMD cmd);
    const char      *Command() const;
    evhMSG_TYPE_KEY &CommandId(const msgCMDID cmdId); 
    msgCMDID         CommandId() const;

    virtual   int           IsEqual( const fndOBJECT& ) const;
    virtual   hashValueType HashValue() const;
    virtual   void          PrintOn( ostream& ) const;

    evhMSG_TYPE_KEY  &operator         =( const evhMSG_TYPE_KEY& );

    fndStdObjectDef(evhMSG_TYPE_KEY, fndOBJECT)

  private:
    vltUINT8  msgType;
    msgCMD    command;
    msgCMDID  commandId;
    

}; /* end class evhMSG_TYPE_KEY */

#include "evhMSG_TYPE_KEY.icc"

#endif /*!evhMSG_TYPE_KEY_H*/
