#ifndef FCDDBFUNCS_H
#define FCDDBFUNCS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdDbFuncs.h,v 2.140 2005/10/17 15:16:45 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rdonalds  01/05/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ECCS.h"

extern ccsCOMPL_STAT fcddbWriteSymbolicINT32 (
                 const char*        pointName,
                 const vltINT32     value
                 );

extern ccsCOMPL_STAT fcddbWriteSymbolicDouble (
                 const char*        pointName,
                 const vltDOUBLE    value
                 );

extern ccsCOMPL_STAT fcddbWriteSymbolicUINT32 (
                 const char*        pointName,
                 const vltUINT32     value
                 );

extern ccsCOMPL_STAT fcddbWriteSymbolicLOGICAL (
                 const char*        pointName,
                 const vltLOGICAL     value
                 );

extern ccsCOMPL_STAT fcddbWriteSymbolicBYTES32 (
                 const char*        pointName,
                 const vltBYTES32     value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicINT32 (
                 const char*        pointName,
                 vltINT32           *value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicDouble (
                 const char*        pointName,
                 vltDOUBLE          *value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicUINT32 (
                 const char*        pointName,
                 vltUINT32          *value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicLOGICAL (
                 const char*        pointName,
                 vltUINT32          *value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicB8 (
                 const char*        pointName,
                 vltBYTES8          value
                 );

extern ccsCOMPL_STAT fcddbReadSymbolicB16 (
                 const char*        pointName,
                 vltBYTES16         value
                 );

#endif /*!FCDDBFUNCS_H*/
