#ifndef fcdTIM_H
#define fcdTIM_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdTIM.h,v 1.6 2004/01/19 09:25:54 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rdonalds  12/08/96  created
*/

/************************************************************************
*   NAME            
*        fcdTIM
*   
* 
*   SYNOPSIS
*        Class for hiding interface to tim board
*   
*   PARENT CLASS
*
* 
*   DESCRIPTION
*
*   PUBLIC METHODS
*
*
*   PUBLIC DATA MEMBERS
*
*
*   PROTECTED METHODS
*
*
*   PROTECTED DATA MEMBERS
*
*
*   PRIVATE METHODS
*
*
*   PRIVATE DATA MEMBERS
*
*
*   FILES
*
*   ENVIRONMENT
*
*   COMMANDS
*
*   RETURN VALUES
*
*   CAUTIONS 
*
*   EXAMPLES
*
*   SEE ALSO
*
*   BUGS   
* 
*------------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "fcdINTERNAL.h"
#include "fcdtimsTIME.h"
#include "fcdtim.h"

class fcdTIM
{
public:
    // Create the interface object
    fcdTIM();
    ~fcdTIM();
    
    /* intialise and uninitialise the interface object */
    ccsCOMPL_STAT Create();
    ccsCOMPL_STAT Attach();

    ccsCOMPL_STAT Detach();

    /*
     *# Is the board available
     */
    vltLOGICAL    Available() {return available;}

    /*
     *# Generate a signal at a given UTC
     */
    ccsCOMPL_STAT SignalAtUTC (fcdtimsTIME *time);
  private:
    
    /*
     *# Initialise the interface library
     */
    ccsCOMPL_STAT Init();

    vltLOGICAL available;
};

#endif /*!fcdTIM_H*/
