#ifndef FCDLD2_H
#define FCDLD2_H

/*************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdlD2.h,v 3.50 2005/04/13 09:14:24 vltsccm Exp $"
*
* fcdlD2.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* ccumani   11/08/97  - created from fcdl.h
* ccumani   09/02/99  - function prototype for fcdlDsp2DoTest added
*                     - include chan.h added
* ccumani   10/02/99  - file $Id corrected in header
* ccumani   11/08/99  - function prototype for fcdlDsp2LoadTest added
*/

/*************************************************************************
*  
*************************************************************************/


/* 
 * System Headers
 */
#include <chan.h>

/* 
 * Local Headers
 */
#include "fcdl.h"

/* 
 * Function Prototypes for the SLCU Detector Electronics Interface Board
 * Dsp2 handling
 */

extern RSTATUS fcdlDsp2Set (
    void
    );

extern RSTATUS fcdlDsp2DoTest (
    CHAN   *in_ports[],
    CHAN   *out_ports[]
    );

extern RSTATUS fcdlDsp2LoadTest (
    CHAN   *in_ports[],
    CHAN   *out_ports[]
    );

#endif               
