#ifndef fndARRAY_H
#define fndARRAY_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndARRAY.h,v 1.46 2005/04/08 07:41:45 vltsccm Exp $" 
*
*
* who       when      what
* --------  --------  ----------------------------------------------
* vltsw  02/07/96  AddAt(): added deleteToo parameter
* G.Chiozzi 18/01/95  Created
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif

#ifndef fndOBJECT_H
  #include <fndOBJECT.h>
#endif
#ifndef fndABST_ARRAY_H
  #include <fndABST_ARRAY.h>
#endif

#define fndARRAY_CLASS      (classType)fndARRAY::CreateNew

class  fndARRAY:  public fndABST_ARRAY
{
public:
             fndARRAY( int upper, int lower = 0, sizeType aDelta = 0 ) :
                       fndABST_ARRAY( upper, lower, aDelta ) {}
             fndARRAY() : fndABST_ARRAY() {}
    virtual ~fndARRAY();

    virtual void       Add( fndOBJECT& );
    virtual void       AddAt( fndOBJECT&, int index, int deleteToo = FALSE);

    fndStdObjectDef(fndARRAY,fndABST_ARRAY)
};

#endif

/* __o0o__ */
