#ifndef fndCOLLECTION_H
#define fndCOLLECTION_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndCOLLECTION.h,v 1.46 2005/04/08 07:41:46 vltsccm Exp $" 
*
* fndCOLLECTION.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi 2002-07-31 gcc 1.3: Replace <xxx.h> sys includes with <xxx>a
* gchiozzi  04/01/00  Renamed destroy as destroyFlag to avoid shadowing
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif
#include <iostream>
#ifndef fndCONTAINER_H
  #include <fndCONTAINER.h>
#endif



/***********/
/* Defines */
/***********/

#define fndCOLLECTION_CLASS      (classType)fndCOLLECTION::CreateNew


 /***********************/
 /* Function prototypes */
 /***********************/


 /********************/
 /* Class definition */
 /********************/

class fndCOLLECTION:  public fndCONTAINER {

       /*********************/
       /* Public section    */
       /*********************/

        public:

          virtual ~fndCOLLECTION();

          virtual  void        Add( fndOBJECT& ) = 0;
          virtual  void        Detach( const fndOBJECT&, int = 0 ) = 0;
          virtual  void        Empty( int destroyFlag = FALSE);
          virtual  int         HasMember( const fndOBJECT& ) const;
          virtual  fndOBJECT &FindMember( const fndOBJECT& ) const;
          virtual  fndCONTAINER_ITERATOR& InitIterator() const = 0;
          virtual  void        Destroy( const fndOBJECT& o );

          fndStdObjectDef(fndCOLLECTION,fndCONTAINER)

}; /* end class fndCOLLECTION() */


inline void fndCOLLECTION::Destroy( const fndOBJECT& o ) 
{ 
    Detach( o, 1 ); 
}

#endif

/* __o0o__ */
