#ifndef fndLIST_ELEMENT_H
#define fndLIST_ELEMENT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndLIST_ELEMENT.h,v 1.46 2005/04/08 07:41:47 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* G.Chiozzi 18/01/95  Created
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif

#ifndef fndCONTAINER_H
  #include <fndCONTAINER.h>
#endif

class fndLIST_ELEMENT {

    friend class fndLIST;
    friend class fndLIST_ITERATOR;

  public:

    fndLIST_ELEMENT() { data = NULL; next = NULL; previous = NULL; }
    fndLIST_ELEMENT( fndOBJECT* o ) { data = o; next = previous = NULL; }
    ~fndLIST_ELEMENT() { delete data; }

  private:

    fndLIST_ELEMENT* next;
    fndLIST_ELEMENT* previous;

    fndOBJECT* data;

};

#endif

/* __o0o__ */
