#ifndef ic0INS_DEKK2_H
#define ic0INS_DEKK2_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: ic0INS_DEKK2.h,v 2.14 2005/09/22 07:54:27 vltsccm Exp $" 
*
* ic0INS_DEKK2.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* alongino  24/09/01  created
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ic0INS_MOTOR.h"    // parent class

// Lamp device
class ic0INS_DEKK2: public ic0INS_MOTOR
{
  public:

    ic0INS_DEKK2();

    fndStdObjectDef(ic0INS_DEKK2, ic0INS_MOTOR)

    virtual ccsCOMPL_STAT Init(ic0INS_DEVICE_CONF &device);

  protected:
    virtual ccsCOMPL_STAT DevTrigger(ic0KEYWORD &keyword, void*);
    virtual const char *EncFormula() { return "ENC=OFFSET+RESOL*acos((LEN-(MAX+MIN))/(MAX-MIN))"; }
    virtual ccsCOMPL_STAT CheckKeyword(ic0KEYWORD &keyword);
   
}; /* end class ic0INS_DEKK2 */

#endif /*!ic0INS_DEKK2_H*/











