#ifndef ic0INS_GRAT_H
#define ic0INS_GRAT_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: ic0INS_GRAT.h,v 2.14 2005/09/22 07:54:28 vltsccm Exp $" 
*
* ic0INS_GRAT.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* alongino  24/09/01  created
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ic0INS_MOTOR.h"    // parent class

// Lamp device
class ic0INS_GRAT: public ic0INS_MOTOR
{
  public:

    ic0INS_GRAT();
    fndStdObjectDef(ic0INS_GRAT, ic0INS_MOTOR)

  protected:
    virtual ccsCOMPL_STAT DevTrigger(ic0KEYWORD &keyword, void*);
    virtual const char *EncFormula() { return "ENC=Z+R*asin(WL*OR*GRV/(2*cos(ROT)))+TR*(T-T0)"; }  
}; /* end class ic0INS_GRAT */

#endif /*!ic0INS_GRAT_H*/











