#ifndef ic0INS_MOTOR_H
#define ic0INS_MOTOR_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: ic0INS_MOTOR.h,v 2.14 2005/09/22 07:54:26 vltsccm Exp $" 
*
* ic0INS_MOTOR.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* alongino  11/12/99  created
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ic0INS_DEVICE.h"    // parent class
#define POS_ILLEGAL -9999.9999

// Lamp device
class ic0INS_MOTOR: public ic0INS_DEVICE
{
  public:

    ic0INS_MOTOR();
    virtual ~ic0INS_MOTOR();

    fndStdObjectDef(ic0INS_MOTOR, ic0INS_DEVICE)

    virtual ccsCOMPL_STAT Init(ic0INS_DEVICE_CONF &device);

  protected:
    vltDOUBLE posBegin, posEnd;
    vltDOUBLE posmin, posmax;
    vltINT32 positions;
    vltBYTES32 *namedPositions;

    virtual const char *EncFormula() { return ""; }
    virtual vltINT32 SlotNo(const char *name);
    virtual ccsCOMPL_STAT CheckKeyword(ic0KEYWORD &keyword);

  private:
   
}; /* end class ic0INS_MOTOR */

#endif /*!ic0INS_MOTOR_H*/











