#ifndef IC0_SCAN_H
#define IC0_SCAN_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ic0SCAN.h,v 2.14 2005/09/22 07:54:26 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* alongino  06/09/01  Created  
*/

#include <fndOBJECT.h>
#include <fndSTRING.h>
#include <fndARRAY.h>
#include "db.h" // dbSYMADDRESS
#include "evhCOMMAND.h"
#include "ic0DEBUG.h"

/*
 * Class definition
 */
class ic0SCAN : public fndOBJECT, public eccsERROR_CLASS
{
  public: 
    ic0SCAN();
   ~ic0SCAN();
    void AddPoll(dbSYMADDRESS from, dbSYMADDRESS to);
    void AddSrbx(dbSYMADDRESS from, dbSYMADDRESS to);
    void PollRate(vltINT32);
    ccsCOMPL_STAT Start();

  protected:    
 
  private:
    vltINT32 pollRate;
    fndSTRING *oldbAttr;
    fndARRAY *pollFrom;
    fndARRAY *pollTo;
    fndARRAY *srbxFrom;
    fndARRAY *srbxTo;
    ic0DEBUG debug;
    evtEVENT *dbEvt;
    vltINT32 *dbEvtIndex;

    ccsCOMPL_STAT Copy(vltINT32 index, vltLOGICAL poll = TRUE);
    evhCB_COMPL_STAT PollCB(msgMESSAGE &msg, void *udata);
    evhCB_COMPL_STAT EvtCB(evtEVENT_MSG &msg, void *udata);
};

#endif /*!IC0_SCAN_H*/
