#ifndef issalignDEFINES_H
#define issalignDEFINES_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issalignDefines.h,v 3.17 2005/06/08 13:37:01 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jott     2005-05-11 Added definitions issalignSUBSTATE_INIT_REQUIRED and
*                     issalignSUBSTATE_STR_INIT_REQUIRED
* jott     2005-05-03 SPR VLTSW20050147:
*                     Added definitions issalignCMD_LOGALGN*
* jott     2005-02-21 SPR VLTSW20050019 and VLTSW20040225:
*                     Added definitions issalignCMD_CHREFPX*,
*                     issalignCMD_SETTADC*, issalignCHREFPX_CMD_NUM_PARA,
*                     issalignSETTADC_CMD_NUM_PARA, issalignSETTADC_CMD_PAR_ENABLED
*                     issalignSETTADC_CMD_PAR_DISABLED, issalignIAS_CURR_*,
*                     issalignIRIS_SEND_OBJ_PT3
* jott     2005-01-18 SPR VLTSW20040225 (Allow IAS to be NONE)
*                     Added definitions issalignIAS_NONE_ID and
*                     issalignIAS_NONE_STR
* jott     2004-12-14 SPR VLTSW20040230 (issmsw sub-stata ALIGNING):
*                     Added definitions issalignCMDHANDLER_ISSMSW*
* jott     2004-12-08 renamed xxxPixScale tp xxxGuvScale and added definition
*                     issalignDB_PUBGUV_SCALE_FACTOR
* jott     2004-12-02 SPR VLTSW20040228:
*                     Added definition issalignDB_TIMEOUT_WAITLAG
* jott     2004-11-02 Moved definitions issDB_SELECT_IRIS_FILTER and
*                     issDB_IRIS_GUIDING_FLAG to iss/include/iss.h,
*                     Added definitions issalignDB_INS_ZERO_WLEN and
*                     issalignDB_IAS_WLEN, issalignDB_REF_PIX_TABLE_STAT,
*                     issalignIRIS_TADC_CYC_REF_UPDATE_FLAG
* jott     2004-10-15 SPR VLTSW20040230:
*                     Added definitions issalignTADC_ATTR_ADDR,
*                     issalignMAX_NUM_INS, issalignIRIS_INS_TAB_ADDR,
*                     issalignSUBSTATE_STR_TADCLAG, issalignSUBSTATE_TADCLAG,
*                     issalignREFPIX_BACKUP_FILE_IRIS, issalignDB_IRIS_POINT,
*                     issalignDB_IRIS_ZERO_TAB_ATTR, issalignDB_REF_POSX_ADDR_IRIS,
*                     issalignDB_REF_POSY_ADDR_IRIS, issalignSK_CCDDCS_REFX_IRISx,
*                     issalignSK_CCDDCS_REFY_IRISx, issalignSTATE_STR_ONLINE_ARAL
*
*                     SPR VLTSW20040229:
*                     Added definition issalignIRIS_SEND_OBJ_PT2
* jott     2004-10-04 SPR VLTSW20040230:
*                     Added definitions issalignIAS_ATTR_ADDR,
*                     issalignIAS_TCCD_ID, issalignIAS_IRIS_ID,
*                     issalignIAS_TCCD_STR, issalignIAS_IRIS_STR,
*                     issalignDB_IRIS_ZERO_TAB_ADDR,
*                     issalignDB_IRIS_ACCU_OFFS_ADDR,
*                     issalignDB_IRIS_ACCU_PIX_ADDR,
*                     issalignDB_AXIAL_SYM_TCCD, issalignDB_IRIS_PIXSCALE,
*                     issalignDB_AXIAL_SYM_IRIS, issalignDB_THETA_IRIS_VW ,
*                     issalignDB_INS_PTOFFS_PIX_ADDR,
*                     issalignDB_INS_CURR_ZP_ADDR, issalignTADC_ARAL_IRIS_WLEN,
*                     issalignTADC_FNT_WAVELEN, issalignIRIS_NUM_FILTERS,
*                     issalignIRIS_SEND_OBJ_PT, issDB_IRIS_GUIDING_FLAG,
*                     issDB_SELECT_IRIS_FILTER , issalignCMD_SETREF_ID,
*                     issalignCMD_SETREFB_ID, issalignCMD_DETLGS_ID,
*                     issalignCMD_SETREF, issalignCMD_SETREFB,
*                     issalignCMD_DETLGS, issalignNUM_INPUT_CH_FOR_IRIS,
*                     issalignNUM_IRIS_QUADRANTS, issalignDB_TADC_OFFS_TAB_ADDR,
*                     issalignIRIS_TADC_UPDATE_PIXEL_DB
*                     removed not used definitions issalignARCSEC_SKY_TO_TCCD_UT,
*                     issalignARCSEC_SKY_TO_TCCD_AT,
*                     issalignARCSEC_SKY_TO_TCCD_SID
* rrollf   2004-10-01 Replaced GETREF by LGOFFS (SPR VLTSW20040229)
* rrollf   2004-09-07 SPR VLTSW20040228: ISS to support IRIS - start/stop lab...
*                     Added issalignCMD_STRTLAG, issalignCMD_STOPLAG,
*                     issalignCMD_STRTLAG_ID and issalignCMD_STOPLAG_ID
* jott     2004-08-27 SPR VLTSW20040229:
*                     Added definitions issalignCMD_GETREF and
*                     issalignCMD_GETREF_ID
* jott     2003-10-29 Added definitions  issalignDB_SIM_EXPO_TIME_TCCD and
*                     issalignDB_SIM_EXPO_STATUS to improve tat test.
* jott     2003-10-15 Added definitions issalignCMD_PNTOFFS,
*                     issalignCMD_PNTOFFS_ID, issalignPNTOFFS_CMD_NUM_PARA,
*                     issalignTCCD_CHIP_SIZE_X, issalignTCCD_CHIP_SIZE_Y,
*                     issalingTCCD_BORDER_SIZE, issalignARCSEC_SKY_TO_TCCD_UT,
*                     issalignARCSEC_SKY_TO_TCCD_AT,
*                     issalignARCSEC_SKY_TO_TCCD_SID, issalignTADC_*,
*                     issalignCONSTANT_PI
*                     (SPR VLTSW20030425)
* jott     2003-10-14 Redireccted definition issalignDB_REF_TABLE_ADDR
*                     Added definitions issalignDB_TCCD_ZERO_TAB_ADDR,
*                     issalignDB_INS_ZERO_TAB_ADDR,
*                     issalignDB_INS_PTOFFS_TAB_ADDR, issalignDB_THETA_TCCD_VW,
*                     and issalignDB_TADC_FLAG
*                     (SPR VLTSW20030425)
* rka/awa  2002-11-18 Added define for backup file
* jott      23/10/01  added definition issalignBYPASS_AROCONTROL
*                     changed issalignDB_CURR_EXPO_STATUS to directly read
*                     from LCU
*                     added definition issalignDB_CURR_TCCD_STATUS to directly
*                     read LCU status
* issmgr 2002-10-22 Added STOPWAIT and STARTLP commands
* jott      22/10/02  added definition issalignSUPRESS_RECOVER_ERRORS
* jott      08/10/02  added exposure status from ccd.h and definitions
*                     issalignCMD_CHKIMG/issalignCMD_CHKIMG_ID
*                     (SPR VLTSW20020554)
*                     added definition issalignCHKIMG_CMD_NUM_PARA and modified
*                     issalignIMALGN_CMD_NUM_PARA
* jott      07/10/02  fixed issalignDB_CURR_EXPO_TIME_TCCD path (incorporated
*                     branch issalign 1.3.1.1
*                     added definitions reflecting ARAL configuration
*                     added definition issalignDB_CURR_EXPO_STATUS used for
*                     modification of exception course for IMGALGN command
*                     (restart exposure loop)
* jott      23/08/02  added definition issalignDB_ADDR_BASE to improve
*                     logging
* jott      12/07/02  created
*/

/************************************************************************
 * Definitions concerning the ISS alignment process
 *----------------------------------------------------------------------
 */
#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/*
 * Local headers
 */
#include "iss.h"
#include "mswDefines.h"
#include "evhSTD_COMMANDS_NAMES.h"

/*
 * File name suffix for saving refpix  tables
 */
#define issalignREFPIX_BACKUP_FILE        "IssalignRefpixTable.dat"
#define issalignREFPIX_BACKUP_FILE_IRIS   "IssalignIrisRefpixTable.dat"

/*
 * Definition (compilation flag) to decide whether to bypass aroControl process
 * The BYPASS_AROCONTROL mode was decided to become the permanent solution until
 * somebody complains (decision taken in April 2003)
 */
#define issalignBYPASS_AROCONTROL       1

/*
 * Define whether error stack during recovery of TCCD is logged or not
 */
#define issalignSUPRESS_RECOVER_ERRORS  1


/*
 * Module name
 */
#define issalignMOD                     "issalign"

/*
 *  Definition for the OK reply string
 */
#define issalignOK_REPLY_STR            "OK"

/*
 * Number of interferometer beams
 */
#define issalignMAX_NUM_ARMS            issMAX_NUM_ARMS

/*
 * State names and identifiers
 */
#define issalignSTATE_STR_UNK           mswSTATE_STR_UNK
#define issalignSTATE_STR_OFF           mswSTATE_STR_OFF
#define issalignSTATE_STR_LOADED        mswSTATE_STR_LOADED
#define issalignSTATE_STR_STANDBY       mswSTATE_STR_STANDBY
#define issalignSTATE_STR_ONLINE        mswSTATE_STR_ONLINE
#define issalignSTATE_STR_ONLINE_ARAL   "ONLINE/IDLE"

#define issalignSTATE_UNK               mswSTATE_UNK
#define issalignSTATE_OFF               mswSTATE_OFF
#define issalignSTATE_LOADED            mswSTATE_LOADED
#define issalignSTATE_STANDBY           mswSTATE_STANDBY
#define issalignSTATE_ONLINE            mswSTATE_ONLINE

/*
 * Sub-state names and identifiers
 */
#define issalignSUBSTATE_STR_UNK            mswSTATE_STR_UNK
#define issalignSUBSTATE_STR_ERROR          mswSUB_STATE_STR_ERROR
#define issalignSUBSTATE_STR_IDLE           mswSUB_STATE_STR_IDLE
#define issalignSUBSTATE_STR_STOPPING       mswSUB_STATE_STR_STOPPING
#define issalignSUBSTATE_STR_BUSY           "BUSY"
#define issalignSUBSTATE_STR_IMALGN         "ALIGN IMAGE"
#define issalignSUBSTATE_STR_CNTIMG         "CENTER IMAGE"
#define issalignSUBSTATE_STR_TADCLAG        "TADC LAG"
#define issalignSUBSTATE_STR_INIT_REQUIRED  "INIT_REQUIRED"

#define issalignSUBSTATE_UNK            mswSTATE_UNK
#define issalignSUBSTATE_IDLE           mswSUB_STATE_IDLE
#define issalignSUBSTATE_STOPPING       mswSUB_STATE_STOPPING
#define issalignSUBSTATE_ERROR          mswSUB_STATE_ERROR
#define issalignSUBSTATE_OFFSET         40
#define issalignSUBSTATE_BUSY           issalignSUBSTATE_OFFSET + 1
#define issalignSUBSTATE_IMALGN         issalignSUBSTATE_OFFSET + 2
#define issalignSUBSTATE_CNTIMG         issalignSUBSTATE_OFFSET + 3
#define issalignSUBSTATE_TADCLAG        issalignSUBSTATE_OFFSET + 4
#define issalignSUBSTATE_INIT_REQUIRED  issalignSUBSTATE_OFFSET + 5

/*
 * ISS alignment commands and identifiers
 */
#define issalignCMD_INIT                mswINIT_CMD
#define issalignCMD_ONLINE              mswONLINE_CMD
#define issalignCMD_STOP                mswSTOP_CMD
#define issalignCMD_EXIT                evhEXIT_CMD

#if issalignBYPASS_AROCONTROL
    #define issalignCMD_STATE          "STATUS"
#else
    #define issalignCMD_STATE           evhSTATE_CMD
#endif

#define issalignCMD_STATUS              mswSTATUS_CMD
#define issalignCMD_CNTIMG              "CNTIMG"
#define issalignCMD_IMALGN              "IMGALGN"
#define issalignCMD_CHKIMG              "CHKIMG"
#define issalignCMD_SETUP               "SETUP"
#define issalignCMD_FORWARD             "FORWARD"
#define issalignCMD_OFFSGUV             "OFFSGUV"
#define issalignCMD_WAIT                "WAIT"
#define issalignCMD_WAITPIC             "WAITPIC"
#define issalignCMD_START               "START"
#define issalignCMD_STPWAIT             "STPWAIT"
#define issalignCMD_STARTLP             "STARTLP"
#define issalignCMD_PNTOFFS             "PNTOFFS"
#define issalignCMD_LGOFFS              "LGOFFS"
#define issalignCMD_STRTLAG             "STRTLAG"
#define issalignCMD_STOPLAG             "STOPLAG"
#define issalignCMD_SETREF              "SETREF"
#define issalignCMD_SETREFB             "SETREFB"
#define issalignCMD_DETLGS              "DETLGS"
#define issalignCMD_SETTADC             "SETTADC"
#define issalignCMD_CHREFPX             "CHREFPX"
#define issalignCMD_LOGALGN             "LOGALGN"


#define issalignCMD_INIT_ID             1
#define issalignCMD_ONLINE_ID           2
#define issalignCMD_STOP_ID             3
#define issalignCMD_EXIT_ID             4
#define issalignCMD_STATE_ID            5
#define issalignCMD_STATUS_ID           6
#define issalignCMD_CNTIMG_ID           7
#define issalignCMD_IMALGN_ID           8
#define issalignCMD_CHKIMG_ID           9
#define issalignCMD_SETUP_ID           10
#define issalignCMD_FORWARD_ID         11
#define issalignCMD_OFFSGUV_ID         12
#define issalignCMD_WAIT_ID            13
#define issalignCMD_WAITPIC_ID         14
#define issalignCMD_START_ID           15
#define issalignCMD_STPWAIT_ID         16
#define issalignCMD_STARTLP_ID         17
#define issalignCMD_PNTOFFS_ID         18
#define issalignCMD_LGOFFS_ID          19
#define issalignCMD_STRTLAG_ID         20
#define issalignCMD_STOPLAG_ID         21
#define issalignCMD_SETREF_ID          22
#define issalignCMD_SETREFB_ID         23
#define issalignCMD_DETLGS_ID          24
#define issalignCMD_SETTADC_ID         25
#define issalignCMD_CHREFPX_ID         26
#define issalignCMD_LOGALGN_ID         27


/*
 * Number of command parameters
 */
#define issalignCHKIMG_CMD_NUM_PARA     1
#define issalignCNTIMG_CMD_NUM_PARA     1
#define issalignIMALGN_CMD_NUM_PARA     3
#define issalignPNTOFFS_CMD_NUM_PARA    6
#define issalignCHREFPX_CMD_NUM_PARA    5
#define issalignSETTADC_CMD_NUM_PARA    1


/*
 * Command parameter string enumerations
 */
#define issalignSETTADC_CMD_PAR_ENABLED     "ENABLED"
#define issalignSETTADC_CMD_PAR_DISABLED    "DISABLED"

/*
 * Constant command buffer contents
 */
#define issalignFORWARD_STOP_EXP_BUFFER      "-subSystem TCCD -command STPWAIT"
#define issalignFORWARD_RESTART_EXP_BUFFER   "-subSystem TCCD -command STARTLP"


/*
 * Database addresses for some specific attributes
 */
/* Database root point names for ISS alignment process and its sub-points*/
#define issalignDB_BASE                 "issalign"
#define issalignDB_IMAGE_BASE           "imageAlign"
#define issalignDB_ATTR_ADDR            "component"

/* alignment process sub-state */
#define issalignDB_SUBSTATE             "subState"
#define issalignDB_SIMULATION           "<alias>issalignControl.simulation"

/* Look-up tables for beam reference points */
#define issalignDB_REF_TABLE_ADDR       "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".refPointTable"
#define issalignDB_TCCD_ZERO_TAB_ADDR   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".TCCDZeroPointTable"
#define issalignDB_INS_ZERO_TAB_ADDR    "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".insZeroPointTable"
#define issalignDB_INS_PTOFFS_TAB_ADDR  "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".insPointOffset"
#define issalignDB_INS_PTOFFS_PIX_ADDR  "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".insPointOffPix"
#define issalignDB_INS_CURR_ZP_ADDR     "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".currZPointTable"
#define issalignDB_TADC_OFFS_TAB_ADDR   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".tadcOffsTable"

/* Look-up tables for beam reference points specific for IRIS */
#define issalignDB_IRIS_POINT           ":iris"
#define issalignDB_IRIS_ZERO_TAB_ATTR   ".irisZeroPointTable"
#define issalignDB_IRIS_ZERO_TAB_ADDR   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE issalignDB_IRIS_POINT \
                                        issalignDB_IRIS_ZERO_TAB_ATTR
#define issalignDB_IRIS_ACCU_OFFS_ADDR  "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE issalignDB_IRIS_POINT \
                                        ".irisAccuOffset"
#define issalignDB_IRIS_ACCU_PIX_ADDR   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE issalignDB_IRIS_POINT \
                                        ".irisAccuOffPix"

/* Reference coordinates provided with SETUP command */
#define issalignDB_REF_POSX_ADDR        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".refPosX"
#define issalignDB_REF_POSY_ADDR        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".refPosY"
#define issalignDB_REF_POSX_ADDR_IRIS   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE issalignDB_IRIS_POINT \
                                        ".refPosX"
#define issalignDB_REF_POSY_ADDR_IRIS   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE issalignDB_IRIS_POINT \
                                        ".refPosY"


/* TCCD scale factor for (U)VW coordinate calculation */
#define issalignDB_PUBGUV_SCALE_FACTOR  "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".guvScale"
#define issalignDB_GUV_SCALE_FACTOR     "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".tccdGuvScale"

/* angle between ARAL TCCD and VW plane */
#define issalignDB_THETA_TCCD_VW       "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".thetaTccdVw"

/* axial symmetrie factor for TCCD image alignment */
#define issalignDB_AXIAL_SYM_TCCD       "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".epsilonTccd"

/* IRIS scale factor for (U)VW coordinate calculation */
#define issalignDB_IRIS_PIXSCALE        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ":iris.irisGuvScale"

/* angle between ARAL IRIS and VW plane */
#define issalignDB_THETA_IRIS_VW        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ":iris.thetaIrisVw"

/* axial symmetrie factor for IRIS image alignment */
#define issalignDB_AXIAL_SYM_IRIS       "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ":iris.epsilonIris"

/* Flag indicating whether TADC is enabled */
#define issalignDB_TADC_FLAG           "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".tadcEnabled"

/* Currently used (instrument) zero-wavelength */
#define issalignDB_INS_ZERO_WLEN        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".zeroWaveLen"

/* Currently used image alignment sensor wavelength */
#define issalignDB_IAS_WLEN             "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".sensorWaveLen"

/* Status of tables used is reference pixel computation */
#define issalignDB_REF_PIX_TABLE_STAT   "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".refPixTableStatus"



/* Addresses for guding systems containing CE definitions for guiding states */
#define issalignDB_ADDR_BASE            "<alias>issalignControl:" \
                                        issalignDB_ATTR_ADDR
#define issalignDB_ADDR_SID1            issalignDB_ADDR_BASE ".SID1"
#define issalignDB_ADDR_SID2            issalignDB_ADDR_BASE ".SID2"
#define issalignDB_ADDR_AT1             issalignDB_ADDR_BASE ".AT1"
#define issalignDB_ADDR_AT2             issalignDB_ADDR_BASE ".AT2"
#define issalignDB_ADDR_AT3             issalignDB_ADDR_BASE ".AT3"
#define issalignDB_ADDR_COU1            issalignDB_ADDR_BASE ".COU1"
#define issalignDB_ADDR_COU2            issalignDB_ADDR_BASE ".COU2"
#define issalignDB_ADDR_COU3            issalignDB_ADDR_BASE ".COU3"
#define issalignDB_ADDR_COU4            issalignDB_ADDR_BASE ".COU4"

/* Process names of processes sending commands to issalign */
#define issalignDB_ADDR_TCSCAM          "<alias>issalignControl:"   \
                                        issalignDB_ATTR_ADDR ".tcscam"

/* Receiver processes for sent commands */
#define issalignDB_ADDR_ARAL            "<alias>issalignControl:"   \
                                        issalignDB_ATTR_ADDR ".ARAL"
#define issalignDB_ADDR_BROADCAST       "<alias>issalignControl:"   \
                                        issalignDB_ATTR_ADDR ".broadcast"

/* Timeouts for sent commands */
#define issalignDB_TIMEOUT_STATE        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".stateTimeout"
#define issalignDB_TIMEOUT_STOP         "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".stopTimeout"
#define issalignDB_TIMEOUT_START        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".startTimeout"
#define issalignDB_TIMEOUT_SETUP        "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".setupTimeout"
#define issalignDB_TIMEOUT_WAIT         "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".waitTimeout"
#define issalignDB_TIMEOUT_OFFSGUV      "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".offsguvTimeout"

/* Timeouts used for timer objects */
#define issalignDB_TIMEOUT_WAITPIC      "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ".waitpicTimeout"
#define issalignDB_TIMEOUT_WAITLAG      "<alias>issalignControl:"   \
                                        issalignDB_IMAGE_BASE ":iris.timeoutLagEvt"


/* Names and identifiers for used command handlers */
#define issalignCMDHANDLER_IMAGE_STR    "Align Image"
#define issalignCMDHANDLER_ISSMSW_STR   "Mode Switching"
#define issalignCMDHANDLER_IMAGE        1
#define issalignCMDHANDLER_ISSMSW       2


/* Array Configuration Table */
#define issalignDB_ARRAY_CONF_TABLE     "<alias>issarrayControl:data." \
                                        issARRAY_CONF_TABLE_NAME

/* Addresses of data base attributes to be read/written by issalignControl */
#define issalignDB_CURR_TCCD_STATUS     "@waral:Appl_data:ARAL:DCS:tccd.opState"
#define issalignDB_CURR_EXPO_TIME_TCCD  "@lartccd:tccd:exposures:exposure_1.timeDef"
#define issalignDB_SIM_EXPO_TIME_TCCD   ":Appl_data:VLTI:issalign:imageAlign.timeDef"
#define issalignDB_CURR_EXPO_STATUS     "@lartccd:tccd:exposures:exposure_1.expStatus"
#define issalignDB_SIM_EXPO_STATUS      ":Appl_data:VLTI:issalign:imageAlign.expStatus"
#define issalignDB_REM_CURR_EXPO_TIME   ":Appl_data:VLTI:issalign:imageAlign.detWinUitRem"
#define issalignDB_EXPO_TIME_CENTROID   ":Appl_data:VLTI:issalign:imageAlign.detWinUitCen"
#define issalignDB_ERRVECX_TCCD         "@lartccd:tccd:images:process:window_1.ipXCen"
#define issalignDB_ERRVECX_SIM          ":Appl_data:VLTI:issalign:imageAlign.ipXCenDummy"
#define issalignDB_ERRVECY_TCCD         "@lartccd:tccd:images:process:window_1.ipYCen"
#define issalignDB_ERRVECY_SIM          ":Appl_data:VLTI:issalign:imageAlign.ipYCenDummy"
#define issalignDB_CENVAL_TCCD          "@lartccd:tccd:images:process:window_1.ipCenVal"
#define issalignDB_CENVAL_SIM           ":Appl_data:VLTI:issalign:imageAlign.ipCenValDummy"


/*
 * CCDDCS keyword aliases
 */
#define issalignSK_CCDDCS_REFX          "DET.WIN1.REFX"
#define issalignSK_CCDDCS_REFY          "DET.WIN1.REFY"
#define issalignSK_CCDDCS_REFX_IRIS1    "DET2.WIN1.REFX"
#define issalignSK_CCDDCS_REFY_IRIS1    "DET2.WIN1.REFY"
#define issalignSK_CCDDCS_REFX_IRIS2    "DET2.WIN2.REFX"
#define issalignSK_CCDDCS_REFY_IRIS2    "DET2.WIN2.REFY"
#define issalignSK_CCDDCS_REFX_IRIS3    "DET2.WIN3.REFX"
#define issalignSK_CCDDCS_REFY_IRIS3    "DET2.WIN3.REFY"
#define issalignSK_CCDDCS_REFX_IRIS4    "DET2.WIN4.REFX"
#define issalignSK_CCDDCS_REFY_IRIS4    "DET2.WIN4.REFY"


#define issalignTCCD_SETUP_CEN_FILE_NAME    "armcfgImageAlign.det"
#define issalignTCCD_SETUP_LOOP_FILE_NAME   "armcfgLoop.det"

/*
 * Definitions reflecting ARAL configuration
 */
#define issalignLEO_BS_MODE_AUTOTEST     "AUTOTEST"
#define issalignLEO_BS_MODE_AUTOCOLL     "AUTOCOLL"
#define issalignLEO_BS_MODE_OUT          "OUT"

#define issalignALI_POS_BEAM_A           "BEAM_A"
#define issalignALI_POS_BEAM_B           "BEAM_B"


/*
 * exposure status (ccdPAR_STATUS_EXPSTATUS). Bit-field
 * values taken from ccd.h 3.18
 * #define ccdEXP_NONE             0
 * #define ccdEXP_INACTIVE         1
 * #define ccdEXP_PENDING          2
 * #define ccdEXP_INTEGRATING      4
 * #define ccdEXP_PAUSED           8
 * #define ccdEXP_READING         16
 * #define ccdEXP_PROCESSING      32
 * #define ccdEXP_TRANSFERING     64
 * #define ccdEXP_COMPLETED      128
 * #define ccdEXP_FAILED         256
 * #define ccdEXP_ABORTED        512
 * #define ccdEXP_LOOP_FINITE   1024
 * #define ccdEXP_LOOP_INFINITE 2048
 *
 * #define ccdEXP_DONE \
 *        (ccdEXP_COMPLETED | ccdEXP_FAILED | ccdEXP_ABORTED)
 * #define ccdEXP_RUNNING \
 *        (ccdEXP_PENDING | ccdEXP_INTEGRATING | ccdEXP_PAUSED | \
 *         ccdEXP_READING | ccdEXP_PROCESSING | ccdEXP_TRANSFERING )
 * #define ccdEXP_LOOP \
 *        (ccdEXP_LOOP_FINITE | ccdEXP_LOOP_INFINITE)
 */
#define issalignEXP_LOOP_INFINITE 2048

/*
 * TCCD chip size parameters
 */
#define issalignTCCD_CHIP_SIZE_X    400
#define issalignTCCD_CHIP_SIZE_Y    290
#define issalingTCCD_BORDER_SIZE      2


/*
 * IRIS chip size parameters
 */
#define issalignIRIS_CHIP_SIZE_X    128
#define issalignIRIS_CHIP_SIZE_Y    128
#define issalingIRIS_BORDER_SIZE      2


/*
 * List of database attributes which must be read to compute TADC
 * (first block simply copied from issif data info table)
 */
//#define issalignTADC_NUM_LIST_ELEM      12
#define issalignTADC_OBS_WAVELEN        "<alias>issprs.waveLen"
#define issalignTADC_FNT_WAVELEN        "<alias>issprs.dlFntTrkWLen"
#define issalignTADC_ACT_RA             "isstrkws:data:position:actPos.RA"
#define issalignTADC_ACT_DEC            "isstrkws:data:position:actPos.dec"
#define issalignTADC_TEMPERATURE        "tcsmon:control:environment.temperature"
#define issalignTADC_PRESSURE           "tcsmon:control:environment.pressure"
#define issalignTADC_HUMIDITY           "tcsmon:control:environment.humidity"
#define issalignTADC_LONGITUDE          "issarray:data:site.longitude"
#define issalignTADC_LATITUDE           "issarray:data:site.latitude"
#define issalignTADC_HEIGTH             "issarray:data:site.height"

/* not available via issifGetByName() */
#define issalignTADC_ARAL_TCCD_WLEN     "<alias>issalignControl:"   \
                                         issalignDB_IMAGE_BASE ".aralTccdWaveLen"
#define issalignTADC_ARAL_IRIS_WLEN     "<alias>issalignControl:"   \
                                         issalignDB_IMAGE_BASE ":iris.irisWaveLenTable"
#define issalignTADC_EPOCH              "issprs.epoch"
#define issalignTADC_TL_RATE            "tcsmon:control:environment.lapseRate"

/* pi in radians */
#define issalignCONSTANT_PI             3.141592653589793238e+00

/*
 * Database attribute address for image alignment sensor
 */
#define issalignIAS_ATTR_ADDR           "<alias>issarrayControl:data.alignSensor"

/*
 * Database attribute address for flag whether TADC shall be applied
 */
#define issalignTADC_ATTR_ADDR          "<alias>issalignControl:imageAlign.tadcEnabled"

/*
 * Update interval for reference pixels when TADC enabled in laboratory guiding
 */
#define issalignIRIS_TADC_UPDATE_PIXEL_DB "<alias>issalignControl:imageAlign:iris.refPixUpdateInt"

/*
 * Flag whether cyclic update of reference pixels is active (when TADC enabled and laboratory guiding)
 */
#define issalignIRIS_TADC_CYC_REF_UPDATE_FLAG  "<alias>issalignControl:imageAlign:iris.cycPixUpdateFlag"

/*
 * Database attribute address for IAS instruments
 */
#define issalignIRIS_INS_TAB_ADDR       "<alias>issalignControl:imageAlign.insZeroWaveLen"

/*
 * Identifiers for image alignment sensors
 */
#define issalignIAS_NONE_ID     0
#define issalignIAS_TCCD_ID     1
#define issalignIAS_IRIS_ID     2
#define issalignIAS_CURR_ID     3

/*
 * Names of image alignment sensors
 */
#define issalignIAS_NONE_STR    "NONE"
#define issalignIAS_TCCD_STR    "TCCD"
#define issalignIAS_IRIS_STR    "IRIS"
#define issalignIAS_CURR_STR    "CURRENT"

/*
 * Number of filters for IRIS
 */
#define issalignIRIS_NUM_FILTERS    3

/*
 * Database attributes of command handler for commands to IRIS
 */
#define issalignIRIS_SEND_OBJ_PT        "<alias>issalignControl:imageAlign:iris:mIrisCmds"
#define issalignIRIS_SEND_OBJ_PT2       "<alias>issalignControl:imageAlign:iris:mIrisOffsCmds"
#define issalignIRIS_SEND_OBJ_PT3       "<alias>issalignControl:imageAlign:iris:mDownloadOnce"


/*
 * Number of valid input channels for IRIS and IRIS quadrants
 */
#define issalignNUM_INPUT_CH_FOR_IRIS   5
#define issalignNUM_IRIS_QUADRANTS      4


/*
 * Number of maximum allowed IRIS instruments
 */
#define issalignMAX_NUM_INS            64

#endif /* issalignDEFINES_H */
