#ifndef issprsACQ_STD_CMD_H
#define issprsACQ_STD_CMD_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsACQ_STD_CMD.h,v 2.56 2005/06/08 13:29:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rrollf    27/02/02  Added support for test utc by the TEST command
* rrollf    21/06/01  created
*/

/************************************************************************
 * Header file for class issprsACQ_STD_CMD
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhSTD_COMMANDS.h"
#include "issprs.h"

class issprsACQ_STD_CMD : public evhSTD_COMMANDS
    {
    public:
        issprsACQ_STD_CMD(const dbSYMADDRESS  dbPoint);
        ~issprsACQ_STD_CMD(void);

        evhCB_COMPL_STAT    TestCB(msgMESSAGE &msg, void *udata);
        vltLOGICAL          IsTestActive(void){return mTestOn;};
        ccsTIMEVAL          GetTestUtc(void){return mTestUtc;};

    private:
        /* Specified UTC for tat tests */
        ccsTIMEVAL          mTestUtc;
        char                mTestUtcString[32];
        vltLOGICAL          mTestOn;

    };

#endif /* !issprsACQ_STD_CMD_H */
