#ifndef issprsARAL_H
#define issprsARAL_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsARAL.h,v 2.56 2005/06/08 13:29:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rrollf    09/10/02  Renamed class issprsAH_ARAL to issprsARAL and
*                     derives now directly from evhDB_CMD_SERIAL.
*                     Class issprsAH_STD_MOD is no more needed for ARAL.
* rrollf    22/07/02  Created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "issprs.h"
#include "evhDB_CMD_SERIAL.h"

class issprsARAL : public evhDB_CMD_SERIAL
    {
    public:
        issprsARAL(const dbSYMADDRESS  dbPoint);
        ~issprsARAL(void);

        ccsCOMPL_STAT SetTarget(vltBYTES32 *targets);

        ccsCOMPL_STAT   Setup(const char     *setupMsgBuf,
                              evhDB_SEND_ID  *sendId = NULL,
                              evhDB_SEND_ID   waitId = 0,
                              vltLOGICAL     *done = NULL);

    protected:
        ccsCOMPL_STAT   SubstKeywords(const char *inputBuffer);


        const char     *mKeyword;
        const char     *mValue;
        char            mSetupBuffer[msgMAXLEN];

        cmdPARAM_LIST   mParamList;

        vltLOGICAL  emptyTargetList;

    };


#endif /*!issprsARAL_H*/

/* __oOo__ */
