#ifndef issprsSEQ_STD_COMMANDS_H
#define issprsSEQ_STD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsSEQ_STD_COMMANDS.h,v 2.56 2005/06/08 13:29:43 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jott     2005-03-21 Moved StatusCB() to issprsSEQ_MAIN_TASK
*                     to allow verbose reply (SPR VLTSW20040251)
* rrollf    14/01/03  Removed VerboseCB(), do not mirror this command.
* rrollf    30/04/01  third version (Version 1 of ISS)
* jott      14/03/01  created from dlprs for issprs
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhSTD_COMMANDS.h"
#include "issprs.h"

/* Defines */

class issprsSEQ_STD_COMMANDS : public evhSTD_COMMANDS
    {
    public:
        issprsSEQ_STD_COMMANDS(const dbSYMADDRESS  dbPoint);
        ~issprsSEQ_STD_COMMANDS();

    protected:
        virtual evhCB_COMPL_STAT  StateCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  StandByCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  OffCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  SelfTestCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  TestCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  SimulatCB(msgMESSAGE &msg, void *udata);
        virtual evhCB_COMPL_STAT  StopSimCB(msgMESSAGE &msg, void *udata);

        vltINT32          GlobalState();
        const char*       GlobalStateName();
        vltINT32          GlobalSubState();
        const char*       GlobalSubStateName();

    protected:
        virtual evhCB_COMPL_STAT  MirrorToOthers(msgMESSAGE &msg, void *udata);

    private:
        const dbSYMADDRESS  mDbBasePoint;
    };


#endif /*!issprsSEQ_STD_COMMANDS_H*/

/* __oOo__ */
