#ifndef isstrkwsQUERY_WCS_H
#define isstrkwsQUERY_WCS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: isstrkwsQUERY_WCS.h,v 2.23 2005/06/18 20:24:55 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* jott      2005-04-19  Created (SPR VLTSW20050128)
*/

/************************************************************************
 * Header file of the class isstrkwsQUERY_WCS which handles the GETWCS query
 * command
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/* local headers */
#include "evhTASK.h"
#include "isstrkwsQueryTypes.h"

class isstrkwsQUERY_WCS : public evhTASK
    {
    public:
        isstrkwsQUERY_WCS(const dbSYMADDRESS vltiBasePoint);
        ~isstrkwsQUERY_WCS(void);

        /*
         * Query commands callbacks
         */
        evhCB_COMPL_STAT         GetwcsCB(msgMESSAGE &msg, void *udata);

    protected:

    private:
        dbSYMADDRESS             mVltiBasePoint;
    };

#endif /*!isstrkwsQUERY_WCS_H*/
