#ifndef istREPORT_H
#define istREPORT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: istREPORT.h,v 1.49 2004/01/28 09:35:20 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  05/02/97  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#include "oslxSHORT_FITS.h"

class istREPORT: public eccsERROR_CLASS
{
  public:
    istREPORT();
    ~istREPORT();
    
    // Various methods
    ccsCOMPL_STAT Init(oslxDICTIONARY     &dictionary,
		       const slxFILENAME  defFile);
    
    ccsCOMPL_STAT LoadReportDef(const slxFILENAME defFile);
    ccsCOMPL_STAT GenerateReport(const slxFILENAME  reportName);

  private: 
    ccsCOMPL_STAT MonResolveDbRef(char          *dbRef,
				  dbSYMADDRESS  pointName,
				  dbATTRIBUTE   attribName);
    
    oslxSHORT_FITS       repDef_;
    oslxSHORT_FITS       newReport_;

    ///////////////////////////////////////////////////////
    char                 *charP_;
    slxKEYW_LINE         tmpBuf_, tmpBuf1_, tmpBuf2_;
    vltBYTES256          bytes256Val_;
    vltINT32             intVal_;
    vltFLOAT             floatVal_;
}; // end-class istREPORT


#endif /*!istREPORT_H*/
