#ifndef ixacKFILT_TRIGGER_LIST_H
#define ixacKFILT_TRIGGER_LIST_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ixacKFILT_TRIGGER_LIST.h,v 1.49 2005/04/08 12:44:33 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* marteau   21/05/99  created
* gzins     17/11/00  removed ATTOL macros
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "fndLIST.h"
#include "fndASSOCIATION.h"

#include "ixacKFILT_KEY.h"
#include "ixacKFILT_TRIGGER.h"

class ixacKFILT_TRIGGER_LIST: public fndLIST, public eccsERROR_CLASS
{
public:

    ixacKFILT_TRIGGER_LIST();
    virtual ~ixacKFILT_TRIGGER_LIST();

    virtual ccsCOMPL_STAT AddTrigger(const ixacKFILT_KEY &key,
                                     const ixacKFILT_TRIGGER &trigger);
    
    virtual ccsCOMPL_STAT Clear();

    fndStdObjectDef(ixacKFILT_TRIGGER_LIST, fndLIST);
    
private:
    // Declaration of copy constructor and assignment operator as private
    // methods, in order to hide them from the users.
    ixacKFILT_TRIGGER_LIST& operator=(const ixacKFILT_TRIGGER_LIST&);
    ixacKFILT_TRIGGER_LIST (const ixacKFILT_TRIGGER_LIST&);

};


#endif /*! ixacKFILT_TRIGGER_LIST_H */
