#ifndef msw_H
#define msw_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: msw.h,v 1.126 2005/09/26 14:24:00 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* awalland  21/05/96  Added field userField in MOD_RECORD
* mverola   03/04/96  Added mswFocusNameMap
* gchiozzi  07/09/95  Added mswStateNameMap
* gchiozzi  02/08/95  Added include to tcs.h
* awalland  08/06/95  created
*/

/************************************************************************
 *
 *   General include file for the "msw" module.
 *   It contains common definitions used in every component of the module
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/* Include with error messages */
#include "eccsTestTools.h"
#include "mswErrors.h" 

/* 
 *  Defines for the target telescope.
 *  The default target is VLT
 *  Up to now only VLT and NTT
 *  All other common defines used both in C/C++ code and dbLoader definitions
 */

#include "tcs.h"
#include "fndOBJECT.h"
#include "mswDefines.h"

#include "fndNAME_MAP.h"

extern fndNAME_MAP mswStateNameMap;
extern fndNAME_MAP mswFocusNameMap;

#endif /*!msw_H*/

