#ifndef mswALT_H
#define mswALT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mswALT.h,v 1.126 2005/09/26 14:24:05 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* pduhoux   24/10/98  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhDB_CMD_SERIAL.h"
#include "msw.h"

class mswALT : public evhDB_CMD_SERIAL
{
  public:
    mswALT(const dbSYMADDRESS  dbPoint);
    ~mswALT();
    
    // Command SHCLOSE "A" | "B"
    ccsCOMPL_STAT CloseShutter  (vltINT32       focus,
				 evhDB_SEND_ID *sendId=NULL, 
				 evhDB_SEND_ID  waitId=0); 
    // Command SHOPEN "A" | "B"
    ccsCOMPL_STAT OpenShutter   (vltINT32       focus,
				 evhDB_SEND_ID *sendId=NULL, 
				 evhDB_SEND_ID  waitId=0);
    // Command SHSTAT
    ccsCOMPL_STAT ShutterStatus (evhDB_SEND_ID *sendId=NULL, 
			         evhDB_SEND_ID waitId=0); 

};


#endif /*!mswALT_H*/
