#ifndef mswFOCUS_H
#define mswFOCUS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mswFOCUS.h,v 1.126 2005/09/26 14:24:00 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  04/07/96  created
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "eccsErr.h"
#include "evhDB_TASK.h"
#include "evhDB_SYNC.h"

#include "msw.h"

class mswCHANGE_FOCUS;

class mswFOCUS : public eccsERROR_CLASS
{
  public:
    mswFOCUS();
    mswFOCUS(const dbSYMADDRESS  dbPoint);
    ~mswFOCUS();

    vltINT32          CurrentFocus();
    const char       *CurrentFocusName();
    
  protected:
    mswFOCUS         &CurrentFocus(vltINT32 newFocus);

  private:
    eccsDB_INT32   *currentFocusDb;
    friend class    mswCHANGE_FOCUS;
};

#endif /*!mswFOCUS_H*/
