#ifndef prsAH_AO_H
#define prsAH_AO_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsAH_AO.h,v 1.117 2005/08/24 12:35:03 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  04/11/96  Added handler for STPWAIC command
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "evhDB_CMD_SERIAL.h"


class prsAH_AO : public evhDB_CMD_SERIAL
{
  public:
    prsAH_AO(const dbSYMADDRESS  dbPoint);
   ~prsAH_AO();

    virtual ccsCOMPL_STAT CalibratedFocusCorrection(
	                                  oslxSETUP &setup,
                                          evhDB_SEND_ID *sendId=NULL, 
                                          evhDB_SEND_ID waitId=0);
    virtual ccsCOMPL_STAT FocusCorrection(oslxSETUP &setup,
                                          evhDB_SEND_ID *sendId=NULL, 
					  evhDB_SEND_ID waitId=0);
    virtual ccsCOMPL_STAT Stop(
                                          oslxSETUP &setup,
                                          evhDB_SEND_ID *sendId=NULL, 
					  evhDB_SEND_ID waitId=0);

};


#endif /*!prsAH_AO_H*/
