#ifndef prsAH_GUIDE_H
#define prsAH_GUIDE_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsAH_GUIDE.h,v 1.117 2005/08/24 12:35:04 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  14/10/99  Removed FingGuideStar. FINDGS command obsolete.
* kwirenst  03/01/99  Added method Stop
* nttmgr    07/12/96  Added PrbToGuideStar() method
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "evhDB_CMD_SERIAL.h"

class prsAH_GUIDE : public evhDB_CMD_SERIAL
{
  public:
    prsAH_GUIDE(const dbSYMADDRESS  dbPoint);
    ~prsAH_GUIDE();
    
    virtual ccsCOMPL_STAT Preset(oslxSETUP &setup,
				 evhDB_SEND_ID *sendId=NULL, 
				 evhDB_SEND_ID waitId=0); 
    virtual ccsCOMPL_STAT PrbToGuideStar(oslxSETUP &setup,
					 evhDB_SEND_ID *sendId=NULL, 
					 evhDB_SEND_ID waitId=0); 
    virtual ccsCOMPL_STAT ObjectCenter(oslxSETUP &setup,
				       evhDB_SEND_ID *sendId=NULL, 
				       evhDB_SEND_ID waitId=0); 
    virtual ccsCOMPL_STAT Start(oslxSETUP &setup,
				evhDB_SEND_ID *sendId=NULL, 
				evhDB_SEND_ID waitId=0); 
    virtual ccsCOMPL_STAT Stop(evhDB_SEND_ID *sendId=NULL, 
				evhDB_SEND_ID waitId=0);
};


#endif /*!prsAH_GUIDE_H*/
