#ifndef prsAH_GUIDE_VLT_H
#define prsAH_GUIDE_VLT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsAH_GUIDE_VLT.h,v 1.117 2005/08/24 12:35:04 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rkarban  23/07/98  overload ObjectCenter method
* gchiozzi  02/01/98  Removed Preset() method. Using the base class implementation.
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "prsAH_GUIDE.h"

class prsAH_GUIDE_VLT : public prsAH_GUIDE
{
  public:
    prsAH_GUIDE_VLT(const dbSYMADDRESS  dbPoint);
    virtual ~prsAH_GUIDE_VLT();

    virtual ccsCOMPL_STAT Start(oslxSETUP &setup,
				evhDB_SEND_ID *sendId, 
				evhDB_SEND_ID waitId);
    virtual ccsCOMPL_STAT ObjectCenter(oslxSETUP &setup,
				       evhDB_SEND_ID *sendId=NULL, 
				       evhDB_SEND_ID waitId=0); 

    virtual ccsCOMPL_STAT StopRg(evhDB_SEND_ID *sendId=NULL, 
				evhDB_SEND_ID waitId=0);
  protected:

  private:     

};


#endif /*!prsAH_GUIDE_VLT_H*/
