#ifndef prsAH_M2_H
#define prsAH_M2_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsAH_M2.h,v 1.117 2005/08/24 12:35:03 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rabuter  16/11/98  Added PresetSetup
* pduhoux   23/10/98  New method StopChop
* rkarban   09/05/98  add method UpdateSkyCoord
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "evhDB_CMD_SERIAL.h"

class prsAH_M2 : public evhDB_CMD_SERIAL
{
  public:
    prsAH_M2(const dbSYMADDRESS  dbPoint);
   ~prsAH_M2();

   ccsCOMPL_STAT Preset(oslxSETUP &setup,
                        evhDB_SEND_ID *sendId=NULL, 
			evhDB_SEND_ID waitId=0); 
    
  ccsCOMPL_STAT prsAH_M2::PresetSetup(oslxSETUP &setup,
				      evhDB_SEND_ID *sendId=NULL, 
				      evhDB_SEND_ID waitId=0);

   ccsCOMPL_STAT UpdateSkyCoord(oslxSETUP &setup,
				evhDB_SEND_ID *sendId=NULL, 
				evhDB_SEND_ID waitId=0); 

   ccsCOMPL_STAT StopChop(oslxSETUP &setup,
			  evhDB_SEND_ID *sendId=NULL, 
			  evhDB_SEND_ID waitId=0); 

};


#endif /*!prsAH_M2_H*/
