#ifndef prsAH_MAIN_TASK_VLT_H
#define prsAH_MAIN_TASK_VLT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsAH_MAIN_TASK_VLT.h,v 1.117 2005/08/24 12:35:05 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* tcsmgr  23/10/98  Factorised Reset() of objects to allow extensions in subclass
* gchiozzi  28/04/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "prsAH_MAIN_TASK.h"
#include "prsAH_GUIDE_VLT.h"
#include "prsAH_ADC.h"
#include "prsAH_M2.h"
#include "prsAH_M1.h"

class prsAH_MAIN_TASK_VLT : public prsAH_MAIN_TASK
{
  public:
    prsAH_MAIN_TASK_VLT(const dbSYMADDRESS  dbPoint,
			prsAH_TRACK        &track, 
		        prsAH_GUIDE_VLT    &guide, 
		        prsAH_AO           &ao, 
		        prsAH_STD_MOD      &stdMod,  
		        prsAH_ADC          &adc,
		        prsAH_M2           &m2,
		        prsAH_M1           &m1);
   ~prsAH_MAIN_TASK_VLT();


  protected:
    virtual evhCB_COMPL_STAT  ExePresetCB(msgMESSAGE &msg, void *udata);
    virtual ccsCOMPL_STAT     PresetAbort(vltINT16 errorNumber);
    virtual ccsCOMPL_STAT     PresetAbortPermitted (vltLOGICAL &permitted, fndSTRING &reason);

    virtual ccsCOMPL_STAT     Reset();

    prsAH_GUIDE_VLT  &guide_vlt;

  private:
    prsAH_ADC &adc;
    prsAH_M2  &m2;
    prsAH_M1  &m1;
};


#endif /*!prsAH_MAIN_TASK_VLT_H*/
