#ifndef prsSEQ_STD_COMMANDS_H
#define prsSEQ_STD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: prsSEQ_STD_COMMANDS.h,v 1.117 2005/08/24 12:35:06 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  04/09/97  Removed version param in constructor: set in .C
* gchiozzi  02/04/96  Removed OnlineCB()
* gchiozzi  28/04/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "prs.h"
#include "evhSTD_COMMANDS.h"

class prsSEQ_STD_COMMANDS : public evhSTD_COMMANDS
{
  public:
    prsSEQ_STD_COMMANDS(const dbSYMADDRESS  dbPoint); 

    virtual evhCB_COMPL_STAT  StateCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StatusCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StandByCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  OffCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  SelfTestCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  TestCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  SimulatCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StopSimCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  VerboseCB(msgMESSAGE &msg, void *udata);

    vltINT32          GlobalState();
    const char*       GlobalStateName();
    vltINT32          GlobalSubState();
    const char*       GlobalSubStateName();

  protected:
    virtual evhCB_COMPL_STAT  MirrorToAction(msgMESSAGE &msg, void *udata);

  private:
    dbSYMADDRESS  dbBasePoint;
}; 

#endif /*!prsSEQ_STD_COMMANDS_H*/
