#ifndef tcs_H
#define tcs_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcs.h,v 1.153 2005/08/02 12:52:40 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  20/07/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ccs.h"
#include "db.h"
#include "eccsTestTools.h"
#include "tcsDefines.h"

/* 
 * Includes with error messages 
 */
#include "tcsErrors.h"

/*
 * New generic data types
 */

typedef vltDOUBLE vltRADIANS;
typedef vltDOUBLE vltDEGREES;
typedef vltDOUBLE vltMICRON;

/*
 * Prototypes for common functions
 */

vltLOGICAL    tcsDbSymbolicAccessible(const dbSYMADDRESS dbAddress);


#endif /*!tcs_H*/
