#ifndef tcsSTATE_H
#define tcsSTATE_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsSTATE.h,v 1.153 2005/08/02 12:52:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  --------------------------------------------------------
* rkarban 2002-07-25 make IsOnline virtual
* nfiebig   29/10/96  created
*/

/******************************************************************************
 * Declaration of class tcsSTATE.
 *-----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <fndOBJECT.h>
#include <fndSTRING.h>
#include <evhCALLBACK.h>
#include <evhDB_TASK.h>
#include <eccsDB_ATTR.h>
#include <fndNAME_MAP.h>

class tcsSTATE : public evhDB_TASK
{
  public:
    tcsSTATE(const dbSYMADDRESS dbPoint,
               fndNAME_MAP *newNameMap = NULL);
    virtual ~tcsSTATE();

    virtual vltLOGICAL  IsOnline();

  protected:
    static fndNAME_AND_INDEX defStateNames[];
    static fndNAME_MAP       defStateNameMap;

  private:
};

#endif // !tcsSTATE_H
