#ifndef tcsmonSchedHandler_H
#define _H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsmonSchedHandler.h,v 2.44 2005/09/07 07:02:25 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* imunoz 2000-07-14 created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#include "tcsBASE.h"
#include "tcsSTATE.h"
#include "tcsmonDefines.h"
#include "tcsmonSched.h"
#include "evhTIMER.h"

class tcsmonSchedHandler : public tcsSTATE
{
private:
  dbSYMADDRESS path;
  tcsmonSched *sched;
  evhTIMEOUT *timer;		// timer which triggers next logging cycle.
    evhTIMER *wd;
  ccsTIMEVAL  nextEvent;	// time for next event if t is not null.
  bool running;
  
protected:
    evhCB_COMPL_STAT TimeoutCB(msgMESSAGE &msg, void *);
    evhCB_COMPL_STAT WatchdogCB(evtEVENT_MSG &, void*);
public:
  tcsmonSchedHandler(const dbSYMADDRESS dbRoot);
  ~tcsmonSchedHandler();
  
  ccsCOMPL_STAT Init();
  ccsCOMPL_STAT Start();
  ccsCOMPL_STAT Stop();
  
  ccsCOMPL_STAT SetNextEvent(void);
  char *Status();
    ccsCOMPL_STAT Recover(void);
    
};
#endif /*!tcsmonSchedHandler_H*/
