#ifndef TOO_DEFINES_H
#define TOO_DEFINES_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tooDefines.h,v 1.45 2004/11/16 13:36:50 vltsccm Exp $" 
*
* who        when       what
* ---------- ---------- -------------------------------------------------
* ssandroc   27.11.1996 created
*/

/*
 * ----------------------------------------------------------------------
 * NOTE: this header is included by a dbl file. Use only defines herein!
 * ----------------------------------------------------------------------
 */

/*
 * Defines for tooCOM_PARAMS database class:
 */
/* default communication parameters */
#define tooCOM_DEBUG	   0	/* record transceived data in file [0,1]*/
#define tooCOM_BAUDRATE	9600	/* baudrate to use	[1200..9600]	*/
#define tooCOM_CHARBITS	   8	/* bits per character	[5..8]		*/
#define tooCOM_STOPBITS	   1	/* number of stop bits	[1..2]		*/
#define tooCOM_PARITY	   0	/* parity type [1:even, 0:none, -1:odd]	*/
#define tooCOM_HANDSHAKE   3	/* handshake [0:DTR,1:Xon,2:RTS,3:none]	*/
#define tooCOM_RECLEN	   0	/* iser record length [0:max, 1..1023]	*/
#define tooCOM_RXMODE	   0	/* iser receive mode (see iser) [0..7]	*/
#define tooCOM_TIMEOUT0	 100	/* iser 1st-char timeout [0,1..64K ms]	*/
#define tooCOM_TIMEOUT1	  50	/* iser ch-to-ch timeout [0,1..64K ms]	*/

#endif /*!TOO_DEFINES_H*/
