#ifndef TPTPFDIC
#define TPTPFDIC

/*
**  - - - - - - - - -
**   t p t p f d . h
**  - - - - - - - - -
**
**  TPOINT #include file for platform-dependent items.
**
**  !!! This version is for Unix platforms of !!!
**  !!! large capacity, including Linux PCs   !!!
**
**  Last revision:   9 December 1997
**
**  Copyright 1997 P.T.Wallace.  All rights reserved.
*/

/* Default names for report file and TPOINT initialization file */
#define REPTFD "/dev/null/"
#define TPTIFD "tpoint.ini"

/* Maximum number of observations */
#define LISTN 5000

/* Maximum number of terms in repertoire */
#define NTROOM 100

/* Maximum number of terms which can be fitted at once */
#define MAXTRM 50

/* Maximum number of command lines in the procedure library */
#define LINES 2000

/* Maximum size of star catalogue */
#define NSTMAX 5000

/* Standard length for command strings, file names etc */
#define LSTRNG 200

/* Maximum length of root HELP library name */
#define LHL 21

/* Maximum length of caption */
#define LCAPT 81

/* Maximum length of star catalogue entry */
#define LSTAR 101

/* Maximum number of graphics devices allowed */
#define MAXWK 10

/* Size of device name strings */
#define LWSN 31

#endif
