#ifndef trkws_H
#define trkws_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: trkws.h,v 1.166 2005/07/25 15:44:47 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* kwirenst  02/06/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/*
 *
 *   General include file for the "trkws" module.
 *   It contains common definitions used in every component of the module
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/* Include with error messages */
#include "eccsTestTools.h"

     
#include "trkwsErrors.h"
#include "msg.h"
#include "limits.h"

/*
 *       trkws module Defines
 */  


#include "trkwsDefines.h"

/*
 *  Value/Name conversion tables:
 *  Other applications sending or receiving these values/string
 *  can include this file and link the file trkws.C with the code
 *  for the mapping functions.
 */

#include "fndNAME_MAP.h"

extern fndNAME_MAP trkwsStateNameMap;

#include "db.h"

void trkwsStripChar(char *s, char c);

#endif /*!trkws_H*/

