#ifndef trkwsCON_STD_COMMANDS_H
#define trkwsCON_STD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: trkwsCON_STD_COMMANDS.h,v 1.166 2005/07/25 15:44:48 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rkarban  26/03/98   inherit from tcsSTD_COMMANDS instead of evhSTD_COMMANDS
* mnastvog  26/04/96  Moved ONLINE callback to trkwsCON_MAIN_COMMANDS 
*                     as needs to use methods of this class
* kwirenst  02/06/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "trkws.h"
#include "trkwsFOCUS_DATA.h"
#include "tcsSTD_COMMANDS.h"

class trkwsCON_STD_COMMANDS : public tcsSTD_COMMANDS
{
  public:
    trkwsCON_STD_COMMANDS(const dbSYMADDRESS  dbPoint, trkwsFOCUS_DATA &focusData);

    ~trkwsCON_STD_COMMANDS();


    virtual evhCB_COMPL_STAT  StateCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StatusCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StandByCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  OffCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  SelfTestCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  TestCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  SimulatCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  StopSimCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT  VerboseCB(msgMESSAGE &msg, void *udata);

    vltINT32          GlobalState();
    const char*       GlobalStateName();
    vltINT32          GlobalSubState();
    const char*       GlobalSubStateName();

  protected:
    trkwsFOCUS_DATA     &trkwsFocusData;
    virtual ccsCOMPL_STAT  MirrorToSetup(msgMESSAGE &msg, void *udata);

  private:
    dbSYMADDRESS  dbBasePoint;

}; 



#endif /*!_H*/
