#ifndef trkwsSELF_CMD_H
#define trkwsSELF_CMD_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: trkwsSELF_CMD.h,v 1.166 2005/07/25 15:44:52 vltsccm Exp $"
*
* who       when      what
* --------  --------  --------------------------------------------------------
* nfiebig   14/11/96  created
*/

/******************************************************************************
 * Declaration of class trkwsSELF_CMD.
 *-----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <fndSTRING.h>
#include <evhCALLBACK.h>
#include <evhOBJ_CALLBACK.h>
#include <evhTASK.h>
#include <evhCOMMAND.h>

#define DELETE_OBJECT(object) do                        \
                                    {                     \
                                    if (object != NULL)   \
                                        {                 \
                                        delete object;    \
                                        object = NULL;    \
                                        }                 \
                                    } while (0)


class trkwsSELF_CMD : public evhSIMPLE_TASK
{
  public:
    trkwsSELF_CMD();
    ~trkwsSELF_CMD();
    ccsCOMPL_STAT SetReplyHandler(evhCALLBACK &cb);
    ccsCOMPL_STAT SetErrorHandler(evhCALLBACK &cb);
    ccsCOMPL_STAT Send(msgCMD cmdName, const char *format, ...);
    void ResetCBs();
    void Reset();
    vltLOGICAL IsActive();
  void SetDescription(const char *setdescription);

  protected:
    evhCB_COMPL_STAT ReplyCB(msgMESSAGE &msg, void *);
    evhCB_COMPL_STAT ErrorCB(msgMESSAGE &msg, void *);

  private:
    evhCOMMAND        command;      // command which sent internally
    fndSTRING         description;  // description of purpose for error logging
    evhCALLBACK      *userReplyCB;  // user's reply handler
    evhCALLBACK      *userErrorCB;  // user's error reply handler
};

#endif // !trkwsSELF_CMD_H
