#ifndef trkwsTRANSFER_ASM_H
#define trkwsTRANSFER_ASM_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: trkwsTRANSFER_ASM.h,v 1.166 2005/07/25 15:44:51 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  25/08/95  Changed handling of dbDataPoint attribute
* gchiozzi  11/07/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhTIMER.h"
#include "trkwsTRANSFER.h"

class trkwsTRANSFER_ASM : public trkwsTRANSFER
{
  public:
    trkwsTRANSFER_ASM(const dbSYMADDRESS dbPoint, 
		      const dbSYMADDRESS destDbPoint = NULL,
	              const dbSYMADDRESS dbDataPoint = NULL);
    ~trkwsTRANSFER_ASM();

    ccsCOMPL_STAT Init();
    

    virtual evhCB_COMPL_STAT InitCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT ReadASMCB(msgMESSAGE &msg, void *udata);

  protected:


  private:
    evhTIMER    *timer;
    msgMESSAGE   ASMData;
    dbSYMADDRESS dataAddr;
    dbSYMADDRESS dbDataPoint;
    vltUINT32    errorCounter;
}; 



#endif /*!trkwsTRANSFER_ASM_H*/
