#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: babState_uifClass.tcl,v 1.30 2004/11/19 13:26:34 vltsccm Exp $" 
#
# babState_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.18
#   date   : Tue Feb 11 15:33:32 MET 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------

# Used only in EDITING
uplevel #0 lappend par(ENV_LIST) atdcsenv


class babState_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 413 -height 53 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOptionButton    $cv.babState-wdg1 -canvasAnchor nw  \
                      -command {babSendStandardCommand} -default OFF  \
                      -itemList {INIT STANDBY ONLINE STOP OFF SIMULAT STOPSIM SELFTST EXIT TEST {SETDBG ON} {SETDBG OFF}}  \
                      -length 10 -selectMode label -variable gvar(cmd) 
UifOutput          $cv.babState-wdg2 -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 1  \
                      -label {ENV}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 4 -variable gvar(babLcuEnv) -width 9 
UifOutputString    $cv.babState-wdg3 -anchor e -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -evtScript {panEvtDbUpdate babState-wdg3 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*  \
                      -labelWidth 0 -listColors {Blue Blue}  \
                      -listStrings {{} INITIALIZED} -listValues {0 1}  \
                      -variable gvar(.initialized) -width 11 
UifOutputString    $cv.babState-wdg4 -anchor e -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -evtScript {panEvtDbUpdate babState-wdg4 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColors {Blue Blue}  \
                      -listStrings {{} SIM} -listValues {0 1}  \
                      -variable gvar(.simulation) -width 4 
UifButton          $cv.babStateButton -bitmapFile uifStop.xbm  \
                      -canvasAnchor nw  \
		       -foreground Red -activeforeground Red \
                      -command {babSendStandardCommand STOP}  \
                      -initialState normal -popup 0  \
                      -stateVar gvar(babState-stop) -width 0 
UifOutputString    $cv.state -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate state %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {State}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 8  \
                      -listColors {magenta Red Orange Blue LimeGreen}  \
                      -listStrings {UNKNOWN OFF LOADED STANDBY ONLINE}  \
                      -listValues {0 1 2 3 4} -variable gvar(.state)  \
                      -width 8 
UifOutputString    $cv.subState -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate subState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {Substate}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 8  \
                      -listColors {LimeGreen Red Orange Blue Blue Blue Blue Blue}  \
                      -listStrings {IDLE ERROR TIMEOUT INITIALIZING ACTIVE MONITORING MOVING WAITING}  \
                      -listValues {0 1 2 3 4 5 6 7}  \
                      -variable gvar(.substate) -width 14 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.babState-wdg1)  {UifOptionButton 4 28 1 0 OFF 0 1 cmd 0 {}}
    set panWidget(${top}.babState-wdg2)  {UifOutput 32 4 1 0 0 0 1 babLcuEnv 0 %s {}}
    set panWidget(${top}.babState-wdg3)  {UifOutputString 328 4 1 1 0 0 1 .initialized 0 {}}
    set panWidget(${top}.babState-wdg4)  {UifOutputString 375 28 1 1 0 0 1 .simulation 0 {}}
    set panWidget(${top}.babStateButton)  {UifButton 144 4 1 0 0 0 1 {} 0 uifStop.xbm}
    set panWidget(${top}.state)  {UifOutputString 192 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.subState)  {UifOutputString 192 28 1 1 0 0 1 .substate 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.babState-wdg3)  [list out local .initialized 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.babState-wdg4)  [list out local .simulation 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.state)  [list out local .state 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.subState)  [list out local .substate 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.state)  {Global state of module}
    set panWidgetHlp(${top}.subState)  {Global substate of module}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
