#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: bltplot_defaults.tcl,v 1.4 2005/07/07 10:46:52 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# pbiereic  15/06/04  created
#

#************************************************************************
#   NAME
#   bltplot_defaults - Widget default option resource database
# 
#   SYNOPSIS
#   bltplot_defaults
# 
#   DESCRIPTION
#   Set widget default options.
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc bltplot_defaults { } {
    # use Rtd look-and-feel for control window
    set font "-Adobe-helvetica-bold-r-normal-*-12*"
    
    option add *BltplotCtrl*font $font
    option add *BltplotCtrl*background grey70
    option add *BltplotCtrl*foreground black
    option add *BltplotCtrl*selectColor green
    option add *BltplotCtrl*activeForeground black
    option add *BltplotCtrl*tearOff false
    option add *BltplotCtrl*borderWidth 2
    option add *BltplotCtrl*Bltplot2Entries.borderWidth 0
    option add *BltplotCtrl*Frame.relief groove
    
    option add *Bltplot2Entries*Entry.background grey80
    
    option add *BltplotGroup*Scrollbar.relief sunken
    option add *BltplotGroup*Scrollbar.width 10
    option add *BltplotGroup*Scrollbar.elementBorderWidth 1
    
    option add *Graph*font $font
    option add *Graph*axis.tickfont $font
    option add *Graph.Crosshairs.LineWidth 1
    option add *Graph.Crosshairs.Color gold
}

#
# ___bltplot___




