#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdDetector_uifClass.tcl,v 2.7 2005/05/11 03:10:37 vltsccm Exp $" 
#
# ccdDetector_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.56+
#   date   : Fri Feb 23 17:55:46 MEZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdDetector_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 734 -height 127 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifEntry           $cv.ccdDetector-wdg1 -maxVal 100 -minVal 0 \
                       -variable gvar(chip_1.id) -width 16 -canvasAnchor nw
    UifCheckButton     $cv.ccdDetector-wdg2 -offVal 0 -onVal 1 \
                       -label {Frame Transfer} -width 0 \
                       -variable gvar(.frameTransfer) -canvasAnchor nw
    UifCheckButton     $cv.ccdDetector-wdg3 -offVal 0 -onVal 1 \
                       -label Skipper -width 0 -variable gvar(.skipper) \
                       -canvasAnchor nw
    UifCheckButton     $cv.ccdDetector-wdg4 -offVal 0 -onVal 1 \
                       -label {MPP Supported} -width 0 -variable gvar(.mpp) \
                       -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg5 -maxVal 100 -minVal 0 \
                       -variable gvar(.yPixelSize) -width 4 -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg6 -maxVal 100 -minVal 0 \
                       -variable gvar(.xPixelSize) -width 4 -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg7 -maxVal 100 -minVal 0 \
                       -variable gvar(.yPixels) -width 4 -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg8 -maxVal 100 -minVal 0 \
                       -variable gvar(chip_1.description) -width 16 \
                       -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg9 -maxVal 100 -minVal 0 \
                       -variable gvar(chip_1.date) -width 10 -canvasAnchor nw
    UifEntry           $cv.ccdDetector-wdg10 -maxVal 100 -minVal 0 \
                       -variable gvar(.xPixels) -width 4 -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 303 6 -tags "text ccdDetector-item1 classItem ccdDetector" -anchor nw \
              -text "Detector" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 13 33 -tags "text ccdDetector-item2 classItem ccdDetector" -anchor nw \
              -text "Description " \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 159 32 -tags "text ccdDetector-item3 classItem ccdDetector" -anchor nw \
              -text "Identifier" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 291 35 -tags "text ccdDetector-item4 classItem ccdDetector" -anchor nw \
              -text "Date" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 324 34 -tags "text ccdDetector-item5 classItem ccdDetector" -anchor nw \
              -text "( dd/mm/yy )" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 483 54 -tags "text ccdDetector-item6 classItem ccdDetector" -anchor nw \
              -text "Chip Size" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 483 78 -tags "text ccdDetector-item7 classItem ccdDetector" -anchor nw \
              -text "Pixel Size" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 647 78 -tags "text ccdDetector-item8 classItem ccdDetector" -anchor nw \
              -text "( microns )" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 567 30 -tags "text ccdDetector-item9 classItem ccdDetector" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 611 30 -tags "text ccdDetector-item10 classItem ccdDetector" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdDetector-wdg1)  {UifEntry 155 52 1 1 {} 0 1 chip_1.id 0 A 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg10)  {UifEntry 555 52 1 1 {} 0 1 .xPixels 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg2)  {UifCheckButton 7 98 1 1 0 0 1 .frameTransfer 0 0 1 0 0 0}
    set panWidget(${top}.ccdDetector-wdg3)  {UifCheckButton 303 98 1 1 0 0 1 .skipper 0 0 1 0 0 0}
    set panWidget(${top}.ccdDetector-wdg4)  {UifCheckButton 155 98 1 1 0 0 1 .mpp 0 0 1 0 0 0}
    set panWidget(${top}.ccdDetector-wdg5)  {UifEntry 599 78 1 1 {} 0 1 .yPixelSize 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg6)  {UifEntry 555 78 1 1 {} 0 1 .xPixelSize 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg7)  {UifEntry 599 52 1 1 {} 0 1 .yPixels 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg8)  {UifEntry 11 52 1 1 {} 0 1 chip_1.description 0 A 0 100 0 0 0 0}
    set panWidget(${top}.ccdDetector-wdg9)  {UifEntry 303 52 1 1 {} 0 1 chip_1.date 0 A 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdDetector-wdg1)  {in local chip_1.id 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg10)  {in local .xPixels 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg2)  {in local .frameTransfer 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg3)  {in local .skipper 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg4)  {in local .mpp 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg5)  {in local .yPixelSize 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg6)  {in local .xPixelSize 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg7)  {in local .yPixels 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg8)  {in local chip_1.description 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.ccdDetector-wdg9)  {in local chip_1.date 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdDetector-wdg1)  {Unique identifier ESO-wide of the chip used}
    set panWidgetHlp(${top}.ccdDetector-wdg10)  {Horizontal chip size (number of columns)}
    set panWidgetHlp(${top}.ccdDetector-wdg2)  {The chip is of type frame-transfer (normally true for TCCDs only)}
    set panWidgetHlp(${top}.ccdDetector-wdg3)  {The chip supports multiple non-destructive readout of the same pixel (normally NOT se)}
    set panWidgetHlp(${top}.ccdDetector-wdg4)  {The chip supports MPP readout mode (normally for some SCCDs only)}
    set panWidgetHlp(${top}.ccdDetector-wdg5)  {Vertical pixel size (microns)}
    set panWidgetHlp(${top}.ccdDetector-wdg6)  {Horizontal pixel size (microns)}
    set panWidgetHlp(${top}.ccdDetector-wdg7)  {Vertical chip size (number of rows)}
    set panWidgetHlp(${top}.ccdDetector-wdg8)  {Description of the chip used}
    set panWidgetHlp(${top}.ccdDetector-wdg9)  {Date when the chip has been mounted and tested}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
