#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpSetupMulti_uifClass.tcl,v 2.7 2005/05/11 03:10:46 vltsccm Exp $" 
#
# ccdExpSetupMulti_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.12
#   date   : Tue Oct 14 19:25:45 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpSetupMulti_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 151 -height 157 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.ccdExpSetupMulti-wdg1 -anchor w \
                       -canvasAnchor nw -default F \
                       -label {same time as first} -offVal F -onVal T \
                       -variable gvar(setup.1142.DET.WIN1.ASUIT1) -width 0
    UifEntry           $cv.ccdExpSetupMulti-wdg2 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(multiRec) -width 2
    UifEntry           $cv.ccdExpSetupMulti-wdg3 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(multiTim) -width 5
    UifEntry           $cv.ccdExpSetupMulti-wdg4 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(multiRow) -width 3
    UifOptionButton    $cv.ccdExpSetupMulti-wdg5 -canvasAnchor nw \
                       -default list -itemList {Altern. Down Table} \
                       -itemValue {alternate idem list} -length 5 \
                       -selectMode value \
                       -variable gvar(setup.1143.DET.READ.SHIFTYP)
    UifEntry           $cv.ccdExpSetupMulti-wdg6 -canvasAnchor nw \
                       -default 1 -label sub-integr. \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 1 \
                       -variable gvar(setup.1141.DET.WIN1.NDIT) -width 2
    UifButton          $cv.multiDel -canvasAnchor nw -command ccdMstDelete \
                       -initialState normal -label Delete -popup 0 \
                       -stateVar gvar(multiDel) -width 6
    UifButton          $cv.multiMod -canvasAnchor nw -command ccdMstModify \
                       -initialState normal -label Modify -popup 0 \
                       -stateVar gvar(multiMod) -width 6
    UifListBox         $cv.multiSetup -canvasAnchor nw -default 0 -font 9x15 \
                       -geometry 12x1 -scrollx 0 -scrolly 1 \
                       -selectmode single \
                       -variable gvar(ccdExpSetupMulti-wdg9Var)

    #
    #  Canvas Items
    #

    $cv create text 3 66 -tags "text ccdExpSetupMulti-item1 classItem ccdExpSetupMulti" -anchor nw \
              -text "Rec  Time    Rows" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 4 46 -tags "text ccdExpSetupMulti-item2 classItem ccdExpSetupMulti" -anchor nw \
              -text "Shift mode" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpSetupMulti-wdg1)  {UifCheckButton 0 22 1 0 F 0 1 setup.1142.DET.WIN1.ASUIT1 0 0 1 0 0 0}
    set panWidget(${top}.ccdExpSetupMulti-wdg2)  {UifEntry 3 112 1 0 {} 0 1 multiRec 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdExpSetupMulti-wdg3)  {UifEntry 30 113 1 0 {} 0 1 multiTim 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdExpSetupMulti-wdg4)  {UifEntry 84 114 1 0 {} 0 1 multiRow 0 N 0 100 0 0 0 0}
    set panWidget(${top}.ccdExpSetupMulti-wdg5)  {UifOptionButton 71 42 1 0 list 0 1 setup.1143.DET.READ.SHIFTYP 0 {}}
    set panWidget(${top}.ccdExpSetupMulti-wdg6)  {UifEntry 0 -2 1 0 1 0 1 setup.1141.DET.WIN1.NDIT 0 N 1 100 0 0 0 0}
    set panWidget(${top}.multiDel)  {UifButton 73 136 1 0 0 0 1 multiDel 0 {}}
    set panWidget(${top}.multiMod)  {UifButton 3 134 1 0 0 0 1 multiMod 0 {}}
    set panWidget(${top}.multiSetup)  {UifListBox 2 83 1 0 0 0 1 ccdExpSetupMulti-wdg9Var 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdExpSetupMulti-wdg1)  {Use for all sub-integrations the integration time defined for step 1}
    set panWidgetHlp(${top}.ccdExpSetupMulti-wdg6)  {Number of sub-integrations for multi-step exposures}
    set panWidgetHlp(${top}.multiDel)  {Delete the selected record from the table}
    set panWidgetHlp(${top}.multiMod)  {Apply the entered values to the table}
    set panWidgetHlp(${top}.multiSetup)  {List of sub-integration characteristics}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
