#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdImageSetupOpt_uifClass.tcl,v 2.7 2005/05/11 03:10:45 vltsccm Exp $" 
#
# ccdImageSetupOpt_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.7
#   date   : Tue May 12 22:33:32 UTC 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdImageSetupOpt_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 296 -height 69 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.ccdImageSetupOpt-wdg1 -canvasAnchor nw \
                       -label {sim. image} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(setup.50.DET.READ.SIMIMG) -width 25
    UifOptionButton    $cv.imageType -canvasAnchor nw -default Normal \
                       -itemList {Normal Bias FF} -length 5 \
                       -selectMode label \
                       -variable gvar(setup.30.DET.FRAM.TYPE)
    UifEntry           $cv.imgNxfer -canvasAnchor nw -default 1 \
                       -label {Transfer rate} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 1 \
                       -variable gvar(setup.24.DET.FRAM.SAMPLE) -width 6
    UifCheckButton     $cv.imgxferSync -anchor w -canvasAnchor nw -default T \
                       -label asynchronously -offVal T -onVal F \
                       -variable gvar(setup.60.DET.FRAM.XFERSYN) -width 0
    UifCheckButton     $cv.rapidFrame -anchor nw -canvasAnchor nw \
                       -label {Display in rapid frame} -offVal 0 -onVal 1 \
                       -variable gvar(rtdRf) -width 0

    #
    #  Canvas Items
    #

    $cv create text 6 3 -tags "text ccdImageSetupOpt-item1 classItem ccdImageSetupOpt" -anchor nw \
              -text "Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdImageSetupOpt-wdg1)  {UifEntry 1 48 1 0 {} 0 1 setup.50.DET.READ.SIMIMG 0 A 0 100 0 0 0 0}
    set panWidget(${top}.imageType)  {UifOptionButton 42 1 1 0 Normal 0 1 setup.30.DET.FRAM.TYPE 0 {}}
    set panWidget(${top}.imgNxfer)  {UifEntry 0.0 24.0 1 0 1 0 1 setup.24.DET.FRAM.SAMPLE 0 N 1 100 0 0 0 0}
    set panWidget(${top}.imgxferSync)  {UifCheckButton 168 24 1 0 T 0 1 setup.60.DET.FRAM.XFERSYN 0 0 1 0 0 0}
    set panWidget(${top}.rapidFrame)  {UifCheckButton 128.0 0.0 1 0 0 0 1 rtdRf 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdImageSetupOpt-wdg1)  {Name of the FITS file containing an image to be used for simulated read-out (only when ACE is simulated on LCU)}
    set panWidgetHlp(${top}.imageType)  {Type of frame resulting from exposure}
    set panWidgetHlp(${top}.imgNxfer)  {Transfer one image to WS: Positive: out of N; Negative: every T ms}
    set panWidgetHlp(${top}.imgxferSync)  {Image is transfered asynchronously to WS}
    set panWidgetHlp(${top}.rapidFrame)  {Display image in rapid frame of VLT real-time display, instead of main frame}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
