#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdMainCtrl_uifClass.tcl,v 2.7 2005/05/11 03:10:39 vltsccm Exp $" 
#
# ccdMainCtrl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.15
#   date   : Thu Oct 30 13:16:03 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdMainCtrl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 958 -height 73 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.ccdChipId -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdChipId %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(detector:chip_1.id) -width 12
    UifOutput          $cv.ccdFitsLogMask -anchor w -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdFitsLogMask %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.logMask) -width 6
    UifOutput          $cv.ccdMainCtrl-id -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate ccdMainCtrl-id %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.id) -width 12
    UifButton          $cv.ccdMainCtrl-shutdown -canvasAnchor nw \
                       -command ccdShutdown -initialState normal \
                       -label Shutdown -popup 0 -stateVar gvar(ccdRunning) \
                       -width 8
    UifButton          $cv.ccdMainCtrl-startup -canvasAnchor nw \
                       -command ccdStartup -initialState normal \
                       -label Startup -popup 0 -stateVar gvar(ccdNotLoaded) \
                       -width 8
    UifOutputString    $cv.ccdMainCtrl-wdg1 -anchor center \
                       -canvasAnchor center -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdMainCtrl-wdg1 %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Red Red Black Blue Blue Blue Red} \
                       -listStrings {undefined {WS simulated} {no simulation} {LCU simulated} {ACE simulated} {HW simulated} undefined} \
                       -listValues {0 1 2 3 4 5 6} -variable gvar(.opMode) \
                       -width 15
    UifButton          $cv.ccdMainCtrl-wdg2 -canvasAnchor nw \
                       -command ccdInitialize -initialState normal \
                       -label Re-init -popup 0 -stateVar gvar(ccdRunning) \
                       -width 8
    UifOutput          $cv.ccdMainCtrl-wdg3 -anchor center \
                       -canvasAnchor center -color Black \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(camera) -width 10
    UifOutputString    $cv.ccdOpState -anchor center -canvasAnchor center \
                       -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdOpState %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Red Red Red Blue Black Red} \
                       -listStrings {undefined OFF loaded standby online undefined} \
                       -listValues {0 1 2 3 4 5} -variable gvar(.opState) \
                       -width 10
    UifOutput          $cv.ccdType -anchor center -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 1 -variable gvar(type) -width 10

    #
    #  Canvas Items
    #

    $cv create text 40 35 -tags "text ccdMainCtrl-item1 classItem ccdMainCtrl" -anchor w \
              -text "Camera                  ID                       Chip ID        OpsLog          Type                Simulation                                    State" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 388 0 -tags "text ccdMainCtrl-item2 classItem ccdMainCtrl" -anchor nw \
              -text "General" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdChipId)  {UifOutput 230 44 1 1 0 0 1 detector:chip_1.id 0 %s {}}
    set panWidget(${top}.ccdFitsLogMask)  {UifOutput 346 44 1 1 0 0 1 .logMask 0 %s {}}
    set panWidget(${top}.ccdMainCtrl-id)  {UifOutput 115.0 44.0 1 1 0 0 1 .id 0 %s {}}
    set panWidget(${top}.ccdMainCtrl-shutdown)  {UifButton 884.0 40.0 1 0 0 0 1 ccdRunning 0 {}}
    set panWidget(${top}.ccdMainCtrl-startup)  {UifButton 643.0 42.0 1 0 0 0 1 ccdNotLoaded 0 {}}
    set panWidget(${top}.ccdMainCtrl-wdg1)  {UifOutputString 574 56 1 1 0 0 1 .opMode 0 {}}
    set panWidget(${top}.ccdMainCtrl-wdg2)  {UifButton 811 40 1 0 0 0 1 ccdRunning 0 {}}
    set panWidget(${top}.ccdMainCtrl-wdg3)  {UifOutput 65.0 54.0 1 0 0 0 1 camera 0 %s {}}
    set panWidget(${top}.ccdOpState)  {UifOutputString 763.0 54.0 1 1 0 0 1 .opState 0 {}}
    set panWidget(${top}.ccdType)  {UifOutput 407.0 44.0 1 0 0 0 1 type 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdChipId)  [list out local detector:chip_1.id 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdFitsLogMask)  [list out local .logMask 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdMainCtrl-id)  [list out local .id 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdMainCtrl-wdg1)  [list out local .opMode 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdOpState)  [list out local .opState 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdChipId)  {Unique identifier of the chip or camera head used}
    set panWidgetHlp(${top}.ccdFitsLogMask)  {Mask for FITS Ops Logs}
    set panWidgetHlp(${top}.ccdMainCtrl-id)  {Unique identifier of the camera used}
    set panWidgetHlp(${top}.ccdMainCtrl-shutdown)  {Shutdown the complete CCD sw}
    set panWidgetHlp(${top}.ccdMainCtrl-startup)  {Startup the complete CCD sw}
    set panWidgetHlp(${top}.ccdMainCtrl-wdg1)  {current operational mode}
    set panWidgetHlp(${top}.ccdMainCtrl-wdg2)  {Re-initialize the CCD system and bring it online}
    set panWidgetHlp(${top}.ccdOpState)  {current system state}
    set panWidgetHlp(${top}.ccdType)  {Type of camera: scientific or technical}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
