
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdScanUpdate.tcl,v 2.7 2005/05/11 03:10:40 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# alongino  08/07/96  created
#

#************************************************************************
#   NAME
#   ccdScanUpdate - update status of scan system between CCD WS and LCU
# 
#   SYNOPSIS
#   ccdScanUpdate
# 
#   DESCRIPTION
#   Tcl procedure used within CCD GUI panels to update the status of
#   the scan system
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
proc ccdScanUpdate { } {                                          

   global gvar

   set gvar(scanControl) [dbRead ":ccs_config:scan config:LAN:$gvar(lcu).scan input control"]
   set gvar(scanStatus) [dbRead ":ccs_config:scan config:LAN:$gvar(lcu).scan input status"]
# do update scan state periodically every 2 secs
   after 2000 ccdScanUpdate
}


#
# ___oOo___


