#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdSetupIp_uifClass.tcl,v 2.7 2005/05/11 03:10:40 vltsccm Exp $" 
#
# ccdSetupIp_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Mon Aug  4 09:40:52 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdSetupIp_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 314 -height 120 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifCheckButton     $cv.ccdSetupIp-Bias -anchor center -canvasAnchor nw \
                       -label Bias -offVal F -onVal T -variable gvar(ipBias) \
                       -width 4
    UifCheckButton     $cv.ccdSetupIp-FF -anchor center -canvasAnchor nw \
                       -label FF -offVal F -onVal T -variable gvar(ipFF) \
                       -width 4
    UifCheckButton     $cv.ccdSetupIp-wdg1 -anchor center -canvasAnchor nw \
                       -default F -label Statistics -offVal F -onVal T \
                       -variable gvar(ipMinMax) -width 7
    UifRadioButton     $cv.ccdSetupIp-wdg2 -anchor center -canvasAnchor nw \
                       -default -3 -onVal -3 -variable gvar(ipThreshMode) \
                       -width 0
    UifCheckButton     $cv.ccdSetupIp-wdg3 -anchor center -canvasAnchor nw \
                       -default none -label Centroiding -offVal none \
                       -onVal threshold -variable gvar(ipCentroid) -width 9
    UifRadioButton     $cv.ccdSetupIp-wdg4 -anchor center -canvasAnchor nw \
                       -default -1 -onVal 0 -variable gvar(ipThreshMode) \
                       -width 0
    UifEntry           $cv.ccdSetupIp-wdg5 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 70000 -minVal 0 \
                       -variable gvar(ipThreshVal) -width 4
    UifEntry           $cv.ccdSetupIp-wdg6 -canvasAnchor nw -default 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 1 \
                       -variable gvar(ipRefX) -width 3
    UifEntry           $cv.ccdSetupIp-wdg7 -canvasAnchor nw -default 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 1 \
                       -variable gvar(ipRefY) -width 3
    UifCheckButton     $cv.ccdSetupIp-wdg8 -anchor center -canvasAnchor nw \
                       -default 0 -label Func. -offVal 0 -onVal 1 \
                       -variable gvar(ipUsrFlag) -width 0
    UifEntry           $cv.ccdSetupIp-wdg9 -canvasAnchor nw -default None \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(ipUsrFunc) -width 15
    UifEntry           $cv.ccdSetupIp-wdg10 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(ipUsrBuff) -width 10
    UifRadioButton     $cv.ccdSetupIp-wdg11 -anchor center -canvasAnchor nw \
                       -default -1 -onVal -11 -variable gvar(ipBackMode) \
                       -width 0
    UifEntry           $cv.ccdSetupIp-wdg12 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 0 \
                       -variable gvar(ipOffLLX) -width 3
    UifEntry           $cv.ccdSetupIp-wdg13 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 0 \
                       -variable gvar(ipOffLLY) -width 3
    UifEntry           $cv.ccdSetupIp-wdg14 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 0 \
                       -variable gvar(ipOffURX) -width 3
    UifEntry           $cv.ccdSetupIp-wdg15 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 0 \
                       -variable gvar(ipOffURY) -width 3
    UifRadioButton     $cv.ccdSetupIp-wdg16 -anchor center -canvasAnchor nw \
                       -default -1 -onVal 0 -variable gvar(ipBackMode) \
                       -width 0
    UifRadioButton     $cv.ccdSetupIp-wdg17 -anchor center -canvasAnchor nw \
                       -default -1 -onVal -1 -variable gvar(ipBackMode) \
                       -width 0
    UifEntry           $cv.ccdSetupIp-wdg18 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 70000 -minVal 0 \
                       -variable gvar(ipBackVal) -width 4
    UifRadioButton     $cv.ccdSetupIp-wdg19 -anchor center -canvasAnchor nw \
                       -default -3 -onVal -13 -variable gvar(ipThreshMode) \
                       -width 0

    #
    #  Canvas Items
    #

    $cv create text 1 43 -tags "text ccdSetupIp-item1 classItem ccdSetupIp" -anchor nw \
              -text "Reference" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 73 24 -tags "text ccdSetupIp-item2 classItem ccdSetupIp" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 108 24 -tags "text ccdSetupIp-item3 classItem ccdSetupIp" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 194 105 -tags "text ccdSetupIp-item4 classItem ccdSetupIp" -anchor nw \
              -text "Buff." \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 131 42 -tags "text ccdSetupIp-item5 classItem ccdSetupIp" -anchor nw \
              -text "Backgr." \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 132 70 -tags "text ccdSetupIp-item6 classItem ccdSetupIp" -anchor nw \
              -text "Thresh." \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 165 23 -tags "text ccdSetupIp-item7 classItem ccdSetupIp" -anchor nw \
              -text "comp.  win1  fixed" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 3 64 -tags "text ccdSetupIp-item8 classItem ccdSetupIp" -anchor nw \
              -text "LL offset" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 2 85 -tags "text ccdSetupIp-item9 classItem ccdSetupIp" -anchor nw \
              -text "UR offset" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdSetupIp-Bias)  {UifCheckButton 187.0 1.0 1 0 F 0 1 ipBias 0 0 1 0 0 0}
    set panWidget(${top}.ccdSetupIp-FF)  {UifCheckButton 243.0 1.0 1 0 F 0 1 ipFF 0 0 1 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg1)  {UifCheckButton 103.0 1.0 1 0 F 0 1 ipMinMax 0 0 1 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg10)  {UifEntry 221.0 101.0 1 0 {} 0 1 ipUsrBuff 0 A {} {} 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg11)  {UifRadioButton 209 36 1 0 -1 0 1 ipBackMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg12)  {UifEntry 67 60 1 0 0 0 1 ipOffLLX 0 N 0 1000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg13)  {UifEntry 101.0 60.0 1 0 0 0 1 ipOffLLY 0 N 0 1000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg14)  {UifEntry 68 81 1 0 0 0 1 ipOffURX 0 N 0 1000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg15)  {UifEntry 101.0 81.0 1 0 0 0 1 ipOffURY 0 N 0 1000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg16)  {UifRadioButton 237.0 36.0 1 0 -1 0 1 ipBackMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg17)  {UifRadioButton 181.0 37.0 1 0 -1 0 1 ipBackMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg18)  {UifEntry 263.0 38.0 1 0 0 0 1 ipBackVal 0 N 0 70000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg19)  {UifRadioButton 208 62 1 0 -3 0 1 ipThreshMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg2)  {UifRadioButton 181 63 1 0 -3 0 1 ipThreshMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg3)  {UifCheckButton 3.0 1.0 1 0 none 0 1 ipCentroid 0 0 1 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg4)  {UifRadioButton 237.0 62.0 1 0 -3 0 1 ipThreshMode 0 0 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg5)  {UifEntry 264.0 66.0 1 0 0 0 1 ipThreshVal 0 N 0 70000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg6)  {UifEntry 66 40 1 0 1 0 1 ipRefX 0 N 1 10000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg7)  {UifEntry 100.0 40.0 1 0 1 0 1 ipRefY 0 N 1 10000 0 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg8)  {UifCheckButton 2 103 1 0 0 0 1 ipUsrFlag 0 0 1 0 0 0}
    set panWidget(${top}.ccdSetupIp-wdg9)  {UifEntry 68.0 103.0 1 0 None 0 1 ipUsrFunc 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdSetupIp-Bias)  {A bias subtraction has to be performed on the image}
    set panWidgetHlp(${top}.ccdSetupIp-FF)  {A Flat Field correction has to be performed on the image}
    set panWidgetHlp(${top}.ccdSetupIp-wdg1)  {Compute the minimum and maximum value in an image}
    set panWidgetHlp(${top}.ccdSetupIp-wdg10)  {user function buffer name}
    set panWidgetHlp(${top}.ccdSetupIp-wdg11)  {background taken from calculation on previous frame (meaningful only for window 2)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg12)  {Horizontal Offset to lower left corner of frame been read-out (always >=0)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg13)  {Vertical Offset to lower left corner of frame been read-out (always >=0)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg14)  {Horizontal Offset to upper right corner of frame been read-out (always >=0)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg15)  {Vertical Offset to upper right corner of frame been read-out (always >=0)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg16)  {Use the next value as background level}
    set panWidgetHlp(${top}.ccdSetupIp-wdg17)  {background computed as average over this frame}
    set panWidgetHlp(${top}.ccdSetupIp-wdg19)  {Take threshold value computed for previous frame (meaningful only for window 2)}
    set panWidgetHlp(${top}.ccdSetupIp-wdg2)  {Threshold computed as 3*sigma}
    set panWidgetHlp(${top}.ccdSetupIp-wdg3)  {Compute the centroiding of an image}
    set panWidgetHlp(${top}.ccdSetupIp-wdg4)  {Use the next value as threshold level}
    set panWidgetHlp(${top}.ccdSetupIp-wdg6)  {X coordinate of the reference point}
    set panWidgetHlp(${top}.ccdSetupIp-wdg7)  {Y coordinate of the reference point}
    set panWidgetHlp(${top}.ccdSetupIp-wdg8)  {select user function}
    set panWidgetHlp(${top}.ccdSetupIp-wdg9)  {Name of user function}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
