#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdSysStatus_uifClass.tcl,v 2.7 2005/05/11 03:10:41 vltsccm Exp $" 
#
# ccdSysStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.9
#   date   : Wed Sep 09 12:26:46 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdSysStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 147 -height 77 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutputString    $cv.ccdReadoutError -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate ccdReadoutError %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 0 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 -listColors {Black Red Blue} \
                       -listStrings {{} {readout FAILURE} {readout ABORTED}} \
                       -listValues {2 3 4} -variable gvar(readout.status) \
                       -width 15
    UifOutputString    $cv.ccdReadoutState -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate ccdReadoutState %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 0 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 -listColors {Black Black Black} \
                       -listStrings {{} Wiping {}} -listValues {0 1 2} \
                       -variable gvar(readout.subState) -width 6
    UifOutputString    $cv.ccdShutterStatus -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdShutterStatus %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 -listColors {Red Black Red} \
                       -listStrings {{Shutter Failure} {} {Shutter OPEN}} \
                       -listValues {-2 0 1} -variable gvar(shutter.status) \
                       -width 15

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdReadoutError)  {UifOutputString 5 51 1 1 0 0 1 readout.status 0 {}}
    set panWidget(${top}.ccdReadoutState)  {UifOutputString 4 28 1 1 0 0 1 readout.subState 0 {}}
    set panWidget(${top}.ccdShutterStatus)  {UifOutputString 3 2 1 1 0 0 1 shutter.status 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdReadoutError)  [list out local readout.status 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdReadoutState)  [list out local readout.subState 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdShutterStatus)  [list out local shutter.status 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
