#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdWindow_uifClass.tcl,v 2.7 2005/05/11 03:10:42 vltsccm Exp $" 
#
# ccdWindow_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.73
#   date   : Wed Feb 26 16:14:39 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdWindow_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 167 -height 143 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.ccdWindow-wdg1 -canvasAnchor nw -maxVal 10000 \
                       -minVal 0 -variable gvar(Ny) -width 4
    UifEntry           $cv.ccdWindow-wdg2 -canvasAnchor nw -maxVal 10000 \
                       -minVal 0 -variable gvar(Nx) -width 4
    UifBitmap          $cv.ccdWindow-wdg3 -canvasAnchor nw -frame flat \
                       -hotSpot 0 -hotSpotColor Red
    UifEntry           $cv.ccdWindow-wdg4 -canvasAnchor nw -maxVal 10000 \
                       -minVal 0 -variable gvar(Strx) -width 4
    UifEntry           $cv.ccdWindow-wdg5 -canvasAnchor nw -maxVal 10000 \
                       -minVal 0 -variable gvar(Stry) -width 4

    #
    #  Canvas Items
    #

    $cv create text 85 126 -tags "text ccdWindow-item1 classItem ccdWindow" -anchor nw \
              -text "First Pixel" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 14 106 -tags "text ccdWindow-item2 classItem ccdWindow" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 56 107 -tags "text ccdWindow-item3 classItem ccdWindow" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 109 53 -tags "text ccdWindow-item4 classItem ccdWindow" -anchor nw \
              -text "Width" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 84 109 -tags "text ccdWindow-item5 classItem ccdWindow" -anchor nw \
              -text "Coordinates" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 111 13 -tags "text ccdWindow-item6 classItem ccdWindow" -anchor nw \
              -text "Height" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdWindow-wdg1)  {UifEntry 111 32 1 0 20 0 1 Ny 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.ccdWindow-wdg2)  {UifEntry 111 68 1 0 20 0 1 Nx 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.ccdWindow-wdg3)  {UifBitmap 4 4 1 0 0 0 1 {} 0 ccdWindow.xbm}
    set panWidget(${top}.ccdWindow-wdg4)  {UifEntry 5 122 1 0 1 0 1 Strx 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.ccdWindow-wdg5)  {UifEntry 45 121 1 0 1 0 1 Stry 0 N 0 10000 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
