#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpStatus_uifClass.tcl,v 2.7 2005/05/11 03:10:38 vltsccm Exp $" 
#
# ccdExpStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.15
#   date   : Thu Oct 30 12:04:39 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 208 -height 75 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.ccdExpReptCur -anchor center -canvasAnchor nw \
                       -color Red -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpReptCur %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expRepeatCur) \
                       -width 10
    UifOutput          $cv.ccdExpTimeRem -anchor center -canvasAnchor nw \
                       -color Red -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpTimeRem %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.timeRem) -width 7
    UifOutputString    $cv.ccdStatus -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdStatus %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -listColors {Black Blue Red Red Red Red Red Red Red Red Red Black Red Red Red} \
                       -listStrings {Idle Setup Integrating Paused Reading Processing Read&Process Transfering Read&Transfer Process&Transfer Read&Process&Transfer Finished Failure Aborted {Loop active}} \
                       -listValues {1 2 4 8 16 32 48 64 80 96 112 128 256 512 1024} \
                       -variable gvar(exposures:exposure_1.expStatus) \
                       -width 21

    #
    #  Canvas Items
    #

    $cv create text 3 30 -tags "text ccdExpStatus-item1 classItem ccdExpStatus" -anchor nw \
              -text "Remaining time (sec)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 5 53 -tags "text ccdExpStatus-item2 classItem ccdExpStatus" -anchor nw \
              -text "Loop count" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpReptCur)  {UifOutput 114 51 1 1 0 0 1 exposures:exposure_1.expRepeatCur 0 {} {}}
    set panWidget(${top}.ccdExpTimeRem)  {UifOutput 139 26 1 1 0 0 1 exposures:exposure_1.timeRem 0 %.0f {}}
    set panWidget(${top}.ccdStatus)  {UifOutputString 7 4 1 1 0 0 1 exposures:exposure_1.expStatus 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdExpReptCur)  [list out local exposures:exposure_1.expRepeatCur 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdExpTimeRem)  [list out local exposures:exposure_1.timeRem 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdStatus)  [list out local exposures:exposure_1.expStatus 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
