#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccseiDbMonCommands_uifClass.tcl,v 3.11 2005/09/14 14:11:18 vltsccm Exp $" 
#
# ccseiDbMonCommands_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.32+
#   date   : Tue Jan 11 15:54:41 MET 2005
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccseiDbMonCommands_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 834 -height 141 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifButton          $cv.ccseiDbMonCommands-wdg1 -canvasAnchor nw  \
                      -command {ccseiDbMonAction REMOVE}  \
                      -initialState normal -label {Remove} -popup 0  \
                      -stateVar gvar(ccseiDbMonCommands-wdg1Var)  \
                      -width 10 
UifRadioButton     $cv.ccseiDbMonCommands-wdg2 -anchor w -canvasAnchor nw  \
                      -command {ccseiDbModifyAction} -default 0  \
                      -label {Read} -onVal 0 -variable gvar(dbModifyMode)  \
                      -width 0 
UifRadioButton     $cv.ccseiDbMonCommands-wdg3 -anchor w -canvasAnchor nw  \
                      -command {ccseiDbModifyAction} -default 0  \
                      -label {Write} -onVal 1  \
                      -variable gvar(dbModifyMode) -width 0 
UifRadioButton     $cv.ccseiDbMonCommands-wdg4 -anchor w -canvasAnchor nw  \
                      -command {ccseiDbModifyAction} -default 0  \
                      -label {Move To List} -onVal 2  \
                      -variable gvar(dbModifyMode) -width 0 
UifButton          $cv.ccseiDbMonCommands-wdg5 -canvasAnchor nw  \
                      -command {ccseiDbMonAction MODIFY}  \
                      -initialState normal -label {Modify} -popup 0  \
                      -stateVar gvar(ccseiDbMonCommands-wdg1Var)  \
                      -width 10 
UifButton          $cv.ccseiDbMonCommands-wdg6 -canvasAnchor nw  \
                      -command {ccseiDbMonAction MOVE_DOWN}  \
                      -initialState normal -label {Move Down} -popup 0  \
                      -stateVar gvar(ccseiDbMonCommands-wdg1Var)  \
                      -width 10 
UifButton          $cv.ccseiDbMonCommands-wdg7 -canvasAnchor nw  \
                      -command {ccseiDbMonAction MOVE_UP}  \
                      -initialState normal -label {Move Up} -popup 0  \
                      -stateVar gvar(ccseiDbMonCommands-wdg1Var)  \
                      -width 10 
UifCheckButton     $cv.ccseiDbMonCommands-wdg8 -anchor w -canvasAnchor nw  \
                      -command {ccseiDbUpdateList} -default 1  \
                      -label {Activate Monitor} -offVal 0 -onVal 1  \
                      -variable gvar(dbMonActive) -width 0 
UifScale           $cv.ccseiDbMonCommands-wdg9 -canvasAnchor nw  \
                      -default 0 -digits 0 -length 100 -maxVal 60  \
                      -minVal 1 -orient h -resolution 1  \
                      -variable gvar(dbUpdatePeriod) 
UifOutputLed       $cv.ccseiDbMonCommands-wdg10 -canvasAnchor nw  \
                      -colorOff Gray90 -colorOn Blue -flashTime 500  \
                      -flashing 1 -label {Updating Period (sec)}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*-iso8859-1  \
                      -labelWidth 0 -variable gvar(dbUpdateLed) 
UifButton          $cv.ccseiDbMonCommands-wdg11 -canvasAnchor nw  \
                      -command {ccseiDbOpenFile} -initialState normal  \
                      -label {Open File} -popup 0  \
                      -stateVar gvar(ccseiDbMonCommands-wdg11Var)  \
                      -width 10 
UifCheckButton     $cv.ccseiDbMonCommands-wdg12 -anchor w  \
                      -canvasAnchor nw -default 0 -label {Auto Name}  \
                      -offVal 0 -onVal 1 -variable gvar(dbAutoName)  \
                      -width 0 
UifCheckButton     $cv.ccseiDbMonCommands-wdg13 -anchor w  \
                      -canvasAnchor nw -default 0 -label {Record}  \
                      -offVal 0 -onVal 1 -variable gvar(dbRecordOnFile)  \
                      -width 0 
UifEntry           $cv.wdgFileName -canvasAnchor nw -label {File Name}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 10 -maxVal 100 -minVal 0  \
                      -variable gvar(ccseiDbFile) -width 55 
UifEntry           $cv.wdgModifyAttribute -canvasAnchor nw  \
                      -label {Attribute}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 10 -maxVal 100 -minVal 0  \
                      -variable gvar(dbModifyAttribute) -width 55 
UifEntry           $cv.wdgModifyValue -canvasAnchor nw -label {Value}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 10 -maxVal 100 -minVal 0  \
                      -variable gvar(dbModifyValue) -width 90 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccseiDbMonCommands-wdg1)  {UifButton 8 12 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.ccseiDbMonCommands-wdg10)  {UifOutputLed 540 16 1 0 0 0 1 dbUpdateLed 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg11)  {UifButton 560 112 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.ccseiDbMonCommands-wdg12)  {UifCheckButton 652 112 1 0 0 0 1 dbAutoName 0 0 1 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg13)  {UifCheckButton 756 112 1 0 0 0 1 dbRecordOnFile 0 0 1 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg2)  {UifRadioButton 560 56 1 0 0 0 1 dbModifyMode 0 0 0 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg3)  {UifRadioButton 632 56 1 0 0 0 1 dbModifyMode 0 0 0 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg4)  {UifRadioButton 704 56 1 0 0 0 1 dbModifyMode 0 0 0 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg5)  {UifButton 100 12 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.ccseiDbMonCommands-wdg6)  {UifButton 216 12 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.ccseiDbMonCommands-wdg7)  {UifButton 308 12 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.ccseiDbMonCommands-wdg8)  {UifCheckButton 700 16 1 0 1 0 1 dbMonActive 0 0 1 0 0 0}
    set panWidget(${top}.ccseiDbMonCommands-wdg9)  {UifScale 432 0 1 0 0 0 1 dbUpdatePeriod 0 0 1 60 0 0}
    set panWidget(${top}.wdgFileName)  {UifEntry 12 116 1 0 {} 0 1 ccseiDbFile 0 N 0 100 0 0 0 0}
    set panWidget(${top}.wdgModifyAttribute)  {UifEntry 11 60 1 0 {} 0 1 dbModifyAttribute 0 N 0 100 0 0 0 0}
    set panWidget(${top}.wdgModifyValue)  {UifEntry 11 84 1 0 {} 0 1 dbModifyValue 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
