#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdCryostat_uifClass.tcl,v 2.83 2005/09/30 08:26:28 vltsccm Exp $" 
#
# fcdCryostat_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.54+
#   date   : Mon Feb  5 08:58:15 MEZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdCryostat_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 413 -height 57 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifEntry           $cv.fcdCryostat-wdg1 -variable gvar(.description) \
                       -width 16 -canvasAnchor nw
    UifEntry           $cv.fcdCryostat-wdg2 -variable gvar(.id) -width 16 \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 6 9 -tags "text fcdCryostat-item1 classItem fcdCryostat" -anchor nw \
              -text "Description" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 154 9 -tags "text fcdCryostat-item2 classItem fcdCryostat" -anchor nw \
              -text "Identifier" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdCryostat-wdg1)  {UifEntry 6 33 1 1 {} 0 1 .description 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdCryostat-wdg2)  {UifEntry 154 33 1 1 {} 0 1 .id 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdCryostat-wdg1)  {in local .description 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdCryostat-wdg2)  {in local .id 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
