#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExpCtrl_uifClass.tcl,v 2.83 2005/09/30 08:26:28 vltsccm Exp $" 
#
# fcdExpCtrl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.4
#   date   : Tue May 26 10:12:16 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExpCtrl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 257 -height 234 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.fcdExpCtrl-wdg1 -canvasAnchor nw \
                       -command fcdStart -initialState normal -label Start \
                       -popup 0 -stateVar gvar(notRunning) -width 12
    UifButton          $cv.fcdExpCtrl-wdg2 -canvasAnchor nw \
                       -command fcdStopWipe -initialState normal \
                       -label {Stop wipe} -popup 0 -stateVar gvar(wiping) \
                       -width 12
    UifButton          $cv.fcdExpCtrl-wdg3 -canvasAnchor nw \
                       -command fcdChangeTime -initialState normal \
                       -label {Change time} -popup 0 -stateVar gvar(running) \
                       -width 12
    UifButton          $cv.fcdExpCtrl-wdg4 -canvasAnchor nw \
                       -command fcdPause -initialState normal -label Pause \
                       -popup 0 -stateVar gvar(notPaused) -width 12
    UifButton          $cv.fcdExpCtrl-wdg5 -canvasAnchor nw \
                       -command fcdContinue -initialState disabled \
                       -label Continue -popup 0 -stateVar gvar(paused) \
                       -width 12
    UifButton          $cv.fcdExpCtrl-wdg6 -canvasAnchor nw -command fcdStop \
                       -initialState normal -label {Stop integr} -popup 0 \
                       -stateVar gvar(running) -width 12
    UifButton          $cv.fcdExpCtrl-wdg7 -canvasAnchor nw \
                       -command {panCallPanel fcdTelemetry "gvar(maint)=$gvar(maint)" "simul=$simul"} \
                       -initialState normal -label Telemetry -popup 1 \
                       -stateVar gvar(fcdTel) -width 12
    UifButton          $cv.fcdExpCtrl-wdg8 -canvasAnchor nw -command fcdWipe \
                       -initialState normal -label Wipe -popup 0 \
                       -stateVar gvar(notWiping) -width 12
    UifButton          $cv.fcdExpCtrl-wdg9 -canvasAnchor nw \
                       -command fcdPerWipe -initialState normal \
                       -label {Per. wipe} -popup 0 -stateVar gvar(notWiping) \
                       -width 12
    UifButton          $cv.fcdExpCtrl-wdg10 -canvasAnchor nw \
                       -command fcdStopLoop -initialState disabled \
                       -label {Stop loop} -popup 0 \
                       -stateVar gvar(loopRunning) -width 12
    UifButton          $cv.fcdExpCtrl-wdg11 -canvasAnchor nw \
                       -command fcdStartDisplay -initialState normal \
                       -label {Start Display} -popup 0 \
                       -stateVar gvar(fcdExpCtrl-wdg12) -width 12
    UifButton          $cv.fcdExpCtrl-wdg12 -canvasAnchor nw \
                       -command fcdAbort -initialState normal -label Abort \
                       -popup 0 -stateVar gvar(running) -width 12

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdExpCtrl-wdg1)  {UifButton 10 15 1 0 0 0 1 notRunning 0 {} gvar(notRunning)}
    set panWidget(${top}.fcdExpCtrl-wdg10)  {UifButton 10 195 0 0 0 0 1 loopRunning 0 {} gvar(running)}
    set panWidget(${top}.fcdExpCtrl-wdg11)  {UifButton 150 135 1 0 0 0 1 fcdExpCtrl-wdg12 0 {}}
    set panWidget(${top}.fcdExpCtrl-wdg12)  {UifButton 10 165 1 0 0 0 1 running 0 {} gvar(running)}
    set panWidget(${top}.fcdExpCtrl-wdg2)  {UifButton 150 75 1 0 0 0 1 wiping 0 {} gvar(wiping)}
    set panWidget(${top}.fcdExpCtrl-wdg3)  {UifButton 10 135 1 0 0 0 1 running 0 {} gvar(running)}
    set panWidget(${top}.fcdExpCtrl-wdg4)  {UifButton 10 45 1 0 0 0 1 notPaused 0 {} gvar(notPaused)}
    set panWidget(${top}.fcdExpCtrl-wdg5)  {UifButton 10 75 0 0 0 0 1 paused 0 {} gvar(paused)}
    set panWidget(${top}.fcdExpCtrl-wdg6)  {UifButton 10 105 1 0 0 0 1 running 0 {} gvar(running)}
    set panWidget(${top}.fcdExpCtrl-wdg7)  {UifButton 150 165 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.fcdExpCtrl-wdg8)  {UifButton 150 15 1 0 0 0 1 notWiping 0 {} gvar(notWiping)}
    set panWidget(${top}.fcdExpCtrl-wdg9)  {UifButton 150 45 1 0 0 0 1 notWiping 0 {} gvar(notWiping)}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdExpCtrl-wdg1)  {Start new exposure}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg10)  {Stop a (possibly infinite) loop of repeated exposures}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg11)  {Start VLT real-time display utility}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg12)  {Abort immediately exposure. IMAGE DATA LOST !!!}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg2)  {Stop periodical wiping of the chip}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg3)  {Change integration time for running exposure. The new value is taken from the setup area.}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg4)  {Pause running exposure}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg5)  {Continue a paused exposure}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg6)  {Stop integration and start immediately readout}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg8)  {Wipe the chip (single run)}
    set panWidgetHlp(${top}.fcdExpCtrl-wdg9)  {Start wiping periodically the chip}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
