#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExpSetupOpt_uifClass.tcl,v 2.83 2005/09/30 08:26:29 vltsccm Exp $" 
#
# fcdExpSetupOpt_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.73
#   date   : Wed Mar 19 10:34:07 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExpSetupOpt_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 220 -height 74 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifCheckButton     $cv.fcdExpRept -canvasAnchor nw -label Repeat \
                       -offVal 0 -onVal 1 -variable gvar(rep) -width 0
    UifOptionButton    $cv.fcdExpType -canvasAnchor nw -default Normal \
                       -itemList {Normal Dark} -length 5 \
                       -variable gvar(setup.0.DET.EXP.TYPE)
    UifRadioButton     $cv.expFrep -canvasAnchor nw -label forever -onVal 0 \
                       -variable gvar(nrep) -width 6
    UifEntry           $cv.expNrep -canvasAnchor nw -maxVal 1000000 \
                       -minVal 0 -variable gvar(expNrep) -width 5
    UifEntry           $cv.expPrep -canvasAnchor nw -maxVal 100 -minVal 0 \
                       -variable gvar(setup.40.DET.EXP.TIMEREP) -width 4
    UifRadioButton     $cv.expTrep -canvasAnchor nw -onVal 2 \
                       -variable gvar(nrep) -width 0

    #
    #  Canvas Items
    #

    $cv create text 157 29 -tags "text fcdExpSetupOpt-item1 classItem fcdExpSetupOpt" -anchor nw \
              -text "Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 85 7 -tags "text fcdExpSetupOpt-item2 classItem fcdExpSetupOpt" -anchor nw \
              -text "Period" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 85 53 -tags "text fcdExpSetupOpt-item3 classItem fcdExpSetupOpt" -anchor nw \
              -text "times" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 174 7 -tags "text fcdExpSetupOpt-item4 classItem fcdExpSetupOpt" -anchor nw \
              -text "sec" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdExpRept)  {UifCheckButton 6 1 1 0 0 0 1 rep 0 0 1 0 0 0}
    set panWidget(${top}.fcdExpType)  {UifOptionButton 139.0 46.0 1 0 Normal 0 1 setup.0.DET.EXP.TYPE 0 {}}
    set panWidget(${top}.expFrep)  {UifRadioButton 4.0 25.0 1 0 1 0 1 nrep 0 0 0 0 0 0}
    set panWidget(${top}.expNrep)  {UifEntry 36.0 50.0 1 0 1 0 1 expNrep 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.expPrep)  {UifEntry 131.0 4.0 1 0 0 0 1 setup.40.DET.EXP.TIMEREP 0 N 0 100 0 0 0 0}
    set panWidget(${top}.expTrep)  {UifRadioButton 4.0 49.0 1 0 1 0 1 nrep 0 0 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdExpRept)  {If set, exposure has to be repeated, either forever or N times}
    set panWidgetHlp(${top}.fcdExpType)  {Type of exposure}
    set panWidgetHlp(${top}.expFrep)  {Infinite loop of repeated exposures}
    set panWidgetHlp(${top}.expPrep)  {Interval (sec) between consecutive repeated exposures}
    set panWidgetHlp(${top}.expTrep)  {Single exposure repeated n times}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
