#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdMainCtrl_uifClass.tcl,v 2.83 2005/09/30 08:26:31 vltsccm Exp $" 
#
# fcdMainCtrl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.12
#   date   : Wed Oct 07 17:17:02 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdMainCtrl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 977 -height 110 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.fcdMainCtrl-context -anchor center \
                       -canvasAnchor nw -default 1 \
                       -label {context sensitive} -offVal 0 -onVal 1 \
                       -variable gvar(fcdContext) -width 14
    UifOutput          $cv.fcdMainCtrl-id -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdMainCtrl-id %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label ID \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 -variable gvar(.id) -width 15
    UifButton          $cv.fcdMainCtrl-shutdown -canvasAnchor nw \
                       -command fcdShutdown -initialState normal \
                       -label Shutdown -popup 0 -stateVar gvar(fcdRunning) \
                       -width 10
    UifButton          $cv.fcdMainCtrl-startup -canvasAnchor nw \
                       -command fcdStartup -initialState normal \
                       -label Startup -popup 0 -stateVar gvar(fcdNotLoaded) \
                       -width 10
    UifButton          $cv.fcdMainCtrl-wdg1 -canvasAnchor nw \
                       -command {fcdCallPanel fcdei} -initialState normal \
                       -label Engineering -popup 1 -stateVar gvar(maint) \
                       -width 15
    UifOutputString    $cv.fcdMainCtrl-wdg2 -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdMainCtrl-wdg2 %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label Simulation \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 \
		       -listColors {Red Red Black Blue Blue Red} \
                       -listStrings {Undefined {WS simulated} {No simulation} {SLCU simulated} {Det. head sim.} Undefined} \
                       -listValues {0 1 2 3 4 5} -variable gvar(.opMode) \
                       -width 15
    UifRadioButton     $cv.fcdMainCtrl-wdg3 -anchor w -canvasAnchor nw \
                       -label Observation -onVal 0 -variable gvar(maint) \
                       -width 0
    UifRadioButton     $cv.fcdMainCtrl-wdg4 -anchor w -canvasAnchor nw \
                       -label Maintenance -onVal 1 -variable gvar(maint) \
                       -width 0
    UifOutput          $cv.fcdMainCtrl-wdg5 -anchor center -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 1 -label Camera \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 -variable gvar(camera) -width 15
    UifButton          $cv.fcdMainCtrl-wdg6 -canvasAnchor nw \
                       -command {fcdCallPanel fcdConfig "gvar(maint)=$gvar(maint)"} \
                       -initialState normal -label Configuration -popup 1 \
                       -stateVar gvar(fcdMainCtrl-wdg8Var) -width 15
    UifOutputString    $cv.fcdOpState -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdOpState %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label State \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 \
                       -listColors {Red Red Red Red Blue Black} \
                       -listStrings {Undefined Off {Not initialised} Stand-by Online Undefined} \
                       -listValues {0 1 2 3 4 5} -variable gvar(.opState) \
                       -width 15

    #
    #  Canvas Items
    #

    $cv create text 450 5 -tags "text fcdMainCtrl-item1 classItem fcdMainCtrl" -anchor nw \
              -text "General" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdMainCtrl-context)  {UifCheckButton 835 40 1 0 1 0 1 fcdContext 0 0 1 0 0 0}
    set panWidget(${top}.fcdMainCtrl-id)  {UifOutput 48 70 1 1 0 0 1 .id 0 %s {}}
    set panWidget(${top}.fcdMainCtrl-shutdown)  {UifButton 470 70 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.fcdMainCtrl-startup)  {UifButton 470 40 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.fcdMainCtrl-wdg1)  {UifButton 570 70 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.fcdMainCtrl-wdg2)  {UifOutputString 217 70 1 1 0 0 1 .opMode 0 {}}
    set panWidget(${top}.fcdMainCtrl-wdg3)  {UifRadioButton 720 40 1 0 {} 0 1 maint 0 0 0 0 0 0}
    set panWidget(${top}.fcdMainCtrl-wdg4)  {UifRadioButton 720 70 1 0 {} 0 1 maint 0 0 0 0 0 0}
    set panWidget(${top}.fcdMainCtrl-wdg5)  {UifOutput 10 40 1 0 0 0 1 camera 0 %s {}}
    set panWidget(${top}.fcdMainCtrl-wdg6)  {UifButton 570 40 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.fcdOpState)  {UifOutputString 255 40 1 1 0 0 1 .opState 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdMainCtrl-id)  [list out local .id 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdMainCtrl-wdg2)  [list out local .opMode 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdOpState)  [list out local .opState 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdMainCtrl-context)  {If set, all buttons will be enable/disabled according to the context. Otherwise buttons are all enabled.}
    set panWidgetHlp(${top}.fcdMainCtrl-id)  {Unique identifier of the camera used}
    set panWidgetHlp(${top}.fcdMainCtrl-shutdown)  {Shutdown the complete FIERA sw}
    set panWidgetHlp(${top}.fcdMainCtrl-startup)  {Startup the complete FIERA sw}
    set panWidgetHlp(${top}.fcdMainCtrl-wdg1)  {Start engineering facilities}
    set panWidgetHlp(${top}.fcdMainCtrl-wdg6)  {Show complete camera configuration}
    set panWidgetHlp(${top}.fcdOpState)  {Current system state}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
