#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReadout_uifClass.tcl,v 2.83 2005/09/30 08:26:31 vltsccm Exp $" 
#
# fcdReadout_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.56+
#   date   : Wed Feb 21 10:58:23 MEZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdReadout_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 103 -height 158 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifEntry           $cv.fcdReadout-wdg1 -maxVal 100 -minVal 0 \
                       -variable gvar(.description) -width 5 \
                       -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg2 -maxVal 100 -minVal 0 \
                       -variable gvar(.xLocation) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg3 -maxVal 100 -minVal 0 \
                       -variable gvar(.yLocation) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg4 -maxVal 100 -minVal 0 \
                       -variable gvar(.xPrescan) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg5 -maxVal 100 -minVal 0 \
                       -variable gvar(.yPrescan) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg6 -maxVal 100 -minVal 0 \
                       -variable gvar(.xPix) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg7 -maxVal 100 -minVal 0 \
                       -variable gvar(.yPix) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg8 -maxVal 100 -minVal 0 \
                       -variable gvar(.xOverscan) -width 4 -canvasAnchor nw
    UifEntry           $cv.fcdReadout-wdg9 -maxVal 100 -minVal 0 \
                       -variable gvar(.yOverscan) -width 4 -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 23 27 -tags "text fcdReadout-item1 classItem fcdReadout" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 60 30 -tags "text fcdReadout-item2 classItem fcdReadout" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReadout-wdg1)  {UifEntry 5 1 1 1 {} 0 1 .description 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg2)  {UifEntry 8 46 1 1 {} 0 1 .xLocation 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg3)  {UifEntry 48 46 1 1 {} 0 1 .yLocation 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg4)  {UifEntry 8 86 1 1 {} 0 1 .xPrescan 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg5)  {UifEntry 48 86 1 1 {} 0 1 .yPrescan 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg6)  {UifEntry 8 110 1 1 {} 0 1 .xPix 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg7)  {UifEntry 48 110 1 1 {} 0 1 .yPix 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg8)  {UifEntry 8 134 1 1 {} 0 1 .xOverscan 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadout-wdg9)  {UifEntry 48 134 1 1 {} 0 1 .yOverscan 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdReadout-wdg1)  {in local .description 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg2)  {in local .xLocation 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg3)  {in local .yLocation 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg4)  {in local .xPrescan 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg5)  {in local .yPrescan 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg6)  {in local .xPix 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg7)  {in local .yPix 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg8)  {in local .xOverscan 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadout-wdg9)  {in local .yOverscan 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
