
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdScanUpdate.tcl,v 2.83 2005/09/30 08:26:31 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# alongino  08/07/96  created
#

#************************************************************************
#   NAME
#   fcdScanUpdate - update status of scan system between CCD WS and SLCU
# 
#   SYNOPSIS
#   fcdScanUpdate
# 
#   DESCRIPTION
#   Tcl procedure used within CCD GUI panels to update the status of
#   the scan system
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
proc fcdScanUpdate { } {                                          

   global gvar

   set gvar(scanControl) [dbRead ":ccs_config:scan config:LAN:$gvar(slcu).scan input control"]
   set gvar(scanStatus) [dbRead ":ccs_config:scan config:LAN:$gvar(slcu).scan input status"]
# do update scan state periodically every 2 secs
   after 2000 fcdScanUpdate
}


#
# ___oOo___


