#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdShutter_uifClass.tcl,v 2.83 2005/09/30 08:26:32 vltsccm Exp $" 
#
# fcdShutter_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Thu Jul 10 15:56:13 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdShutter_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 417 -height 64 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdShutter-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.description) -width 16
    UifEntry           $cv.fcdShutter-wdg2 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(.type) -width 16
    UifOptionButton    $cv.fcdShutter-wdg3 -canvasAnchor nw -default 1 \
                       -itemList {1 2 3 4} -length 6 -variable gvar(.typeId)

    #
    #  Canvas Items
    #

    $cv create text 14 9 -tags "text fcdShutter-item1 classItem fcdShutter" -anchor nw \
              -text "Description" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 158 9 -tags "text fcdShutter-item2 classItem fcdShutter" -anchor nw \
              -text "Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 310 9 -tags "text fcdShutter-item3 classItem fcdShutter" -anchor nw \
              -text "Controller" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdShutter-wdg1)  {UifEntry 14.0 33.0 1 1 {} 0 1 .description 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdShutter-wdg2)  {UifEntry 158 33 1 1 {} 0 1 .type 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdShutter-wdg3)  {UifOptionButton 310 33 1 1 1 0 1 .typeId 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdShutter-wdg1)  {in local .description 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdShutter-wdg2)  {in local .type 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdShutter-wdg3)  {in local .typeId 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdShutter-wdg3)  {1 pulpo_1, 2 pulpo_2, 3 digital, 4 external}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
