#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdSysStatus_uifClass.tcl,v 2.83 2005/09/30 08:26:32 vltsccm Exp $" 
#
# fcdSysStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Fri Oct  3 16:19:15 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdSysStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 147 -height 77 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutputString    $cv.fcdReadoutError -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutError %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 0 \
                       -listColors {Black Red Blue} \
                       -listStrings {{} {readout FAILURE} {readout ABORTED}} \
                       -listValues {2 3 4} -variable gvar(readout.status) \
                       -width 15
    UifOutputString    $cv.fcdReadoutState -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutState %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Black Black Black Black Black Black Black Black} \
                       -listStrings {Off Loaded Standby Idle Wiping Ready Read} \
                       -listValues {1 2 3 4 5 6 7} \
                       -variable gvar(readout.opState) -width 10
    UifOutputString    $cv.fcdShutterStatus -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdShutterStatus %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -listColors {Red Black Red} \
                       -listStrings {{Shutter Failure} {} {Shutter OPEN}} \
                       -listValues {-2 0 1} -variable gvar(shutter.status) \
                       -width 15

    #
    #  Canvas Items
    #


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReadoutError)  {UifOutputString 5 51 1 1 0 0 1 readout.status 0 {}}
    set panWidget(${top}.fcdReadoutState)  {UifOutputString 25 28 1 1 0 0 1 readout.opState 0 {}}
    set panWidget(${top}.fcdShutterStatus)  {UifOutputString 3 2 1 1 0 0 1 shutter.status 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdReadoutError)  {out local readout.status 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdReadoutState)  {out local readout.opState 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdShutterStatus)  {out local shutter.status 0 0 0 0 0 0 0 {}}

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
