#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdWindow_uifClass.tcl,v 2.83 2005/09/30 08:26:32 vltsccm Exp $" 
#
# fcdWindow_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.12
#   date   : Fri Nov 06 18:58:18 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdWindow_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 246 -height 51 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdWindow-wdg1 -canvasAnchor nw -default 20 \
                       -label {X Dimension} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(Nx) -width 4
    UifEntry           $cv.fcdWindow-wdg2 -canvasAnchor nw -default 20 \
                       -label {Y Dimension} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(Ny) -width 4
    UifEntry           $cv.fcdWindow-wdg3 -canvasAnchor nw -default 1 \
                       -label {X First} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(Strx) -width 4
    UifEntry           $cv.fcdWindow-wdg4 -canvasAnchor nw -default 1 \
                       -label {Y First} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(Stry) -width 4

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdWindow-wdg1)  {UifEntry 110 5 1 0 20 0 1 Nx 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.fcdWindow-wdg2)  {UifEntry 110 30 1 0 20 0 1 Ny 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.fcdWindow-wdg3)  {UifEntry 5 5 1 0 1 0 1 Strx 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.fcdWindow-wdg4)  {UifEntry 5 30 1 0 1 0 1 Stry 0 N 0 10000 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
