#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigChipInst_uifClass.tcl,v 2.83 2005/09/30 08:26:40 vltsccm Exp $" 
#
# fcdConfigChipInst_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 26 16:38:33 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigChipInst_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 336 -height 145 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.available -anchor center -canvasAnchor nw \
                       -default 0 -label Available -offVal 0 -onVal 1 \
                       -variable gvar(available) -width 0
    UifEntry           $cv.date -canvasAnchor nw -label {Date (dd/mm/yy)} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(date) -width 10
    UifCheckButton     $cv.flipped -anchor center -canvasAnchor nw \
                       -default 0 -label Flipped -offVal 0 -onVal 1 \
                       -variable gvar(flipped) -width 0
    UifEntry           $cv.id -canvasAnchor nw -label Id \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(id) -width 10
    UifEntry           $cv.xGap -canvasAnchor nw -label xGap \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(xGap) -width 5
    UifEntry           $cv.xLocation -canvasAnchor nw -default 0 \
                       -label {x Location} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10 -minVal 0 \
                       -variable gvar(xLocation) -width 5
    UifEntry           $cv.yGap -canvasAnchor nw -label yGap \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(yGap) -width 5
    UifEntry           $cv.yLocation -canvasAnchor nw -default 0 \
                       -label {y Location} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10 -minVal 0 \
                       -variable gvar(yLocation) -width 5

    #
    #  Canvas Items
    #

    $cv create text 124 4 -tags "text fcdConfigChipInst-item1 classItem fcdConfigChipInst" -anchor nw \
              -text "Chip Instance" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.available)  {UifCheckButton 164.0 20.0 1 0 0 0 1 available 0 0 1 0 0 0}
    set panWidget(${top}.date)  {UifEntry 20 50 1 0 {} 0 1 date 0 A {} {} 0 0 0 0}
    set panWidget(${top}.flipped)  {UifCheckButton 260.0 20.0 1 0 0 0 1 flipped 0 0 1 0 0 0}
    set panWidget(${top}.id)  {UifEntry 20 20 1 0 {} 0 1 id 0 A {} {} 0 0 0 0}
    set panWidget(${top}.xGap)  {UifEntry 190 80 1 0 {} 0 1 xGap 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.xLocation)  {UifEntry 20 80 1 0 0 0 1 xLocation 0 N 0 10 0 0 0 0}
    set panWidget(${top}.yGap)  {UifEntry 190 110 1 0 {} 0 1 yGap 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.yLocation)  {UifEntry 20 110 1 0 0 0 1 yLocation 0 N 0 10 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
