#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigGeneral_uifClass.tcl,v 2.83 2005/09/30 08:26:35 vltsccm Exp $" 
#
# fcdConfigGeneral_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Wed Feb 10 15:56:51 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigGeneral_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 321 -height 133 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigGeneral-wdg1 -canvasAnchor nw -label Id \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.id) -width 25
    UifEntry           $cv.fcdConfigGeneral-wdg2 -canvasAnchor nw \
                       -label Description \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.description) -width 25
    UifEntry           $cv.fcdConfigGeneral-wdg3 -canvasAnchor nw \
                       -label {Date (dd/mm/yy)} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.date) -width 8
    UifCheckButton     $cv.fcdConfigGeneral-wdg4 -anchor w -canvasAnchor nw \
                       -default 0 -offVal 0 -onVal 1 \
                       -variable gvar(doubleBuffered) -width 0

    #
    #  Canvas Items
    #

    $cv create text 130 4 -tags "text fcdConfigGeneral-item1 classItem fcdConfigGeneral" -anchor nw \
              -text "General" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

    $cv create text 24 112 -tags "text fcdConfigGeneral-item2 classItem fcdConfigGeneral" -anchor nw \
              -text "Adaptive Optics Detector:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigGeneral-wdg1)  {UifEntry 20 80 1 1 {} 0 1 .id 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigGeneral-wdg2)  {UifEntry 20.0 16.0 1 1 {} 0 1 .description 0 A 0 100 0 0 0 0}
    set panWidget(${top}.fcdConfigGeneral-wdg3)  {UifEntry 20 50 1 1 {} 0 1 .date 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigGeneral-wdg4)  {UifCheckButton 200 108 1 1 0 0 1 detector.doubleBuffered 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigGeneral-wdg1)  [list in local .id 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigGeneral-wdg2)  [list in local .description 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigGeneral-wdg3)  [list in local .date 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigGeneral-wdg4)  [list in local detector.doubleBuffered 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
