#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigModeAbTm_uifClass.tcl,v 2.83 2005/09/30 08:26:39 vltsccm Exp $" 
#
# fcdConfigModeAbTm_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Tue Aug 11 10:48:32 MESZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigModeAbTm_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 179 -height 115 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.fcdConfigModeAbTm-wdg1 -canvasAnchor nw \
                       -default 1 -itemList {Start Sequence} \
                       -itemValue {1 2} -length 8 -selectMode value \
                       -variable gvar(.absTimeMode)
    UifOptionButton    $cv.fcdConfigModeAbTm-wdg2 -canvasAnchor nw \
                       -default 1 -itemList {Wipe Int {During Int} Read} \
                       -itemValue {1 2 3 4} -length 8 -selectMode value \
                       -variable gvar(.absTimeWhichSeq)
    UifEntry           $cv.fcdConfigModeAbTm-wdg3 -canvasAnchor nw \
                       -default 0.0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.absTimeOffset) -width 11

    #
    #  Canvas Items
    #

    $cv create text 60 4 -tags "text fcdConfigModeAbTm-item1 classItem fcdConfigModeAbTm" -anchor nw \
              -text "Abs Time" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

    $cv create text 8 36 -tags "text fcdConfigModeAbTm-item2 classItem fcdConfigModeAbTm" -anchor nw \
              -text "Mode:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 64 -tags "text fcdConfigModeAbTm-item3 classItem fcdConfigModeAbTm" -anchor nw \
              -text "Which:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 92 -tags "text fcdConfigModeAbTm-item4 classItem fcdConfigModeAbTm" -anchor nw \
              -text "Offset (s):" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigModeAbTm-wdg1)  {UifOptionButton 60 32 1 1 1 0 1 .absTimeMode 0 {}}
    set panWidget(${top}.fcdConfigModeAbTm-wdg2)  {UifOptionButton 60.0 60.0 1 1 1 0 1 .absTimeWhichSeq 0 {}}
    set panWidget(${top}.fcdConfigModeAbTm-wdg3)  {UifEntry 72.0 92.0 1 1 0.0 0 1 .absTimeOffset 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigModeAbTm-wdg1)  [list in local .absTimeMode 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeAbTm-wdg2)  [list in local .absTimeWhichSeq 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeAbTm-wdg3)  [list in local .absTimeOffset 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigModeAbTm-wdg1)  {What should be scheduled at ABS time}
    set panWidgetHlp(${top}.fcdConfigModeAbTm-wdg2)  {What should be scheduled at ABS time}
    set panWidgetHlp(${top}.fcdConfigModeAbTm-wdg3)  {Offset from ABS time for SPARC scheduling}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
