#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigModeGen_uifClass.tcl,v 2.83 2005/09/30 08:26:38 vltsccm Exp $" 
#
# fcdConfigModeGen_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.9
#   date   : Tue Sep 08 12:27:25 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigModeGen_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 281 -height 142 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigModeGen-wdg1 -canvasAnchor nw \
                       -default 0.0 -label Gain \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(.gain) -width 10
    UifEntry           $cv.fcdConfigModeGen-wdg2 -canvasAnchor nw \
                       -label Description \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.description) -width 20
    UifOptionButton    $cv.fcdConfigModeGen-wdg3 -canvasAnchor nw \
                       -default 0 \
                       -itemList {0 1 2 3 4 5 6 7 8 9 9 10 11 12 13 14 15} \
                       -length 0 -selectMode label \
                       -variable gvar(.firstOutput)
    UifEntry           $cv.fcdConfigModeGen-wdg4 -canvasAnchor nw \
                       -default 0.0 -label Speed \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 10000 -minVal 0 \
                       -variable gvar(.speed) -width 10

    #
    #  Canvas Items
    #

    $cv create text 20 115 -tags "text fcdConfigModeGen-item1 classItem fcdConfigModeGen" -anchor nw \
              -text "First Output:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 112 4 -tags "text fcdConfigModeGen-item2 classItem fcdConfigModeGen" -anchor nw \
              -text "General" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigModeGen-wdg1)  {UifEntry 20 50 1 1 0.0 0 1 .gain 0 N 0 10000 0 0 0 0}
    set panWidget(${top}.fcdConfigModeGen-wdg2)  {UifEntry 20 20 1 1 {} 0 1 .description 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigModeGen-wdg3)  {UifOptionButton 110 110 1 1 0 0 1 .firstOutput 0 {}}
    set panWidget(${top}.fcdConfigModeGen-wdg4)  {UifEntry 20 80 1 1 0.0 0 1 .speed 0 A 0 10000 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigModeGen-wdg1)  [list in local .gain 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeGen-wdg2)  [list in local .description 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeGen-wdg3)  [list in local .firstOutput 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeGen-wdg4)  [list in local .speed 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigModeGen-wdg1)  {Mode gain}
    set panWidgetHlp(${top}.fcdConfigModeGen-wdg2)  {Mode description}
    set panWidgetHlp(${top}.fcdConfigModeGen-wdg3)  {First output}
    set panWidgetHlp(${top}.fcdConfigModeGen-wdg4)  {Mode speed}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
