#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigModeInSq_uifClass.tcl,v 2.83 2005/09/30 08:26:36 vltsccm Exp $" 
#
# fcdConfigModeInSq_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Sun Mar 29 15:32:48 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigModeInSq_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 283 -height 96 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigModeInSq-wdg1 -canvasAnchor nw \
                       -label {Volt Table} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(.intVolts) -width 20
    UifEntry           $cv.fcdConfigModeInSq-wdg2 -canvasAnchor nw \
                       -label {Start Seq} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(.intSeq) -width 20
    UifEntry           $cv.fcdConfigModeInSq-wdg3 -canvasAnchor nw \
                       -label {During Seq} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(.duringIntSeq) -width 20

    #
    #  Canvas Items
    #

    $cv create text 100 4 -tags "text fcdConfigModeInSq-item1 classItem fcdConfigModeInSq" -anchor nw \
              -text "Integration" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigModeInSq-wdg1)  {UifEntry 12.0 72.0 1 1 {} 0 1 .intVolts 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigModeInSq-wdg2)  {UifEntry 20.0 24.0 1 1 {} 0 1 .intSeq 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigModeInSq-wdg3)  {UifEntry 8.0 48.0 1 1 {} 0 1 .duringIntSeq 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigModeInSq-wdg1)  [list in local .intVolts 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeInSq-wdg2)  [list in local .intSeq 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeInSq-wdg3)  [list in local .duringIntSeq 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigModeInSq-wdg1)  {Integration voltage table name}
    set panWidgetHlp(${top}.fcdConfigModeInSq-wdg2)  {Integration sequence name}
    set panWidgetHlp(${top}.fcdConfigModeInSq-wdg3)  {Integration sequence name}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
