#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigModeUseq_uifClass.tcl,v 2.83 2005/09/30 08:26:26 vltsccm Exp $" 
#
# fcdConfigModeUseq_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 26 14:39:01 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigModeUseq_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 190 -height 176 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigModeUseq-wdg1 -canvasAnchor nw \
                       -default 1 -label {Parallel Shift} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 1 \
                       -variable gvar(useqs.parShiftSpeed) -width 5
    UifEntry           $cv.fcdConfigModeUseq-wdg2 -canvasAnchor nw \
                       -default 1 -label {Serial Read} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 1 \
                       -variable gvar(useqs.serReadSpeed) -width 5
    UifEntry           $cv.fcdConfigModeUseq-wdg3 -canvasAnchor nw \
                       -default 1 -label {Serial Dump} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 1 \
                       -variable gvar(useqs.serDumpSpeed) -width 5
    UifEntry           $cv.fcdConfigModeUseq-wdg4 -canvasAnchor nw \
                       -default 1 -label {Parallel Dump} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 1 \
                       -variable gvar(useqs.parDumpSpeed) -width 5
    UifEntry           $cv.fcdConfigModeUseq-wdg5 -canvasAnchor nw \
                       -default 1 -label {Serial Shift} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 1 \
                       -variable gvar(useqs.serShiftSpeed) -width 5

    #
    #  Canvas Items
    #

    $cv create text 45 4 -tags "text fcdConfigModeUseq-item1 classItem fcdConfigModeUseq" -anchor nw \
              -text "Useqs Speeds" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigModeUseq-wdg1)  {UifEntry 20 20 1 1 1 0 1 useqs.parShiftSpeed 0 N 1 65535 0 0 0 0}
    set panWidget(${top}.fcdConfigModeUseq-wdg2)  {UifEntry 20 140 1 1 1 0 1 useqs.serReadSpeed 0 N 1 65535 0 0 0 0}
    set panWidget(${top}.fcdConfigModeUseq-wdg3)  {UifEntry 20 110 1 1 1 0 1 useqs.serDumpSpeed 0 N 1 65535 0 0 0 0}
    set panWidget(${top}.fcdConfigModeUseq-wdg4)  {UifEntry 20 50 1 1 1 0 1 useqs.parDumpSpeed 0 N 1 65535 0 0 0 0}
    set panWidget(${top}.fcdConfigModeUseq-wdg5)  {UifEntry 20 80 1 1 1 0 1 useqs.serShiftSpeed 0 N 1 65535 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigModeUseq-wdg1)  [list in local useqs.parShiftSpeed 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeUseq-wdg2)  [list in local useqs.serReadSpeed 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeUseq-wdg3)  [list in local useqs.serDumpSpeed 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeUseq-wdg4)  [list in local useqs.parDumpSpeed 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeUseq-wdg5)  [list in local useqs.serShiftSpeed 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigModeUseq-wdg1)  {Microsequence parallel shift speed}
    set panWidgetHlp(${top}.fcdConfigModeUseq-wdg2)  {Microsequence serial read speed}
    set panWidgetHlp(${top}.fcdConfigModeUseq-wdg3)  {Microsequence serial dump speed}
    set panWidgetHlp(${top}.fcdConfigModeUseq-wdg4)  {Microsequence parallel dump speed}
    set panWidgetHlp(${top}.fcdConfigModeUseq-wdg5)  {Microsequence serial shift speed}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
