#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigOutputs_uifClass.tcl,v 2.83 2005/09/30 08:26:27 vltsccm Exp $" 
#
# fcdConfigOutputs_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Tue Mar 03 14:46:01 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigOutputs_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 336 -height 263 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.description -canvasAnchor nw -label Description \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(description) -width 0
    UifOptionButton    $cv.downToUp -canvasAnchor nw -default 1 \
                       -itemList {downToUp upToDown} -itemValue {1 0} \
                       -length 0 -selectMode value -variable gvar(downToUp)
    UifEntry           $cv.id -canvasAnchor nw -label Id \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(id) -width 10
    UifOptionButton    $cv.leftToRight -canvasAnchor nw -default 1 \
                       -itemList {leftToRight righToLeft} -itemValue {1 0} \
                       -length 0 -selectMode value \
                       -variable gvar(leftToRight)
    UifEntry           $cv.xLocation -canvasAnchor nw -label {x Location} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(xLocation) -width 5
    UifEntry           $cv.xOverscan -canvasAnchor nw -label {x Overscan} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(xOverscan) -width 5
    UifEntry           $cv.xPix -canvasAnchor nw -label {x Pixel} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(xPix) -width 5
    UifEntry           $cv.xPrescan -canvasAnchor nw -label {x Prescan} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(xPrescan) -width 5
    UifEntry           $cv.yLocation -canvasAnchor nw -label {y Location} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(yLocation) -width 5
    UifEntry           $cv.yOverscan -canvasAnchor nw -label {y Overscan} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(yOverscan) -width 5
    UifEntry           $cv.yPix -canvasAnchor nw -label {y Pixel} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(yPix) -width 5
    UifEntry           $cv.yPrescan -canvasAnchor nw -label {y Prescan} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(yPrescan) -width 5

    #
    #  Canvas Items
    #

    $cv create text 20 160 -tags "text fcdConfigOutputs-item1 classItem fcdConfigOutputs" -anchor nw \
              -text "Hor. Readout Direction: " \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 195 -tags "text fcdConfigOutputs-item2 classItem fcdConfigOutputs" -anchor nw \
              -text "Ver. readout Direction:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 135 4 -tags "text fcdConfigOutputs-item3 classItem fcdConfigOutputs" -anchor nw \
              -text "Outputs" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.description)  {UifEntry 20 230 1 0 {} 0 1 description 0 A {} {} 0 0 0 0}
    set panWidget(${top}.downToUp)  {UifOptionButton 175 190 1 0 1 0 1 downToUp 0 {}}
    set panWidget(${top}.id)  {UifEntry 175 230 1 0 {} 0 1 id 0 A {} {} 0 0 0 0}
    set panWidget(${top}.leftToRight)  {UifOptionButton 175 155 1 0 1 0 1 leftToRight 0 {}}
    set panWidget(${top}.xLocation)  {UifEntry 20 20 1 0 {} 0 1 xLocation 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.xOverscan)  {UifEntry 175 80 1 0 {} 0 1 xOverscan 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.xPix)  {UifEntry 175 20 1 0 {} 0 1 xPix 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.xPrescan)  {UifEntry 20 80 1 0 {} 0 1 xPrescan 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.yLocation)  {UifEntry 20 50 1 0 {} 0 1 yLocation 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.yOverscan)  {UifEntry 175 110 1 0 {} 0 1 yOverscan 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.yPix)  {UifEntry 175 50 1 0 {} 0 1 yPix 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.yPrescan)  {UifEntry 20 110 1 0 {} 0 1 yPrescan 0 N 0 1000000 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.description)  {Number of vertical prescan pixels}
    set panWidgetHlp(${top}.downToUp)  {down to up or up to down}
    set panWidgetHlp(${top}.leftToRight)  {left to right or right to left}
    set panWidgetHlp(${top}.xLocation)  {x pixel location (1=first pixel from left)}
    set panWidgetHlp(${top}.xOverscan)  {Number of horizontal overscan pixels}
    set panWidgetHlp(${top}.xPix)  {Number of horizontal active pixels}
    set panWidgetHlp(${top}.xPrescan)  {Number of horizontal prescan pixels}
    set panWidgetHlp(${top}.yLocation)  {y pixel location (1=first pixel from bottom)}
    set panWidgetHlp(${top}.yOverscan)  {Number of vertical overscan pixels}
    set panWidgetHlp(${top}.yPix)  {Number of vertical active pixels}
    set panWidgetHlp(${top}.yPrescan)  {Number of vertical prescan pixels}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
