#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigShutter_uifClass.tcl,v 2.83 2005/09/30 08:26:27 vltsccm Exp $" 
#
# fcdConfigShutter_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Wed Feb 10 15:49:00 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigShutter_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 321 -height 120 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigShutter-wdg1 -canvasAnchor nw \
                       -label Type \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(shutter.type) -width 20
    UifEntry           $cv.fcdConfigShutter-wdg2 -canvasAnchor nw \
                       -label Description \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(shutter.description) -width 20
    UifOptionButton    $cv.fcdConfigShutter-wdg3 -canvasAnchor nw -default 1 \
                       -itemList {{Pulpo 1} {Pulpo 2} Digital External Pulpo1+2} \
                       -itemValue {1 2 3 4 5} -length 5 -selectMode value \
                       -variable gvar(shutter.typeId)
    UifCheckButton     $cv.fcdConfigShutter-wdg4 -anchor w -canvasAnchor nw \
                       -default 0 -label Available -offVal 0 -onVal 1 \
                       -variable gvar(shutter.available) -width 0

    #
    #  Canvas Items
    #

    $cv create text 20 90 -tags "text fcdConfigShutter-item1 classItem fcdConfigShutter" -anchor nw \
              -text "Shutter Type:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 136 4 -tags "text fcdConfigShutter-item2 classItem fcdConfigShutter" -anchor nw \
              -text "Shutter" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigShutter-wdg1)  {UifEntry 20 20 1 1 {} 0 1 shutter.type 0 A 0 100 0 0 0 0}
    set panWidget(${top}.fcdConfigShutter-wdg2)  {UifEntry 20 50 1 1 {} 0 1 shutter.description 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigShutter-wdg3)  {UifOptionButton 110 87 1 1 1 0 1 shutter.typeId 0 {}}
    set panWidget(${top}.fcdConfigShutter-wdg4)  {UifCheckButton 220 85 1 1 0 0 1 shutter.available 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigShutter-wdg1)  [list in local shutter.type 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigShutter-wdg2)  [list in local shutter.description 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigShutter-wdg3)  [list in local shutter.typeId 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigShutter-wdg4)  [list in local shutter.available 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigShutter-wdg1)  {Shutter type, e.g. iris}
    set panWidgetHlp(${top}.fcdConfigShutter-wdg2)  {Manufacturer, model, serial number}
    set panWidgetHlp(${top}.fcdConfigShutter-wdg3)  {Pulpo 1, Pulpo 2, Digital (controlled through ABIAS1), External}
    set panWidgetHlp(${top}.fcdConfigShutter-wdg4)  {Shutter available}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
