#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdMisc.tcl,v 2.83 2005/09/30 08:26:34 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# abalestr  24/02/98  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc writeChip {} {

 # Declare global variables

   global gvar fcdCHIPDATA

 # User Initialization

   set i 0
   foreach d $fcdCHIPDATA {
     set dummy [panDbWrite detector.chipInstances($gvar(chipIndex),$i) $gvar(fcdChipInstance_$d)]
     incr i
   }
}


proc refreshChip {} {

 # Declare global variables

   global gvar fcdCHIPDATA

 # User Initialization

   set i 0
   foreach d $fcdCHIPDATA {
     set gvar(fcdChipInstance_$d) [dbRead detector.chipInstances($gvar(chipIndex),$i)]
     incr i
   }
}


proc showChip {x} {

 # Declare global variables

   global gvar fcdCHIPDATA chipIndex cv

 # User Initialization

   set i 0
   foreach d $fcdCHIPDATA {
     set gvar(fcdChipInstance_$d) [dbRead detector.chipInstances($gvar(chipIndex),$i)]
     incr i
   }
}


proc writeOutAmp {} {

 # Declare global variables

   global gvar fcdOUTAMPDATA

 # User Initialization

   set i 0
   foreach d $fcdOUTAMPDATA {
     set dummy [panDbWrite detector.outputAmplifier($gvar(outIndex),$i) $gvar(fcdOutputs_$d)]
     incr i
   }
}


proc refreshOutAmp {} {

 # Declare global variables

   global gvar fcdOUTAMPDATA

 # User Initialization

   set i 0
   foreach d $fcdOUTAMPDATA {
     set gvar(fcdOutputs_$d) [dbRead detector.outputAmplifier($gvar(outIndex),$i)]
     incr i
   }
}


proc showOutAmp {x} {

 # Declare global variables

   global gvar fcdOUTAMPDATA

 # User Initialization

   set i 0
   foreach d $fcdOUTAMPDATA {
     set gvar(fcdOutputs_$d) [dbRead detector.outputAmplifier($gvar(outIndex),$i)]
     incr i
   }
}

proc setModeCWP {x} {
   global gvar cv
   $cv.modeReadSeqs configure -cwp mode_$gvar(modeIndex)
   $cv.modeWipeSeqs configure -cwp mode_$gvar(modeIndex)
   $cv.modeIntSeqs configure -cwp mode_$gvar(modeIndex)
   $cv.modeGeneral configure -cwp mode_$gvar(modeIndex)
   $cv.modeUseqs configure -cwp mode_$gvar(modeIndex)
   $cv.modeOutputs configure -cwp mode_$gvar(modeIndex)
   $cv.modeAbsTime configure -cwp mode_$gvar(modeIndex)
   $cv.modeElAdu configure -cwp mode_$gvar(modeIndex)
   $cv.modeRon configure -cwp mode_$gvar(modeIndex)

}

#
# ___oOo___
