#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdCheckTelemetry_uifClass.tcl,v 2.23 2005/09/12 13:07:41 vltsccm Exp $" 
#
# fcdCheckTelemetry_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Jul 15 14:38:39 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdCheckTelemetry_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 239 -height 47 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifButton          $cv.fcdCheckTelemetry-wdg1 -canvasAnchor nw \
                       -command fcdUserCheckTelemetry -initialState normal \
                       -label {Check Telemetry} -popup 0 \
                       -stateVar gvar(fcdCheckTelemetry-wdg2Var) -width 15
    UifEntry           $cv.reloadSeqResult -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 0 -minVal 0 \
                       -variable gvar(checkTelemetryResult) -width 10

    #
    #  Canvas Items
    #


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdCheckTelemetry-wdg1)  {UifButton 10 13 1 0 0 0 1 fcdCheckTelemetry-wdg2Var 0 {}}
    set panWidget(${top}.reloadSeqResult)  {UifEntry 145 17 1 0 {} 0 1 checkTelemetryResult 0 A 0 0 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdCheckTelemetry-wdg1)  {Reload the sequence definitions from dir}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
