#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExpSetup_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdExpSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Wed Jul 15 16:28:21 MESZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExpSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} libfcdSlcuGuiPublic
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 846 -height 395 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    fcdEngSetup_uifClass  $cv.fcdEngSetup -library libfcdSlcuGuiPublic \
                       -canvasAnchor nw -parentCwp $itk_option(-cwp) \
                       -relief groove
    UifEntry           $cv.fcdExpSetup-wdg1 -canvasAnchor nw -default 0.0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000.0 -minVal 0.0 \
                       -variable gvar(intTime) -width 5
    UifScale           $cv.fcdExpSetup-wdg2 -canvasAnchor nw -default 1 \
                       -label {Y Binning} -length 100 -maxVal 8 -minVal 1 \
                       -orient h -variable gvar(yBinning)
    UifEntry           $cv.fcdExpSetup-wdg3 -canvasAnchor nw \
                       -default default \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(saveFileName) -width 10
    UifOptionButton    $cv.fcdExpSetup-wdg4 -canvasAnchor nw -default None \
                       -itemList {None Window} -length 5 -selectMode label \
                       -variable gvar(win1_sigmaCalc)
    UifCheckButton     $cv.fcdExpSetup-wdg5 -anchor center -canvasAnchor nw \
                       -default 0 -label Display -offVal -1 -onVal 0 \
                       -variable gvar(rtdDisplay) -width 0
    UifEntry           $cv.fcdExpSetup-wdg6 -canvasAnchor nw -default 1 \
                       -label {Transfer one of} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(sampling) -width 5
    UifEntry           $cv.fcdExpSetup-wdg7 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(loopTime) -width 5
    UifEntry           $cv.fcdExpSetup-wdg8 -canvasAnchor nw \
                       -default {yyyy-mm-dduhh:mm:ss} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(startTimeStr) -width 18
    UifEntry           $cv.fcdExpSetup-wdg9 -canvasAnchor nw -default 0 \
                       -label Delta \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win1_procURX) -width 4
    UifCheckButton     $cv.fcdExpSetup-wdg10 -anchor center -canvasAnchor nw \
                       -default F -offVal F -onVal T \
                       -variable gvar(startTimeAbs) -width 0
    UifRadioButton     $cv.fcdExpSetup-wdg11 -anchor center -canvasAnchor nw \
                       -default 0 -label forever -onVal 0 \
                       -variable gvar(repType) -width 10
    UifOptionButton    $cv.fcdExpSetup-wdg12 -canvasAnchor nw \
                       -default Normal -itemList {Normal Dark} -length 5 \
                       -selectMode label -variable gvar(expType)
    UifRadioButton     $cv.fcdExpSetup-wdg13 -anchor center -canvasAnchor nw \
                       -default 1 -label once -onVal 1 \
                       -variable gvar(repType) -width 10
    UifEntry           $cv.fcdExpSetup-wdg14 -canvasAnchor nw -default 0 \
                       -label Offset \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win1_procLLX) -width 4
    UifEntry           $cv.fcdExpSetup-wdg15 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win1_procLLY) -width 4
    UifEntry           $cv.fcdExpSetup-wdg16 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win1_procURY) -width 4
    UifEntry           $cv.fcdExpSetup-wdg17 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win2_procLLX) -width 4
    UifScale           $cv.fcdExpSetup-wdg18 -canvasAnchor nw -default 1 \
                       -label {X Binning} -length 100 -maxVal 8 -minVal 1 \
                       -orient h -variable gvar(xBinning)
    UifEntry           $cv.fcdExpSetup-wdg19 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win2_procLLY) -width 4
    UifEntry           $cv.fcdExpSetup-wdg20 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win2_procURX) -width 4
    UifEntry           $cv.fcdExpSetup-wdg21 -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4000 -minVal 0 \
                       -variable gvar(win2_procURY) -width 4
    UifRadioButton     $cv.fcdExpSetup-wdg22 -anchor center -canvasAnchor nw \
                       -onVal 2 -variable gvar(repType) -width 10
    UifCheckButton     $cv.fcdExpSetup-wdg23 -anchor center -canvasAnchor nw \
                       -default 0 -label {Save in file} -offVal 0 -onVal 2 \
                       -variable gvar(saveType) -width 0
    UifEntry           $cv.fcdExpSetup_27 -canvasAnchor nw -default 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(repCount) -width 5
    fcdReadMode_uifClass  $cv.fcdReadMode -library libfcdSlcuGuiPublic \
                       -canvasAnchor nw -parentCwp $itk_option(-cwp) \
                       -relief groove
    UifEntry           $cv.win1_xDim -canvasAnchor nw -default 1000 \
                       -label {X Dim} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 1 \
                       -variable gvar(win1_xDim) -width 5
    UifEntry           $cv.win1_xFirst -canvasAnchor nw -default 1 \
                       -label {X First} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 1 \
                       -variable gvar(win1_xFirst) -width 5
    UifEntry           $cv.win1_yDim -canvasAnchor nw -default 1000 \
                       -label {Y Dim} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 1 \
                       -variable gvar(win1_yDim) -width 5
    UifEntry           $cv.win1_yFirst -canvasAnchor nw -default 1 \
                       -label {Y First} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 1 \
                       -variable gvar(win1_yFirst) -width 5
    UifOptionButton    $cv.win2_sigmaCalc -canvasAnchor nw -default None \
                       -itemList {None Window} -length 5 -selectMode label \
                       -variable gvar(win2_sigmaCalc)
    UifCheckButton     $cv.win2_winEnabled -anchor center -canvasAnchor nw \
                       -command fcdWinEnabled -default 0 -offVal 0 -onVal 1 \
                       -variable gvar(win2_winEnabled) -width 0
    UifEntry           $cv.win2_xDim -canvasAnchor nw -default 1000 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 0 -minVal 0 \
                       -variable gvar(win2_xDim) -width 5
    UifEntry           $cv.win2_xFirst -canvasAnchor nw -default 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 1 \
                       -variable gvar(win2_xFirst) -width 5
    UifEntry           $cv.win2_yDim -canvasAnchor nw -default 1000 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(win2_yDim) -width 5
    UifEntry           $cv.win2_yFirst -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000 -minVal 0 \
                       -variable gvar(win2_yFirst) -width 5
    UifCheckButton     $cv.winEnabled -anchor center -canvasAnchor nw \
                       -command fcdWinEnabled -default 0 -label Enabled \
                       -offVal 0 -onVal 1 -variable gvar(win1_winEnabled) \
                       -width 0

    #
    #  Canvas Items
    #

    $cv create text 109 17 -tags "text fcdExpSetup-item1 classItem fcdExpSetup" -anchor nw \
              -text "Repetition" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 183 47 -tags "text fcdExpSetup-item2 classItem fcdExpSetup" -anchor nw \
              -text "Period:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 51 131 -tags "text fcdExpSetup-item3 classItem fcdExpSetup" -anchor nw \
              -text "Start Time :" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 23 19 -tags "text fcdExpSetup-item4 classItem fcdExpSetup" -anchor nw \
              -text "Time (s)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 213 71 -tags "text fcdExpSetup-item5 classItem fcdExpSetup" -anchor nw \
              -text "Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 376 162 -tags "text fcdExpSetup-item6 classItem fcdExpSetup" -anchor nw \
              -text "Sigma:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdEngSetup)  {UifClass 588 252 1 0 0 nw 0 {} 0}
    set panWidget(${top}.fcdExpSetup-wdg1)  {UifEntry 24.0 43.0 1 0 0.0 0 1 intTime 0 N 0.0 1000.0 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg10)  {UifCheckButton 132.0 128.0 1 0 F 0 1 startTimeAbs 0 0 1 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg11)  {UifRadioButton 71.0 40.0 1 0 1 0 1 repType 0 0 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg12)  {UifOptionButton 194 90 1 0 Normal 0 1 expType 0 {}}
    set panWidget(${top}.fcdExpSetup-wdg13)  {UifRadioButton 63.0 62.0 1 0 1 0 1 repType 0 0 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg14)  {UifEntry 372.0 184.0 1 0 0 0 1 win1_procLLX 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg15)  {UifEntry 468 184 1 0 0 0 1 win1_procLLY 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg16)  {UifEntry 468.0 204.0 1 0 0 0 1 win1_procURY 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg17)  {UifEntry 524 184 1 0 0 0 1 win2_procLLX 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg18)  {UifScale 440.0 248.0 1 0 1 0 1 xBinning 0 0 1 8 0 0}
    set panWidget(${top}.fcdExpSetup-wdg19)  {UifEntry 565 183 1 0 0 0 1 win2_procLLY 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg2)  {UifScale 440.0 321.0 1 0 1 0 1 yBinning 0 0 1 8 0 0}
    set panWidget(${top}.fcdExpSetup-wdg20)  {UifEntry 523 206 1 0 0 0 1 win2_procURX 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg21)  {UifEntry 565 205 1 0 0 0 1 win2_procURY 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg22)  {UifRadioButton 47.0 86.0 1 0 1 0 1 repType 0 0 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg23)  {UifCheckButton 15 164 1 0 0 0 1 saveType 0 0 1 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg3)  {UifEntry 121.0 167.0 1 0 default 0 1 saveFileName 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg4)  {UifOptionButton 425 157 1 0 None 0 1 win1_sigmaCalc 0 {}}
    set panWidget(${top}.fcdExpSetup-wdg5)  {UifCheckButton 14.0 188.0 1 0 0 0 1 rtdDisplay 0 0 1 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg6)  {UifEntry 11 213 1 0 1 0 1 sampling 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg7)  {UifEntry 234.0 46.0 1 0 0 0 1 loopTime 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg8)  {UifEntry 160.0 129.0 1 0 {yyyy-mm-ddThh:mm:ss} 0 1 startTimeStr 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdExpSetup-wdg9)  {UifEntry 376.0 204.0 1 0 0 0 1 win1_procURX 0 N 0 4000 0 0 0 0}
    set panWidget(${top}.fcdExpSetup_27)  {UifEntry 114.0 91.0 1 0 1 0 1 repCount 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdReadMode)  {UifClass 7.0 256.0 1 0 0 nw 0 {} 0}
    set panWidget(${top}.win1_xDim)  {UifEntry 392 74 1 0 1000 0 1 win1_xDim 0 N 1 1000 0 0 0 0}
    set panWidget(${top}.win1_xFirst)  {UifEntry 387 49 1 0 1 0 1 win1_xFirst 0 N 1 1000 0 0 0 0}
    set panWidget(${top}.win1_yDim)  {UifEntry 393 122 1 0 1000 0 1 win1_yDim 0 N 1 1000 0 0 0 0}
    set panWidget(${top}.win1_yFirst)  {UifEntry 387 98 1 0 1 0 1 win1_yFirst 0 N 1 1000 0 0 0 0}
    set panWidget(${top}.win2_sigmaCalc)  {UifOptionButton 522 157 1 0 None 0 1 win2_sigmaCalc 0 {}}
    set panWidget(${top}.win2_winEnabled)  {UifCheckButton 553 20 1 0 0 0 1 win2_winEnabled 0 0 1 0 0 0}
    set panWidget(${top}.win2_xDim)  {UifEntry 544 77 1 0 1000 0 1 win2_xDim 0 N 0 0 0 0 0 0}
    set panWidget(${top}.win2_xFirst)  {UifEntry 545 50 1 0 1 0 1 win2_xFirst 0 N 1 100 0 0 0 0}
    set panWidget(${top}.win2_yDim)  {UifEntry 545 125 1 0 1000 0 1 win2_yDim 0 N 0 {} 0 0 0 0}
    set panWidget(${top}.win2_yFirst)  {UifEntry 545 102 1 0 0 0 1 win2_yFirst 0 N 0 1000 0 0 0 0}
    set panWidget(${top}.winEnabled)  {UifCheckButton 461.0 21.0 1 0 0 0 1 win1_winEnabled 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdExpSetup-wdg3)  {Name of disk file}
    set panWidgetHlp(${top}.fcdExpSetup_27)  {Number of repetitions for an exposure}
    set panWidgetHlp(${top}.win1_xDim)  {X Dimension of exposure}
    set panWidgetHlp(${top}.win1_yDim)  {Y dimension of exposure}
    set panWidgetHlp(${top}.win2_winEnabled)  {Enable second window readout}
    set panWidgetHlp(${top}.winEnabled)  {Window or complete frame readout}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
