#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdNVidVltControl_uifClass.tcl,v 2.23 2005/09/12 13:07:45 vltsccm Exp $" 
#
# fcdNVidVltControl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Tue Sep 15 14:29:29 MESZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdNVidVltControl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 285 -height 136 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.channel -canvasAnchor nw \
                       -command fcdNVidVltControlGet -default {CHAN 0} \
                       -itemList {{CHAN 3} {CHAN 2} {CHAN 1} {CHAN 0}} \
                       -itemValue {3 2 1 0} -length 5 -selectMode value \
                       -variable gvar(channel)
    UifRadioButton     $cv.fcdNVidVltControl-wdg1 -anchor w \
                       -canvasAnchor nw -command fcdNVidVltControlSet \
                       -default 0 -label Low -onVal 3 -variable gvar(gain1) \
                       -width 0
    UifRadioButton     $cv.fcdNVidVltControl-wdg2 -anchor w \
                       -canvasAnchor nw -command fcdNVidVltControlSet \
                       -default 0 -label High -onVal 1 -variable gvar(gain2) \
                       -width 0
    UifEntry           $cv.fcdNVidVltControl-wdg3 -canvasAnchor nw \
                       -label Offset \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 65535 -minVal 0 \
                       -variable gvar(offset) -width 5
    UifOptionButton    $cv.fcdNVidVltControl-wdg4 -canvasAnchor nw \
                       -command fcdNVidVltControlGet -default BRD_VIDBRD0 \
                       -itemList {BRD_VIDBRD0 BRD_VIDBRD1 BRD_VIDBRD2 BRD_VIDBRD3} \
                       -itemValue {BRD_VIDBRD0 BRD_VIDBRD1 BRD_VIDBRD2 BRD_VIDBRD3} \
                       -length 11 -selectMode label \
                       -variable gvar(boardName)
    UifButton          $cv.fcdNVidVltControl-wdg5 -canvasAnchor nw \
                       -command fcdNVidVltControlSet -initialState normal \
                       -label SET -popup 0 \
                       -stateVar gvar(fcdNVidVltControlSet) -width 0
    UifEntry           $cv.fcdNVidVltControl-wdg6 -canvasAnchor nw \
                       -label Filter \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 4 -minVal 0 \
                       -variable gvar(filter) -width 2
    UifRadioButton     $cv.fcdNVidVltControl-wdg7 -anchor w \
                       -canvasAnchor nw -command fcdNVidVltControlSet \
                       -default 0 -label Med -onVal 1 -variable gvar(gain1) \
                       -width 0
    UifRadioButton     $cv.fcdNVidVltControl-wdg8 -anchor w \
                       -canvasAnchor nw -command fcdNVidVltControlSet \
                       -default 0 -label High -onVal 0 -variable gvar(gain1) \
                       -width 0
    UifRadioButton     $cv.fcdNVidVltControl-wdg9 -anchor w \
                       -canvasAnchor nw -command fcdNVidVltControlSet \
                       -default 0 -label Low -onVal 0 -variable gvar(gain2) \
                       -width 0

    #
    #  Canvas Items
    #

    $cv create text 12 36 -tags "text fcdNVidVltControl-item1 classItem fcdNVidVltControl" -anchor nw \
              -text "Gain1" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 12 64 -tags "text fcdNVidVltControl-item2 classItem fcdNVidVltControl" -anchor nw \
              -text "Gain2" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.channel)  {UifOptionButton 156 4 1 0 {CHAN 0} 0 1 channel 0 {}}
    set panWidget(${top}.fcdNVidVltControl-wdg1)  {UifRadioButton 64 32 1 0 0 0 1 gain1 0 0 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg2)  {UifRadioButton 128.0 60.0 1 0 0 0 1 gain2 0 0 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg3)  {UifEntry 92 92 1 0 {} 0 1 offset 0 N 0 65535 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg4)  {UifOptionButton 12.0 4.0 1 0 BRD_VIDBRD0 0 1 boardName 0 {}}
    set panWidget(${top}.fcdNVidVltControl-wdg5)  {UifButton 208.0 88.0 1 0 0 0 1 fcdNVidVltControlSet 0 {}}
    set panWidget(${top}.fcdNVidVltControl-wdg6)  {UifEntry 12.0 92.0 1 0 {} 0 1 filter 0 N 0 4 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg7)  {UifRadioButton 128 32 1 0 0 0 1 gain1 0 0 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg8)  {UifRadioButton 200.0 32.0 1 0 0 0 1 gain1 0 0 0 0 0 0}
    set panWidget(${top}.fcdNVidVltControl-wdg9)  {UifRadioButton 64.0 60.0 1 0 0 0 1 gain2 0 0 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
