#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdPPSetup_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdPPSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Jul 15 14:41:00 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdPPSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 324 -height 101 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdPPSetup-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(saveFileName) -width 10
    UifCheckButton     $cv.fcdPPSetup-wdg2 -anchor center -canvasAnchor nw \
                       -offVal -1 -onVal 0 -variable gvar(rtdDisplay) \
                       -width 0
    UifCheckButton     $cv.fcdPPSetup-wdg3 -anchor center -canvasAnchor nw \
                       -offVal 0 -onVal 2 -variable gvar(saveType) -width 0
    UifOptionButton    $cv.fcdPPSetup-wdg4 -canvasAnchor nw -default None \
                       -itemList {None Whole Central Window} -length 8 \
                       -variable gvar(sigmaCalc)

    #
    #  Canvas Items
    #

    $cv create text 29 14 -tags "text fcdPPSetup-item1 classItem fcdPPSetup" -anchor nw \
              -text "Save To Disk:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 34 37 -tags "text fcdPPSetup-item2 classItem fcdPPSetup" -anchor nw \
              -text "RTD Display:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 46 65 -tags "text fcdPPSetup-item3 classItem fcdPPSetup" -anchor nw \
              -text "RMS Calc:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdPPSetup-wdg1)  {UifEntry 149 11 1 0 NoName 0 1 saveFileName 0 A 0 100 0 0 0 0}
    set panWidget(${top}.fcdPPSetup-wdg2)  {UifCheckButton 118 33 1 0 0 0 1 rtdDisplay 0 0 1 0 0 0}
    set panWidget(${top}.fcdPPSetup-wdg3)  {UifCheckButton 118 9 1 0 0 0 1 saveType 0 0 1 0 0 0}
    set panWidget(${top}.fcdPPSetup-wdg4)  {UifOptionButton 122 61 1 0 None 0 1 sigmaCalc 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
