#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdProcStatus_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdProcStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Wed Jul 23 13:58:46 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdProcStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 196 -height 211 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutputString    $cv.fcdProcStatus-wdg1 -anchor center \
                       -canvasAnchor nw -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(:slcuProcs.fcdcon) -width 12
    UifOutputString    $cv.fcdProcStatus-wdg2 -anchor center \
                       -canvasAnchor nw -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(slcuProcs.fcdtm) -width 12
    UifOutputString    $cv.fcdProcStatus-wdg3 -anchor center \
                       -canvasAnchor nw -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(slcuProcs.fcdint) -width 12
    UifOutputString    $cv.fcdProcStatus-wdg4 -anchor center \
                       -canvasAnchor nw -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(slcuProcs.fcdpp) -width 12
    UifOutputString    $cv.fcdProcStatus-wdg5 -anchor center \
                       -canvasAnchor nw -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(slcuProcs.fcdrdt) -width 12
    UifOutputString    $cv.fcdStatusSystem -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Initialised Standby Operating} \
                       -listValues {1 2 3 4 5} \
                       -variable gvar(slcuProcs.fcdexp) -width 12

    #
    #  Canvas Items
    #

    $cv create text 12 28 -tags "text fcdProcStatus-item1 classItem fcdProcStatus" -anchor nw \
              -text "con" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 12 57 -tags "text fcdProcStatus-item2 classItem fcdProcStatus" -anchor nw \
              -text "exp" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 15 85 -tags "text fcdProcStatus-item3 classItem fcdProcStatus" -anchor nw \
              -text "tm" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 14 115 -tags "text fcdProcStatus-item4 classItem fcdProcStatus" -anchor nw \
              -text "int" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 14 143 -tags "text fcdProcStatus-item5 classItem fcdProcStatus" -anchor nw \
              -text "pp" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 12 172 -tags "text fcdProcStatus-item6 classItem fcdProcStatus" -anchor nw \
              -text "rdt" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdProcStatus-wdg1)  {UifOutputString 42 26 1 1 0 0 1 slcuProcs.fcdcon 0 {}}
    set panWidget(${top}.fcdProcStatus-wdg2)  {UifOutputString 41 82 1 1 0 0 1 slcuProcs.fcdtm 0 {}}
    set panWidget(${top}.fcdProcStatus-wdg3)  {UifOutputString 40 111 1 1 0 0 1 slcuProcs.fcdint 0 {}}
    set panWidget(${top}.fcdProcStatus-wdg4)  {UifOutputString 40 139 1 1 0 0 1 slcuProcs.fcdpp 0 {}}
    set panWidget(${top}.fcdProcStatus-wdg5)  {UifOutputString 40.0 168.0 1 1 0 0 1 slcuProcs.fcdrdt 0 {}}
    set panWidget(${top}.fcdStatusSystem)  {UifOutputString 41 55 1 1 0 0 1 slcuProcs.fcdexp 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdProcStatus-wdg1)  {out local slcuProcs.fcdcon 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdProcStatus-wdg2)  {out local slcuProcs.fcdtm 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdProcStatus-wdg3)  {out local slcuProcs.fcdint 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdProcStatus-wdg4)  {out local slcuProcs.fcdpp 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdProcStatus-wdg5)  {out local slcuProcs.fcdrdt 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdStatusSystem)  {out local slcuProcs.fcdexp 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
