#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReadWriteAddr_uifClass.tcl,v 2.23 2005/09/12 13:07:45 vltsccm Exp $" 
#
# fcdReadWriteAddr_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Jul 15 14:41:48 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdReadWriteAddr_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 327 -height 90 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdReadWriteAddr-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(readAddress) -width 12
    UifButton          $cv.fcdReadWriteAddr-wdg2 -canvasAnchor nw \
                       -command fcdUserReadAddress -initialState normal \
                       -label READ -popup 0 \
                       -stateVar gvar(fcdReadWriteAddr-wdg5Var) -width 6
    UifButton          $cv.fcdReadWriteAddr-wdg3 -canvasAnchor nw \
                       -command fcdUserWriteAddress -initialState normal \
                       -label WRITE -popup 0 \
                       -stateVar gvar(fcdReadWriteAddr-wdg6Var) -width 6
    UifEntry           $cv.fcdReadWriteAddr-wdg4 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(writeAddress) -width 12
    UifEntry           $cv.readValue -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(readValue) -width 10
    UifEntry           $cv.writeValue -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(writeValue) -width 10

    #
    #  Canvas Items
    #

    $cv create text 100 11 -tags "text fcdReadWriteAddr-item1 classItem fcdReadWriteAddr" -anchor nw \
              -text "Address" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 212 11 -tags "text fcdReadWriteAddr-item2 classItem fcdReadWriteAddr" -anchor nw \
              -text "Value" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReadWriteAddr-wdg1)  {UifEntry 80 31 1 0 0x0000000 0 1 readAddress 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdReadWriteAddr-wdg2)  {UifButton 20 27 1 0 0 0 1 fcdReadWriteAddr-wdg5Var 0 {}}
    set panWidget(${top}.fcdReadWriteAddr-wdg3)  {UifButton 20 59 1 0 0 0 1 fcdReadWriteAddr-wdg6Var 0 {}}
    set panWidget(${top}.fcdReadWriteAddr-wdg4)  {UifEntry 80 63 1 0 0x0000000 0 1 writeAddress 0 A {} {} 0 0 0 0}
    set panWidget(${top}.readValue)  {UifEntry 196 31 1 0 0 0 1 readValue 0 A {} {} 0 0 0 0}
    set panWidget(${top}.writeValue)  {UifEntry 196 63 1 0 {} 0 1 writeValue 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
