#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdStatus_uifClass.tcl,v 2.23 2005/09/12 13:07:43 vltsccm Exp $" 
#
# fcdStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Wed Feb 11 12:39:25 GMT 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 410 -height 236 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.expRepeatCur -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expRepeatCur) \
                       -width 6
    UifOutput          $cv.fcdStatus-wdg1 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(readout.percent) -width 6
    UifOutput          $cv.fcdStatus-wdg2 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.timeRem) -width 7
    UifOutput          $cv.fcdStatus-wdg3 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMaxVal) \
                       -width 10
    UifOutput          $cv.fcdStatus-wdg4 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:transfer.percent) -width 6
    UifOutputString    $cv.fcdStatus-wdg5 -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdStatus-wdg5 %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Red Black OliveDrab Blue Blue Red} \
                       -listStrings {Undefined Closed Open Closing Opening Undefined} \
                       -listValues {-1 0 1 2 3 4} \
                       -variable gvar(shutter.status) -width 10
    UifOutput          $cv.fcdStatus-wdg6 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipRMS) \
                       -width 10
    UifOutput          $cv.fcdStatus-wdg7 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMinVal) \
                       -width 6
    UifOutput          $cv.fcdStatus-wdg8 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMean) \
                       -width 6
    UifOutput          $cv.fcdStatus-wdg9 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(readout.time) -width 6
    UifOutputString    $cv.fcdStatus-wdg10 -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab OliveDrab Blue OliveDrab Blue} \
                       -listStrings {OFF LOADED STANDBY IDLE WIPING READY READING} \
                       -listValues {1 2 3 4 5 6 7} \
                       -variable gvar(readout.opState) -width 7
    UifOutput          $cv.fcdStatus-wdg11 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expId) -width 6
    UifOutputString    $cv.fcdStatusSystem -anchor center -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab OliveDrab Blue} \
                       -listStrings {Off Loaded Standby Online} \
                       -listValues {1 2 3 4} -variable gvar(.opStateSlcu) \
                       -width 12
    UifOutputString    $cv.fcdStatus_expStatus -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdStatus_expStatus %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {OliveDrab OliveDrab OliveDrab Blue Blue OliveDrab OliveDrab OliveDrab OliveDrab OliveDrab OliveDrab OliveDrab Red Black OliveDrab OliveDrab} \
                       -listStrings {Inactive Pending Integrating Paused {Paused Integrating} Reading Processing {Reading and Processing} Transferring {Reading and Transferring} {Transferring and Processing} Completed Failed Aborted {Finite Loop} {Infinite Loop}} \
                       -listValues {1 2 4 8 12 16 32 48 64 80 96 128 256 512 1024 2048} \
                       -variable gvar(exposures:exposure_1.expStatus) \
                       -width 23

    #
    #  Canvas Items
    #

    $cv create text 20 16 -tags "text fcdStatus-item1 classItem fcdStatus" -anchor nw \
              -text "Exposure No:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 60 40 -tags "text fcdStatus-item2 classItem fcdStatus" -anchor nw \
              -text "Status:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 72 148 -tags "text fcdStatus-item3 classItem fcdStatus" -anchor nw \
              -text "IP  Min:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 200 148 -tags "text fcdStatus-item4 classItem fcdStatus" -anchor nw \
              -text "IP Max:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 68 176 -tags "text fcdStatus-item5 classItem fcdStatus" -anchor nw \
              -text "IP Avg:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 196 176 -tags "text fcdStatus-item6 classItem fcdStatus" -anchor nw \
              -text "IP RMS:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 196 116 -tags "text fcdStatus-item7 classItem fcdStatus" -anchor nw \
              -text "Read time:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 204 -tags "text fcdStatus-item8 classItem fcdStatus" -anchor nw \
              -text "System State:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 68 116 -tags "text fcdStatus-item9 classItem fcdStatus" -anchor nw \
              -text "Int time:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 192 12 -tags "text fcdStatus-item10 classItem fcdStatus" -anchor nw \
              -text "Id:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 244 204 -tags "text fcdStatus-item11 classItem fcdStatus" -anchor nw \
              -text "Rdt:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 68 88 -tags "text fcdStatus-item12 classItem fcdStatus" -anchor nw \
              -text "Read %" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 192 88 -tags "text fcdStatus-item13 classItem fcdStatus" -anchor nw \
              -text "Transfer %" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 60 64 -tags "text fcdStatus-item14 classItem fcdStatus" -anchor nw \
              -text "Shutter" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.expRepeatCur)  {UifOutput 112.0 8.0 1 1 0 0 1 exposures:exposure_1.expRepeatCur 0 {} {}}
    set panWidget(${top}.fcdStatus-wdg1)  {UifOutput 124.0 84.0 1 1 0 0 1 readout.percent 0 {%d%%} {}}
    set panWidget(${top}.fcdStatus-wdg10)  {UifOutputString 284.0 200.0 1 1 0 0 1 readout.opState 0 {}}
    set panWidget(${top}.fcdStatus-wdg11)  {UifOutput 216.0 8.0 1 1 0 0 1 exposures:exposure_1.expId 0 {} {}}
    set panWidget(${top}.fcdStatus-wdg2)  {UifOutput 124.0 112.0 1 1 0 0 1 exposures:exposure_1.timeRem 0 %.1f {}}
    set panWidget(${top}.fcdStatus-wdg3)  {UifOutput 260.0 144.0 1 1 0 0 1 images:process:window_1.ipMaxVal 0 {} {}}
    set panWidget(${top}.fcdStatus-wdg4)  {UifOutput 268 84 1 1 0 0 1 images:transfer.percent 0 %d%% {}}
    set panWidget(${top}.fcdStatus-wdg5)  {UifOutputString 112 60 1 1 0 0 1 shutter.status 0 {}}
    set panWidget(${top}.fcdStatus-wdg6)  {UifOutput 260.0 172.0 1 1 0 0 1 images:process:window_1.ipRMS 0 %.2f {}}
    set panWidget(${top}.fcdStatus-wdg7)  {UifOutput 124.0 144.0 1 1 0 0 1 images:process:window_1.ipMinVal 0 {} {}}
    set panWidget(${top}.fcdStatus-wdg8)  {UifOutput 124.0 172.0 1 1 0 0 1 images:process:window_1.ipMean 0 %.0f {}}
    set panWidget(${top}.fcdStatus-wdg9)  {UifOutput 268.0 112.0 1 1 0 0 1 readout.time 0 %.1f {}}
    set panWidget(${top}.fcdStatusSystem)  {UifOutputString 108.0 200.0 1 1 0 0 1 .opStateSlcu 0 {}}
    set panWidget(${top}.fcdStatus_expStatus)  {UifOutputString 112.0 36.0 1 1 0 0 1 exposures:exposure_1.expStatus 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.expRepeatCur)  [list out local exposures:exposure_1.expRepeatCur 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg1)  [list out local readout.percent 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg10)  [list out local readout.opState 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg11)  [list out local exposures:exposure_1.expId 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg2)  [list out local exposures:exposure_1.timeRem 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg3)  [list out local images:process:window_1.ipMaxVal 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg4)  [list out local images:transfer.percent 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg5)  [list out local shutter.status 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdStatus-wdg6)  [list out local images:process:window_1.ipRMS 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg7)  [list out local images:process:window_1.ipMinVal 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg8)  [list out local images:process:window_1.ipMean 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus-wdg9)  [list out local readout.time 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatusSystem)  [list out local .opStateSlcu 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdStatus_expStatus)  [list out local exposures:exposure_1.expStatus 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
