#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdpmsSensorFrame.tcl,v 1.20 2004/01/16 15:28:33 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hpieper  15/09/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

itk::usual fcdpmsSensorFrame {
    keep -short_help
}

class fcdpmsSensorFrame {
    inherit iwidgets::Labeledwidget fcdpmsSensorPeriph

    itk_option define -short_help short_help Short_help  ""

    constructor             {unit_ SensorFrameid_ args} {}
    destructor                     {}
    
    

};#fcdpmsSensorFrame

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# fcdpmsSensorFrame::constructor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body fcdpmsSensorFrame::constructor {unit_ args} {
    

    set unit $unit_
    if {[llength $args] != 0 } {
	eval itk_initialize $args
    }
     
    
    foreach el $PERIPHLIST {
	set id [lindex $el 1]
	set title [lindex $el 0]
	itk_component add $id {
	    fcdpmsSensor $itk_interior._$id \
		    $unit \
		    $id \
		    $title \
		    -name [lindex $el 0] \
		    -short_help $itk_option(-short_help)
	} {
	    usual
	}
    }
  
    foreach el $PERIPHLIST {
	set name [lindex $el 1]
	pack $itk_component($name) -side top -fill x -padx 2 
    }
    $this configure -labeltext "Sensors"
    $this configure -labelpos nw

# AB    $itk_component(lwchildsite) configure -relief ridge -bd 2
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# fcdpmsSensorFrame::destructor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body fcdpmsSensorFrame::destructor {} {
    
}

#
# ___oOo___
