#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: hisTableStatus.tcl,v 1.33 2004/09/23 09:25:06 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  07/11/00  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc hisGetTableStatus { alias } {
   global gvar
   global hpPlin hpAlias hpAbsolute

   set pt "<alias>${alias}.history config(0,0:14)"

   set ret [panDbRead $pt hpStatus]
   if {[cequal $ret FAILURE]} { return }

#   puts "$alias    status = $hpStatus"

   lassign $hpStatus gvar(hpNextRec)        gvar(hpRemain) \
                     gvar(hpLapCounter)     gvar(hpClearCounter) \
                     gvar(hpTableStatus)    dummy \
                     gvar(hpAverageTime)    gvar(hpAverageCnt)  \
                     gvar(hpStatisticState) gvar(hpStatisticType) \
                     gvar(hpOutTrigAddr)    gvar(hpoutTrigState) \
                     dummy1 \
                     gvar(hpAutoArm)        gvar(hpAutoWrapState)

}

proc pollHisStatus { hpAlias } {
   global cv hpPollId

   hisGetTableStatus $hpAlias
   set hpPollId [after 2000 pollHisStatus $hpAlias]
}

proc pollHisStatusStart {} {
   global cv gvar hpIndex hpAlias hpPollId hpPlin

   # Delete current polling

   if {![cequal $hpPollId ""]} { 
      after cancel $hpPollId
      set hpPollId ""
   }

   set hpIndex [$cv.wdgHistPointList getIndex]
   set gvar(htAliasName) $hpAlias($hpIndex)
   set gvar(htPLIN)      $hpPlin($hpIndex)
   pollHisStatus $hpAlias($hpIndex)
   $cv.wdgHistPointList setSelection $hpIndex
}

#
# ___oOo___
