#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: icbpanGratNoOrd_uifClass.tcl,v 1.47 2005/07/01 13:25:43 vltsccm Exp $" 
#
# icbpanGratNoOrd_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.29
#   date   : Thu Jun 02 18:34:15 UTC 2005
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class icbpanGratNoOrd_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} libicbpan
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 514 -height 49 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutput          $cv.devEnc -anchor w -canvasAnchor nw -color Black  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devEnc %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(MOTOR:STATUS.posEnc)  \
                      -width 8 
UifOptionButton    $cv.devSetup -canvasAnchor nw -length 7  \
                      -selectMode label -variable gvar(devSetup) 
icbpanEntry        $cv.devSetupEnc -background Grey90 -colBadVal red  \
                      -font -Adobe-helvetica-medium-r-normal--14*  \
                      -foreground Black -id undefined  \
                      -initialState normal -justify left  \
                      -labelColor Black -labelFont {Helvetica -12 bold}  \
                      -labelWidth 0 -maxVal 100 -minVal 0  \
                      -selectbackground Black -selectforeground Grey90  \
                      -state normal -undo 0 -valType float  \
                      -variable .icbpanGrat.top.wdg.icbpanGrat.cv.devSetupEnc..icbpanGrat.top.wdg.icbpanGrat.cv.devSetupEnc..icbpanGrat.top.wdg.icbpanGrat.cv.icbpanGrat-wdg14.  \
                      -width 8 
UifOutputString    $cv.devSimHset -anchor center -canvasAnchor nw  \
                      -font -Adobe-courier-medium-r-normal--14*-iso8859-1  \
                      -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 0 -listColors {Black Red Red}  \
                      -listStrings {{} HSET SIM} -listValues {0 1 2}  \
                      -variable gvar(devSimHset) -width 4 
UifOutputString    $cv.devState -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColors {Red Red Blue OliveDrab}  \
                      -listStrings {OFF LOADED STANDBY ONLINE}  \
                      -listValues {0 1 2 3} -variable gvar(.state)  \
                      -width 7 
UifOutputList      $cv.devStatus0 -anchor w -canvasAnchor nw -color Black  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devStatus0 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColor {Blue Blue Red Red}  \
                      -listKey {INIT MOVING STOP FAILED}  \
                      -variable gvar(.status0) -width 7 
UifOutput          $cv.devStatus1 -anchor w -canvasAnchor nw -color Black  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devStatus1 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.status1) -width 7 
UifCheckButton     $cv.devUse -anchor w -canvasAnchor nw -default 0  \
                      -offVal 0 -onVal 1 -variable gvar(devUse) -width 0 
UifOutput          $cv.device -anchor center -canvasAnchor nw  \
                      -color Black -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate device %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.device) -width 5 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.devEnc)  {UifOutput 257 4 1 1 0 0 1 MOTOR:STATUS.posEnc 0 {} {}}
    set panWidget(${top}.devSetup)  {UifOptionButton 337 3 1 0 {} 0 1 devSetup 0 {}}
    set panWidget(${top}.devSetupEnc)  {PubClass 442 5 1 0 libicbpan.tcl nw 0 {} 0}
    set panWidget(${top}.devSimHset)  {UifOutputString 146 4 1 0 0 0 1 devSimHset 0 {}}
    set panWidget(${top}.devState)  {UifOutputString 77 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.devStatus0)  {UifOutputList 188 4 1 1 0 0 1 .status0 0 {} {}}
    set panWidget(${top}.devStatus1)  {UifOutput 188 28 1 1 0 0 1 .status1 0 {} {}}
    set panWidget(${top}.devUse)  {UifCheckButton 4 4 1 0 0 0 1 devUse 0 0 1 0 0 0}
    set panWidget(${top}.device)  {UifOutput 26 4 1 1 0 0 1 .device 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.devEnc)  [list out local MOTOR:STATUS.posEnc 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.devState)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.devStatus0)  [list out local .status0 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.devStatus1)  [list out local .status1 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.device)  [list out local .device 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.devEnc)  {Current position in encoder unit}
    set panWidgetHlp(${top}.devSetup)  {Device Control: accepts encoder value, position name or formula input (->)}
    set panWidgetHlp(${top}.devSimHset)  {operational mode (blank = no simulation, no handset)}
    set panWidgetHlp(${top}.devState)  {Device state}
    set panWidgetHlp(${top}.devStatus0)  {Grating name}
    set panWidgetHlp(${top}.devStatus1)  {Current position}
    set panWidgetHlp(${top}.devUse)  {Device selected/unselected}
    set panWidgetHlp(${top}.device)  {Device name}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
