#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: icbpanICSControl_uifClass.tcl,v 1.47 2005/07/01 13:25:35 vltsccm Exp $" 
#
# icbpanICSControl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.9
#   date   : Thu Sep 06 13:14:02 METDST 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class icbpanICSControl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 457 -height 58 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOptionButton    $cv.icbpanChgState -canvasAnchor nw  \
                      -itemList {OFF STANDBY ONLINE} -itemValue {0 1 2}  \
                      -length 9 -selectMode label  \
                      -variable gvar(stateCmd) 
UifButton          $cv.icbpanShutdown -canvasAnchor nw  \
                      -initialState normal -label {Shutdown} -popup 0  \
                      -stateVar gvar(icbpanICSControl-wdg5Var) -width 8 
UifOutputString    $cv.icbpanSimulation -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate icbpanSimulation %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 1  \
                      -label {Op. mode:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*  \
                      -labelWidth 0 -listColors {Black Red Red}  \
                      -listStrings {NORMAL {LCU simulated} {HW simulated}}  \
                      -listValues {0 1 2} -variable gvar(.opMode)  \
                      -width 13 
UifButton          $cv.icbpanStartup -canvasAnchor nw  \
                      -initialState normal -label {Startup} -popup 0  \
                      -stateVar gvar(icbpanICSControl-wdg5Var) -width 8 
UifOutputString    $cv.icbpanState -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate icbpanState %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0  \
                      -listColors {Red Red Red Blue OliveDrab Red}  \
                      -listStrings {undefined OFF loaded standby online undefined}  \
                      -listValues {0 1 2 3 4 5} -variable gvar(.state)  \
                      -width 10 
UifOutputString    $cv.icbpanSubstate -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate icbpanSubstate %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0  \
                      -listColors {Red Black Blue Blue Black Blue Red Blue Blue Blue}  \
                      -listStrings {ERROR idle busy initialising initialised stopping {LCU down} starting {executing setup} {getting status}}  \
                      -listValues {0 1 2 3 4 5 6 7 8 9}  \
                      -variable gvar(.substate) -width 13 

    #
    #  Canvas Items
    #

    $cv create text 84 12 -tags "text icbpanICSControl-item1 classItem icbpanICSControl" -anchor nw \
              -text "State control:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.icbpanChgState)  {UifOptionButton 160 8 1 0 {} 0 1 stateCmd 0 {}}
    set panWidget(${top}.icbpanShutdown)  {UifButton 380 20 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.icbpanSimulation)  {UifOutputString 84 32 1 1 0 0 1 .opMode 0 {}}
    set panWidget(${top}.icbpanStartup)  {UifButton 8 20 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.icbpanState)  {UifOutputString 280 8 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.icbpanSubstate)  {UifOutputString 252 32 1 1 0 0 1 .substate 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.icbpanSimulation)  [list out local .opMode 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.icbpanState)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.icbpanSubstate)  [list out local .substate 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.icbpanChgState)  {Change ICS State}
    set panWidgetHlp(${top}.icbpanShutdown)  {Shutdown ICS WS processes}
    set panWidgetHlp(${top}.icbpanSimulation)  {Global operations mode}
    set panWidgetHlp(${top}.icbpanStartup)  {Startup ICS WS processes}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
