#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: logMiscFilters.tcl,v 4.26 2005/10/24 07:59:55 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  23/01/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc logConfigOtherFilters { shArea } {
   global panTermReturn

   set root .logFilters

   # If the window already exist , de-iconify it
   if {[winfo exists $root]} {
     wm deiconify $root
     raise $root
     return
   }

   toplevel  $root
   set top [frame $root.top]
   set bot [frame $root.bot] 
   set sh  [frame $root.sh1]

   pack $top $bot $sh -fill x

   #################################      
   #     Creation of Menu Bar   
   #################################
   
   set menuBar [ makeMenuFrame $top]

   #  File Menu

   set mbFile [addMenu $menuBar  File  1]; 
   addMenuCmd $mbFile "Quit"  0  "wm iconify $root"

   #  "Help" Menu
    
   set mbHelp [addMenu $menuBar  Help  1 right];      # Help Menu
   addMenuCmd $mbHelp "Extended Help"  0  {puts "Not Implemented"}  
   
   #------------------------------------------
   #         Create Short Help Area
   #------------------------------------------

   set shArea $sh.help
   UifShortHelp $shArea
   pack $shArea -fill x

   # Add additional filters

   set filtFrame [frame $top.filtFrame]
   set r1 [frame $filtFrame.r1]
   set r2 [frame $filtFrame.r2]
   set r3 [frame $filtFrame.r3]
   set r4 [frame $filtFrame.r4]

   pack $r1 $r2 $r3 $r4 -fill x

   pack $filtFrame -padx 5 -pady 5 -fill x

   createFilterBox  $filtFrame $shArea 0
}

#
# ___oOo___
