#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: lsfState_uifClass.tcl,v 1.121 2005/09/14 07:02:49 vltsccm Exp $" 
#
# lsfState_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.12
#   date   : Fri Sep 13 11:14:02 MEST 2002
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------

# Used only in EDITING
uplevel #0 lappend par(ENV_LIST) lcuTat


class lsfState_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 380 -height 52 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutputString    $cv.init -anchor e -canvasAnchor nw  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*  \
                      -labelWidth 0 -listColors {Black Blue}  \
                      -listStrings {{} INITIALIZED} -listValues {0 1}  \
                      -variable gvar(.initialized) -width 11 
UifOutput          $cv.lcuEnv -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 1  \
                      -label {LCU}  \
                      -labelFont -Adobe-helvetica-bold-r-normal--12*  \
                      -labelWidth 4 -variable gvar(lcuEnv) -width 9 
UifOutputString    $cv.sim -anchor e -canvasAnchor nw -dbMode dbEvent  \
                      -evtFilter w  \
                      -evtScript {panEvtDbUpdate sim %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColors {Black Blue}  \
                      -listStrings {{} SIM} -listValues {0 1}  \
                      -variable gvar(.simulation) -width 4 
UifOutputString    $cv.state -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate state %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {State}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 7  \
                      -listColors {Magenta Red Orange Blue LimeGreen}  \
                      -listStrings {UNKNOWN OFF LOADED STANDBY ONLINE}  \
                      -listValues {0 1 2 3 4} -variable gvar(.state)  \
                      -width 8 
UifOptionButton    $cv.stdCmd -canvasAnchor nw  \
                      -command {lsfSendStandardCommand} -default INIT  \
                      -itemList {INIT STANDBY ONLINE STOP OFF SIMULAT STOPSIM SELFTST TEST EXIT}  \
                      -length 8 -selectMode label -variable gvar(cmd) 
UifButton          $cv.stopButton -bitmapFile uifStop.xbm  \
                      -canvasAnchor nw  \
                      -command {panSendCommand $gvar(lcuEnv) [format "%sServer" $gvar(modName)] STOP "" 30000 }  \
                      -initialState normal -popup 0  \
                      -stateVar gvar(lsfState-stop) -width 0 \
	              -foreground Red -activeforeground Red
UifOutputString    $cv.subState -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate subState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {Substate}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 7  \
                      -listColors {Magenta LimeGreen Red Orange Blue Blue Blue Blue Blue LimeGreen}  \
                      -listStrings {Unknown IDLE ERROR TIMEOUT INITIALIZING ACTIVE MONITORING MOVING WAITING READY}  \
                      -listValues {-1 0 1 2 3 4 5 6 7 8}  \
                      -variable gvar(.substate) -width 14 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.lcuEnv)  {UifOutput 8 4 1 0 0 0 1 gvar(lcuEnv) 0 %s {}}
    set panWidget(${top}.stdCmd)  {UifOptionButton 8 28 1 0 OFF 0 1 cmd 0 {}}
    set panWidget(${top}.state)  {UifOutputString 172 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.subState)  {UifOutputString 172 28 1 1 0 0 1 .substate 0 {}}
    set panWidget(${top}.init)  {UifOutputString 298 4 1 1 0 0 1 .initialized 0 {}}
    set panWidget(${top}.sim)  {UifOutputString 346 28 1 1 0 0 1 .simulation 0 {}}
    set panWidget(${top}.stopButton)  {UifButton 120 4 1 0 0 0 1 {} 0 uifStop.xbm}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.init)  [list out local .initialized 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.sim)  [list out local .simulation 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.state)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.subState)  [list out local .substate 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.state)  {Global state of module}
    set panWidgetHlp(${top}.subState)  {Global substate of module}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
