#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiDevice_uifClass.tcl,v 2.43 2005/04/19 12:32:59 vltsccm Exp $" 
#
# moteiDevice_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 05 16:24:28 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiDevice_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 328 -height 44 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.moteiDevice-BC -canvasAnchor nw \
                       -command moteiDeviceComputeChannel -default 1 \
                       -itemList {{Chan #1} {Chan #2} {Chan #3} {Chan #4}} \
		       -itemValue {1 2 3 4} -length 8 \
                       -selectMode value -variable gvar(canal)
    UifOptionButton    $cv.moteiDevice-BN -canvasAnchor nw \
                       -command moteiDeviceComputeChannel -default 1 \
                       -itemList {{Board #1} {Board #2} {Board #3} {Board #4} {Board #5} {Board #6}} \
		       -itemValue {1 2 3 4 5 6} \
                       -length 8 -selectMode value -variable gvar(board)
    UifOutput          $cv.moteiDevice-wdg1 -anchor center -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 1 -variable gvar(SDL) -width 6
    UifOutput          $cv.moteiDevice-wdg2 -anchor center -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 1 -variable gvar(DRV) -width 6

    #
    #  Canvas Items
    #

    $cv create text 4 16 -tags "text moteiDevice-item1 classItem moteiDevice" -anchor nw \
              -text "SDL " \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 100 16 -tags "text moteiDevice-item2 classItem moteiDevice" -anchor nw \
              -text "Driver " \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiDevice-BC)  {UifOptionButton 216.0 24.0 1 0 1 0 1 canal 0 {}}
    set panWidget(${top}.moteiDevice-BN)  {UifOptionButton 216.0 0.0 1 0 1 0 1 board 0 {}}
    set panWidget(${top}.moteiDevice-wdg1)  {UifOutput 32.0 12.0 1 0 0 0 1 SDL 0 {} {}}
    set panWidget(${top}.moteiDevice-wdg2)  {UifOutput 144.0 12.0 1 0 0 0 1 DRV 0 {} {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.moteiDevice-wdg1)  {Associated SDL module}
    set panWidgetHlp(${top}.moteiDevice-wdg2)  {Associated driver}
    set panWidgetHlp(${top}.moteiDevice-BN)  {Board number indexed from CPU}
    set panWidgetHlp(${top}.moteiDevice-BC)  {Channel number on board}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
