#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiInitPosition_uifClass.tcl,v 2.43 2005/04/19 12:33:01 vltsccm Exp $" 
#
# moteiInitPosition_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Tue Jan 27 11:21:41 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiInitPosition_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 516 -height 176 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    classFrame         $cv.moteiInitPosition-Offset -helparea $shArea \
                       -background Grey90 -borderwidth 2 \
                       -classBackground #d9d9d9 -classSelect 0 -height 66 \
                       -nameInstance offsetClass -relief groove -show 0 \
                       -variable offsetFrame \
                       -wdgClassList moteiSetOffset_uifClass \
                       -wdgLibrary libmoteiWidgets -width 196
    UifOptionButton    $cv.moteiInitPosition-PT -canvasAnchor nw \
                       -command moteiCHwInitSelectPosType -default 3 \
                       -length 25 -selectMode value -variable gvar(posType)
    UifOptionButton    $cv.moteiInitPosition-PosHow -canvasAnchor nw \
                       -command moteiCHwInitSelectPosHow -default 2 \
                       -itemList {{by Value} {by Name} {by Index} {by Name + Offset} {by Index + Offset}} \
                       -itemValue {2 3 4 5 6} -length 15 -selectMode value \
                       -variable gvar(posHow)
    UifOutput          $cv.moteiInitPosition-TXT -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--24* -frame 0 \
                       -variable gvar(text) -width 30
    classFrame         $cv.moteiInitPosition-Target -helparea $shArea \
                       -background Grey90 -borderwidth 2 \
                       -classBackground #d9d9d9 -classSelect 0 -height 66 \
                       -nameInstance positionClass -relief groove -show 0 \
                       -variable positionFrame \
                       -wdgClassList {moteiSetTarget_uifClass moteiSetPosNames_uifClass moteiSetPosIndex_uifClass} \
                       -wdgLibrary libmoteiWidgets -width 324

    #
    #  Canvas Items
    #

    $cv create text 44 36 -tags "text moteiInitPosition-item1 classItem moteiInitPosition" -anchor nw \
              -text "Position" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiInitPosition-Offset)  {PubClass 324.0 100.0 1 0 uifCommon nw 0 {} 0}
    set panWidget(${top}.moteiInitPosition-PT)  {UifOptionButton 144.0 40.0 1 0 3 0 1 posType 0 {}}
    set panWidget(${top}.moteiInitPosition-PosHow)  {UifOptionButton 144.0 72.0 1 0 2 0 1 posHow 0 {}}
    set panWidget(${top}.moteiInitPosition-TXT)  {UifOutput 32.0 4.0 1 0 0 0 1 text 0 {} {}}
    set panWidget(${top}.moteiInitPosition-Target)  {PubClass 4.0 100.0 1 0 uifCommon nw 0 {} 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
