#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiMonTim_uifClass.tcl,v 2.43 2005/04/19 12:33:02 vltsccm Exp $" 
#
# moteiMonTim_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Jan 15 14:04:18 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiMonTim_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 296 -height 60 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.moteiMonTim-end -canvasAnchor nw -default 1000 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 3600000 -minVal 0 \
                       -variable gvar(end) -width 8
    UifEntry           $cv.moteiMonTim-far -canvasAnchor nw -default 1000 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 3600000 -minVal 10 \
                       -variable gvar(far) -width 8
    UifEntry           $cv.moteiMonTim-near -canvasAnchor nw -default 200 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 3600000 -minVal 10 \
                       -variable gvar(near) -width 8

    #
    #  Canvas Items
    #

    $cv create text 112 44 -tags "text moteiMonTim-item1 classItem moteiMonTim" -anchor nw \
              -text "ms (stabilization time)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 112 24 -tags "text moteiMonTim-item2 classItem moteiMonTim" -anchor nw \
              -text "ms (within target window)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 112 4 -tags "text moteiMonTim-item3 classItem moteiMonTim" -anchor nw \
              -text "ms (outside target window)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 4 -tags "text moteiMonTim-item4 classItem moteiMonTim" -anchor nw \
              -text "Far" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 24 -tags "text moteiMonTim-item5 classItem moteiMonTim" -anchor nw \
              -text "Near" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 8 44 -tags "text moteiMonTim-item6 classItem moteiMonTim" -anchor nw \
              -text "End" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiMonTim-end)  {UifEntry 40 44 1 0 1000 0 1 end 0 N 0 3600000 0 0 0 0}
    set panWidget(${top}.moteiMonTim-far)  {UifEntry 40.0 4.0 1 0 1000 0 1 far 0 N 10 3600000 0 0 0 0}
    set panWidget(${top}.moteiMonTim-near)  {UifEntry 40 24 1 0 200 0 1 near 0 N 10 3600000 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.moteiMonTim-end)  {Stabilization time (before motion completion notification)}
    set panWidgetHlp(${top}.moteiMonTim-far)  {Polling period in far phase (outside target window)}
    set panWidgetHlp(${top}.moteiMonTim-near)  {Polling period in near phase (within target window)}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
