#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiPosOff_uifClass.tcl,v 2.43 2005/04/19 12:33:03 vltsccm Exp $" 
#
# moteiPosOff_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Jan 15 11:42:39 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiPosOff_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 296 -height 56 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.moteiPosOff-MOS -anchor nw -canvasAnchor center \
                       -default 0 -offVal 0 -onVal 1 \
                       -variable gvar(mntOffSet) -width 0
    UifCheckButton     $cv.moteiPosOff-UOS -anchor nw -canvasAnchor center \
                       -default 0 -offVal 0 -onVal 1 \
                       -variable gvar(usrOffSet) -width 0
    UifEntry           $cv.moteiPosOff-GMO -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(globMntOff) -width 8
    UifOptionButton    $cv.moteiPosOff-GPU -canvasAnchor nw -default Enc \
                       -itemList Enc -itemValue 0 -length 3 \
                       -selectMode label -variable gvar(globOffUnit)
    UifEntry           $cv.moteiPosOff-GUO -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(globUsrOff) -width 8
    UifEntry           $cv.moteiPosOff-MO -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(mntOff) -width 8
    UifOutput          $cv.moteiPosOff-PU -anchor w -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 0 -variable gvar(offUnit) -width 7
    UifEntry           $cv.moteiPosOff-UO -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(usrOff) -width 8

    #
    #  Canvas Items
    #

    $cv create text 48 8 -tags "text moteiPosOff-item1 classItem moteiPosOff" -anchor w \
              -text "Maintenance" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 176 8 -tags "text moteiPosOff-item2 classItem moteiPosOff" -anchor w \
              -text "User" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 1 16 -tags "text moteiPosOff-item3 classItem moteiPosOff" -anchor nw \
              -text "Global" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 1 40 -tags "text moteiPosOff-item4 classItem moteiPosOff" -anchor nw \
              -text "Local" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiPosOff-MOS)  {UifCheckButton 52.0 48.0 1 0 0 0 1 mntOffSet 0 0 1 0 0 0}
    set panWidget(${top}.moteiPosOff-UOS)  {UifCheckButton 144.0 48.0 1 0 0 0 1 usrOffSet 0 0 1 0 0 0}
    set panWidget(${top}.moteiPosOff-GMO)  {UifEntry 56.0 16.0 1 0 0 0 1 globMntOff 0 N 0 100 0 0 0 0}
    set panWidget(${top}.moteiPosOff-GPU)  {UifOptionButton 224.0 12.0 1 0 Enc 0 1 globOffUnit 0 {}}
    set panWidget(${top}.moteiPosOff-GUO)  {UifEntry 148.0 16.0 1 0 0 0 1 globUsrOff 0 N 0 100 0 0 0 0}
    set panWidget(${top}.moteiPosOff-MO)  {UifEntry 56.0 40.0 1 0 0 0 1 mntOff 0 N 0 100 0 0 0 0}
    set panWidget(${top}.moteiPosOff-PU)  {UifOutput 224.0 36.0 1 0 0 0 1 offUnit 0 {} {}}
    set panWidget(${top}.moteiPosOff-UO)  {UifEntry 148.0 40.0 1 0 0 0 1 usrOff 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.moteiPosOff-MOS)  {Overload global maintenance offset}
    set panWidgetHlp(${top}.moteiPosOff-UOS)  {Overload global user defined offset}
    set panWidgetHlp(${top}.moteiPosOff-GMO)  {Maintenance section global offset}
    set panWidgetHlp(${top}.moteiPosOff-GPU)  {Global offsets unit}
    set panWidgetHlp(${top}.moteiPosOff-GUO)  {User-defined section global offset}
    set panWidgetHlp(${top}.moteiPosOff-MO)  {Maintenance offset}
    set panWidgetHlp(${top}.moteiPosOff-UO)  {User defined offset}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
