#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiSpePos_uifClass.tcl,v 2.43 2005/04/19 12:33:06 vltsccm Exp $" 
#
# moteiSpePos_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Wed Jan 14 10:30:04 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiSpePos_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 452 -height 20 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.flag -anchor w -canvasAnchor nw -default 0 \
                       -label Set -offVal 0 -onVal 1 -variable gvar(flag) \
                       -width 0
    UifOutputString    $cv.name -anchor w -canvasAnchor nw \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -listColors {Black Black Black Black Black} \
                       -listStrings {{Lower HW Limit} {Upper HW Limit} {Reference Switch} {Index Pulse} {Home Position}} \
                       -listValues {2 3 4 5 6} -variable gvar(name) \
                       -width 16
    UifOptionButton    $cv.type -canvasAnchor nw -default 1 \
                       -itemList {ABS REL LHW UHW REF IND HOM} \
                       -itemValue {1 2 3 4 5 6 7} -length 3 \
                       -selectMode value -variable gvar(type)
    UifOptionButton    $cv.unit -canvasAnchor nw -default Enc -itemList Enc \
                       -itemValue 0 -length 7 -selectMode label \
                       -variable gvar(unit)
    UifEntry           $cv.value -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(value) -width 8

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.flag)  {UifCheckButton 0 0 1 0 0 0 1 flag 0 0 1 0 0 0}
    set panWidget(${top}.name)  {UifOutputString 48 0 1 0 0 0 1 name 0 {}}
    set panWidget(${top}.type)  {UifOptionButton 200 0 1 0 1 0 1 type 0 {}}
    set panWidget(${top}.unit)  {UifOptionButton 348 0 1 0 Enc 0 1 unit 0 {}}
    set panWidget(${top}.value)  {UifEntry 276 0 1 0 0 0 1 value 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.flag)  {Set value at initialization}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
