#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: attr_uifClass.tcl,v 2.60 2005/07/31 20:47:40 vltsccm Exp $" 
#
# attr_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.69
#   date   : Fri Oct 25 14:17:10 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class attr_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 520 -height 203 \
                               -borderwidth 2 -highlightthickness 0
    } {
       keep -relief
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutput          $cv.attrName -canvasAnchor nw -color Black \
                       -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(localAttr) -width 36
    UifOutputString    $cv.ceStatus -canvasAnchor nw \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -listColors {Red OliveDrab OliveDrab Red} \
                       -listStrings {Disabled Enabled {Enabled (optimized)} Unknown} \
                       -listValues {0 1 2 4} -variable gvar(ceVar) -width 22
    UifOutputString    $cv.dataQual -canvasAnchor nw -dbMode dbPoll \
                       -evtFilter {"w"} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(quality) -width 9
    UifButton          $cv.disable -canvasAnchor nw \
                       -command {scaneiDisableAttr $gvar(scaneiEnv)} \
                       -label Disable -popup 0 -stateVar gvar(disable) \
                       -width 8
    UifButton          $cv.disableCe -canvasAnchor nw \
                       -command scaneiDisableCE -label Disable -popup 0 \
                       -stateVar gvar(attr-wdg14Var) -width 8
    UifButton          $cv.enable -canvasAnchor nw \
                       -command {scaneiEnableAttr $gvar(scaneiEnv)} \
                       -label Enable -popup 0 -stateVar gvar(enable) \
                       -width 8
    UifButton          $cv.enableCEopt -canvasAnchor nw \
                       -command scaneiEnableOpt -label {Enable (optimized)} \
                       -popup 0 -stateVar gvar(attr-wdg15Var) -width 18
    UifButton          $cv.enableCe -canvasAnchor nw -command scaneiEnableCE \
                       -label Enable -popup 0 -stateVar gvar(attr-wdg13Var) \
                       -width 8
    UifOutput          $cv.info -canvasAnchor nw -color Black -dbMode dbPoll \
                       -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(modeVar1) -width 12
    UifOutput          $cv.mode -canvasAnchor nw -color Black -dbMode dbPoll \
                       -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(scanMode) -width 4
    UifOutput          $cv.size -canvasAnchor nw -color Black -dbMode dbPoll \
                       -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(dataSize) -width 5
    UifOutputString    $cv.status -canvasAnchor nw -dbMode dbPoll \
                       -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(attrStat) -width 8

    #
    #  Canvas Items
    #

    $cv create text 34 13 -tags "text attr-item1 classItem attr" -anchor nw \
              -text "Status" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 106 13 -tags "text attr-item2 classItem attr" -anchor nw \
              -text "Scan Mode" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 210 13 -tags "text attr-item3 classItem attr" -anchor nw \
              -text "Period/DeadBand" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 363 14 -tags "text attr-item4 classItem attr" -anchor nw \
              -text "Size" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 423 14 -tags "text attr-item5 classItem attr" -anchor nw \
              -text "Data-Quality" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 214 69 -tags "text attr-item6 classItem attr" -anchor nw \
              -text "Local Attribute " \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 17 158 -tags "text attr-item7 classItem attr" -anchor nw \
              -text "Calculation Engine:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text -4 110 -tags "text attr-item8 classItem attr" -anchor nw \
              -text "_________________________________________________________________" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.attrName)  {UifOutput 94 89 1 0 0 0 1 localAttr 0 {} {}}
    set panWidget(${top}.ceStatus)  {UifOutputString 157 154 1 0 0 0 1 ceVar 0 {}}
    set panWidget(${top}.dataQual)  {UifOutputString 424 31 1 0 0 0 1 quality 0 {}}
    set panWidget(${top}.disable)  {UifButton 437 86 1 0 0 0 1 disable 0 {}}
    set panWidget(${top}.disableCe)  {UifButton 437.0 136.0 1 0 0 0 1 attr-wdg14Var 0 {}}
    set panWidget(${top}.enable)  {UifButton 9 86 1 0 0 0 1 enable 0 {}}
    set panWidget(${top}.enableCEopt)  {UifButton 357 167 1 0 0 0 1 attr-wdg15Var 0 {}}
    set panWidget(${top}.enableCe)  {UifButton 356.0 136.0 1 0 0 0 1 attr-wdg13Var 0 {}}
    set panWidget(${top}.info)  {UifOutput 209 33 1 0 0 0 1 modeVar1 0 {} {}}
    set panWidget(${top}.mode)  {UifOutput 121 33 1 0 0 0 1 scanMode 0 {} {}}
    set panWidget(${top}.size)  {UifOutput 349 33 1 0 0 0 1 dataSize 0 {} {}}
    set panWidget(${top}.status)  {UifOutputString 13 33 1 0 0 0 1 attrStat 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.attrName)  {Name of local attribute}
    set panWidgetHlp(${top}.dataQual)  {Data quality of local attribute}
    set panWidgetHlp(${top}.disable)  {Disable scanning of attribute}
    set panWidgetHlp(${top}.disableCe)  {Disable calculation engine for point}
    set panWidgetHlp(${top}.enable)  {Enable scanning of attribute}
    set panWidgetHlp(${top}.enableCEopt)  {Enable calculation engine (optimized)}
    set panWidgetHlp(${top}.enableCe)  {Enable calculation engine for point}
    set panWidgetHlp(${top}.info)  {Polling period (POLL) / Deadband (SRBX)}
    set panWidgetHlp(${top}.mode)  {Scan mode (SRBX/POLL)}
    set panWidgetHlp(${top}.size)  {Amount of data in bytes scanned for that attribute}
    set panWidgetHlp(${top}.status)  {Current scan status of attribute (ENABLED/DISABLED/FAILED)}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
