#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: envStat_uifClass.tcl,v 2.60 2005/07/31 20:47:40 vltsccm Exp $" 
#
# envStat_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 12:55:59 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class envStat_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 259 -height 130 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifButton          $cv.disable -popup 0 -label Disable \
                       -stateVar gvar(envStat-wdg7Var) -width 9 \
                       -state normal \
                       -command {scaneiDisableEnv $gvar(scaneiEnv)} \
                       -canvasAnchor nw
    UifButton          $cv.enable -popup 0 -label Enable \
                       -stateVar gvar(envStat-wdg4Var) -width 9 \
                       -state normal \
                       -command {scaneiEnableEnv $gvar(scaneiEnv)} \
                       -canvasAnchor nw
    UifOutputString    $cv.envStatus -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(envStat) -frame 1 -width 10 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -canvasAnchor nw
    UifOutput          $cv.environment -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(envName) -color Black -frame 1 \
                       -width 10 -font -Adobe-courier-bold-r-normal--14* \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 72 50 -tags "text envStat-item1 classItem envStat" -anchor nw \
              -text "Status" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 26 18 -tags "text envStat-item2 classItem envStat" -anchor nw \
              -text "Environment" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.disable)  {UifButton 148 86 1 0 0 0 1 envStat-wdg7Var 0 {}}
    set panWidget(${top}.enable)  {UifButton 32 86 1 0 0 0 1 envStat-wdg4Var 0 {}}
    set panWidget(${top}.envStatus)  {UifOutputString 126 47 1 0 0 0 1 envStat 0 {}}
    set panWidget(${top}.environment)  {UifOutput 126 13 1 0 0 0 1 envName 0 {} {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.disable)  {Disable scanning for environment}
    set panWidgetHlp(${top}.enable)  {Enable scanning for environment}
    set panWidgetHlp(${top}.envStatus)  {Scan status for environment}
    set panWidgetHlp(${top}.environment)  {Name of environment scanned}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
