#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: env_uifClass.tcl,v 2.60 2005/07/31 20:47:40 vltsccm Exp $" 
#
# env_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 12:56:42 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class env_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 241 -height 238 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifListBox         $cv.envs -label {Environment  Status } \
                       -variable gvar(envsVar) \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -geometry 18x10 -scrolly 1 -scrollx 0 \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.envs)  {UifListBox 31 17 1 0 0 0 1 envsVar 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.envs)  {List of environments scanned}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
