#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: procStat_uifClass.tcl,v 2.60 2005/07/31 20:47:40 vltsccm Exp $" 
#
# procStat_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 12:57:44 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class procStat_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 230 -height 116 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifButton          $cv.startBt -popup 0 -label Start \
                       -stateVar gvar(startVar) -width 10 -state normal \
                       -canvasAnchor nw
    UifOutputString    $cv.status -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(statusVar) -frame 1 -width 10 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -canvasAnchor nw
    UifButton          $cv.stopBt -popup 0 -label Stop \
                       -stateVar gvar(stopVar) -width 10 -state normal \
                       -canvasAnchor nw
    UifOutput          $cv.title -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(titleVar) -color Black -frame 0 \
                       -width 13 -font -Adobe-courier-bold-r-normal--14* \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.startBt)  {UifButton 21 75 1 0 0 0 1 startVar 0 {}}
    set panWidget(${top}.status)  {UifOutputString 63 38 1 0 0 0 1 statusVar 0 {}}
    set panWidget(${top}.stopBt)  {UifButton 119 75 1 0 0 0 1 stopVar 0 {}}
    set panWidget(${top}.title)  {UifOutput 50 10 1 0 0 0 1 titleVar 0 {} {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.startBt)  {Start application}
    set panWidgetHlp(${top}.stopBt)  {Stop application}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
