#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ssma_uifClass.tcl,v 2.60 2005/07/31 20:47:42 vltsccm Exp $" 
#
# ssma_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.9
#   date   : Tue Mar 27 05:03:32 UTC 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ssma_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 230 -height 126 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifBarChart        $cv.ssma-bar -axis 0 -canvasAnchor nw -dbMode dbPoll  \
                      -evtFilter "w" -label {Scan Shared Memory Area}  \
                      -length 180 -maxVal 100 -minVal 0 -orient h  \
                      -ticks 0 -variable gvar(ssmaPercent) 
UifOutput          $cv.ssma-size -anchor e -canvasAnchor nw -color Blue  \
                      -font -Adobe-courier-bold-r-normal--24* -frame 1  \
                      -label {Size:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 5 -variable gvar(ssmaSize) -width 11 
UifOutput          $cv.ssma-used -anchor e -canvasAnchor nw -color Blue  \
                      -font -Adobe-courier-bold-r-normal--24* -frame 1  \
                      -label {Used:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 5 -variable gvar(ssmaUsed) -width 11 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ssma-bar)  {UifBarChart 4 4 1 0 0 0 1 ssmaPercent 0 0 0 100 0 0}
    set panWidget(${top}.ssma-size)  {UifOutput 8 60 1 0 0 0 1 ssmaSize 0 {} {}}
    set panWidget(${top}.ssma-used)  {UifOutput 8 91 1 0 0 0 1 ssmaUsed 0 {} {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ssma-bar)  {Scan shared memory usage (percent) - must always be < 100%}
    set panWidgetHlp(${top}.ssma-size)  {Total amount of SSMA (bytes)}
    set panWidgetHlp(${top}.ssma-used)  {Used amount of SSMA (bytes)}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
