#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: sys_uifClass.tcl,v 2.60 2005/07/31 20:47:42 vltsccm Exp $" 
#
# sys_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 13:01:16 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class sys_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 241 -height 125 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifOutputString    $cv.interlock -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(interlockVar) -frame 1 -width 10 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -canvasAnchor nw
    UifOutputString    $cv.queue -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(queueVar) -frame 1 -width 10 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -canvasAnchor nw
    UifButton          $cv.resetBt -popup 0 -label Reset \
                       -stateVar gvar(resetStat) -width 10 -state normal \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 21 25 -tags "text sys-item1 classItem sys" -anchor nw \
              -text "Scan Interlock" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 9 51 -tags "text sys-item2 classItem sys" -anchor nw \
              -text "Message Queue" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.interlock)  {UifOutputString 127 22 1 0 0 0 1 interlockVar 0 {}}
    set panWidget(${top}.queue)  {UifOutputString 127 49 1 0 0 0 1 queueVar 0 {}}
    set panWidget(${top}.resetBt)  {UifButton 72 84 1 0 0 0 1 resetStat 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.interlock)  {Status of scan interlock}
    set panWidgetHlp(${top}.queue)  {Status of message queue}
    set panWidgetHlp(${top}.resetBt)  {Reset states}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
