#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: table_uifClass.tcl,v 2.60 2005/07/31 20:47:43 vltsccm Exp $" 
#
# table_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 13:02:42 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class table_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 521 -height 328 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifListBox         $cv.attr -variable gvar(attributes) \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -geometry 50x12 -scrolly 1 -scrollx 0 \
                       -canvasAnchor nw
    UifEntry           $cv.look -maxVal 100 -minVal 0 \
                       -variable gvar(lookFor) -width 40 -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 171 19 -tags "text table-item1 classItem table" -anchor nw \
              -text "Scan Input Table" \
              -fill black -font -Adobe-helvetica-medium-r-normal--24* 

    $cv create text 47 61 -tags "text table-item2 classItem table" -anchor nw \
              -text "Search for" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.attr)  {UifListBox 28 95 1 0 0 0 1 attributes 0 {}}
    set panWidget(${top}.look)  {UifEntry 130 60 1 0 {} 0 1 lookFor 0 N 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.attr)  {Remote attributes currently scanned}
    set panWidgetHlp(${top}.look)  {Name of attribute to search for}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
