#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: stooStartupMisc_uifClass.tcl,v 1.47 2005/08/23 08:02:54 vltsccm Exp $" 
#
# stooStartupMisc_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.23+
#   date   : Wed Sep 10 17:35:56 MEST 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class stooStartupMisc_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} libstooTcl
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 440 -height 113 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifCheckButton     $cv.alarm -anchor w -canvasAnchor nw -default F  \
                      -label {- Start Alarm Display} -offVal F -onVal T  \
                      -variable gvar(alarm) -width 0 
UifCheckButton     $cv.bob -anchor w -canvasAnchor nw -default F  \
                      -label {- Start BOB} -offVal F -onVal T  \
                      -variable gvar(bob) -width 0 
stooSPININT        $cv.log -background Grey90 -fixed 2  \
                      -labeltext {Log level:} -range {0 5} -step 1  \
                      -textvariable gvar(cfg__OCS.CON.LOGLEVEL) -width 2 
UifCheckButton     $cv.osctrl -anchor w -canvasAnchor nw -default F  \
                      -label {- Start Control Panel} -offVal F -onVal T  \
                      -variable gvar(osctrl) -width 0 

    #
    #  Canvas Items
    #

    $cv create text 12 12 -tags "text stooStartupMisc-item1 classItem stooStartupMisc" -anchor nw \
              -text "Miscellaneous:" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.alarm)  {UifCheckButton 32 80 1 0 F 0 1 alarm 0 0 1 0 0 0}
    set panWidget(${top}.bob)  {UifCheckButton 32 32 1 0 F 0 1 bob 0 0 1 0 0 0}
    set panWidget(${top}.log)  {PubClass 304 64 1 0 libstooTcl.tcl nw 0 {} 0}
    set panWidget(${top}.osctrl)  {UifCheckButton 32 56 1 0 F 0 1 osctrl 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
