#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tacState_uifClass.tcl,v 1.55 2005/10/03 17:37:52 vltsccm Exp $" 
#
# tacState_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.15
#   date   : Wed Jan 01 01:05:34 UTC 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------

# Used only in EDITING
uplevel #0 lappend par(ENV_LIST) atdcsenv


class tacState_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 399 -height 53 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutputString    $cv.state -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate state %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {State}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 8  \
                      -listColors {magenta Red Orange Blue OliveDrab}  \
                      -listStrings {UNKNOWN OFF LOADED STANDBY ONLINE}  \
                      -listValues {0 1 2 3 4} -variable gvar(.state)  \
                      -width 8 
UifOutputString    $cv.subState -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate subState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--12* -frame 1  \
                      -label {Substate}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 8  \
                      -listColors {OliveDrab Red Orange Blue Blue Blue Blue Blue}  \
                      -listStrings {IDLE ERROR TIMEOUT INITIALIZING ACTIVE MONITORING MOVING WAITING}  \
                      -listValues {0 1 2 3 4 5 6 7}  \
                      -variable gvar(.substate) -width 14 
UifOptionButton    $cv.tacState-wdg1 -canvasAnchor nw  \
                      -command {tacSendStandardCommand $lcuEnv $stdCmdTimeout}  \
                      -default OFF  \
                      -itemList {INIT STANDBY ONLINE STOP OFF SIMULAT STOPSIM VERSION SELFTST TEST EXIT}  \
                      -length 8 -selectMode label -variable gvar(cmd) 
UifOutput          $cv.tacState-wdg2 -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 1  \
                      -label {LCU}  \
                      -labelFont -Adobe-helvetica-bold-r-normal--12*  \
                      -labelWidth 4 -variable lcuEnv -width 9 
UifButton          $cv.tacState-wdg3 -bitmapFile uifStop.xbm  \
                      -canvasAnchor nw  \
                      -command {panSendCommand $lcuEnv [format "%sServer" $gvar(modName)] STOP "" $stdCmdTimeout}  \
                      -initialState normal -popup 0  \
                      -stateVar gvar(tacState-stop) -width 0 \
                      -foreground Red -activeforeground Red
UifOutputString    $cv.tacState-wdg4 -anchor e -canvasAnchor nw  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*  \
                      -labelWidth 0 -listColors {Black Blue}  \
                      -listStrings {{} INITIALIZED} -listValues {0 1}  \
                      -variable gvar(.initialized) -width 11 
UifOutputString    $cv.tacState-wdg5 -anchor e -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter w  \
                      -evtScript {panEvtDbUpdate tacState-wdg5 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--12* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColors {Black Blue}  \
                      -listStrings {{} SIM} -listValues {0 1}  \
                      -variable gvar(.simulation) -width 4 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.state)  {UifOutputString 180 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.subState)  {UifOutputString 180 28 1 1 0 0 1 .substate 0 {}}
    set panWidget(${top}.tacState-wdg1)  {UifOptionButton 8 28 1 0 OFF 0 1 cmd 0 {}}
    set panWidget(${top}.tacState-wdg2)  {UifOutput 16 4 1 0 0 0 1 lcuEnv 0 %s {}}
    set panWidget(${top}.tacState-wdg3)  {UifButton 128 4 1 0 0 0 1 {} 0 uifStop.xbm}
    set panWidget(${top}.tacState-wdg4)  {UifOutputString 316 4 1 1 0 0 1 .initialized 0 {}}
    set panWidget(${top}.tacState-wdg5)  {UifOutputString 364 28 1 1 0 0 1 .simulation 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.state)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.subState)  [list out local .substate 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.tacState-wdg4)  [list out local .initialized 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.tacState-wdg5)  [list out local .simulation 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.state)  {Global state of module}
    set panWidgetHlp(${top}.subState)  {Global substate of module}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
