#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tcsData_uifClass.tcl,v 1.94 2005/08/08 10:24:15 vltsccm Exp $" 
#
# tcsData_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.2
#   date   : Mon Apr 21 11:41:34 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class tcsData_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 351 -height 160 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutput          $cv.tcsData-wdg1 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.alt) \
                       -width 12
    UifOutput          $cv.tcsData-wdg2 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.az) -width 12
    UifOutput          $cv.tcsData-wdg3 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.dec) \
                       -width 12
    UifOutput          $cv.tcsData-wdg4 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:times.lst) -width 12
    UifOutput          $cv.tcsData-wdg5 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.HA) -width 12
    UifOutput          $cv.tcsData-wdg6 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.RA) -width 12
    UifOutput          $cv.tcsData-wdg7 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(trk:data:position:actPos.timestamp) \
                       -width 12

    #
    #  Canvas Items
    #

    $cv create text 15 9 -tags "text tcsData-item1 classItem tcsData" -anchor nw \
              -text "______________ Data Monitor _______________" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 14 49 -tags "text tcsData-item2 classItem tcsData" -anchor nw \
              -text "ALT" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 185 48 -tags "text tcsData-item3 classItem tcsData" -anchor nw \
              -text "AZ" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 14 77 -tags "text tcsData-item4 classItem tcsData" -anchor nw \
              -text "RA" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 185 80 -tags "text tcsData-item5 classItem tcsData" -anchor nw \
              -text "DEC" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 14 133 -tags "text tcsData-item6 classItem tcsData" -anchor nw \
              -text "UTC" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 185 132 -tags "text tcsData-item7 classItem tcsData" -anchor nw \
              -text "LST" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 14 105 -tags "text tcsData-item8 classItem tcsData" -anchor nw \
              -text "HA" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.tcsData-wdg1)  {UifOutput 54 45 1 1 0 0 1 trk:data:position:actPos.alt 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg2)  {UifOutput 221 44 1 1 0 0 1 trk:data:position:actPos.az 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg3)  {UifOutput 221 76 1 1 0 0 1 trk:data:position:actPos.dec 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg4)  {UifOutput 221 128 1 1 0 0 1 trk:data:times.lst 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg5)  {UifOutput 54 101 1 1 0 0 1 trk:data:position:actPos.HA 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg6)  {UifOutput 54 73 1 1 0 0 1 trk:data:position:actPos.RA 0 %12.3f 12}
    set panWidget(${top}.tcsData-wdg7)  {UifOutput 54 129 1 1 0 0 1 trk:data:position:actPos.timestamp 0 %12.3f 12}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.tcsData-wdg1)  {out local trk:data:position:actPos.alt 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg2)  {out local trk:data:position:actPos.az 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg3)  {out local trk:data:position:actPos.dec 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg4)  {out local trk:data:times.lst 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg5)  {out local trk:data:position:actPos.HA 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg6)  {out local trk:data:position:actPos.RA 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.tcsData-wdg7)  {out local trk:data:position:actPos.timestamp 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.tcsData-wdg1)  {current position of altitude axis (DD.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg2)  {current position of azimuth axis (DD.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg3)  {current declination ([+-]DDMMSS.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg4)  {current Local Sidereal Time (HHMMSS.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg5)  {current Hour Angle (HHMMSS.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg6)  {current right ascension (HHMMSS.TTT)}
    set panWidgetHlp(${top}.tcsData-wdg7)  {current Universal Time Coordinated (MJD)}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
