#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tcsPreset_uifClass.tcl,v 1.94 2005/08/08 10:24:16 vltsccm Exp $" 
#
# tcsPreset_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.51
#   date   : Thu Jan  4 15:54:33 MEZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class tcsPreset_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 524 -height 257 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifButton          $cv.tcsPreset-wdg10 -popup 0 -label {Preset fixed} \
                       -stateVar gvar(tcsPreset-wdg10) -width 10 \
                       -state normal \
                       -command {panSendCommand wte13 prsControl PRSALAZ 0 30000 $gvar(tcssimPrsalazAz)} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg11 -maxVal 90 -minVal 0 \
                       -variable gvar(tcssimPrsalazAlt) -width 10 \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg12 -maxVal 360 -minVal -180 \
                       -variable gvar(tcssimPrsalazAz) -width 10 \
                       -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg15 -popup 0 -label {Preset star} \
                       -stateVar gvar(tcsPreset-wdg15) -width 10 \
                       -state normal \
                       -command {tcssimSendCmd PRSCOOR "$gvar(tcssimPrscoorRa) $gvar(tcssimPrscoorDec)"} \
                       -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg16 -popup 0 -label Stop \
                       -stateVar gvar(tcsPreset-wdg16Var) -width 10 \
                       -state normal -command {tcssimSendCmd STOP} \
                       -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg17 -popup 0 -label {Preset name} \
                       -stateVar gvar(tcsPreset-wdg17Var) -width 10 \
                       -state normal \
                       -command {tcssimSendCmd PRSNAME $gvar(tcssimPrsnameName)} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg18 -maxVal 100 -minVal 0 \
                       -activeFont 8x13 -activeBackground Grey90 \
                       -selectedBackground Grey90 -confirm 0 \
                       -variable gvar(tcsPreset-wdg18Var) -width 10 \
                       -font 8x13 -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg19 -maxVal 90 -minVal -90 \
                       -activeFont 8x13 -activeBackground Grey90 \
                       -selectedBackground Grey90 -confirm 0 \
                       -variable gvar(tcsPreset-wdg19Var) -width 10 \
                       -font 8x13 -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg20 -maxVal 100 -minVal 0 \
                       -activeFont 8x13 -activeBackground Grey90 \
                       -selectedBackground Grey90 -confirm 0 \
                       -variable gvar(tcssimPrsnameName) -width 10 \
                       -font 8x13 -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg21 -popup 1 -label {Data Monitor} \
                       -stateVar gvar(tcsPreset-wdg21Var) -width 15 \
                       -state normal \
                       -command {panCallPanel tcssimDataMonitor} \
                       -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg23 -popup 0 -label {Offset fixed} \
                       -stateVar gvar(tcsPreset-wdg23) -width 10 \
                       -state normal \
                       -command {tcssimSendCmd OFFSAA "$gvar(tcssimOffsaaAlt) $gvar(tcssimOffsaaAz) A"} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg26 -maxVal 3600 -minVal -3600 \
                       -variable gvar(tcssimOffsaaAlt) -width 10 \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg27 -maxVal 3600 -minVal -3600 \
                       -variable gvar(tcssimOffsaaAz) -width 10 \
                       -canvasAnchor nw
    UifButton          $cv.tcsPreset-wdg28 -popup 0 -label {Offset star} \
                       -stateVar gvar(tcsPreset-wdg28) -width 10 \
                       -state normal \
                       -command {tcssimSendCmd OFFSAD "$gvar(tcssimOffsadRa) $gvar(tcssimOffsadDec) A"} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg31 -maxVal 3600 -minVal -3600 \
                       -variable gvar(tcssimOffsadRa) -width 10 \
                       -canvasAnchor nw
    UifEntry           $cv.tcsPreset-wdg32 -maxVal 3600 -minVal -3600 \
                       -variable gvar(tcssimOffsadDec) -width 10 \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 114 71 -tags "text tcsPreset-item1 classItem tcsPreset" -anchor nw \
              -text "ALT" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 114 51 -tags "text tcsPreset-item2 classItem tcsPreset" -anchor nw \
              -text "AZ" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 114 111 -tags "text tcsPreset-item3 classItem tcsPreset" -anchor nw \
              -text "RA" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 114 131 -tags "text tcsPreset-item4 classItem tcsPreset" -anchor nw \
              -text "DEC" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 12 11 -tags "text tcsPreset-item5 classItem tcsPreset" -anchor nw \
              -text "Positioning" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

    $cv create text 354 50 -tags "text tcsPreset-item6 classItem tcsPreset" -anchor nw \
              -text "AZ" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 354 70 -tags "text tcsPreset-item7 classItem tcsPreset" -anchor nw \
              -text "ALT" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 354 114 -tags "text tcsPreset-item8 classItem tcsPreset" -anchor nw \
              -text "RA" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 354 134 -tags "text tcsPreset-item9 classItem tcsPreset" -anchor nw \
              -text "DEC" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 13 199 -tags "text tcsPreset-item10 classItem tcsPreset" -anchor nw \
              -text "__________________________________________________________" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.tcsPreset-wdg10)  {UifButton 18 55 1 0 0 0 1 gvar(tcsPreset-wdg10) 0 {}}
    set panWidget(${top}.tcsPreset-wdg11)  {UifEntry 146 71 1 0 {} 0 1 tcssimPrsalazAlt 0 N 0 90 0 0 0 0}
    set panWidget(${top}.tcsPreset-wdg12)  {UifEntry 146 51 1 0 {} 0 1 gvar(tcssimPrsalazAz) 0 N -180 360 0 0 0 0}
    set panWidget(${top}.tcsPreset-wdg15)  {UifButton 18 115 1 0 0 0 1 gvar(tcsPreset-wdg15) 0 {}}
    set panWidget(${top}.tcsPreset-wdg16)  {UifButton 258 171 1 0 0 0 1 gvar(tcsPreset-wdg16Var) 0 {}}
    set panWidget(${top}.tcsPreset-wdg17)  {UifButton 18 173 1 0 0 0 1 gvar(tcsPreset-wdg17Var) 0 {}}
    set panWidget(${top}.tcsPreset-wdg18)  {UifButton 146 111 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.tcsPreset-wdg19)  {UifButton 146 131 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.tcsPreset-wdg20)  {UifButton 146 176 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.tcsPreset-wdg21)  {UifButton 185 224 1 0 0 0 1 gvar(tcsPreset-wdg21Var) 0 {}}
    set panWidget(${top}.tcsPreset-wdg23)  {UifButton 257 53 1 0 0 0 1 gvar(tcsPreset-wdg23) 0 {}}
    set panWidget(${top}.tcsPreset-wdg26)  {UifEntry 386 70 1 0 {} 0 1 tcssimOffsaaAlt 0 N -3600 3600 0 0 0 0}
    set panWidget(${top}.tcsPreset-wdg27)  {UifEntry 386 50 1 0 {} 0 1 tcssimOffsaaAz 0 N -3600 3600 0 0 0 0}
    set panWidget(${top}.tcsPreset-wdg28)  {UifButton 258 118 1 0 0 0 1 gvar(tcsPreset-wdg28) 0 {}}
    set panWidget(${top}.tcsPreset-wdg31)  {UifEntry 386 110 1 0 {} 0 1 tcssimOffsadRa 0 N -3600 3600 0 0 0 0}
    set panWidget(${top}.tcsPreset-wdg32)  {UifEntry 386 130 1 0 {} 0 1 tcssimOffsadDec 0 N -3600 3600 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.tcsPreset-wdg10)  {Preset telescope to given alt/az position}
    set panWidgetHlp(${top}.tcsPreset-wdg11)  {Alitude angle in degrees}
    set panWidgetHlp(${top}.tcsPreset-wdg12)  {Azimuth angle in degrees}
    set panWidgetHlp(${top}.tcsPreset-wdg15)  {Preset telescope to given celestial ccordinates}
    set panWidgetHlp(${top}.tcsPreset-wdg16)  {Stop telescope motion}
    set panWidgetHlp(${top}.tcsPreset-wdg17)  {Preset to a named fixed position}
    set panWidgetHlp(${top}.tcsPreset-wdg18)  {right ascension in degrees}
    set panWidgetHlp(${top}.tcsPreset-wdg19)  {declination in degrees}
    set panWidgetHlp(${top}.tcsPreset-wdg20)  {fixed position name}
    set panWidgetHlp(${top}.tcsPreset-wdg21)  {Call the Data Monitor Panel}
    set panWidgetHlp(${top}.tcsPreset-wdg23)  {Issue an alt/az offset step}
    set panWidgetHlp(${top}.tcsPreset-wdg26)  {Azimuth offset step in arcseconds}
    set panWidgetHlp(${top}.tcsPreset-wdg27)  {Altitude offset step in arcseconds}
    set panWidgetHlp(${top}.tcsPreset-wdg28)  {Issue an offset step in celestial coordinates}
    set panWidgetHlp(${top}.tcsPreset-wdg31)  {right-ascension offset step in arcseconds}
    set panWidgetHlp(${top}.tcsPreset-wdg32)  {Declination offset step in arcseconds}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
