#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tcsSetup_uifClass.tcl,v 1.94 2005/08/08 10:24:16 vltsccm Exp $" 
#
# tcsSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.50
#   date   : Wed Jan  3 13:17:57 MEZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class tcsSetup_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 524 -height 257 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifButton          $cv.tcsSetup-wdg10 -popup 0 -label {Save Ready} \
                       -stateVar gvar(tcsSetup-wdg10Var) -width 12 \
                       -state normal \
                       -command {tcssimSendCmd SAVRSTP $gvar(tcssimSavrstpName)} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsSetup-wdg11 -maxVal 100 -minVal 0 \
                       -variable gvar(tcssimSavrstp) -width 18 \
                       -canvasAnchor nw
    UifButton          $cv.tcsSetup-wdg12 -popup 0 -label {Save Current} \
                       -stateVar gvar(tcsSetup-wdg12Var) -width 12 \
                       -state normal \
                       -command {tcssimSendCmd SAVCSTP $gvar(tcssimSavcstpName)} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsSetup-wdg13 -maxVal 100 -minVal 0 \
                       -variable gvar(tcssimSavcstp) -width 18 \
                       -canvasAnchor nw
    UifButton          $cv.tcsSetup-wdg14 -popup 0 -label Set \
                       -stateVar gvar(tcsSetup-wdg14Var) -width 12 \
                       -state normal \
                       -command {tcssimSendCmd SETUP "$gvar(tcssimSetupExpoid),$gvar(tcssimSetupFile),$gvar(tcssimSetupFunction),$gvar(tcssimSetupNomove),$gvar(tcssimSetupCheck)"} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsSetup-wdg15 -maxVal 100 -minVal 0 \
                       -variable gvar(tcssimSetupExpoid) -width 10 \
                       -canvasAnchor nw
    UifEntry           $cv.tcsSetup-wdg18 -maxVal 0 -minVal 0 \
                       -variable gvar(tcssimSetupFile) -width 50 \
                       -canvasAnchor nw
    UifButton          $cv.tcsSetup-wdg2 -popup 0 -label Clear \
                       -stateVar gvar(tcsSetup-wdg2) -width 12 \
                       -state normal \
                       -command {set tcssimSetupExpoId 0; tcssimSendCmd CLRSTP} \
                       -canvasAnchor nw
    UifEntry           $cv.tcsSetup-wdg20 -maxVal 0 -minVal 0 \
                       -variable gvar(tcssimSetupFunction) -width 50 \
                       -canvasAnchor nw
    UifCheckButton     $cv.tcsSetup-wdg22 -offVal FALSE -onVal TRUE -width 0 \
                       -variable gvar(tcssimSetupNomove) -canvasAnchor nw
    UifCheckButton     $cv.tcsSetup-wdg24 -offVal FALSE -onVal TRUE -width 0 \
                       -variable gvar(tcssimSetupCheck) -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 12 8 -tags "text tcsSetup-item1 classItem tcsSetup" -anchor nw \
              -text "Setup Configuration" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

    $cv create text 18 52 -tags "text tcsSetup-item2 classItem tcsSetup" -anchor nw \
              -text "Exposure ID" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 67 80 -tags "text tcsSetup-item3 classItem tcsSetup" -anchor nw \
              -text "Files" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 35 108 -tags "text tcsSetup-item4 classItem tcsSetup" -anchor nw \
              -text "Functions" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 234 52 -tags "text tcsSetup-item5 classItem tcsSetup" -anchor nw \
              -text "Prepare only" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 374 52 -tags "text tcsSetup-item6 classItem tcsSetup" -anchor nw \
              -text "Check only" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.tcsSetup-wdg10)  {UifButton 239 164 1 0 0 0 1 gvar(tcsSetup-wdg10Var) 0 {}}
    set panWidget(${top}.tcsSetup-wdg11)  {UifEntry 351 168 1 0 {} 0 1 tcssimSavrstp 0 A 0 100 0 0 0 0}
    set panWidget(${top}.tcsSetup-wdg12)  {UifButton 239 200 1 0 0 0 1 gvar(tcsSetup-wdg12Var) 0 {}}
    set panWidget(${top}.tcsSetup-wdg13)  {UifEntry 351 204 1 0 {} 0 1 tcssimSavcstp 0 A 0 100 0 0 0 0}
    set panWidget(${top}.tcsSetup-wdg14)  {UifButton 15 164 1 0 0 0 1 gvar(tcsSetup-wdg14Var) 0 {}}
    set panWidget(${top}.tcsSetup-wdg15)  {UifEntry 102 52 1 0 {} 0 1 tcssimSetupExpoid 0 N 0 100 0 0 0 0}
    set panWidget(${top}.tcsSetup-wdg18)  {UifEntry 103 80 1 0 {} 0 1 tcssimSetupFile 0 A {} {} 0 0 0 0}
    set panWidget(${top}.tcsSetup-wdg2)  {UifButton 127 164 1 0 0 0 1 gvar(tcsSetup-wdg2) 0 {}}
    set panWidget(${top}.tcsSetup-wdg20)  {UifEntry 103 108 1 0 {} 0 1 tcssimSetupFunction 0 A {} {} 0 0 0 0}
    set panWidget(${top}.tcsSetup-wdg22)  {UifCheckButton 318 48 1 0 FALSE 0 1 tcssimSetupNomove 0 0 1 0 0 0}
    set panWidget(${top}.tcsSetup-wdg24)  {UifCheckButton 450 48 1 0 FALSE 0 1 tcssimSetupCheck 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.tcsSetup-wdg10)  {Save the ready setup in the specified file}
    set panWidgetHlp(${top}.tcsSetup-wdg11)  {name of ready setup file}
    set panWidgetHlp(${top}.tcsSetup-wdg12)  {Save the current setup in the specified file}
    set panWidgetHlp(${top}.tcsSetup-wdg13)  {name of current setup file}
    set panWidgetHlp(${top}.tcsSetup-wdg14)  {Send the defined setup configuration}
    set panWidgetHlp(${top}.tcsSetup-wdg15)  {Exposure ID}
    set panWidgetHlp(${top}.tcsSetup-wdg18)  {Names of partial setup files to be merged to this setup}
    set panWidgetHlp(${top}.tcsSetup-wdg2)  {Clear the ready setup; reset default  values}
    set panWidgetHlp(${top}.tcsSetup-wdg20)  {Setup functions in format "keyword value ..."}
    set panWidgetHlp(${top}.tcsSetup-wdg22)  {Set if defined setup shall not be executed}
    set panWidgetHlp(${top}.tcsSetup-wdg24)  {Logical to be set if setup shall be checked only}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
