#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tcssimSetGlobals.tcl,v 1.94 2005/08/08 10:24:18 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# rkarban 2002-01-03 if DBPOINT exists then use DBPOINT and not ENVNAME (cut and paste error)
# mcomin  25/07/96  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc tcssimSetGlobals {} {
    global env cwp tcsEnvName tcsDbRoot tcsEnv

    #
    # check if TCS env variables are defined and set defaults if not
    #

    if {[info exists env(TCS_ENVNAME)]} {
        set tcsEnvName $env(TCS_ENVNAME)
    } else {
        set tcsEnvName $env(RTAPENV)
    }

    if {[info exists env(TCS_DBPOINT)]} {
        set tcsDbRoot $env(TCS_DBPOINT)
    } else {
        set tcsDbRoot ":Appl_data:TCS"
    }

    set tcsEnv "$tcsEnvName${tcsDbRoot}" ; # Set Default Current Working Point
}

#
# ___oOo___
