#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: classWESUSeqData.tcl,v 4.5 2004/01/16 15:25:09 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hpieper  29/04/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
itk::usual ClassWESUSeqData {}
class ClassWESUSeqData {
    inherit ClassWESPatData
    constructor            {args} {}
    destructor                    {}
    private variable  USEQUENCE 
    public  method    renameUSeq      {u n}
    public  method    createUSeq      {u}
    public  method    isUSeq          {u}

    public  method    getUSeq         {}
    public  method    clearWave       {}
 
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::constructor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::constructor {args} {
    if {[llength $args] != 0 } {eval configure $args}
}

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::renameUSeq
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::renameUSeq {u n} {
    set rc 0
    if {[info exists USEQUENCE([$u cget -name])]} {
	unset USEQUENCE([$u cget -name])
	$u configure -name $n 
	set USEQUENCE($n) $u
	set rc 1
    }	
    return $rc
}

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::createUSeq 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::createUSeq      {u} {
    if ![info exists USEQUENCE($u)] {
	set USEQUENCE($u) [ClassWESUSequence $this.u$u \
		-name $u -type "USEQUENCE"]
    }
    return $USEQUENCE($u)
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::isUSeq    
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::isUSeq          {u} {
    return [info exists USEQUENCE($u)]
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::getUSeq 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::getUSeq         {} {
    return [array names USEQUENCE]
}

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESUSeqData::clearWave 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESUSeqData::clearWave   {} {
    ClassWESPatData::clearWave
    foreach u [array names USEQUENCE] {
	delete object $USEQUENCE($u)
	unset USEQUENCE($u)
    }
}
#
# ___oOo___


