#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: stooStartup4_uifClass.tcl,v 1.47 2005/08/23 08:02:56 vltsccm Exp $" 
#
# stooStartup4_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.2
#   date   : Sat Apr 15 18:19:51 SAT 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class stooStartup4_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} libstooTcl
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 440 -height 350 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutput          $cv.detName1Wd -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(detName1) -width 7 
UifCheckButton     $cv.icsAvailWd -anchor w -canvasAnchor nw -default T  \
                      -label {- Available} -offVal F -onVal T  \
                      -variable gvar(_OCS.INS1.AVAIL) -width 0 
UifCheckButton     $cv.icsSimWd -anchor w -canvasAnchor nw  \
                      -default NORMAL -label {- WS Simulation}  \
                      -offVal NORMAL -onVal LCU_SIM  \
                      -variable gvar(_OCS.INS1.SWSIM) -width 0 
UifCheckButton     $cv.icsUifWd -anchor w -canvasAnchor nw -default F  \
                      -label {- User Interface} -offVal F -onVal T  \
                      -variable gvar(_OCS.INS1.STRTUIF) -width 0 
UifCheckButton     $cv.miscAlarm -anchor w -canvasAnchor nw -default F  \
                      -label {- Start Alarm Display} -offVal F -onVal T  \
                      -variable gvar(_START.ALARM.DEFAULT) -width 0 
UifCheckButton     $cv.miscBob -anchor w -canvasAnchor nw -default F  \
                      -label {- Start BOB} -offVal F -onVal T  \
                      -variable gvar(_START.BOB.DEFAULT) -width 0 
UifCheckButton     $cv.miscMidas -anchor w -canvasAnchor nw -default F  \
                      -label {- Start OS Control} -offVal F -onVal T  \
                      -variable gvar(_START.OSCTRL.DEFAULT) -width 0 
UifOutput          $cv.stooStartup4-wdg1 -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(detName2) -width 7 
UifCheckButton     $cv.stooStartup4-wdg2 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET3.STRTRTD) -width 0 
UifCheckButton     $cv.stooStartup4-wdg3 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET4.STRTRTD) -width 0 
UifOutput          $cv.stooStartup4-wdg4 -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(detName4) -width 9 
stooLOGLEVEL       $cv.stooStartup4-wdg5 -background Grey90  \
                      -borderwidth 2 -clientdata gvar(OCS.CON.LOGLEVEL)  \
                      -foreground Black -highlightcolor Black  \
                      -highlightthickness 0 -insertbackground Black  \
                      -insertborderwidth 0 -insertofftime 300  \
                      -insertontime 600 -insertwidth 2  \
                      -labelfont -Adobe-helvetica-medium-r-normal--14*  \
                      -selectbackground Black -selectborderwidth 1  \
                      -selectforeground Grey90 -textbackground Grey90  \
                      -textfont -Adobe-helvetica-medium-r-normal--14* 
UifOutput          $cv.stooStartup4-wdg6 -anchor center -canvasAnchor nw  \
                      -color Black  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 0  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(detName3) -width 9 
UifCheckButton     $cv.stooStartup4-wdg7 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET1.AVAIL) -width 0 
UifCheckButton     $cv.stooStartup4-wdg8 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET1.SWSIM) -width 0 
UifCheckButton     $cv.stooStartup4-wdg9 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET1.STRTUIF) -width 0 
UifCheckButton     $cv.stooStartup4-wdg10 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET1.STRTRTD) -width 0 
UifCheckButton     $cv.stooStartup4-wdg11 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET2.AVAIL) -width 0 
UifCheckButton     $cv.stooStartup4-wdg12 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET4.AVAIL) -width 0 
UifCheckButton     $cv.stooStartup4-wdg13 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET3.AVAIL) -width 0 
UifCheckButton     $cv.stooStartup4-wdg14 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET2.SWSIM) -width 0 
UifCheckButton     $cv.stooStartup4-wdg15 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET3.SWSIM) -width 0 
UifCheckButton     $cv.stooStartup4-wdg16 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET4.SWSIM) -width 0 
UifCheckButton     $cv.stooStartup4-wdg17 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET2.STRTUIF) -width 0 
UifCheckButton     $cv.stooStartup4-wdg18 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET3.STRTUIF) -width 0 
UifCheckButton     $cv.stooStartup4-wdg19 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET4.STRTUIF) -width 0 
UifCheckButton     $cv.stooStartup4-wdg20 -anchor w -canvasAnchor nw  \
                      -default F -offVal F -onVal T  \
                      -variable gvar(_OCS.DET2.STRTRTD) -width 0 
UifCheckButton     $cv.tcsAvailWd -anchor w -canvasAnchor nw -default F  \
                      -label {- Available} -offVal F -onVal T  \
                      -variable gvar(_OCS.TEL.AVAIL) -width 0 

    #
    #  Canvas Items
    #

    $cv create text 16 16 -tags "text stooStartup4-item1 classItem stooStartup4" -anchor nw \
              -text "Telescope (TCS):" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 260 16 -tags "text stooStartup4-item2 classItem stooStartup4" -anchor nw \
              -text "Instrument (ICS):" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 16 115 -tags "text stooStartup4-item3 classItem stooStartup4" -anchor nw \
              -text "Detectors (DCS):" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 16 256 -tags "text stooStartup4-item4 classItem stooStartup4" -anchor nw \
              -text "Miscelaneous:" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 52 163 -tags "text stooStartup4-item5 classItem stooStartup4" -anchor nw \
              -text "Available" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 183 -tags "text stooStartup4-item6 classItem stooStartup4" -anchor nw \
              -text "WS Simulation" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 203 -tags "text stooStartup4-item7 classItem stooStartup4" -anchor nw \
              -text "User Interface" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 48 223 -tags "text stooStartup4-item8 classItem stooStartup4" -anchor nw \
              -text "Start RTD" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.detName1Wd)  {UifOutput 111 135 1 0 0 0 1 detName1 0 {} {}}
    set panWidget(${top}.icsAvailWd)  {UifCheckButton 284.0 36.0 1 0 T 0 1 _OCS.INS1.AVAIL 0 0 1 0 0 0}
    set panWidget(${top}.icsSimWd)  {UifCheckButton 284.0 60.0 1 0 NORMAL 0 1 _OCS.INS1.SWSIM 0 0 1 0 0 0}
    set panWidget(${top}.icsUifWd)  {UifCheckButton 284.0 84.0 1 0 F 0 1 _OCS.INS1.STRTUIF 0 0 1 0 0 0}
    set panWidget(${top}.miscAlarm)  {UifCheckButton 36 324 1 0 F 0 1 _START.ALARM.DEFAULT 0 0 1 0 0 0}
    set panWidget(${top}.miscBob)  {UifCheckButton 36.0 276.0 1 0 F 0 1 _START.BOB.DEFAULT 0 0 1 0 0 0}
    set panWidget(${top}.miscMidas)  {UifCheckButton 36 300 1 0 F 0 1 _START.OSCTRL.DEFAULT 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg1)  {UifOutput 184 136 1 0 0 0 1 detName2 0 {} {}}
    set panWidget(${top}.stooStartup4-wdg10)  {UifCheckButton 140 220 1 0 F 0 1 _OCS.DET1.STRTRTD 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg11)  {UifCheckButton 208.0 160.0 1 0 F 0 1 _OCS.DET2.AVAIL 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg12)  {UifCheckButton 380.0 160.0 1 0 F 0 1 _OCS.DET4.AVAIL 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg13)  {UifCheckButton 292.0 160.0 1 0 F 0 1 _OCS.DET3.AVAIL 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg14)  {UifCheckButton 208.0 180.0 1 0 F 0 1 _OCS.DET2.SWSIM 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg15)  {UifCheckButton 292.0 180.0 1 0 F 0 1 _OCS.DET3.SWSIM 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg16)  {UifCheckButton 380 180 1 0 F 0 1 _OCS.DET4.SWSIM 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg17)  {UifCheckButton 208.0 200.0 1 0 F 0 1 _OCS.DET2.STRTUIF 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg18)  {UifCheckButton 292.0 200.0 1 0 F 0 1 _OCS.DET3.STRTUIF 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg19)  {UifCheckButton 380 200 1 0 F 0 1 _OCS.DET4.STRTUIF 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg2)  {UifCheckButton 292.0 220.0 1 0 F 0 1 _OCS.DET3.STRTRTD 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg20)  {UifCheckButton 208.0 220.0 1 0 F 0 1 _OCS.DET2.STRTRTD 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg3)  {UifCheckButton 380 220 1 0 F 0 1 _OCS.DET4.STRTRTD 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg4)  {UifOutput 344 136 1 0 0 0 1 detName4 0 {} {}}
    set panWidget(${top}.stooStartup4-wdg5)  {PubClass 300 308 1 0 libstooTcl.tcl nw 0 {} 0}
    set panWidget(${top}.stooStartup4-wdg6)  {UifOutput 256 136 1 0 0 0 1 detName3 0 {} {}}
    set panWidget(${top}.stooStartup4-wdg7)  {UifCheckButton 140.0 160.0 1 0 F 0 1 _OCS.DET1.AVAIL 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg8)  {UifCheckButton 140.0 180.0 1 0 F 0 1 _OCS.DET1.SWSIM 0 0 1 0 0 0}
    set panWidget(${top}.stooStartup4-wdg9)  {UifCheckButton 140.0 200.0 1 0 F 0 1 _OCS.DET1.STRTUIF 0 0 1 0 0 0}
    set panWidget(${top}.tcsAvailWd)  {UifCheckButton 32.0 36.0 1 0 F 0 1 _OCS.TEL.AVAIL 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
