#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: mendrv.boot,v 1.5 2005/10/10 15:27:53 vltsccm Exp $"
#
# VxWorks script for automatic installation of driver and devices
#
# who       when       what
# --------  ---------- ----------------------------------------------
# vltcan    05.04.2005 created
#
# Detect all M-Modules on A201 Carrier Board A16
# ----------------------------------------------
menN = lcubootAutoDevRegister("/men0", 0x2d,0x10FE,2,1,1)
menN = lcubootAutoDevRegister("/men1", 0x2d,0x12FE,2,1,1)
menN = lcubootAutoDevRegister("/men2", 0x2d,0x14FE,2,1,1)
menN = lcubootAutoDevRegister("/men3", 0x2d,0x16FE,2,1,1)
menN = lcubootAutoDevRegister("/men4", 0x2d,0x18FE,2,1,1)
menN = lcubootAutoDevRegister("/men5", 0x2d,0x1AFE,2,1,1)
menN = lcubootAutoDevRegister("/men6", 0x2d,0x1CFE,2,1,1)
menN = lcubootAutoDevRegister("/men7", 0x2d,0x1EFE,2,1,1)
menN = lcubootAutoDevRegister("/men8", 0x2d,0x20FE,2,1,1)
menN = lcubootAutoDevRegister("/men9", 0x2d,0x22FE,2,1,1)
menN = lcubootAutoDevRegister("/men10",0x2d,0x24FE,2,1,1)
menN = lcubootAutoDevRegister("/men11",0x2d,0x26FE,2,1,1)
menN = lcubootAutoDevRegister("/men12",0x2d,0x28FE,2,1,1)
menN = lcubootAutoDevRegister("/men13",0x2d,0x2AFE,2,1,1)
menN = lcubootAutoDevRegister("/men14",0x2d,0x2CFE,2,1,1)
menN = lcubootAutoDevRegister("/men15",0x2d,0x2EFE,2,1,1)
#
# Detect all M-Modules on A201 Carrier Board A24
# ----------------------------------------------
menN = lcubootAutoDevRegister("/men0", 0x3d,0x0110FE,2,1,1)
menN = lcubootAutoDevRegister("/men1", 0x3d,0x0112FE,2,1,1)
menN = lcubootAutoDevRegister("/men2", 0x3d,0x0114FE,2,1,1)
menN = lcubootAutoDevRegister("/men3", 0x3d,0x0116FE,2,1,1)
menN = lcubootAutoDevRegister("/men4", 0x3d,0x0118FE,2,1,1)
menN = lcubootAutoDevRegister("/men5", 0x3d,0x011AFE,2,1,1)
menN = lcubootAutoDevRegister("/men6", 0x3d,0x011CFE,2,1,1)
menN = lcubootAutoDevRegister("/men7", 0x3d,0x011EFE,2,1,1)
menN = lcubootAutoDevRegister("/men8", 0x3d,0x0120FE,2,1,1)
menN = lcubootAutoDevRegister("/men9", 0x3d,0x0122FE,2,1,1)
menN = lcubootAutoDevRegister("/men10",0x3d,0x0124FE,2,1,1)
menN = lcubootAutoDevRegister("/men11",0x3d,0x0126FE,2,1,1)
menN = lcubootAutoDevRegister("/men12",0x3d,0x0128FE,2,1,1)
menN = lcubootAutoDevRegister("/men13",0x3d,0x012AFE,2,1,1)
menN = lcubootAutoDevRegister("/men14",0x3d,0x012CFE,2,1,1)
menN = lcubootAutoDevRegister("/men15",0x3d,0x012EFE,2,1,1)

#
# Install driver
#
lcubootAutoDrvInstall "mendrv",16

#
# Install devices
# - uncomment as appropriate A16
#lcubootAutoDevCreate "/men0", 0x10FE,112,1,1
 lcubootAutoDevCreate "/men1", 0x12FE,113,1,1
 lcubootAutoDevCreate "/men2", 0x14FE,114,1,1
 lcubootAutoDevCreate "/men3", 0x16FE,115,1,1
#lcubootAutoDevCreate "/men4", 0x18FE,116,1,1
#lcubootAutoDevCreate "/men5", 0x1AFE,117,1,1
#lcubootAutoDevCreate "/men6", 0x1CFE,118,1,1
#lcubootAutoDevCreate "/men7", 0x1EFE,119,1,1
#lcubootAutoDevCreate "/men8", 0x20FE,120,1,1
#lcubootAutoDevCreate "/men9", 0x22FE,121,1,1
#lcubootAutoDevCreate "/men10",0x24FE,122,1,1
#lcubootAutoDevCreate "/men11",0x26FE,123,1,1
#lcubootAutoDevCreate "/men12",0x28FE,124,1,1
#lcubootAutoDevCreate "/men13",0x2AFE,125,1,1
#lcubootAutoDevCreate "/men14",0x2CFE,126,1,1
#lcubootAutoDevCreate "/men15",0x2EFE,127,1,1
#
# - uncomment as appropriate A24
#lcubootAutoDevCreate "/men0", 0x0110FE,112,1,1
#lcubootAutoDevCreate "/men1", 0x0112FE,113,1,1
#lcubootAutoDevCreate "/men2", 0x0114FE,114,1,1
#lcubootAutoDevCreate "/men3", 0x0116FE,115,1,1
 lcubootAutoDevCreate "/men4", 0x0118FE,116,1,1
#lcubootAutoDevCreate "/men5", 0x011AFE,117,1,1
#lcubootAutoDevCreate "/men6", 0x011CFE,118,1,1
 lcubootAutoDevCreate "/men7", 0x011EFE,119,1,1
#lcubootAutoDevCreate "/men8", 0x0120FE,120,1,1
#lcubootAutoDevCreate "/men9", 0x0122FE,121,1,1
#lcubootAutoDevCreate "/men10",0x0124FE,122,1,1
#lcubootAutoDevCreate "/men11",0x0126FE,123,1,1
#lcubootAutoDevCreate "/men12",0x0128FE,124,1,1
#lcubootAutoDevCreate "/men13",0x012AFE,125,1,1
#lcubootAutoDevCreate "/men14",0x012CFE,126,1,1
#lcubootAutoDevCreate "/men15",0x012EFE,127,1,1

#
# Install MEN Interrupt Handler task
#
lcubootAutoSpawn 1,"tintMEN",20,0x8,3000,"mendrvInt"

# ___oOo___
