/************************************************************************
* E.S.O. - VLT project							
*									
* "@(#) $Id: ccdshaDefines.h,v 1.27 2005/06/22 12:49:18 vltsccm Exp $"
*
* who           when      what
* ------------  --------  -----------------------------------------------
* P.Duhoux      18/09/95  New include scheme
* P.Duhoux      12/11/97  Added delays for OPEN/CLOSE in ACE_SIM
*
*/
/************************************************************************
*  ccdshaDefines.h - DCL Shutter Control macro definition file
*************************************************************************
*/

#ifndef CCDSHA_DEFINES_H
#define CCDSHA_DEFINES_H

#define ccdshaMAXSLEEP   10000000      /* 1.0 s   */
#define ccdshaRESOLUTION      100      /* 100 us  */

#define ccdshaSIM_OPEN_DELAY  510      /* 510 ms  */
#define ccdshaSIM_CLOS_DELAY  490      /* 490 ms  */

#endif  /* ! CCDSHA_DEFINES_H */

/************************************************************************/

/*___o0o___*/
