/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: ic0lcuDefines.h,v 1.56 2003/03/18 16:19:20 vltsccm Exp $"
* 
*  who        when      what
*  ---------- --------  ----------------------------------------------
*  rschmutzer 31/03/96  Created
*
*/

/*************************************************************************
*    NAME
*	ic0lcuDefines.h - module header file, define part
* 
* 
*    DESCRIPTION
*	This is a header file of the module ic0lcu.
* 
* 
*-------------------------------------------------------------------------
*/

#ifndef IC0LCU_DEFINES_H
#define IC0LCU_DEFINES_H


/*
 * actions
 */
#define ic0lcuCMD_ACTION_ARGS		 1
#define ic0lcuCMD_ACTION_CALL		 2
#define ic0lcuCMD_ACTION_END		 3
#define ic0lcuCMD_ACTION_SEND		 4
#define ic0lcuCMD_ACTION_SET_MODE     	 5
#define ic0lcuCMD_ACTION_SET_NEXT_MODE	 6
#define ic0lcuCMD_ACTION_SETUP		 7
#define ic0lcuCMD_ACTION_SLEEP		 8
#define ic0lcuCMD_ACTION_VALUE_CLEAR	 9
#define ic0lcuCMD_ACTION_VALUE_ADD 	10
#define ic0lcuCMD_ACTION_VALUE_PUT 	11
#define ic0lcuCMD_ACTION_WAIT		12
#define ic0lcuCMD_ACTION_LASTACTION	12

/*
 * special keys
 */
#define ic0lcuCMD_KEY_ID	"ID"
#define ic0lcuCMD_KEY_MODE	"MODE"

/*
 * delay in msecs. after a state change command
 */
#define ic0lcuSTATE_CHANGE_DELAY 	4000


#endif // !IC0LCU_DEFINES_H

/************************************************************************/
/* ___oOo___ */
