/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: io.h,v 4.97.1.1 2005/10/24 13:55:48 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gfilippi  27/09/95  created from $VLTSCCM/VLTSW/LCC/2.2.4/lcc
*
*/

#ifndef IO_H
#define IO_H
/*-----------------------------------------------------------------------------
*  ESO VLT              LCU Common Software             SPACEBEL Informatique
*------------------------------------------------------------------------------
*  Version      Date            Author          Comment
*------------------------------------------------------------------------------
*  2.1          31/01/95        P.Rochez        First version
*------------------------------------------------------------------------------
*  SCCS Id:  io.h  2.1  03 Feb 1995
*----------------------------------------------------------------------------*/

/************************************************************************
 * SIGNALS - Interface File
 */

#ifdef __cplusplus
extern "C" {
#endif

/* 
 * header files
 */
/*none*/

/* 
 * constants 
 */

/*
 * Message constants
 */
 
#define ioINPUT_STRING          "Input"
#define ioOUTPUT_STRING         "Output"
 
#define ioLEVEL_HIGH_STRING     "High"
#define ioLEVEL_LOW_STRING      "Low"
 
#define ioANALOG_STRING         "Analog"
#define ioDIGITAL_STRING        "Digital"
 
#define ioGAIN_1_STRING         "1"
#define ioGAIN_10_STRING        "10"
#define ioGAIN_100_STRING       "100"
#define ioGAIN_500_STRING       "500"

#define ioMEN58_PORT_A_STRING   "PortA"
#define ioMEN58_PORT_B_STRING   "PortB"
#define ioMEN58_PORT_B_STRING   "PortB"

/*
 * data types
 */
/*none*/
 

/*
 * macros
 */
/*none*/

/* 
 * functions prototypes 
 */
/*none*/

/* 
 * message definitions
 */

/* 
 * error definitions
 */

#ifdef MAKE_VXWORKS
#include "ioLCC.h"
#else
#include "ioCCS.h"
#endif

#ifdef __cplusplus
}
#endif

#endif /*!IO_H*/

