#ifndef ISER_COMMANDS_H
#define ISER_COMMANDS_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: iserCommands.h,v 1.16 2003/08/18 14:13:19 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* ssandroc  20.03.96  created from ESD ioLibAdd.h
*/

/* ioLibAdd.h - additional specials for ioLib - header */

/* Copyright 1994 esd gmbh hannover */

/*
modification history
--------------------
01b,05feb96,ap  add FIOTIMOUT0 and FIOTIMOUT1 (for ISER8)
01a,22mar94,ap  written
*/

/*
DESCRIPTION
This file holds additional definitions for serial-channel options
*/

#ifndef __INCioLibAddh
#define __INCioLibAddh


/* Global Constants */

#define FIOCHARLEN      400             /* set serial character length */
#define FIOSTOPBIT      401             /* set serial stop bits */
#define FIOPARITY       402             /* set serial parity mode */
#define FIOHNDSHK       403             /* set serial handshake mode */
#define FIORECLEN       420             /* set serial rx-record-length */
#define FIORXMODE       421             /* set serial rx-mode */
#define FIOTIMOUT0      422             /* set timeout for first character */
#define FIOTIMOUT1      423             /* set timeout between character */


#endif /* __INCioLibAddh */

#endif /* !ISER_COMMANDS_H */
