/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lcc.h,v 4.97.1.1 2005/10/24 13:55:47 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gfilippi  27/09/95  created from $VLTSCCM/VLTSW/LCC/2.2.4/lcc
*
*/

#ifndef LCC_H
#define LCC_H
/*-----------------------------------------------------------------------------
*  ESO VLT              LCU Common Software             SPACEBEL Informatique
*------------------------------------------------------------------------------
*  Version      Date            Author          Comment
*------------------------------------------------------------------------------
*  2.1          31/01/95        P.Rochez        First version
*------------------------------------------------------------------------------
*  SCCS Id:  lcc.h  2.1  03 Feb 1995
*----------------------------------------------------------------------------*/

/************************************************************************
 * LCU MANAGEMENT - Interface File
 */

#ifdef __cplusplus
extern "C" {
#endif

/* 
 * header files
 */
/*none*/

/* 
 * constants 
 */

/*
 * Message constants
 */

#define lccOFF_STRING           "Off"
#define lccLOADED_STRING        "Loaded"
#define lccSTANDBY_STRING       "Stand-by"
#define lccSTANDALONE_STRING    "Stand-alone"
#define lccONLINE_STRING        "On-line"
 
#define lccDEVICE_OFF_STRING    "Off"
#define lccDEVICE_INIT_STRING   "Init"
#define lccDEVICE_READY_STRING  "Ready"
#define lccDEVICE_FAILED_STRING "Failure"
 
#define lccNO_OPERATION_STRING  "None"
#define lccCOLDSTART_STRING     "Cold start"
#define lccWARMSTART_STRING     "Warm start"
#define lccSHUTDOWN_STRING      "Shutdown"

#define lccYES_STRING           "Yes"
#define lccNO_STRING            "No"

#define lccCONDFIG_FILE_STRING   "File"
#define lccCONDFIG_BUFFER_STRING "Buffer"


/*
 * data types
 */
 
typedef enum {                      /* List of LCU modes                */
    lccOFF = 1,
    lccLOADED,
    lccSTAND_BY,
    lccSTAND_ALONE,
    lccON_LINE
} lccMODE;


/*
 * macros
 */
/*none*/

/* 
 * functions prototypes 
 */
/*none*/

/* 
 * message definitions
 */

/* 
 * error definitions
 */

#ifdef MAKE_VXWORKS
#include "lccLCC.h"
#else
/*
#include "lccCCS.h"
*/
#endif

#ifdef __cplusplus
}
#endif

#endif /*!LCC_H*/

