#ifndef LCC_TASK_LIB_H
#define LCC_TASK_LIB_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lccTaskLib.h,v 4.97.1.1 2005/10/24 13:55:54 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  06/08/97  created
*/

#include "vxWorks.h"
#include "stdlib.h"
#include "taskLib.h"

/************************************************************************
 * Include for LCU task handling
 *----------------------------------------------------------------------
 */
STATUS lccTaskCreate ( int *pTid, int stackSize );
STATUS lccTaskActive ( int tid, char *tskName, 
		       int priority, int options, FUNCPTR entry, 
		       int arg1,int arg2,int arg3,int arg4,int arg5,
		       int arg6,int arg7,int arg8,int arg9,int arg10 );
STATUS lccTaskVerify ( int tid );
STATUS lccTaskDelete ( int tid );
STATUS lccTaskRemove ( int tid );

int    lccTaskId     ( int tid );

#endif /*!LCC_TASK_LIB_H*/
