/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: lccdevDefines.h,v 1.18 2003/12/05 12:07:47 vltsccm Exp $"
* 
*  who        when      what
*  ---------- --------  ----------------------------------------------
*  rschmutzer 30/10/95  Created
*
*/

#ifndef LCCDEV_DEFINES_H
#define LCCDEV_DEFINES_H

#include "lcctooDefines.h"


/*
 * Status options (lccdevUsrStatus)
 */
#define lccdevGET_FIRST		1	/* lcctooGET_FIRST 		*/

#define lccdevSTD_GET_FIRST	5	/* (lcctooGET_LAST + 1) 	*/
#define lccdevGET_DEVICE	5	/* (lccdevSTD_GET_FIRST + 0)	*/
#define lccdevGET_STATE		6	/* (lccdevSTD_GET_FIRST + 1)	*/
#define lccdevGET_TRANSTATE	7	/* (lccdevSTD_GET_FIRST + 2)	*/
#define lccdevGET_ERROR	 	8	/* (lccdevSTD_GET_FIRST + 3)	*/
#define lccdevGET_INITIALISED	9	/* (lccdevSTD_GET_FIRST + 4)	*/
#define lccdevGET_SIMULATION	10	/* (lccdevSTD_GET_FIRST + 5)	*/
#define lccdevSTD_GET_LAST	10	/* (lccdevSTD_GET_FIRST + 5)	*/

#define lccdevCMD_GET_FIRST	11	/* (lccdevSTD_GET_LAST + 1)	*/
#define lccdevGET_AVAILABLE	11	/* (lccdevCMD_GET_FIRST + 0)	*/
#define lccdevGET_ENABLED	12	/* (lccdevCMD_GET_FIRST + 1)	*/
#define lccdevGET_LOCKED	13	/* (lccdevCMD_GET_FIRST + 2)	*/
#define lccdevGET_HANDSET	14	/* (lccdevCMD_GET_FIRST + 3)	*/
#define lccdevCMD_GET_LAST	14	/* (lccdevCMD_GET_FIRST + 3)	*/

#define lccdevGET_LAST		14	/* lccdevCMD_GET_LAST		*/

#define lccdevGET_DEVICE_STRING		"Device"
#define lccdevGET_STATE_STRING		"State"
#define lccdevGET_TRANSTATE_STRING	"TranState"
#define lccdevGET_ERROR_STRING		"Error"
#define lccdevGET_INITIALISED_STRING	"Initialised"
#define lccdevGET_SIMULATION_STRING	"Simulation"
#define lccdevGET_AVAILABLE_STRING	"Available"
#define lccdevGET_ENABLED_STRING	"Enabled"
#define lccdevGET_LOCKED_STRING		"Locked"
#define lccdevGET_HANDSET_STRING	"Handset"


/*
 * automata states
 */
#ifndef lccdevSTD_STATE_NOSTATE
#define lccdevSTD_STATE_NOSTATE -1
#define lccdevSTD_STATE_OFF     0
#define lccdevSTD_STATE_LOADED  1
#define lccdevSTD_STATE_STANDBY 2
#define lccdevSTD_STATE_ONLINE  3
#endif


/*
 * State names
 */
#define lccdevSTATE_OFF_STRING		"OFF"
#define lccdevSTATE_LOADED_STRING	"LOADED"
#define lccdevSTATE_STANDBY_STRING	"STANDBY"
#define lccdevSTATE_ONLINE_STRING	"ONLINE"


/*
 * Error values
 */
#define lccdevERROR_NONE	0
#define lccdevERROR_WARNING	1
#define lccdevERROR_SERIOUS	2


#endif // !LCCDEV_DEFINES_H

/************************************************************************/
/* ___oOo___ */

