/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: lcctooString.h,v 1.30 2005/05/09 15:25:53 vltsccm Exp $"
* 
*  who       when      what
*  --------  --------  ----------------------------------------------
*  rschmutz  22/12/01  created
*
*/

/*************************************************************************
*   NAME
*	lcctooString - string related functions
*
*   DESCRIPTION
*	See file lcctooString.c
*
*-------------------------------------------------------------------------
*/

#ifndef LCCTOO_STRING_H
#define LCCTOO_STRING_H


#define lcctooErrStrTooLong(p1) \
	errAdd(error,"lcctoo",lcctooERR_STR_TOO_LONG,__FILE_LINE__,"%d",(p1));


ccsCOMPL_STAT lcctooStrSearch(
    const char*	key,
    const char**	table,
    vltINT32*	index,
    ccsERROR*	error);

ccsCOMPL_STAT lcctooStrCmp(
    const char*	s1,
    const char*	s2,
    ccsERROR*	error);

ccsCOMPL_STAT lcctooStrNCmp(
    const char*	s1,
    const char*	s2,
    vltINT32	len,
    ccsERROR*	error);

ccsCOMPL_STAT lcctooStrMerge(
    char*		buf,
    vltINT32	bufLen,
    const char*	array[],
    vltINT16	arrayNum,
    ccsERROR*	error);

ccsCOMPL_STAT lcctooStrSplit(
    char*		buf,
    char*		array[],
    vltINT16*	arrayNum,
    ccsERROR*	error);


#endif // !LCCTOO_STRING_H

/************************************************************************/
/* ___oOo___ */
