/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: lcctooValue.h,v 1.30 2005/05/09 15:25:53 vltsccm Exp $"
* 
*  who        when      what
*  ---------- --------  ----------------------------------------------
*  rschmutzer 23/12/95  Created by eccsgen V0.54 (November 1995)
*
*
*    !!!!!!!!!  CAUTION: THIS FILE IS UPDATED BY ECCSGEN  !!!!!!!!!
*/

/*************************************************************************
*   NAME
*	lcctooValue - class
*
*   SYNOPSIS
*	#include "lcctooValue.h"
*
*	ccsCOMPL_STAT lcctooValueNewObj(
*	    OUT   lcctooVALUE*	obj,
*	    IN    vltINT32	type,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueDeleteObj(
*	    INOUT lcctooVALUE*	obj,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueClear(
*	    INOUT lcctooVALUE*	obj,
*	    IN    vltINT32	type,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueSet(
*	    INOUT lcctooVALUE*	obj,
*	    IN    const char*	buf,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueSetWithName(
*	    INOUT lcctooVALUE*	obj,
*	    IN    const char*	buf,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueGet(
*	    INOUT lcctooVALUE*	obj,
*	    OUT   char**	buf,	** vltBYTES32
*	    OUT   char**	index,	** vltBYTES32
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueGetWithQuotes(
*	    INOUT lcctooVALUE*	obj,
*	    OUT   char**	buf,	** vltBYTES32
*	    OUT   char**	index,	** vltBYTES32
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueParse(
*	    INOUT lcctooVALUE*	  obj,
*	    IN    lcctooVALUE_TBL tbl,
*	    IN    const char*	buf[],	** max. vltBYTES32[99]
*	    IN    vltINT16	bufNum,
*	    INOUT vltINT32*	index,
*	    OUT   ccsERROR*	error)
*
*	ccsCOMPL_STAT lcctooValueCmp(
*	    INOUT lcctooVALUE*	obj,
*	    INOUT lcctooVALUE*	value2,
*	    OUT   vltDOUBLE*	cmp,
*	    OUT   ccsERROR*	error)
*
*	void lcctooValueSetName(
*	    IN    lcctooVALUE*	obj,
*	    IN    char*		name)
*
*	char* lcctooValueGetName(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetLogical(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltLOGICAL	value)
*	
*	vltLOGICAL lcctooValueGetLogical(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetFlag(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltLOGICAL	value)
*	
*	vltLOGICAL lcctooValueGetFlag(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetInteger(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltINT32	value,
*	    IN    char*		unit)
*	
*	void lcctooValueSetEnum(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltINT32	value,
*	    IN    char**	table)
*	
*	void lcctooValueSetDouble(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltDOUBLE	value,
*	    IN    char*		unit)
*	
*	vltINT32 lcctooValueGetInteger(
*	    IN    lcctooVALUE* obj)
*
*	vltDOUBLE lcctooValueGetDouble(
*	    IN    lcctooVALUE* obj)
*
*	char* lcctooValueSetUnit(
*	    IN    lcctooVALUE* obj
*	    IN    char*        unit)
*
*	char* lcctooValueGetUnit(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetString(
*	    IN    lcctooVALUE*	obj,
*	    IN    char*		value)
*	
*	char* lcctooValueGetString(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetTime(
*	    IN    lcctooVALUE*	obj,
*	    IN    ccsTIMEVAL*	value)
*	
*	ccsTIMEVAL* lcctooValueGetTime(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetClass(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltINT32	class)
*	
*	vltINT32 lcctooValueGetStatus(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetFlags(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltINT32	flags)
*	
*	vltINT32 lcctooValueGetFlags(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetUser(
*	    IN    lcctooVALUE*	obj,
*	    IN    vltINT32	user)
*	
*	vltINT32 lcctooValueGetUser(
*	    IN    lcctooVALUE* obj)
*
*	void lcctooValueSetFormat(
*	    IN    lcctooVALUE*	obj,
*	    IN    char*		format)
*	
*	char* lcctooValueGetFormat(
*	    IN    lcctooVALUE* obj)
*
*	vltINT32 lcctooValueGetType(
*	    IN    lcctooVALUE* obj)
*
*	ccsCOMPL_STAT lcctooValueErr<error>(...)
*
*   PARENT CLASS
*	-
*
*   DESCRIPTION
*       The class Value stores a value:
*       logical, integer, double, string or time.
*
*   PUBLIC METHODS
*	lcctooValueNewObj(obj,type,error)
*	    Initialises an instance of the class type lcctooVALUE.
*
*	    obj		<OUT>	Handle for the new instance (the handle
*				must be allocated by the caller).
*	    type	<IN>	Value type (see lcctooValueGetType()).
*
*	lcctooValueDeleteObj(obj,error)
*	    The function lcctooDeleteObj deletes an
*	    instance of the class type lcctooVALUE
*
*	lcctooValueClear(obj,value2,type,error)
*	   Clears the value object (except flags).
*
*	lcctooValueSet(obj,buf,error)
*	lcctooValueSetWithName(obj,buf,error)
*	   lcctooValueSet reads the value from the text buf.
*	   The value in buf has to have the following format:
*
*	   Set:		         '<value>[<unit>]'
*	   SetWithName:	'[<name>] <value>[<unit>]'
*
*	   where name is the name of the value, and value is a
*	   logical, integer, double, string or a time value.
*	   If the buffer contains more than two words, then
*	   lcctooValueSet returns an error.  By default,
*	   lcctooValueSet tries to guess the type of the value
*	   from the text format. It is however possible to specify
*	   the type before calling lcctooValueSet() with the method
*	   lcctooValueClear().
*
*	   A logical value is '0', '1', 'True', 'False', 'T', 'F',
*	   'Off', 'On', 'No', 'Yes', 'Out' or 'In'.
*	   Logical values do not accept units.
*
*	   An integer and double value may be followed by a unit
*	   immediately after the number, e.g. '100.12Enc'.
*	   If no unit is accepted, then the flags may include the
*	   bit lcctooVALUE_NO_UNIT (see lcctooValueSetFlags()).
*
*	   A string may consist only of a word, otherwise the
*	   text has to be surrounded by double quotes.
*	   Text values do not accept units.
*
*	   A time value is always specified in seconds, e.g. '123.12sec'.
*	   The unit of a time value must be 'sec'.
*
*	   buf    <IN>	Text representing the value.
*
*	lcctooValueGet(obj,buf,index,error)
*	lcctooValueGetWithQuotes(obj,buf,index,error)
*	   lcctooValueGet() places a representation of the value in
*	   the string buf. The format of the string is:
*
*	   '[<name>] <value>[<unit>]'
*
*	   The value name is only printed, if the bit lcctooVALUE_NAME
*	   is set with lcctooValueSetFlags().
*	   The value format may be set with lcctooValueSetFormat().
*	   The unit is only printed, if the bit lcctooVALUE_UNIT is set
*	   with lcctooValueSetFlags().
*
*	   The index points to the place in the buffer where the string
*	   ends. It may be used to continue filling the text buffer after
*	   the value. It may be NULL if it is not used.
*
*	   buf    <OUT>	   Text representing the value. The buffer
*			   must be allocated by the caller.
*	   index  <OUT>    points to the end of string character.
*
*	   lcctooValueGetWithQuotes will place the value inside
*	   double quotes, if the string contains spaces.
*
*	lcctooValueParse(obj,tbl,buf,bufNum,index,error)
*	   lcctooValueParse() parses the list of words supplied in buf
*	   as a value. The expected format is similar to the one
*	   recognised by lcctooValueSet(), with the difference that
*	   the words are expected to be in the supplied list.
*
*	   The list of words is processed beginning with the word
*	   indicated by index (i.e. buf[index]). The index is updated
*	   before returning to point after the processed words.
*
*	   If a table is supplied, then only the value names given
*	   in the table are accepted. To accept a value without any
*	   name, it is necessary to place an entry with value name
*	   'NUMBER' or 'STRING' in the table. If the table is supplied,
*	   then the values must match the type given in the table,
*	   otherwise an error is returned. The index of the found
*	   name is placed in the lcctooVALUE_TBL structure.
*
*	   tbl        <IN>  Table of accepted values (names and types).
*	   tbl->index <OUT> Index to the table of the found name.
*	   buf        <IN>  List of words representing the value.
*	   index    <INOUT> Index to the first word to be parsed.
*			    Index returns a pointer after the parsed words.
*
*	   typedef struct
*	       {
*	       char**    keys;
*	       vltINT32* types;
*	       vltINT32* flags;
*	       vltINT32  index;
*	       } lcctooVALUE_TBL;
*
*	lcctooValueCmp(obj,value2,cmp,error)
*	   lcctooValueCmp() compares two values and returns the
*	   difference between the two. I.e. two values are equal,
*	   if cmp is 0.0.
*
*	   The function allows to compare values of different types,
*	   e.g. a logical value may be compared with a string. They
*	   are considered equal if e.g. the logical value is TRUE
*	   and the string contains '1', 'TRUE', 'On', 'Yes' or 'In'.
*
*	   Numerical values with different units can not be compared.
*
*	   If the lcctooVALUE_NOCASE flag is set in any of two string
*	   values, then a case insensitive comparison is made.
*	   
*	   value2 <IN>	   Value to be compared with the obj value.
*	   cmp    <OUT>    Difference between the values. If the
*			   values are equal, then cmp is set to 0.0.
*
*	lcctooValueSetName(obj,name)
*	lcctooValueGetName(obj)
*	   Set and get the value name.
*
*	lcctooValueSetLogical(obj,value)
*	lcctooValueGetLogical(obj)
*	   Set and get a logical value.
*
*	lcctooValueSetFlag(obj,value)
*	lcctooValueGetFlag(obj)
*	   Set and get a flag value. A flag is a logical value that
*	   is always TRUE if it is present. If the flag is not present,
*	   then it is assumed to have the value FALSE.
*
*	lcctooValueSetInteger(obj,value,unit)
*	   Set an integer value with its corresponding unit.
*
*	lcctooValueSetEnum(obj,value,table)
*	   Set an integer value, specifing a table of accepted strings.
*	   When lcctooValueGet() is used to set this value, then a string
*	   contained in the table is expected. The value is set to the 
*	   index of the found string.
*	   E.g.: if the table contains: 'Red' and 'Blue', then the
*	   value is set to 0, if the value 'Red' is found by lcctooValueGet().
*
*	lcctooValueSetDouble(obj,value,unit)
*	   Set a double value with its corresponding unit. 
*
*	lcctooValueSetUnit(obj,unit)
*	   Set integer or double value unit.
*
*	lcctooValueGetInteger(obj)
*	lcctooValueGetDouble(obj)	
*	lcctooValueGetUnit(obj)
*	   Get an integer/double value with its corresponding unit.
*
*	lcctooValueSetString(obj,value) 
*	lcctooValueGetString(obj)
*	   Set and get a string value.
*
*	lcctooValueSetTime(obj,value)
*	lcctooValueGetTime(obj)
*	   Set and get a time value.
*
*	lcctooValueSetClass(obj,class)
*	lcctooValueGetClass(obj)	
*	   Set and get the class types of a value.
*	   A value may belong to several class types.
*	   The following class types are recognized:
*		lcctooCLASS_NORMAL
*		lcctooCLASS_HEADER
*		lcctooCLASS_CONF_LOG
*		lcctooCLASS_OPS_LOG
*		lcctooCLASS_COND_LOG
*
*	lcctooValueSetFlags(obj,flags)
*	lcctooValueGetFlags(obj)
*	   Set and get flags of a value.
*	   The following flags are recognized:
*		lcctooVALUE_NO_UNIT	- do not parse the unit
*		lcctooVALUE_COMPARE	- free (not used by lcctooVALUE)
*		lcctooVALUE_NAME	- print name with lcctooValueGet().
*		lcctooVALUE_UNIT	- print unit with lcctooValueGet().
*		lcctooVALUE_NUMERIC	- print value as a number
*					  (see lcctooValueSetEnum()).
*		lcctooVALUE_FIRST	- free (not used by lcctooVALUE)
*		lcctooVALUE_NEXTPOS	- free (not used by lcctooVALUE)
*		lcctooVALUE_RESET	- free (not used by lcctooVALUE)
*
*	lcctooValueSetUser(obj,user)
*	lcctooValueGetUser(obj)
*	   Set and get user flags of a value.
*	   The user flags are not used by other lcctooValue facilities.
*
*	lcctooValueSetFormat(obj,format)
*	lcctooValueGetFormat(obj)
*	   Set and get the value format (as a printf format).
*	   The format can be max. 7 chars. long.
*
*	lcctooValueGetType(obj)
*	   Get the type of a value. 
*	   One of the following constants is returned:
*		lcctooVALUE_ANY		- no value stored, 
*					  ready to accept any value.
*		lcctooVALUE_LOGICAL	- logical value.
*		lcctooVALUE_FLAG	- flag value.
*		lcctooVALUE_INTEGER	- integer value.
*		lcctooVALUE_DOUBLE	- double value.
*		lcctooVALUE_STRING	- string value.
*		lcctooVALUE_TIME	- time value.
*
*	   Note that the lcctooValueGet*() macros do _not_ return
*	   an error if the value has been set to a different value
*	   type. The type of the value should be checked with
*	   lcctooValueGetType() before retrieving a value with the
*	   one of the lcctooValueGet*() macros.
*
*	lcctooValueErr<error>(...)
*	    The macros lcctooValueErr*() log an error with lcctooLOG_0 and
*	    call errAdd with the corresponding error parameters.
*
*   RETURN VALUES
*	If the function prototype allows, methods return ccsCOMPL_STAT.
*
*	The names of the defined errors begin as follows:
*	lcctooERR_<error>
*
*   SEE ALSO
*	lcctoo(3)
*
*-------------------------------------------------------------------------
*/


#include "egen.h"

#ifndef LCCTOO_VALUE_H
#define LCCTOO_VALUE_H

#include "lcctooDefines.h"
#include "lcctooErrors.h"

/*
 * class type identifier
 */
#define lcctooVALUE_ID	111


/*
 * class type
 */
typedef struct
    {
    vltBYTES32	 name;
    vltINT32	 type;
    union
	{
	vltLOGICAL	flag;
	vltINT32	num;
	vltDOUBLE	fnum;
	vltBYTES20	text;
	ccsTIMEVAL	time;
	} value;
    vltBYTES8	 unit;
    vltINT32	 user;
    vltINT32	 flags;
    char	 format[lcctooVALUE_FORMAT_LEN];
    const char** table;
    } lcctooVALUE;


/*
 * related types
 */
typedef struct
    {
    char**    keys;
    vltINT32* types;
    vltINT32* flags;
    vltINT32  index;
    } lcctooVALUE_TBL;


/*
 * error functions
 */
#define lcctooErrNoValue() \
	{ \
	lcctooLOG_0("lcctooERR_NO_VALUE: No value found."); \
	errAdd(error,"lcctoo",lcctooERR_NO_VALUE,__FILE_LINE__,""); \
	}
#define lcctooErrUnknownValueType(p1) \
	{ \
	lcctooLOG_0("lcctooERR_UNKNOWN_VALUE_TYPE: Unknown value type code %d.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_UNKNOWN_VALUE_TYPE,__FILE_LINE__,"%d",(p1)); \
	}
#define lcctooErrValueNameTooLong(p1) \
	{ \
	lcctooLOG_0("lcctooERR_VALUE_NAME_TOO_LONG: Value name '%s' is too long.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_VALUE_NAME_TOO_LONG,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrValueSyntax(p1,p2) \
	{ \
	lcctooLOG_0("lcctooERR_VALUE_SYNTAX: Syntax error reading %svalue '%s'.",(p1),(p2)); \
	errAdd(error,"lcctoo",lcctooERR_VALUE_SYNTAX,__FILE_LINE__,"%s,%s",(p1),(p2)); \
	}
#define lcctooErrValueTooLong(p1) \
	{ \
	lcctooLOG_0("lcctooERR_VALUE_TOO_LONG: Value '%s' is too long.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_VALUE_TOO_LONG,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrValueUnit() \
	{ \
	lcctooLOG_0("lcctooERR_VALUE_UNIT: Units not allowed in value."); \
	errAdd(error,"lcctoo",lcctooERR_VALUE_UNIT,__FILE_LINE__,""); \
	}
#define lcctooErrValueUnitTooLong(p1) \
	{ \
	lcctooLOG_0("lcctooERR_VALUE_UNIT_TOO_LONG: Unit '%s' is too long.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_VALUE_UNIT_TOO_LONG,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrWrongUnit(p1) \
	{ \
	lcctooLOG_0("lcctooERR_WRONG_UNIT: Wrong unit '%s'.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_WRONG_UNIT,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrWrongValueCmpType(p1,p2) \
	{ \
	lcctooLOG_0("lcctooERR_WRONG_VALUE_CMP_TYPE: Comparing values: values not of compatible types ('%s' and '%s').",(p1),(p2)); \
	errAdd(error,"lcctoo",lcctooERR_WRONG_VALUE_CMP_TYPE,__FILE_LINE__,"%s,%s",(p1),(p2)); \
	}
#define lcctooErrWrongValueFlag(p1) \
	{ \
	lcctooLOG_0("lcctooERR_WRONG_VALUE_FLAG: Syntax error reading value flag '%s'.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_WRONG_VALUE_FLAG,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrWrongValueName(p1) \
	{ \
	lcctooLOG_0("lcctooERR_WRONG_VALUE_NAME: Wrong value name %s.",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_WRONG_VALUE_NAME,__FILE_LINE__,"%s",(p1)); \
	}
#define lcctooErrWrongValueType(p1) \
	{ \
	lcctooLOG_0("lcctooERR_WRONG_VALUE_TYPE: Wrong value type (expecting a %s type).",(p1)); \
	errAdd(error,"lcctoo",lcctooERR_WRONG_VALUE_TYPE,__FILE_LINE__,"%s",(p1)); \
	}


/*
 * class macros
 */

#define lcctooValueSet(obj,buf,error) 			\
	lcctooValueSet1((obj),(buf),0,(error))
#define lcctooValueSetWithName(obj,buf,error)		\
	lcctooValueSet1((obj),(buf),1,(error))
#define lcctooValueGet(obj,buf,index,error) 		\
	lcctooValueGet1((obj),(buf),(index),0,(error))
#define lcctooValueGetWithQuotes(obj,buf,index,error)	\
	lcctooValueGet1((obj),(buf),(index),1,(error))

#define lcctooValueSetName(obj,n) 				\
	{ 							\
	memset((obj)->name, '\0', lcctooVALUE_NAME_LEN);	\
	strncpy((obj)->name, (n), lcctooVALUE_NAME_LEN - 1);	\
	}
#define lcctooValueGetName(obj)				\
	((obj)->name)

#define lcctooValueSetLogical(obj,n) 			\
	{ 						\
	(obj)->type	  = lcctooVALUE_LOGICAL;	\
	(obj)->value.flag = (n);			\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			     \
	strncpy((obj)->format, lcctooVALUE_LOGICAL_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	  = NULL;			\
	}
#define lcctooValueGetLogical(obj)			\
	((obj)->value.flag)

#define lcctooValueSetFlag(obj) 			\
	{ 						\
	(obj)->type	  = lcctooVALUE_FLAG;		\
	(obj)->value.flag = TRUE;			\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			     \
	strncpy((obj)->format, lcctooVALUE_LOGICAL_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	  = NULL;			\
	}
#define lcctooValueGetFlag(obj)				\
	((obj)->value.flag)

#define lcctooValueSetInteger(obj,n,u) 				\
	{ 							\
	(obj)->type	 = lcctooVALUE_INTEGER;			\
	(obj)->value.num = (n);					\
	memset((obj)->unit, '\0', lcctooVALUE_UNIT_LEN); 	\
	strncpy((obj)->unit, (u), lcctooVALUE_UNIT_LEN - 1);    \
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			     \
	strncpy((obj)->format, lcctooVALUE_INTEGER_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	 = NULL;				\
	}
#define lcctooValueGetInteger(obj)				\
	((obj)->value.num)

#define lcctooValueSetUnit(obj,u)				\
	{ 							\
	memset((obj)->unit, '\0', lcctooVALUE_UNIT_LEN); 	\
	strncpy((obj)->unit, (u), lcctooVALUE_UNIT_LEN - 1);	\
	}
#define lcctooValueGetUnit(obj)					\
	((obj)->unit)

#define lcctooValueSetDouble(obj,n,u)	 			\
	{ 							\
	(obj)->type	  = lcctooVALUE_DOUBLE;			\
	(obj)->value.fnum = (n);				\
	memset((obj)->unit, '\0', lcctooVALUE_UNIT_LEN); 	\
	strncpy((obj)->unit, (u), lcctooVALUE_UNIT_LEN - 1);    \
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			    \
	strncpy((obj)->format, lcctooVALUE_DOUBLE_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	 = NULL;				\
	}
#define lcctooValueGetDouble(obj)				\
	((obj)->value.fnum)

#define lcctooValueSetEnum(obj,n,tbl) 				\
	{ 							\
	(obj)->type	 = lcctooVALUE_INTEGER;			\
	(obj)->value.num = (n);					\
	memset((obj)->unit, '\0', lcctooVALUE_UNIT_LEN); 	\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			     \
	strncpy((obj)->format, lcctooVALUE_INTEGER_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	 = (tbl);				\
	}

#define lcctooValueSetString(obj,n) 					\
	{ 								\
	(obj)->type	  = lcctooVALUE_STRING;				\
	memset((obj)->value.text, '\0', lcctooVALUE_STRING_LEN);	\
	strncpy((obj)->value.text, (n), lcctooVALUE_STRING_LEN - 1);	\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			    \
	strncpy((obj)->format, lcctooVALUE_STRING_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	  = NULL;					\
	}
#define lcctooValueGetString(obj)			\
	((obj)->value.text)

#define lcctooValueSetTime(obj,n) 			\
	{ 						\
	(obj)->type	  = lcctooVALUE_TIME;		\
	(obj)->value.time.tv_sec  = (n)->tv_sec;	\
	(obj)->value.time.tv_usec = (n)->tv_usec;	\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN); 			  \
	strncpy((obj)->format, lcctooVALUE_TIME_FMT, lcctooVALUE_FORMAT_LEN - 1); \
	(obj)->table	  = NULL;			\
	}
#define lcctooValueGetTime(obj)				\
	((obj)->value.time)

#define lcctooValueSetClass(obj,n)			\
	{						\
	(obj)->flags &= ~lcctooCLASS_TYPE;		\
	(obj)->flags |= ((n) & lcctooCLASS_TYPE);	\
	}
#define lcctooValueGetClass(obj)			\
	((obj)->flags & lcctooCLASS_TYPE)

#define lcctooValueSetFlags(obj,n)			\
	{						\
	(obj)->flags &= lcctooCLASS_TYPE;		\
	(obj)->flags |= ((n) & ~lcctooCLASS_TYPE);	\
	}
#define lcctooValueGetFlags(obj)			\
	((obj)->flags & ~lcctooCLASS_TYPE)

#define lcctooValueSetUser(obj,n)			\
	(obj)->user = (n)
#define lcctooValueGetUser(obj)				\
	((obj)->user)

#define lcctooValueSetFormat(obj,n)			\
	{						\
	memset((obj)->format, '\0', lcctooVALUE_FORMAT_LEN);	 \
	strncpy((obj)->format, (n), lcctooVALUE_FORMAT_LEN - 1); \
	}
#define lcctooValueGetFormat(obj)			\
	((obj)->format)

#define lcctooValueGetType(obj)				\
	((obj)->type)


/*
 * class functions
 */

ccsCOMPL_STAT lcctooValueClear(
    INOUT lcctooVALUE*	value,
    IN    vltINT32	type,
    OUT   ccsERROR*	error);

ccsCOMPL_STAT lcctooValueSet1(
    INOUT lcctooVALUE*	value,
    IN    const char*	buf,
    IN    vltLOGICAL	withName,
    OUT   ccsERROR*	error);

ccsCOMPL_STAT lcctooValueGet1(
    INOUT lcctooVALUE*	value,
    OUT   char**	buf,	/* vltBYTES32 */
    OUT   char**	index,	/* vltBYTES32 */
    IN    vltLOGICAL	withQuotes,
    OUT   ccsERROR*	error);

ccsCOMPL_STAT lcctooValueParse(
    INOUT lcctooVALUE*	value,
    IN    lcctooVALUE_TBL*	tbl,
    IN    const char*	buf[],	/* max. vltBYTES32[99] */
    IN    vltINT16	bufNum,
    INOUT vltINT32*	index,
    OUT   ccsERROR*	error);

ccsCOMPL_STAT lcctooValueCmp(
    INOUT lcctooVALUE*	value,
    INOUT lcctooVALUE*	value2,
    OUT   vltDOUBLE*	cmp,
    OUT   ccsERROR*	error);


ccsCOMPL_STAT lcctooValueNewObj(
    OUT   lcctooVALUE*	obj,
    IN	  vltINT32	type,
    OUT   ccsERROR*	error);

ccsCOMPL_STAT lcctooValueDeleteObj(
    INOUT lcctooVALUE*	obj,
    OUT   ccsERROR*	error);


extern const char* lcctooValueLogicalStr[];


#endif // !LCCTOO_VALUE_H

/************************************************************************/
/* ___oOo___ */
