#ifndef LSF_STANDARD_COMMANDS_H
#define LSF_STANDARD_COMMANDS_H
/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsfStandardCommands.h,v 1.121 2005/09/14 07:02:59 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-02-24  created
* usrName   incDate     automatic creation for module 'lsf'
*/

/************************************************************************/

ccsCOMPL_STAT lsfStdExit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdGetInit       ( OUT vltLOGICAL  *init,
		                    OUT ccsERROR    *error );

ccsCOMPL_STAT lsfStdGetSimulation ( OUT vltLOGICAL  *simulation,
                                    OUT ccsERROR    *error );

ccsCOMPL_STAT lsfStdGetVersion    ( OUT char      *version,
                                    OUT ccsERROR  *error );

ccsCOMPL_STAT lsfStdInit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdOff           ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdOnline        ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdSelfTest      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdStandby       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdStartSim      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdStop          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdStopSim       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsfStdTest          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

#endif /*!LSF_STANDARD_COMMANDS_H */
