/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mcm.h,v 2.30 2005/09/22 06:45:16 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  12/09/96  created
* P.Duhoux    OCT96   Version 1.6  NOV96
* P.Duhoux    APR96   Version 1.7  MAY97
* P.Duhoux    NOV97   Version 1.8  NOV97
* P.Duhoux    APR98   Version 1.9  APR98
* P.Duhoux    JUL98   Version 2.3  OCT98
*/

#ifndef MCM_H
#define MCM_H

/******************************************************************************
* mcm.h - motor control module definition file
*------------------------------------------------------------------------------
*/
#ifdef __cplusplus
extern "C" {
#endif

/*
 ******************************************************************************
 * Header Files
 ******************************************************************************
 */

/* 
 * System Includes 
 */
#include "vxWorks.h"
#include "ioLib.h"
#include "stdio.h"
#include "symLib.h"

/*
 * LCC include files
 */
#include "CCS.h"

/*
 ******************************************************************************
 * Literals
 ******************************************************************************
 */

/* MCM module name */
#define mcmMODULE              "mcm"
#define mcmMODULE_NAME         "Motor Control Module"
 
/* literal for motor library version */
#define mcmVERSION             "$Revision: 2.30 $"
#define mcmVERSION_DATE        "APR2004"      

/*
 ******************************************************************************
 * API Function Prototypes
 ******************************************************************************
 */
/*
 * Tools
 */
void mcmVersion ( int logOn );

#ifdef __cplusplus
}
#endif

#endif     /* if !MCM_H */

/*************************************************************************/

/*___oOo___*/
