#ifndef MENDRV_ERROR_H
#define MENDRV_ERROR_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mendrvErrors.h,v 1.5 2005/10/10 15:27:47 vltsccm Exp $"
*
* mendrvError.h  -  Contains literals for all MENDRV driver error codes,
*                   returned from ioctl calls.
*
* who        when       what
* ---------  ---------- ----------------------------------------------
* vltcan     04.04.05   created
*/

#define mendrvOK                              0
#define mendrvERROR_CONFIGURATION            -300
#define mendrvERROR_NOT_CONFIGURED           -301
#define mendrvERROR_PULSEBIT_NOT_IN_PROGRESS -400
#define mendrvERROR_PULSEBIT_IN_PROGRESS     -401
#define mendrvERROR_INVALID_SIGNAL_NUMBER    -405
#define mendrvERROR_INVALID_SIGNAL_CONFIG    -410
#define mendrvERROR_INVALID_SIGNAL_GAIN      -415
#define mendrvERROR_INVALID_SIGNAL_VALUE     -420
#define mendrvERROR_INVALID_TIMEOUT          -425
#define mendrvERROR_INVALID_IR_LEVEL         -430
#define mendrvERROR_INVALID_IR_NUMBER        -435
#define mendrvERROR_INVALID_BOARD_ID         -440
#define mendrvERROR_NO_EXCLUSIVE             -445
#define mendrvERROR_NOT_SETTLED              -450

#define mendrvERROR_SEMAPHORE_TIMEOUT        -1000
#define mendrvERROR_START_TIMER              -1100
#define mendrvERROR_STOP_TIMER	             -1101

#endif /* !MENDRV_ERROR_H */
