/* paraInfo.h - CAL/CANopen-master - header file      */

/* Copyright 1997 esd - electronic system design GmbH */

/*
modification history
--------------------
01a,25mar,hn written
*/

#ifndef _parainfo_h_
#define _parainfo_h_


char*  noParaInfo[] =
    {
    "Allready installed",
    "Error creating Net",
    "Guard- or lifetime missing, no guarding",
    "GuardID not free, no guarding",
    "Unable to open default SDO",
    "Error creating Node",
    "Downloadfile not accessable",
    "Not enough space to read download-file",
    "Configuration download aborted",
    "Download: wrong slave-answer",
    "Installing watchdog failed, no guarding",
    "NodeID does not correspond moduleID",
    "Removed from Nodelist",
    "Wrong file checksum",
    "Wrong file version",
    "Node started",
    "Node connected",
    "Node prepared",
    "Wrong device profile index 0x1000",
    "Route-task terminated",
    "Guard-task terminated",
    "DBT-task terminated",
    "Sync-task terminated",
    "Daemon-task terminated",
    "Emergency-frame task terminated",
    "Scanning Node's parameter failed",
    "Manager terminated"
    };

char* cParaInfo[]= 
    {
    "Guarding returns wrong Node-state"
    };

char* ucParaInfo[]= 
    {
    "Configuring lifetime denied! lifetime set to",
    "Slave state has changed to "
    };

char* iParaInfo[]=
    {
    "Syntax error in line",
    "Unexpected Command in line",
    "Path too long in line",
    "Wrong net number in line",
    "Wrong baudrate in line",
    "Wrong AUTOSCAN time in line",
    "Wrong module number in line",
    "Wrong node name given in line",
    "Wrong node ID given in line",
    "Wrong guardtime in line",
    "Wrong guardID in line",
    "Wrong lifetime factor in line",
    "Wrong min. inhibit time in line",
    "Wrong predefinition in line",
    "Wrong COBID in line",
    "Wrong COB length in line",
    "Wrong COB class in line",
    "Wrong COB typ in line",
    "Wrong SYNC inhibit time in line",
    "Wrong TIMESTAMP_PERIOD in line",
    "Wrong datatype in line",
    "Baudrate missing til line",
    "Predefinition missing til line",
    "COBID missing til line",
    "COB length missing til line",
    "COB class missing til line",
    "COB typ missing til line",
    "NodeID missing til line",
    "Can't create Userdefinition line",
    "Can't create COBdefinition line",
    "Can't create Predefinition line",
    "COBID already fixed til line",
    "SYNC-,TIMESTAMP,SET-ID ignored line",
    "SYNC-, COB-, SET-ID not free line",
    "Slave guarding toggle error no",
    "Slave guarding timed out no",
    "Disconnected by guarding no",
    "Download returns with state",
    "Unknown node found with module ID",
    "Duplicate Module ID scanned",
    "Reading DCF returns error",
    "Different guardtimes, guardtime set to",
    "Different lifetime-factors; set to",
    "Configuring returns",
    "Line too long: Line",
    "Ignoring object because of scan error, index",
	"Invalid parameter (using defaults) in line",
	"Net no missing til line",
	"Boot slave event",
    "Node state change event",
    "Boot message event"
};

char* uiParaInfo[] =
    { 
    "Configuring guardtime denied! guardtime set to"
    };


char* ulParaInfo[] =
    {
    "Configuring guardID denied! guardID set to",
    "Missing CommunicationCycle Period for SYNC-ID"
    };

char* writeParaInfo[] =
    {
    "Writing denied",
    "Reading error"
    };

char* errParaInfo[] =
    {
    "Node returns Prepare-error",
    "Node returns Connect-error"
    };

char* strParaInfo[] =
    {
    "Unable to open File",
    "Error writing File",
    "Missing Section",
    "Missing Entry",
    "tx-ID already used by",
    "Wrong parameter in",
    "Parameter out of range in",
    "Parameter exceeds limits",
    "Duplicate Section in",
    "Duplicate Keyword in",
    "Unknown Keyword in"
    };

char* emcyParaInfo[] =
    {
    "Node sends emergency frame"
    };
#endif








