#ifndef RMN_ERRORS_H
#define RMN_ERRORS_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: rmnErrors.h,v 1.12 2002/04/29 08:36:02 vltsccm Exp $" 
*
* rmnErrors.h - error literals of RMN driver
*
* who      when      what
* -------- --------  ----------------------------------------------
* mverola  01/08/97  created
*---------------------------------------------------------------------------
*/

/*
 * NOTE:
 * Unlike the CCS/LCC definition, the driver error macros do not begin with
 * `rmnERR_', but with `rmnERROR_' and are negative (for historical reason).
 */

#define rmnERROR_NOT_EXCLUSIVE	      -200 
#define rmnERROR_INVALID_BOARD_ID     -201
#define rmnERROR_INVALID_VME_ADDR     -202
#define rmnERROR_LINK_BROKEN          -203
#define rmnERROR_BAD_DATA             -204
#define rmnERROR_NO_INT_HANDLER       -205
#define rmnERROR_INTERRUPT_CONFIGURED -206
#define rmnERROR_INVALID_SEMAPHORE_ID -207
#define rmnERROR_OPEN_CHANNELS        -208

#endif /* !RMN_ERRORS_H */
