/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: sdlPublic.h,v 1.12 2000/01/18 10:08:15 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  28/08/95  Created  for Release 1.3
*/

#ifndef SDL_PUBLIC_H
#define SDL_PUBLIC_H

/******************************************************************************
* sdlPublic.h - single device library common interface file
*------------------------------------------------------------------------------
*/
#ifdef __cplusplus
extern "C" {
#endif

/*
 * SDL include file
 */
#include "sdl.h"

/*
 * VxWorks include files
 */
#include "semLib.h"
#include "string.h"
#include "ctype.h"
#include "stdio.h"
#include "stdlib.h"
#include "ioLib.h"
#include "symLib.h"
#include "sysLib.h"
#include "taskLib.h"
#include "tickLib.h"
#include "usrLib.h"
#include "errnoLib.h"
#include "math.h"

/*
 * LCUDRV include file
 */
#include "lcudrvPublic.h"

#ifdef __cplusplus
}
#endif

#endif /* !SDL_PUBLIC_H */

/*************************************************************************/

/*___oOo___*/
