/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tacDpc.h,v 1.55 2005/10/03 17:38:07 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* bbauvir   27/12/03  Created
*/

#ifndef TAC_DPC_H
#define TAC_DPC_H

/************************************************************************
 *  tacDpc.h - This file provides the interface to the DPC mechanism.
 *
 *----------------------------------------------------------------------
 */

/* 
 * System Headers
 */

/* 
 * Local Headers
 */

#include "tacTypes.h"

/*
 * Constants
 */

/* 
 * Types
 */

typedef struct {
  tacVOIDFCTPTR function;
  void* parameter;
}tacDPC;

/*
 * Global variables
 */

/*
 * Functions
 */

STATUS tacDpcPushRequest(tacVOIDFCTPTR pFunction, void* parameter);

#endif /*!TAC_DPC_H*/






