/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: uvisenDefines.h,v 1.22 2003/12/03 18:29:30 vltsccm Exp $"
* 
*  who       when      what
*  --------  --------  ----------------------------------------------
*  rschmutz  06/04/98  created
*
*/

/*************************************************************************
*    NAME
*	uvisenDefines.h - module header file, define part
* 
* 
*    DESCRIPTION
*	This is a header file of the module uvisen.
* 
* 
*-------------------------------------------------------------------------
*/

#ifndef UVISEN_DEFINES_H
#define UVISEN_DEFINES_H


/*
 * OLDB 
 */
#define uvisenEXPM_COM_POINT		"communication"


/*
 * Exposure meter device defines 
 */

#define uvisenGET_FIRST			1	/* lcctooGET_FIRST		*/

#define uvisenEXPM_GET_FIRST		15	/* (lccdevGET_LAST + 1)		*/
#define uvisenEXPM_GET_CTLAST		15	/* (uvisenEXPM_GET_FIRST + 0)	*/
#define uvisenEXPM_GET_CTTOT		16	/* (uvisenEXPM_GET_FIRST + 1)	*/
#define uvisenEXPM_GET_UIT		17	/* (uvisenEXPM_GET_FIRST + 2)	*/
#define uvisenEXPM_GET_REP		18	/* (uvisenEXPM_GET_FIRST + 3)	*/
#define uvisenEXPM_GET_OFFDRK		19	/* (uvisenEXPM_GET_FIRST + 5)	*/
#define uvisenEXPM_GET_OFFSKY		20	/* (uvisenEXPM_GET_FIRST + 6)	*/
#define uvisenEXPM_GET_LAST		20	/* (uvisenEXPM_GET_FIRST + 6)	*/

#define uvisenEXPM_CTLAST_STRING	"CTLAST"
#define uvisenEXPM_CTTOT_STRING		"CTTOT"
#define uvisenEXPM_UIT_STRING		"UIT"
#define uvisenEXPM_REP_STRING		"REP"
#define uvisenEXPM_OFFDRK_STRING	"OFFDRK"
#define uvisenEXPM_OFFSKY_STRING	"OFFSKY"

#define uvisenEXPM_PARAM_CTLAST		0
#define uvisenEXPM_PARAM_CTTOT		1
#define uvisenEXPM_PARAM_UIT		2
#define uvisenEXPM_PARAM_REP		3
#define uvisenEXPM_PARAM_OFFDRK		4
#define uvisenEXPM_PARAM_OFFSKY		5

#define uvisenEXPM_EXEC_EXPOSURE	1
#define uvisenEXPM_EXEC_OFFDRK		2
#define uvisenEXPM_EXEC_OFFSKY		3

#define uvisenEXPM_VALUE_DEFAULT_UIT	1
#define uvisenEXPM_VALUE_SIMVALUE	2

#define uvisenEXPM_COMBUF_MAXLEN	80
#define uvisenEXPM_CT_NUMBER_MAX	100000

#define uvisenEXPM_CT_CT_NUMBER 	0
#define uvisenEXPM_CT_START_TIME	1
#define uvisenEXPM_CT_UIT		2
#define uvisenEXPM_CT_NREP		3
#define uvisenEXPM_CT_VALUES		4
#define uvisenEXPM_CT_LENGTH		64


#endif // !UVISEN_DEFINES_H

/************************************************************************/
/* ___oOo___ */
