#ifndef LSFTPL_STANDARD_H
#define LSFTPL_STANDARD_H
/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsftplStandard.h,v 1.15 2003/09/10 12:41:48 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-02-24  created
* pduhoux   2001-07-18  automatic creation for module 'lsftpl'
*/

/************************************************************************/

ccsCOMPL_STAT lsftplStdExit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdGetInit       ( OUT vltLOGICAL  *init,
		                    OUT ccsERROR    *error );

ccsCOMPL_STAT lsftplStdGetSimulation ( OUT vltLOGICAL  *simulation,
                                    OUT ccsERROR    *error );

ccsCOMPL_STAT lsftplStdGetVersion    ( OUT char      *version,
                                    OUT ccsERROR  *error );

ccsCOMPL_STAT lsftplStdInit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdOff           ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdOnline        ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdSelfTest      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdStandby       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdStartSim      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdStop          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdStopSim       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplStdTest          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

#endif /*!LSFTPL_STANDARD_H */
