/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsftpl.c,v 1.15 2003/09/10 12:41:54 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-05-04  created
*------------------------------------------------------------------------
*/
/************************************************************************
*   NAME
*   lsftpl - API for Version
* 
*   SYNOPSIS
*   #include "lsftpl.h"
* 
*   DESCRIPTION
*   This module implements all configuration and access methods for the command
*   interpreter task
*
*   METHODS
*   PUBLIC
*   PRIVATE
*
*   FILES
*     lsftplServer.cdt, lsftplServer.cit
*   ENVIRONMENT
*
*   COMMANDS
*
*   RETURN VALUES
*
*   CAUTIONS 
*
*   EXAMPLES
*
*   SEE ALSO
*
*   BUGS   
* 
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: lsftpl.c,v 1.15 2003/09/10 12:41:54 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include "lsftplPrivate.h"

/*
 * Data
 */
lsfSERVER_DATA *lsftplGlobalData = NULL;
int lsftplPrintEnable = 0;

void lsftplVersion ( vltBYTES80 version )
{
    lsfVersion(version,lsftplMODULE_NAME,lsftplMODULE_TITLE,__DATE__,__TIME__,rcsId);
}

/*************************************************************************/
/* ___oOo___ */
