/************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: lsftplSoftDevInterface.c,v 1.15 2003/09/10 12:41:52 vltsccm Exp $" 
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-07-18  created
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: lsftplSoftDevInterface.c,v 1.15 2003/09/10 12:41:52 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include "lsftplPrivate.h"
#include "lsftplSoftDev.h"
#include "lsftplSoftDevInterface.h"

lsfACI_FUNCTION(lsftpl,SoftDevSoft)
{
    vltBYTES80    str;
    ccsCOMPL_STAT status;

    lsfVERBOSE_CMD_RECV("SOFTCMD");
    
    status = lsftplSoftDevSoft(parameters,str,error);

    if (status == SUCCESS)
	{
	sprintf((char *)&msg->body,"%s",str);
	*replyBuffer = (char *)&msg->body;
	*replyBufferSize = strlen(msg->body) + 1;	
	}

    lsfVERBOSE_CMD_DONE("SOFTCMD");
    
    return status;
}

lsfACI_FUNCTION(lsftpl,SoftDevSwd)
{
    vltBYTES80    str;
    ccsCOMPL_STAT status;

    lsfVERBOSE_CMD_RECV("SWDCMD");
    
    status = lsftplSoftDevSwd(parameters,str,error);

    if (status == SUCCESS)
	{
	sprintf((char *)&msg->body,"%s",str);
	*replyBuffer = (char *)&msg->body;
	*replyBufferSize = strlen(msg->body) + 1;	
	}

    lsfVERBOSE_CMD_DONE("SWDCMD");
    
    return status;
}

