!
! "@(#) $Id: backgr.prg,v 2.83 2005/09/30 08:26:46 vltsccm Exp $"
!
!+
!  backgr.prg
!  Midas procedure to calculate the background of a CCD
!  Version 2 	12.3.1993 	S. Deiries
!+
! define/par p1 ? ima "Enter name for input frame:  "
! set/format i5
! write/out {{p1},npix(2)}
@@ CCDtype
! write/key npix/i/1/1 {{p1},npix(1)}
! write/key nline/i/1/1 {{p1},npix(2)}
! write/key xstart/i/1/1 {{p1},start(1)}
! write/key ystart/i/1/1 {{p1},start(2)}
write/key xunit/i/1/1 0.0
write/key yunit/i/1/1 0.0
set/format f4.1
! write/out Xcenter = {xcenter}
! write/out Ycenter = {ycenter}
write/key x1/i/1/1 0.0
write/key x2/i/1/1 0.0
write/key y1/i/1/1 0.0
write/key y2/i/1/1 0.0
write/key n/i/1/1 0
write/key m/i/1/1 0
write/key number/i/1/1 0
create/tab stat 7 100 null
! create/col stat :Mean "ADU" f6.2
! create/col stat :RMS "ADU" f6.2
xunit = xspix / 10
yunit = ysline / 10
crea/tab area 4 100 null
crea/col area :xstart
crea/col area :ystart
crea/col area :xend
crea/col area :yend
do n = 1 10
	do m = 1 10
		x1 = xstart + xprescan + (m-1) * xunit
		x2 = x1 + xunit -1 
		y1 = ystart + (n-1) * yunit
		y2 = y1 + yunit -1
		number = m + (n-1) * 10
		write/out {number}
		write/tab area :xstart @{number} {x1}
		write/tab area :ystart @{number} {y1}
		write/tab area :xend   @{number} {x2}
		write/tab area :yend   @{number} {y2}
!		write/tab stat :Mean @{number} 
	enddo
enddo
stat/ima {p1} area option=rn outtab=stat
read/tab stat @1 @100
stat/tab stat :Mean
read/hist stat :Mean















