!
! "@(#) $Id: display_image.prg,v 2.83 2005/09/30 08:26:48 vltsccm Exp $"
!
! display_image.prg
! Program to make a nice PS-file from an *.bdf image
!+ 
! resulting in a ps-file for the LATEX document
!+
! S. Deiries 29.11.95 Version 4 (more white 10,3)
!+
! Parameter:
!+
! image = file-name of the desired print-out
!+
! Program:
!+
define/par p1 ? ima "Enter image-name for desired display:"
write/key picture/c/1/20 {p1}
write/key lcount/i/1/1 0
write/key textold/c/1/80

if DAZDEVR(10) .ne. -1 then
!
   del/dis
!
endif
!
create/display 0 600,600,0,130
!$ /user1/ccd/.script/obs.sh 

def/par p2 1

def/loc xpix/i/1/1 0
def/loc ypix/i/1/1 0
def/loc xstar/i/1/1 0
def/loc xend/i/1/1 0
def/loc ystar/i/1/1 0
def/loc yend/i/1/1 0
def/loc mini/r/1/1 0
def/loc maxi/r/1/1 0
def/loc cutl/r/1/1 0
def/loc cuth/r/1/1 0
def/loc xzero/r/1/1 0
def/loc yzero/r/1/1 0
def/loc scal/i/1/1 {p2}
def/loc meanccd/r/1/1 0.0
def/loc mrms/r/1/1 0.0  

xpix = '{p1},npix(1)'
ypix = '{p1},npix(2)'

if xpix .le. 75 then
  scal = 5
endif
if xpix .gt. 75 then
  scal = 4
endif
if xpix .gt. 100 then
  scal = 3
endif
if xpix .gt. 150 then
  scal = 2
endif
if xpix .gt. 300 then
  scal = 1
endif
if xpix .gt. 600 then
  scal = -2
endif
if xpix .gt. 1200 then
   scal = -4
endif


xzero = '{p1},start(1)'
yzero = '{p1},start(2)'

xstar = 'xzero' + 10 + ( 0.45 * 'xpix' )
xend   = ( 'xpix' * 0.55 ) + 'xzero' - 1 - 5
ystar = 'yzero' + 5 + ( 0.45 * 'ypix' )
yend   = ( 'ypix' * 0.55 ) + 'yzero' - 1 - 5
write/out xtar = {xstar} ystar = {ystar} xend = {xend} yend = {yend}
!
! xstar,ystar,xend,yend: coordinates used for tempory windows in this program-part
!
define/local tol/r/1/1 0.20
!
        @@ ground {p1} {xstar} {ystar} {xend} {yend} {tol}
!
meanccd =  {q1}
mrms = {q2}


!stat/ima 'p1' ['xstar','ystar':'xend','yend'] 

write/out
write/out Mean level = 'meanccd'
write/out

cutl = 'meanccd' - ( 10 * 'mrms' )
cuth = 'meanccd' + ( 3 * 'mrms' )


load/image 'p1' cuts='cutl','cuth' scale='scal' center=C,C


!ass/display laser FILE
!write/key postscri/r/4/2 1,1
copy/display ppbla15 N P ramp N PB8NT
!$cancel ps0to0
!wait 1
!$cancel ps0to0
!wait 
!$cancel psoto0
!
@@ CCDtype {p1}
!
define/local ii/i/1/1 0
! 
ii = m$index(detector," ")
if ii .gt. 0 detector({ii}:{ii}) = "_"
write/out detetctor = {detector(1:80)}
!
open/file ps2_change.sh  write inputi
write/file {inputi(1)} "#! /bin/sh"
write/file {inputi(1)} sed -e 's/70 84 522 755/70 150 522 755/' \
write/file {inputi(1)} -e 's/(ESO-MIDAS/% (ESO-MIDAS/' \
write/file {inputi(1)} screen{mid$sess(11:12)}.ps > {detector}{p1(1:7)}.ps
close/file {inputi(1)}


$sh ps2_change.sh

set/format f3.1

$chmod 777 {detector}{p1(1:7)}.ps
!$rm qe{copy}*.tbl
!$rm qe*.plt
$rm screen{mid$sess(11:12)}.ima
$rm screen{mid$sess(11:12)}.ps
$rm ps2_change.sh

write/out display_image is ready
!
! end






