!
! "@(#) $Id: divide_in_squares_new.prg,v 2.83 2005/09/30 08:26:48 vltsccm Exp $"
!
! divide_in_squares.prg
!+
! Sub-Program to divide a given rectangle into 4,9,16,25....
! small rectangles
!+
! resulting into two arrays giving all coordinates for the resulting
! small rectangles
!+
! S. Deiries 28.3.1996 Version 1
!+
! Parameter:
!+
! P1 = first pixel of the given window
! P2 = first line of the given window
! P3 = last pixel of the given window
! P4 = last line of the given window
! P5 = degree of division (2 -> 4, 3 -> 9, 4 -> 16 ......) MAX: 10 !!
!  xcoor = array of resulting x-coordinates: x1b,x1e,x2b,x2e,x3b...
!  ycoor = array of resulting y-coordinates: y1b,y1e,y2b,y2e,y3e...
!+
! Program:
!+
define/par p1 ? num "Enter number of first pixel:  "
define/par p2 ? num "Enter number of first line:  "
define/par p3 ? num "Enter number of last pixel:  "
define/par p4 ? num "Enter number of last line:  "
define/par p5 ? num "Enter degree of division:  "
!
define/local xa/i/1/1 {p1}
define/local ya/i/1/1 {p2}
define/local xe/i/1/1 {p3}
define/local ye/i/1/1 {p4}
define/local grade/i/1/1 {p5}
! define/local gg/i/1/1 0
! gg = grade * grade * 2
!
write/key xcoord/i/1/200 0 all
write/key ycoord/i/1/200 0 all
!
define/local m/i/1/1 0
define/local n/i/1/1 0
define/local number1/i/1/1 0
define/local number2/i/1/1 0
define/local deltax1/i/1/1 0  
define/local deltay1/i/1/1 0  
define/local deltax2/i/1/1 0   ! r statt i
define/local deltay2/i/1/1 0   ! r statt i
!
deltax1 = ( xe - xa + 1 ) / grade
deltay1 = ( ye - ya + 1 ) / grade
deltax2 = ( xe - xa ) / grade
deltay2 = ( ye - ya ) / grade
!
do n = 1 {grade}
	do m = 1 {grade}
		number1 = 2 * ( grade * ( n - 1 ) + m ) - 1
		number2 = number1 + 1
		xcoord({number1}) = xa + (( m - 1 ) * deltax1 )
		ycoord({number1}) = ya + (( n - 1 ) * deltay1 )
		xcoord({number2}) = xcoord({number1}) + deltax2
		ycoord({number2}) = ycoord({number1}) + deltay2
	enddo
enddo
!
return
!
! end




