#!/bin/sh -f
if [ "`uname`" = "Linux" ]; then enable -n echo; fi
#
# Please use the standard template ...
#
# "@(#) $Id: sampCtrl_start.sh,v 2.45 2005/10/18 14:33:15 vltsccm Exp $"
#
# HISTORY
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.Chiesa  12/01/95  created
# M.Chiesa  20/12/95  SPR 960611, 
# M.Gajardo 25/10/97  sampWs added
#
# mcomin    02/05/2000 Partly re-written
#           17/07/2000 Added support up to 8 pens
#           11/07/2002 Re-implemented in as tcl script
#

fwrite=$1
fname=$2
ppoint=$3
envName=$4
envType=$5
sampleRate=$6
reportRate=$7

# Shift the first 7 arguments to get access to all attribute names

shift; shift; shift ; shift; shift; shift; shift

sampStart $fwrite "${fname}" "${ppoint}" $envName $envType $sampleRate $reportRate $*

exit 0

#___oOo___
