#ifndef agwsFOCUS_DATA_TBL_H
#define agwsFOCUS_DATA_TBL_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: agwsFOCUS_DATA_TBL.h,v 1.198 2005/08/26 15:24:48 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* nfiebig   29/05/96  created
*/

/************************************************************************
 * Definition of the agwsTRANSFER service class
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "agws.h"
#include "ECCS.h"
#include "eccsDB_TABLE.h"

class agwsFOCUS_DATA : public eccsDB_TABLE_RECORD
{
  public:
    vltBYTES32    focus;
    vltBYTES32    camera;

    ccsCOMPL_STAT Unpack( void *pBuffer )
    {
	char *buffer = reinterpret_cast<char *>(pBuffer);
	memcpy( &focus, buffer, sizeof(focus) ); 
	buffer = buffer+sizeof(focus);
	memcpy( &camera, buffer, sizeof(camera) ); 
	return(SUCCESS);
    }
    ccsCOMPL_STAT Pack( void *buffer )
    {
	int size = 0;
        dbFillBuf( (char**)&buffer, (char*)&focus ,&size, dbBYTES32);
        dbFillBuf( (char**)&buffer, (char*)&camera,&size, dbBYTES32);
	return(SUCCESS);
    }
};

#endif // !agwsFOCUS_DATA_TBL_H

// __oOo__
