#ifndef bossINTERFACE_TCCD_H
#define bossINTERFACE_TCCD_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: bossINTERFACE_TCCD.h,v 1.153 2005/08/23 16:46:40 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    05/06/00  created
* epozna    01/08/00  modify arg of GetStatusFits()
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif


#include "bossINTERFACE_CCD.h"

class bossINTERFACE_TCCD : public bossINTERFACE_CCD
{
public:
 
    bossINTERFACE_TCCD(const dbSYMADDRESS dbPoint, char * srvId);
    virtual ~bossINTERFACE_TCCD();

     // Get the status FITS file produced by sub-system (if any)
    virtual char *GetStatusFits(vltINT32,const char*,const char *); 
    virtual ccsCOMPL_STAT SetImageFileName(const char *filename,
					   vltINT32 expoId);
    virtual ccsCOMPL_STAT ConfigureIfPreProc(ctooCONFIG *appConfig, 
					     oslxCONFIG *cfgSubstPtr);

protected:
 
    

   

};


#endif /*!bossINTERFACE_TCCD_H*/
