/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: ccsSHMemory.h,v 2.166 2005/10/14 09:12:46 vltsccm Exp $" 
*
* ccsSHMemory.h  -  Definition of the CCS Shared memory Area
*
* who        when      what
* ---------  --------  ----------------------------------------------
* M.COMIN    12/12/94  Created
*                   
****************************************************************************/

#ifndef CCSSHM_H
#define CCSSHM_H


#define  ccsSHMTest "Test SUCCESSFUL"

/*************************************
 *  Definition of the single parts   *
 *************************************/


typedef struct  {                   
    int        semId;
    vltUINT32  stackId;    /* Complete stack id   */ 
} ccsSHMError; 


/*************************************
 *  Definition of Shared Memory Area *
 *************************************/

typedef struct  {           /* Structure of the SHM Area  */
    vltUINT16    shmId;
    vltUINT32    size;
    ccsSHMError  error;
    char         test[80];  /* Used by the test procedure */    
} ccsSHMArea;  


#endif  /* !CCSSHM_H */
