#ifndef ctooSEQSH_H
#define ctooSEQSH_H
/******************************************************************************
*  E.S.O. - VLT project
* 
*  "@(#) $Id: ctooSEQSH.h,v 1.52 2005/09/06 23:52:04 vltsccm Exp $"
* 
*  who       when        what
*  --------  ----------  ----------------------------------------------
*  rschmutz  2005-01-05  initfile arg. added.
*  rschmutz  1999-12-16  created.
*/

/*************************************************************************
* 
*-------------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ECCS.h"

/****************************************************************
* class ctooSEQSH
*----------------------------------------------------------------
*/
class ctooSEQSH: virtual public eccsERROR_CLASS
{
  public:
    ctooSEQSH(const char* argv = NULL, 
	      const char* initfile = NULL,
	      const char* userfile = NULL);
    ~ctooSEQSH();

    ccsCOMPL_STAT EvalFile(const char* filename);
    ccsCOMPL_STAT Eval(const char* cmd, char** result = NULL);
    ccsCOMPL_STAT Call(const char* cmd, const char* param = NULL,
		       char** result = NULL);

  private:
    // Tcl_Interp: declared as void* pointer to avoid having
    // to include "seq.h" in the clients of ctooSEQSH.
    void *vinterp;

    ccsCOMPL_STAT InitEvalFile(const char* filename);
};


#endif /* !ctooSEQSH_H */

/************************************************************************/
/* ___oOo___ */
