#ifndef evhDB_COMMAND_H
#define evhDB_COMMAND_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhDB_COMMAND.h,v 1.135 2005/07/21 12:41:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  23/09/96  ParseTarget() method: parameter target is now const char*
* gchiozzi  22/01/96  Added CopyConfig() method.
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#ifndef db_H
  #include "db.h"
#endif
#ifndef evhHANDLER_H
  #include "evhHANDLER.h"
#endif
#ifndef evhCOMMAND_H
  #include "evhCOMMAND.h"
#endif

#define  evhDB_COMMAND_CLASS  (classType)evhDB_COMMAND::CreateNew

class evhDB_COMMAND : public evhCOMMAND
{
  public:
    evhDB_COMMAND(const dbSYMADDRESS  dbPoint = "");
   ~evhDB_COMMAND();

    virtual const char *Destination();
    virtual const char *DbPoint();
    virtual ccsCOMPL_STAT DbPoint(const dbSYMADDRESS  dbPoint);
    virtual ccsCOMPL_STAT Send(msgMESSAGE &msg);

    virtual ccsCOMPL_STAT CopyConfig(evhDB_COMMAND &cmd);
    
    virtual   int           IsEqual( const fndOBJECT& ) const;

    fndStdObjectDef(evhDB_COMMAND, evhCOMMAND);

  protected:
    ccsCOMPL_STAT ParseTarget(ccsENVNAME destEnv, ccsPROCNAME destProc, 
			      const char *target);

  private:
    dbSYMADDRESS  dbPoint;
    vltBYTES32    destination;
};


#endif /*!evhDB_COMMAND_H*/
