#ifndef evhDB_LIST_COMMAND_H
#define evhDB_LIST_COMMAND_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhDB_LIST_COMMAND.h,v 1.135 2005/07/21 12:41:50 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  02/05/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#ifndef evhDB_COMMAND_H
  #include "evhDB_COMMAND.h"
#endif

#define  evhDB_LIST_DEST  "List of destinations"

#define  evhDB_LIST_COMMAND_CLASS  (classType)evhDB_LIST_COMMAND::CreateNew

class evhDB_LIST_COMMAND : public evhDB_COMMAND
{
  public:
    evhDB_LIST_COMMAND(const dbSYMADDRESS  dbPoint = "");
   ~evhDB_LIST_COMMAND();

    virtual ccsCOMPL_STAT Send(msgMESSAGE &msg);
    virtual ccsCOMPL_STAT Reset();          /* Reset the command handler */   

    virtual const char *Destination();

    int  Counter() const;

    fndStdObjectDef(evhDB_LIST_COMMAND, evhDB_COMMAND);

  protected:
    virtual int  _ReplyCB(msgMESSAGE &msg, void *udata);
    evhDB_LIST_COMMAND &Counter(int counter);

  private:
    vltINT32 counter;   // number of commands not completed.

};


#endif /*!evhDB_LIST_COMMAND_H*/
