#ifndef evhSELECT_H
#define evhSELECT_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: evhSELECT.h,v 1.135 2005/07/21 12:41:46 vltsccm Exp $" 
*
* evhSelect.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* vltsw  23/07/96  Derived public virtual from eccsERROR_CLASS
* jknudstr  09/01/95  created
*/

/************************************************************************
* Contains definition of SELECT class for the CCS Event Handler 
* module. Used to handle asynchronous wait on any UNIX file descriptor,
* and to handle incoming signals.
*----------------------------------------------------------------------
*/

#ifndef eccs_H
  #include "eccs.h"
#endif
#ifndef eccsMsg_H
  #include "eccsMsg.h"
#endif

/////////////////////////////////////////////////////////////////////////
// Macros to be moved somewhere else
/////////////////////////////////////////////////////////////////////////

// Maximum number of possible file descriptors
#define evhMAX_NO_OF_FDS     256
#define evhNO_OF_SIGNALS     30

////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////


// The evhSELECT class for handling asynchronous wait for incoming 
// events
class evhSELECT: virtual public eccsERROR_CLASS
{
  public:
    evhSELECT();
   ~evhSELECT();

    // Performs an asynchroneous wait for events 
    ccsCOMPL_STAT Select(msgHEADER **msgHeader);

  private:
    static msgMSG  *msg;
};

#endif /*!evhSELECT_H*/







