#ifndef evhTIMER_H
#define evhTIMER_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: evhTIMER.h,v 1.135 2005/07/21 12:41:48 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  12/06/97  Replace ccsTIMEVAL with eccsTIMEVAL.
* G.Chiozzi 11/02/94  Added headers and documentation
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/
#ifndef evhTIMEOUT_H
  #include "evhTIMEOUT.h"
#endif

#define  evhTIMER_CLASS  (classType)evhTIMER::CreateNew

class evhTIMER: public evhTIMEOUT
{
  public:
    evhTIMER(evhCALLBACK &user_cb, eccsTIMEVAL interval);
    evhTIMER(evhCALLBACK &user_cb, eccsTIMEVAL interval, eccsTIMEVAL startTime);
    fndStdObjectDef(evhTIMER, evhTIMEOUT);

  protected:
    virtual int  TimeoutCB(msgMESSAGE &msg, void *udata);
    evhTIMER() { /* not allowed */ };

}; /* end class evhTIMER */


#endif /*!evhTIMER_H*/
