#ifndef FCDRPC_H
#define FCDRPC_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdDIR.h,v 2.140 2005/10/17 15:16:55 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rdonalds  01/05/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "fcd.h"

// Include files for standard C++ library components
#include <iostream>
#include <fstream>
#include <string>
#include <vector>

using namespace std;

class fcdDIR
{
public:
    fcdDIR();
    ~fcdDIR();

    ccsCOMPL_STAT	Open (const string &dirName);
    ccsCOMPL_STAT	Close ();
    vltINT32		Size();

    ccsCOMPL_STAT	Match (const string &pattern);

    string 		&operator[](int);

private:
    vector<string>	fileList;
};

#endif /*!FCDRPC_H*/
