#ifndef FCDRPC_H
#define FCDRPC_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdRPC.h,v 2.140 2005/10/17 15:16:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rdonalds  01/05/96  created
* rdonalds  5/06/98  moved to ws branch
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "fcdINTERNAL.h"

class fcdRPC
{
public:
  fcdRPC();
  ~fcdRPC();
  
  /*
   *# Call 
   *#
   *# Send a message as an RPC where the message has already
   *# Been prepared with the Command, Buffer, Destenv, Detstproc
   *# The reply will be present in the msg.Buffer()
   *# after the call
   */
  ccsCOMPL_STAT	Call (msgMESSAGE &msg, vltDOUBLE tmoInSec);

  /*
   *# Call 
   *#
   *# Perform an RPC by building the message and sending it using the
   *# above method. The reply will be present in the msg.Buffer()
   *# after the call
   */
  ccsCOMPL_STAT Call (
		      msgMESSAGE        &msg,
		      char              *command,
		      char              *buffer,
		      char              *env,
		      char              *proc,
		      vltDOUBLE         tmoInSecs
		      );
  
private:
};

#endif /*!FCDRPC_H*/
