#ifndef FCDLSP_H
#define FCDLSP_H
/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdlSP.h,v 3.50 2005/04/13 09:14:24 vltsccm Exp $"
*
* fcdlSP.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* ccumani   11/09/97  created
* ccumani   15/09/98  fcdlSprcReadNoBlock function prototype added
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/* 
 * Local Headers
  */
#include "fcdlIntf.h"
#include "fcdl.h"


/*******************************************************************
 *# Function prototypes
 *******************************************************************/
  
extern RSTATUS fcdlSprcClose (
    void
    );

extern RSTATUS fcdlSprcOpen (
    void
    );

extern RSTATUS fcdlSprcRead (
    int  length, 
    int *data
    );

RSTATUS fcdlSprcReadNoBlock (
    int  length, 
    int *data
    );

extern RSTATUS fcdlSprcWrite (
    int  length, 
    int *data
    );

#endif
