#ifndef FCDPSHUTTER_H
#define FCDPSHUTTER_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fcdpShutter.h,v 1.59 2005/10/24 11:39:45 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* hpieper  08/07/97  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifdef  __cplusplus
extern "C" {
#endif

#include "fcdpCommand.h"

ccsCOMPL_STAT fcdpSetShutterLogic( vltINT32 pulpoID, 
				   vltINT32 mode,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpGetShutterLogic( vltINT32 pulpoID, 
				   vltINT32 *mode,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpSetShutterType ( vltINT32 pulpoID, 
				   vltINT32 type,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpGetShutterType ( vltINT32 pulpoID, 
				   vltINT32 *type, 
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpSetShutterMode ( vltINT32 pulpoID, 
				   vltINT32 mode,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpGetShutterMode ( vltINT32 pulpoID, 
				   vltINT32 *mode,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpShutterReset   ( vltINT32 pulpoID,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpShutterOpen    ( vltINT32 pulpoID,
				   ccsERROR *pErr);
ccsCOMPL_STAT fcdpShutterClose   ( vltINT32 pulpoID,
				   ccsERROR *pErr);

ccsCOMPL_STAT fcdpGetCloseDelay   ( vltINT32 pulpoID,
				    vltDOUBLE  *cd,
				    ccsERROR *pErr);
ccsCOMPL_STAT fcdpGetOpenDelay    ( vltINT32 pulpoID,
				    vltDOUBLE *od,
				    ccsERROR *pErr);
#ifdef  __cplusplus
}
#endif

#endif /*!FCDPSHUTTER_H*/
