#ifndef fndAUTO_PTR_H
#define fndAUTO_PTR_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndAUTO_PTR.h,v 1.46 2005/04/08 07:41:49 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  21/08/97  created
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif

template<class T> class fndAUTO_PTR 
{
  public:
    typedef T element_type;

    fndAUTO_PTR(T *p = NULL) : owns(p != 0), el(p) {} ;
    fndAUTO_PTR(fndAUTO_PTR& rhs) :
	owns(rhs.owns), el(rhs.Release()){}

    fndAUTO_PTR &operator=(fndAUTO_PTR& rhs) {
	if( (void*)this != (void*)&rhs)
	    { 
	    if(owns) delete el;
	    owns = rhs.owns;
	    el = rhs.Release();
	    }
	return *this; }

    ~fndAUTO_PTR() { if(owns) delete el;};

    T& operator*()  const { return (*Get()); };
    T *operator->() const { return (Get()); };
    T *Get()        const { return el; };
    T *Release()          { owns = FALSE; return(el); };

    T *Take(T *p=0) {
	if(owns) delete el;
	owns = (p != 0);
	el = p;
	return el; };

  private:
    bool  owns;
    T    *el;
};


#endif

/* __o0o__ */
