#ifndef fndSET_H
#define fndSET_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndSET.h,v 1.46 2005/04/08 07:41:48 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* G.Chiozzi 18/01/95  Created
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif

#ifndef fndResource_H
  #include <fndResource.h>
#endif
#ifndef fndBAG_H
  #include <fndBAG.h>
#endif

#define fndSET_CLASS          (classType)fndSET::CreateNew

class fndSET : public fndBAG
{
  public:

    fndSET( sizeType setSize = fndDEFAULT_SET_SIZE );
    virtual void Add( fndOBJECT &toAdd );

    fndStdObjectDef(fndSET,fndBAG)

}; /* end class fndSET */


/* Inline methods */

inline fndSET::fndSET( sizeType setSize) : fndBAG( setSize ) 
{ 
}

inline void fndSET::Add( fndOBJECT &toAdd )
{
    if( !(fndBAG::HasMember( toAdd )) ) { fndBAG::Add( toAdd ); }
}

#endif

/* __o0o__ */
