#ifndef fndSORT_ARRAY_H
#define fndSORT_ARRAY_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: fndSORT_ARRAY.h,v 1.46 2005/04/08 07:41:48 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi 2002-07-31 gcc 3.1: Replace <xxx.h> sys includes with <xxx>a
* G.Chiozzi 18/01/95  Created
* 
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef fndPort_H
  #include <fndPort.h>
#endif

#include <iostream>

#ifndef fndOBJECT_H
  #include <fndOBJECT.h>
#endif
#ifndef fndSORTABLE_H
  #include <fndSORTABLE.h>
#endif
#ifndef fndABST_ARRAY_H
  #include <fndABST_ARRAY.h>
#endif

#define fndSORT_ARRAY_CLASS      (classType)fndSORT_ARRAY::CreateNew


class fndSORT_ARRAY : public fndABST_ARRAY
{
  public:
    fndSORT_ARRAY( int upper, int lower = 0, sizeType aDelta = 0 ) :
	fndABST_ARRAY(upper, lower,aDelta) {};
    fndSORT_ARRAY() : fndABST_ARRAY() {};
    virtual ~fndSORT_ARRAY() {};

    virtual void Add( fndOBJECT &);

    /* It is necessary to redefine both form of detach */
    virtual void Detach(int pos, int deleteToo = FALSE );
    virtual void Detach(const fndOBJECT &obj, int deleteToo = FALSE );

    fndStdObjectDef(fndSORT_ARRAY,fndABST_ARRAY)

}; /* end Class fndSORT_ARRAY() */

#endif

/* __o0o__ */
