#ifndef ibacTaskLog_H
#define ibacTaskLog_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ibacTaskLog.h,v 1.33 2005/09/01 15:18:03 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* charton   18/07/00  created 
* rondeaux  27/07/00  adapted to WS
*/

/*
 * Log/Verbose/Action Logging Functions
 */

#ifdef __cplusplus
extern "C" {
#endif

extern ccsCOMPL_STAT ibacTaskInit(void);

extern ccsCOMPL_STAT ibacTaskClear(void);   

extern ccsCOMPL_STAT ibacTaskPrintLog(ccsMODULEID   mod,
                                      vltINT32      level,
                                      char          *fileLine,
                                      char          *logText, ...);

extern ccsCOMPL_STAT ibacTaskSetLogLevel(vltINT32   level,
                                         char       *name);

extern vltINT32      ibacTaskGetLogLevel(char *name);

extern ccsCOMPL_STAT ibacTaskSetPrintDate(vltLOGICAL    flag,
                                          char          *name);

extern ccsCOMPL_STAT ibacTaskSetPrintFileLine(vltLOGICAL    flag,
                                              char          *name);

extern ccsCOMPL_STAT ibacTaskSetLog(vltLOGICAL  flag,
                                    char        *name);
    
extern ccsCOMPL_STAT ibacTaskSetVerboseLevel(vltINT32   level,
                                             char       *name);

extern vltINT32      ibacTaskGetVerboseLevel(char *name);

extern ccsCOMPL_STAT ibacTaskSetVerbose(vltLOGICAL  flag,
                                        char        *name);
#ifdef __cplusplus
};
#endif

#endif /*!ibacTaskLog_H*/
