#ifndef ic0INS_TILT_H
#define ic0INS_TILT_H
/*******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: ic0INS_TILT.h,v 2.14 2005/09/22 07:54:27 vltsccm Exp $" 
*
* ic0INS_TILT.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* alongino  24/09/01  created
*/

/************************************************************************
*
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ic0INS_MOTOR.h"    // parent class

// Lamp device
class ic0INS_TILT: public ic0INS_MOTOR
{
  public:

    ic0INS_TILT();
    fndStdObjectDef(ic0INS_TILT, ic0INS_MOTOR)

  protected:
    virtual ccsCOMPL_STAT DevTrigger(ic0KEYWORD &keyword, void*);
    virtual const char *EncFormula() { return "ENC=OFFSET+RESOL*asin(2*POS-(MAX+MIN)/(MAX-MIN))"; }
   
}; /* end class ic0INS_TILT */

#endif /*!ic0INS_TILT_H*/











