#ifndef issmswCHANGE_FOCUS_H
#define issmswCHANGE_FOCUS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issmswCHANGE_FOCUS.h,v 2.17 2005/05/04 06:41:09 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jott      10/07/01  code reviewed
* jott      30/04/01  third version (Version 1 of ISS)
* jott      05/04/01  intermediate version
* jott      20/02/01  second version
* jott      20/12/00  first version
* jott      04/12/00  created
*/

/************************************************************************
 * Header file for the class issmswCHANGE_FOCUS
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/*
 * Include local headers
 */
#include "eccsTestTools.h"
#include "mswCHANGE_FOCUS.h"
#include "issmswErrors.h"


/*
 * Class declaration
 */
class issmswCHANGE_FOCUS: public mswCHANGE_FOCUS
    {
    public:
        issmswCHANGE_FOCUS(const dbSYMADDRESS         dbName,
                           mswMOD_LIST_MANAGER       &listManager);
        ~issmswCHANGE_FOCUS(void);

        /*
         *  These methods override the virtual parent methods
         */
        virtual ccsCOMPL_STAT  Init();
        virtual ccsCOMPL_STAT  Execute(msgMESSAGE &msg);
        virtual ccsCOMPL_STAT  CheckModeSwitchingState(vltINT32 actState,
                                                       vltINT32 actSubState);
    };

#endif /* !issmswCHANGE_FOCUS_H */

/* __oOo__ */
