#ifndef issmswEVAL_STATE_H
#define issmswEVAL_STATE_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issmswEVAL_STATE.h,v 2.17 2005/05/04 06:41:10 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* jott      2004-06-18  created to support CALIBRATING sub-state
*                       (SPR VLTSW20040134)
*/

/************************************************************************
 * Header file for class issmswEVAL_STATE
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/*
 * Include local headers
 */
//#include "issmsw.h"
#include "issmswMOD_LIST_MANAGER.h"
#include "mswEVAL_STATE.h"


/*
 * Class declaration
 */
class issmswEVAL_STATE: public mswEVAL_STATE
    {
    public:
        issmswEVAL_STATE(const dbSYMADDRESS         dbPoint,
                         issmswMOD_LIST_MANAGER    &listManager);
        ~issmswEVAL_STATE(void);

        ccsCOMPL_STAT       Evaluate(void);

    protected:

    private:
        issmswMOD_LIST_MANAGER  &mModListManager;

    };

#endif /*!issmswEVAL_STATE_H*/
