#ifndef issmswSTD_COMMANDS_H
#define issmswSTD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issmswSTD_COMMANDS.h,v 2.17 2005/05/04 06:41:10 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* jott      2004-06-18  added StatusCB() to support sub-state CALIBRATING
*                       (SPR VLTSW20040134)
* jott      2003-07-23  created to solve SPR VLTSW20030321
*/

/************************************************************************
 * Header file for class issmswSTD_COMMANDS
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

/*
 * Include local headers
 */
#include "eccsTestTools.h"
#include "evhHANDLER.h"
#include "mswDefines.h"
#include "msw.h"
#include "mswCONTROL_MAIN.h"
#include "mswSTD_COMMANDS.h"
#include "issmswDefines.h"
#include "issmsw.h"

class issmswSTD_COMMANDS : public mswSTD_COMMANDS
    {
    public:
        issmswSTD_COMMANDS(const dbSYMADDRESS  dbPoint);
        ~issmswSTD_COMMANDS(void);

        evhCB_COMPL_STAT VersionCB(msgMESSAGE &msg, void *udata);
        evhCB_COMPL_STAT StatusCB(msgMESSAGE &msg, void *udata);
    };



#endif /*!issmswSTD_COMMANDS_H*/
