#ifndef issprsAH_STD_COMMANDS_H
#define issprsAH_STD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsAH_STD_COMMANDS.h,v 2.56 2005/06/08 13:29:42 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rrollf    27/02/02  Added support for test utc by the TEST command
* rrollf    30/04/01  third version (Version 1 of ISS)
* jott      20/02/01  first version
* jott      17/01/01  created from prsAH_STD_COMMANDS
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhSTD_COMMANDS.h"
#include "issprs.h"

class issprsAH_STD_COMMANDS : public evhSTD_COMMANDS
    {

    public:
        issprsAH_STD_COMMANDS(const dbSYMADDRESS  dbPoint);
        ~issprsAH_STD_COMMANDS(void);

        evhCB_COMPL_STAT    TestCB(msgMESSAGE &msg, void *udata);
        vltLOGICAL          IsTestActive(void){return mTestOn;};
        ccsTIMEVAL          GetTestUtc(void){return mTestUtc;};

    private:
        /* Specified UTC for tat tests */
        ccsTIMEVAL          mTestUtc;
        char                mTestUtcString[32];
        vltLOGICAL          mTestOn;

    };


#endif /*!issprsAH_STD_COMMANDS_H*/
