#ifndef issprsAH_STD_MOD_H
#define issprsAH_STD_MOD_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsAH_STD_MOD.h,v 2.56 2005/06/08 13:29:43 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rrollf    30/04/01  third version (Version 1 of ISS)
* rrollf    09/03/01  created (from prsAH_STD_MOD.h)
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "issprs.h"
#include "evhDB_CMD_SERIAL.h"

class issprsAH_STD_MOD : public evhDB_CMD_SERIAL
    {
    public:
        issprsAH_STD_MOD(const dbSYMADDRESS  dbPoint);
       ~issprsAH_STD_MOD();

        ccsCOMPL_STAT SetTarget(vltBYTES32 *targets);

        ccsCOMPL_STAT Setup(const char     *setupMsgBuf,
                            const vltUINT32 setupMsgBufLen = 0,
                            evhDB_SEND_ID  *sendId = NULL,
                            evhDB_SEND_ID   waitId = 0);

        ccsCOMPL_STAT Stop(void);

    protected:
        vltLOGICAL  emptyTargetList;

    };


#endif /*!issprsAH_STD_MOD_H*/
