#ifndef issprsBR_COMMAND_H
#define issprsBR_COMMAND_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: issprsBR_COMMAND.h,v 2.56 2005/06/08 13:29:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rrollf    10/10/01  Added default parameter to SetTarget()
* rrollf    30/04/01  Third version (Version 1 of ISS)
* jott      29/03/01  Created (from issprsAH_STD_MOD.h)
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "issprs.h"
#include "evhDB_CMD_SERIAL.h"

class issprsBR_COMMAND : public evhDB_CMD_SERIAL
    {

    public:
        issprsBR_COMMAND(const dbSYMADDRESS  dbPoint);
       ~issprsBR_COMMAND();

        ccsCOMPL_STAT SetTarget(vltBYTES32 *targets,
                                vltLOGICAL ignore = ccsFALSE);

        ccsCOMPL_STAT SendCmd(const char      *command,
                              const char      *cmdMsgBuf,
                              const vltUINT32  cmdMsgBufLen = 0,
                              evhDB_SEND_ID   *sendId = NULL,
                              evhDB_SEND_ID    waitId = 0);

    protected:
        vltLOGICAL  emptyTargetList;

    };


#endif /*!issprsBR_COMMAND_H*/

/* __oOo__ */
