#ifndef ixacUtils_H
#define ixacUtils_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ixacUtils.h,v 1.49 2005/04/08 12:44:34 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* zins  03/12/98  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#include "slx.h"
#include "oslx.h"


ccsCOMPL_STAT ixacMakeKeywMsgBufList(slxKEYW_INFO       *keywordList,
                                     oslxKEYW_FILTER    *filter,
                                     vltLOGICAL         valKeyw,
                                     slxDYN_BUF         *msgBuf,
                                     ccsERROR           *error); 

ccsCOMPL_STAT ixacMakeKeywMsgBufList(slxKEYW_INFO       *keywordList,
                                     slxCHANGE_RECORD   filterList,
                                     vltLOGICAL         valKeyw,
                                     slxDYN_BUF         *msgBuf,
                                     ccsERROR           *error); 

ccsCOMPL_STAT ixacMakeKeywArray(slxKEYW_INFO        *keywordList,
                                oslxKEYW_FILTER     *filter,
                                vltLOGICAL          valKeyw,
                                slxDYN_BUF          *msgBuf,
                                vltINT32            *nbOfParams,
                                ccsERROR            *error);

ccsCOMPL_STAT ixacMakeKeywArray(slxKEYW_INFO        *keywordList,
                                slxCHANGE_RECORD    filterList,
                                vltLOGICAL          valKeyw,
                                slxDYN_BUF          *msgBuf,
                                vltINT32            *nbOfParams,
                                ccsERROR            *error);

ccsCOMPL_STAT ixacMakeExtrKeywBuf(oslxSHORT_FITS &shortFits,
                                  slxDYN_BUF     *extrBuf,
                                  ccsERROR       *error);

ccsCOMPL_STAT ixacStoreExtrKeywBuf(oslxSHORT_FITS &shortFits,
                                   const char     *extrBuf,
                                   ccsERROR       *error);

ccsCOMPL_STAT ixacRemoveKeywords(oslxSHORT_FITS  &shortFits,
                                 oslxKEYW_FILTER *keywFilter);

ccsCOMPL_STAT ixacFindNextChar(char c, char* in, char **out);

ccsCOMPL_STAT ixacResolveEnvVar(char *inputBuf, char **outputBuf,
                                ccsERROR *error);

#endif /*!ixacUtils_H*/
