#ifndef MOTCI_DEFINES_H
#define MOTCI_DEFINES_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: motciDefines.h,v 2.5 2002/04/18 06:56:03 vltsccm Exp $
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  28/08/95  Created  for Release 1.5
*/

/*
 * MACROS for Status Names [Indexes & associated Strings]
 */
#define motciSTAT_OPMODE        0
#define motciSTAT_MOTIONMODE    1
#define motciSTAT_MOTIONSTATUS  2
#define motciSTAT_MOTIONSTEP    3
#define motciSTAT_INITSTATUS    4
#define motciSTAT_INITSTEP      5
#define motciSTAT_BRAKE         6
#define motciSTAT_AXIS          7
#define motciSTAT_EVENTMASK     8
#define motciSTAT_AMPLIFIER     9
#define motciSTAT_POWER        10
#define motciSTAT_CONTROLLER   11
#define motciSTAT_INPOSITION   12
#define motciSTAT_INTERLOCK    13
#define motciSTAT_SPEED        14
#define motciSTAT_CURRENT      15
#define motciSTAT_POSENC       16
#define motciSTAT_POSUSER      17
#define motciSTAT_POSNAME      18
#define motciSTAT_NEXTPOSENC   19
#define motciSTAT_NEXTPOSUSER  20
#define motciSTAT_NEXTPOSNAME  21
#define motciSTAT_FOLLOWINGERR 22
#define motciSTAT_STARTTIME    23
#define motciSTAT_ENDTIME      24
#define motciSTAT_UTC          25

#define motciSTAT_OPMODE_STRING       "OperationalMode"
#define motciSTAT_MOTIONMODE_STRING   "MotionMode"
#define motciSTAT_MOTIONSTATUS_STRING "MotionStatus"
#define motciSTAT_MOTIONSTEP_STRING   "MotionStep"
#define motciSTAT_INITSTATUS_STRING   "InitStatus"
#define motciSTAT_INITSTEP_STRING     "InitStep"
#define motciSTAT_BRAKE_STRING        "Brake"
#define motciSTAT_AXIS_STRING         "Axis"
#define motciSTAT_EVENTMASK_STRING    "EventMask"
#define motciSTAT_AMPLIFIER_STRING    "AmplifierStatus"
#define motciSTAT_POWER_STRING        "PowerStatus"
#define motciSTAT_CONTROLLER_STRING   "ControllerStatus"
#define motciSTAT_INPOSITION_STRING   "InPosition"
#define motciSTAT_INTERLOCK_STRING    "Interlock"
#define motciSTAT_SPEED_STRING        "Speed"
#define motciSTAT_CURRENT_STRING      "Current"
#define motciSTAT_POSENC_STRING       "PositionEnc"
#define motciSTAT_POSUSER_STRING      "PositionUser"
#define motciSTAT_POSNAME_STRING      "PositionName"
#define motciSTAT_NEXTPOSENC_STRING   "NextPositionEnc"
#define motciSTAT_NEXTPOSUSER_STRING  "NextPositionUser"
#define motciSTAT_NEXTPOSNAME_STRING  "NextPositionName"
#define motciSTAT_FOLLOWINGERR_STRING "FollowingError"
#define motciSTAT_STARTTIME_STRING    "StartTime"
#define motciSTAT_ENDTIME_STRING      "EndTime"
#define motciSTAT_UTC_STRING          "UTC"

#endif 
