#ifndef mswINS_DATA_MONITOR_H
#define mswINS_DATA_MONITOR_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mswINS_DATA_MONITOR.h,v 1.126 2005/09/26 14:24:05 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  02/09/97  Created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "mswINS_CONFIG_DATA.h"
#include "eccsEvt.h"

class  mswINS_DATA_MONITOR:public fndOBJECT,  public mswINS_CONFIG_DATA 
{
  public:
    mswINS_DATA_MONITOR(const dbSYMADDRESS dbPoint = dbEMPTY);
    virtual ~mswINS_DATA_MONITOR();

    ccsCOMPL_STAT         DbPoint(const dbSYMADDRESS point);
    virtual const char   *DbPoint() const;

    virtual ccsCOMPL_STAT Action(evhCALLBACK &cb);

  protected:
    virtual int  _ActionCB(msgMESSAGE &msg, void *udata);

  private:
    evtEVENT     evt;
    evhCALLBACK *actionCb;
};

#endif /*!mswINS_DATA_MONITOR_H*/
