#ifndef mswM4_H
#define mswM4_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mswM4.h,v 1.126 2005/09/26 14:24:07 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rkarban 2001-08-13 created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "msw.h"
#include "evhDB_CMD_SERIAL.h"

typedef enum {mswM4DirIn, mswM4DirOut} mswM4DIR;

class mswM4 : public evhDB_CMD_SERIAL
{
  public:
    mswM4(const dbSYMADDRESS  dbPoint);
   ~mswM4();

    // Command M4IN, M4OUT

    /* GCH
     * Here waitId was set to 0
     * It is instead much cleaner to set it to evhDB_CMD_SEND::noWaitId
     * because this object signals explicitly that we do not want to wait.
     * But I do not think this can cause any trouble.
     */
    ccsCOMPL_STAT Move  (mswM4DIR       dir,
			 evhDB_SEND_ID *sendId=NULL, 
			 evhDB_SEND_ID  waitId=0);
};


#endif /*!mswM3_H*/
