#ifndef mswSTD_COMMANDS_H
#define mswSTD_COMMANDS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: mswSTD_COMMANDS.h,v 1.126 2005/09/26 14:24:04 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  02/09/97  Removed version param in constructor: set in .C
* gchiozzi  13/11/96  Changed version string for problems with CDT checking
* mverola   03/04/96  Added OffCB, StandByCB, OnlineCB, IllegalCommand
* gchiozzi  07/09/95  Added StatusCB()
* gchiozzi  30/03/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "evhSTD_COMMANDS.h"

class mswSTD_COMMANDS : public evhSTD_COMMANDS
{
  public:
    mswSTD_COMMANDS();
    mswSTD_COMMANDS(const dbSYMADDRESS  dbPoint);

    virtual evhCB_COMPL_STAT StatusCB(msgMESSAGE &msg, void *udata);   

    //MVE added
    virtual evhCB_COMPL_STAT OffCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT StandByCB(msgMESSAGE &msg, void *udata);
    virtual evhCB_COMPL_STAT OnlineCB(msgMESSAGE &msg, void *udata);

    //MVE added
  protected:  
    ccsCOMPL_STAT IllegalCommand(msgMESSAGE &msg);
};

#endif /*!mswSTD_COMMANDS_H*/
