#ifndef ntp_H
#define ntp_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ntp.h,v 1.37 2002/03/30 21:48:34 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* ramestic  25/08/97  created
* bgilli    26/02/02  Replaced netinet/in.h by arpa/inet.h
*/

#ifdef MAKE_VXWORKS
/* VxWorks stuff */
#include "ntpLCU.h"
#else
/* WS system libraries */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <signal.h>
#include <time.h>
#include <errno.h>
#include <unistd.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netdb.h>
#endif

#include "ntpDefines.h"
#include "ntpErrors.h"

#include "log.h"
#include "err.h"
#include "db.h"
#include "tims.h"
#include "cai.h"

#endif /*!ntp_H*/
