#ifndef PCOMIDAS_H
#define PCOMIDAS_H
/******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: pcoMidas.h,v 1.32 2005/06/03 13:45:51 vltsccm Exp $" 
*
* pcoMidas.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  18/08/94  Created 1. version
*/

/************************************************************************
*  Header file for the Protocol Converter - PCO
*
*  Prototyping of MIDAS interface routines
*
*----------------------------------------------------------------------
*/

/*
 * Prototyping of functions in the XCON library (for the MIDAS interface)
 */

int XCXOPN(char *midasUnit, 
           char *host, 
           int  *conID);

int XCXGFD(int conFD,
           int *fd);

int XCCWAI(int conID,
           int midasWaitStatus[2]);

int XCCSND(int    conID,
           char   *command,
           int    timeOut,
           int    midasSendStatus[2]);

int XCXCLO(int  conID);

int XCKRDI(int     cid,
           char    *key,
           int     felem,
           int     maxvals,
           int     *actvals,
           int     *values,
           int     *unit,
           int     *null,
           int     *kstat);

int XCKRDR(int     cid,
           char    *key,
           int     felem,
           int     maxvals,
           int     *actvals,
           float   *values,
           int     *unit,
           int     *null,
           int     *kstat);

int XCKRDD(int     cid,
           char    *key,
           int     felem,
           int     maxvals,
           int     *actvals,
           double  *values,
           int     *unit,
           int     *null,
           int     *kstat);

int XCKRDC(int     cid,
           char    *key,
           int     boelm,
           int     felem,
           int     maxvals,
           int     *actvals,
           char    *values,
           int     *unit,
           int     *null,
           int     *kstat);

int XCKWRI(int     cid,
           char    *key,
           int     *values,
           int     felem,
           int     maxvals,
           int     *unit,
           int     *kstat);

int XCKWRR(int     cid,
           char    *key,
           float   *values,
           int     felem,
           int     maxvals,
           int     *unit,
           int     *kstat);

int XCKWRD(int     cid,
           char    *key,
           double  *values,
           int     felem,
           int     maxvals,
           int     *unit,
           int     *kstat);

int XCKWRC(int     cid,
           char    *key,
           int     noelm,
           char    *values,
           int     felem,
           int     maxvals,
           int     *unit,
           int     *kstat);

#endif /*!PCOMIDAS_H*/





