/**************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: scanCCS.h,v 2.60 2005/07/31 20:47:23 vltsccm Exp $" 
*
* <scanCCS.h> - CCS/SCAN SYSTEM interface file 
*
* who        when      what
* ---------  --------  ----------------------------------------------
* T. Ebert   21/12/94  First Version
*
************************************************************************
*/
#ifndef SCANCCS_H
#define SCANCCS_H

#include "ccs.h"
#include "err.h"
#include "db.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
 * function prototypes
 */
ccsCOMPL_STAT  scanEnableAttr  (dbSYMADDRESS attribute[], vltUINT16 attrNbr,
                                ccsERROR *error);

ccsCOMPL_STAT  scanDisableAttr (dbSYMADDRESS attribute[], vltUINT16 attrNbr,
                                ccsERROR *error);

ccsCOMPL_STAT  scanEnableDev   (ccsENVNAME env, ccsERROR *error);

ccsCOMPL_STAT  scanDisableDev  (ccsENVNAME env, ccsERROR *error);

ccsCOMPL_STAT  scanEnablePort  (dbATTRIBUTE portName, ccsERROR *error);

ccsCOMPL_STAT  scanDisablePort (dbATTRIBUTE portName, ccsERROR *error);

#ifdef CCS_LIGHT
#include "scanLite.h"
#endif

#ifdef __cplusplus
}
#endif

#endif /* !SCANCCS_H */
