/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: sdlDefines.h,v 1.12 2000/01/18 10:08:14 vltsccm Exp $"
*
* sdlDefines.h 
*
* who       when      what
* --------  --------  ----------------------------------------------
* pduhoux   07/07/95  Created for Release 1.1
*/

#ifndef SDL_DEFINES_H
#define SDL_DEFINES_H

/************************************************************************
 * sdlDefines.h - SDL definition file
 *----------------------------------------------------------------------*/

/* data type for DB entries */
    /* MANDATORY entries */
#define sdlDB_CFG_DEVICE     0            /* Device                          */
#define sdlDB_CFG_VALUES     1            /* CFG values                      */
#define sdlDB_RUN_VALUES     2            /* RUN values                      */
#define sdlDB_RUN_STATUS     3            /* Status                          */
    /* OPTIONAL entries : Hardware dependent */
#define sdlDB_RUN_INTERRUPTS 4            /* Board interrupts                */
    /* WARNING : DO NOT CHANGE THE FOLLOWING LINE ! */
#define sdlDB_MAX_ENTRIES    5

#define sdlDB_SDL_PATH              "SDL"
#define sdlDB_CFG_PATH              "CFG"
#define sdlDB_RUN_PATH              "RUN"

#define sdlDB_CFG_DEVICE_NAME       "device"
#define sdlDB_CFG_VALUES_NAME       "configValues"
#define sdlDB_RUN_VALUES_NAME       "currentValues"
#define sdlDB_RUN_STATUS_NAME       "status"
#define sdlDB_RUN_INTERRUPTS_NAME   "interrupts"

#define sdlSTATUS_INDEX   0x00010000L  /* Status parameter Index            */

#endif /*!SDL_DEFINES_H*/

/*************************************************************************/

/*___oOo___*/
