#ifndef tcsMAIN_HANDLER_H
#define tcsMAIN_HANDLER_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsMAIN_HANDLER.h,v 1.153 2005/08/02 12:52:41 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  21/02/97  Now inherits from tcsBASE
* gchiozzi  20/07/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "tcs.h"
#include "tcsBASE.h"

#include "eccsErr.h"

template<class T>
class tcsMAIN_HANDLER : public eccsERROR_CLASS, public tcsBASE
{
  public:
    tcsMAIN_HANDLER();
    virtual ~tcsMAIN_HANDLER();

    ccsCOMPL_STAT Init(int argCount, char *arg[]);
    ccsCOMPL_STAT RunMainLoop(T *obj, ccsCOMPL_STAT(T::* recover)());
    
  protected:
    virtual ccsCOMPL_STAT EvaluateArgs(int argCount, char *arg[], 
				       ccsPROCNAME pname);
};

#include "tcsMAIN_HANDLER.icc"

#endif /*!tcsMAIN_HANDLER_H*/
