#ifndef tcsSELF_CMD_H
#define tcsSELF_CMD_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsSELF_CMD.h,v 1.153 2005/08/02 12:52:44 vltsccm Exp $"
*
* who       when      what
* --------  --------  --------------------------------------------------------
* nfiebig   14/11/96  created
*/

/******************************************************************************
 * Declaration of class tcsSELF_CMD.
 *-----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <fndSTRING.h>
#include <evhCALLBACK.h>
#include <evhOBJ_CALLBACK.h>
#include <evhTASK.h>
#include <evhCOMMAND.h>

#include <tcsCMD_HANDLER.h>

class tcsSELF_CMD : private evhCOMMAND
{
  public:
    tcsSELF_CMD();
    ~tcsSELF_CMD();
    ccsCOMPL_STAT SetCmdHandler(tcsCMD_HANDLER *handler, const char *description = "");
    ccsCOMPL_STAT SetReplyHandler(evhCALLBACK &cb);
    ccsCOMPL_STAT SetErrorHandler(evhCALLBACK &cb);
    ccsCOMPL_STAT Send(msgCMD cmdName, const char *format, ...);
    ccsCOMPL_STAT Reset();
    const char *Command() const;
    vltLOGICAL IsActive();

  protected:
    evhCB_COMPL_STAT ReplyCB(msgMESSAGE &msg, void *);
    evhCB_COMPL_STAT ErrorCB(msgMESSAGE &msg, void *);

  private:
    fndSTRING         description;  // description of purpose for error logging
    tcsCMD_HANDLER   *cmdHandler;   // command handler to be used for replies
    evhCALLBACK      *userReplyCB;  // user's reply handler
    evhCALLBACK      *userErrorCB;  // user's error reply handler
};

#endif // !tcsSELF_CMD_H
