#ifndef tcsSITE_CONSTANTS_H
#define tcsSITE_CONSTANTS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsSITE_CONSTANTS.h,v 1.153 2005/08/02 12:52:42 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  20/07/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "tcs.h"


class tcsSITE_CONSTANTS
{
  public:
    tcsSITE_CONSTANTS();
    tcsSITE_CONSTANTS(vltRADIANS longitude, vltRADIANS latitude,
		      vltDOUBLE  height,
		      vltRADIANS xPolarMotion, vltRADIANS yPolarMotion);
    tcsSITE_CONSTANTS(const tcsSITE_CONSTANTS &tc);

    vltRADIANS          Longitude() const;
    tcsSITE_CONSTANTS  &Longitude(vltRADIANS newLongitude);

    vltRADIANS          Latitude() const;
    tcsSITE_CONSTANTS  &Latitude(vltRADIANS newLatitude);

    vltDOUBLE           Height() const;
    tcsSITE_CONSTANTS  &Height(vltDOUBLE newHeight);

    vltRADIANS          XPolarMotion() const;
    tcsSITE_CONSTANTS  &XPolarMotion(vltRADIANS newXPolarMotion);

    vltRADIANS          YPolarMotion() const;
    tcsSITE_CONSTANTS  &YPolarMotion(vltRADIANS newYPolarMotion);
    
  private:
    vltRADIANS longitude;
    vltRADIANS latitude;
    vltDOUBLE  height;

    vltRADIANS xPolarMotion;
    vltRADIANS yPolarMotion;
};

#include "tcsSITE_CONSTANTS.icc"

#endif /*!tcsSITE_CONSTANTS_H*/
