#ifndef tcsSITE_ENVIRONMENT_H
#define tcsSITE_ENVIRONMENT_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsSITE_ENVIRONMENT.h,v 1.153 2005/08/02 12:52:42 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* gchiozzi  20/07/95  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "tcs.h"


class tcsSITE_ENVIRONMENT
{
  public:
    tcsSITE_ENVIRONMENT();
    tcsSITE_ENVIRONMENT(vltDEGREES temperature, vltDOUBLE pressure,
		      vltDOUBLE  humidity, vltDOUBLE tempLapsRate);
    tcsSITE_ENVIRONMENT(const tcsSITE_ENVIRONMENT &tc);

    vltDOUBLE             Humidity() const;
    tcsSITE_ENVIRONMENT  &Humidity(vltDOUBLE newHumidity);

    vltDOUBLE             Pressure() const;
    tcsSITE_ENVIRONMENT  &Pressure(vltDOUBLE newPressure);

    vltDOUBLE             TempLapsRate() const;
    tcsSITE_ENVIRONMENT  &TempLapsRate(vltDOUBLE newTempLapsRate);

    vltDOUBLE             Temperature() const;
    tcsSITE_ENVIRONMENT  &Temperature(vltDOUBLE newTemperature);

  private:
    vltDEGREES temperature;
    vltDOUBLE  pressure;
    vltDOUBLE  humidity;
    vltDOUBLE  tempLapsRate;

};

#include "tcsSITE_ENVIRONMENT.icc"

#endif /*!tcsSITE_ENVIRONMENT_H*/
