#ifndef tcsmonCON_MOON_CALC_H
#define tcsmonCON_MOON_CALC_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tcsmonCON_MOON_CALC.h,v 2.44 2005/09/07 07:02:25 vltsccm Exp $"
*
* who       when      what
* --------  --------  --------------------------------------------------------
* rkarban   14/03/98  created
*/

/******************************************************************************
 * Declaration of class tcsmonCON_MOON_CALC.
 *-----------------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <evhTIMER.h>
#include "tcsMOON.h"
#include "tcsSTATE.h"

class tcsmonCON_MOON_CALC : public tcsSTATE
{
  public:
    tcsmonCON_MOON_CALC(const dbSYMADDRESS dbRoot);
    virtual ~tcsmonCON_MOON_CALC();
    ccsCOMPL_STAT  Init();
    ccsCOMPL_STAT  Start();
    ccsCOMPL_STAT  Stop();

  protected:
    virtual evhCB_COMPL_STAT MoonCalcEventCB(evtEVENT_MSG &msg, void *);

  private:
    dbSYMADDRESS    dbPoint;         // class DB support point
    ccsTIMEVAL      interval;         // moon calc interval
    vltLOGICAL      timerActive;
    evhTIMER       *timer;
    tcsMOON         *calcMoon;
    vltUINT32       errorCounter;
};

#endif // !tcsmonCON_MOON_CALC_H
