#ifndef volac_H
#define volac_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: volac.h,v 1.12 2003/11/11 13:19:59 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* pbiereic  11/04/97  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

// Include files for EasyCCS and Evh Toolkit
#include "ECCS.h"
#include "evhHANDLER.h"

// Include for the basic class
#include "evhTASK.h"

// Max. number of database events (incl. the default one)
#define MAXEVTS 256

// Name of the default database attribute
#define DBNEWDATA "<alias>newData.newDataFileName"

// Name of the env. variable which contains the DHS directory
#define DHSDATA "DHS_DATA"

// panel with error text to be called after error
#define VOLACERROR "volacError"

// environment and tcl variable to be used for error text display
#define VOLERR "volerr"

void volacExit(char *, vltLOGICAL);
void volacLog(char *, vltLOGICAL);
void volacUsage();
void volacExitHandler(int);

// These are considered NON POSIX functions under SUN
#if defined(SUN_COMP)
extern "C" int getopt(int, char * const [], const char *);
extern "C" int putenv(char *);
#endif /*SUN_COMP */

#endif /*!volac_H*/
