#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: arifpanTCCD_uifClass.tcl,v 1.14 2005/02/09 12:35:35 vltsccm Exp $" 
#
# arifpanTCCD_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.12
#   date   : Mon Aug 05 14:58:37 METDST 2002
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class arifpanTCCD_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 228 -height 112 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutput          $cv.arifpanTCCD-wdg1 -anchor w -canvasAnchor nw  \
                      -color Black -dbMode dbPoll -evtFilter w  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-bold-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.timeDef) -width 7 
UifOutputString    $cv.arifpanTCCD-wdg2 -anchor center -canvasAnchor nw  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-bold-r-normal--14*  \
                      -labelWidth 0  \
                      -listColors {Red Red Red Red Red Red OliveDrab Red Black Red Red Blue Blue}  \
                      -listStrings {none inactive pending integrating paused reading processing transferring completed failed aborted {finite loop} {infinite loop}}  \
                      -listValues {0 1 2 4 8 16 32 64 128 256 512 1024 2048}  \
                      -variable gvar(.expStatus) -width 14 
UifButton          $cv.arifpanTCCD-wdg3 -canvasAnchor nw  \
                      -command {arifPanStartButtonHandler}  \
                      -initialState normal -label {START} -popup 0  \
                      -stateVar gvar(arifpanTCCD-wdg3Var) -width 0 
UifButton          $cv.arifpanTCCD-wdg4 -canvasAnchor nw  \
                      -command {arifPanStopButtonHandler}  \
                      -initialState normal -label {STOP} -popup 0  \
                      -stateVar gvar(arifpanTCCD-wdg3Var) -width 0 
UifEntry           $cv.arifpanTCCD-wdg5 -canvasAnchor nw  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 100 -minVal 0  \
                      -variable gvar(expTime) -width 6 
UifButton          $cv.arifpanTCCD-wdg6 -canvasAnchor nw  \
                      -command {arifPanSetButtonHandler}  \
                      -initialState normal -label {SET} -popup 0  \
                      -stateVar gvar(arifpanTCCD-wdg3Var) -width 0 

    #
    #  Canvas Items
    #

    $cv create text 4 64 -tags "text arifpanTCCD-item1 classItem arifpanTCCD" -anchor nw \
              -text "Exp. Control" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 4 32 -tags "text arifpanTCCD-item2 classItem arifpanTCCD" -anchor nw \
              -text "Exp. Time" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 4 8 -tags "text arifpanTCCD-item3 classItem arifpanTCCD" -anchor nw \
              -text "Exp. Status" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

    $cv create text 4 92 -tags "text arifpanTCCD-item4 classItem arifpanTCCD" -anchor nw \
              -text "Exp. Time" \
              -fill black -font -Adobe-helvetica-bold-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.arifpanTCCD-wdg1)  {UifOutput 96 28 1 1 0 0 1 .timeDef 0 {} {}}
    set panWidget(${top}.arifpanTCCD-wdg2)  {UifOutputString 96 4 1 1 0 0 1 .expStatus 0 {}}
    set panWidget(${top}.arifpanTCCD-wdg3)  {UifButton 96 56 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.arifpanTCCD-wdg4)  {UifButton 152 56 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.arifpanTCCD-wdg5)  {UifEntry 96 88 1 0 {} 0 1 expTime 0 N {} {} 0 0 0 0}
    set panWidget(${top}.arifpanTCCD-wdg6)  {UifButton 152 84 1 0 0 0 1 {} 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.arifpanTCCD-wdg1)  [list out local .timeDef 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.arifpanTCCD-wdg2)  [list out local .expStatus 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.arifpanTCCD-wdg2)  {technical CCD operational status}
    set panWidgetHlp(${top}.arifpanTCCD-wdg3)  {Click to start an exposure}
    set panWidgetHlp(${top}.arifpanTCCD-wdg4)  {Click to stop exposure}
    set panWidgetHlp(${top}.arifpanTCCD-wdg6)  {Click to apply the specified exposure time}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
