#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpCtrl_uifClass.tcl,v 2.7 2005/05/11 03:10:37 vltsccm Exp $" 
#
# ccdExpCtrl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.8
#   date   : Tue Feb 13 10:49:45 MET 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpCtrl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 759 -height 55 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifButton          $cv.ccdExpCtrl-wdg1 -canvasAnchor nw -command {ccdStart}  \
                      -initialState normal -label {Start} -popup 0  \
                      -stateVar gvar(notRunning) -width 12 
UifButton          $cv.ccdExpCtrl-wdg2 -canvasAnchor nw  \
                      -command {ccdContinue} -initialState normal  \
                      -label {Continue} -popup 0 -stateVar gvar(paused)  \
                      -width 12 
UifButton          $cv.ccdExpCtrl-wdg3 -canvasAnchor nw -command {ccdStop}  \
                      -initialState normal -label {Stop integr} -popup 0  \
                      -stateVar gvar(running) -width 12 
UifButton          $cv.ccdExpCtrl-wdg4 -canvasAnchor nw  \
                      -command {panCallPanel ccdTelemetry "gvar(maint)=$gvar(maint)" "simul=$simul"}  \
                      -initialState normal -label {Tele./Temp.} -popup 1  \
                      -stateVar gvar(ccdTel) -width 12 
UifButton          $cv.ccdExpCtrl-wdg5 -canvasAnchor nw  \
                      -command {ccdChangeRate} -initialState normal  \
                      -label {Change rate} -popup 0  \
                      -stateVar gvar(anyRunning) -width 12 
UifButton          $cv.ccdExpCtrl-wdg6 -canvasAnchor nw -command {ccdWipe}  \
                      -initialState normal -label {Wipe} -popup 0  \
                      -stateVar gvar(notWiping) -width 12 
UifButton          $cv.ccdExpCtrl-wdg7 -canvasAnchor nw  \
                      -command {ccdPerWipe} -initialState normal  \
                      -label {Per. wipe} -popup 0  \
                      -stateVar gvar(notWiping) -width 12 
UifButton          $cv.ccdExpCtrl-wdg8 -canvasAnchor nw  \
                      -command {ccdStopLoop} -initialState normal  \
                      -label {Stop loop} -popup 0  \
                      -stateVar gvar(loopRunning) -width 12 
UifButton          $cv.ccdExpCtrl-wdg9 -canvasAnchor nw  \
                      -command {ccdStartDisplay} -initialState normal  \
                      -label {Start Display} -popup 0  \
                      -stateVar gvar(ccdExpCtrl-wdg12) -width 12 
UifButton          $cv.ccdExpCtrl-wdg10 -canvasAnchor nw  \
                      -command {ccdAbort} -initialState normal  \
                      -label {Abort} -popup 0 -stateVar gvar(running)  \
                      -width 12 
UifButton          $cv.ccdExpCtrl-wdg11 -canvasAnchor nw  \
                      -command {ccdStopWipe} -initialState normal  \
                      -label {Stop wipe} -popup 0 -stateVar gvar(wiping)  \
                      -width 12 
UifButton          $cv.ccdExpCtrl-wdg12 -canvasAnchor nw  \
                      -command {ccdChangeTime} -initialState normal  \
                      -label {Change time} -popup 0  \
                      -stateVar gvar(anyRunning) -width 12 
UifButton          $cv.ccdExpCtrl-wdg13 -canvasAnchor nw  \
                      -command {ccdPause} -initialState normal  \
                      -label {Pause} -popup 0 -stateVar gvar(notPaused)  \
                      -width 12 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpCtrl-wdg1)  {UifButton 7.0 2.0 1 0 0 0 1 notRunning 0 {} gvar(notRunning)}
    set panWidget(${top}.ccdExpCtrl-wdg10)  {UifButton 541.0 2.0 1 0 0 0 1 running 0 {} gvar(running)}
    set panWidget(${top}.ccdExpCtrl-wdg11)  {UifButton 220.0 29.0 1 0 0 0 1 wiping 0 {} gvar(wiping)}
    set panWidget(${top}.ccdExpCtrl-wdg12)  {UifButton 434 2 1 0 0 0 1 {} 0 {} gvar(running)}
    set panWidget(${top}.ccdExpCtrl-wdg13)  {UifButton 114.0 2.0 1 0 0 0 1 notPaused 0 {} gvar(notPaused)}
    set panWidget(${top}.ccdExpCtrl-wdg2)  {UifButton 221.0 2.0 0 0 0 0 1 paused 0 {} gvar(paused)}
    set panWidget(${top}.ccdExpCtrl-wdg3)  {UifButton 328.0 3.0 1 0 0 0 1 running 0 {} gvar(running)}
    set panWidget(${top}.ccdExpCtrl-wdg4)  {UifButton 648 29 1 0 0 0 1 ccdTel 0 {}}
    set panWidget(${top}.ccdExpCtrl-wdg5)  {UifButton 434 29 1 0 0 0 1 {} 0 {} gvar(running)}
    set panWidget(${top}.ccdExpCtrl-wdg6)  {UifButton 6.0 30.0 1 0 0 0 1 notWiping 0 {} gvar(notWiping)}
    set panWidget(${top}.ccdExpCtrl-wdg7)  {UifButton 114.0 29.0 1 0 0 0 1 notWiping 0 {} gvar(notWiping)}
    set panWidget(${top}.ccdExpCtrl-wdg8)  {UifButton 648.0 2.0 0 0 0 0 1 loopRunning 0 {} gvar(running)}
    set panWidget(${top}.ccdExpCtrl-wdg9)  {UifButton 541 29 1 0 0 0 1 {} 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdExpCtrl-wdg1)  {Start new exposure}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg10)  {Abort immediately exposure. IMAGE DATA LOST !!!}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg11)  {Stop periodical wiping of the chip}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg12)  {Change integration time for running exposure. The new value is taken from the setup area.}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg13)  {Pause running exposure}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg2)  {Continue a paused exposure}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg3)  {Stop integration and start immediately readout}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg4)  {Start Telemetry/Temperature monitoring panel}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg5)  {Change image transfer rate for running exposure. The new value is taken from the setup area.}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg6)  {Wipe the chip (single run)}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg7)  {Start wiping periodically the chip}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg8)  {Stop a (possibly infinite) loop of repeated exposures}
    set panWidgetHlp(${top}.ccdExpCtrl-wdg9)  {Start VLT real-time display utility}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
