#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpInfo_uifClass.tcl,v 2.7 2005/05/11 03:10:38 vltsccm Exp $" 
#
# ccdExpInfo_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Fri Jan 23 11:41:40 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpInfo_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 264 -height 153 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutputString    $cv.ccdExpInfo-expType -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-expType %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Black Black Black} \
                       -listStrings {Normal Dark Multi-step} \
                       -listValues {1 2 3} \
                       -variable gvar(exposures:exposure_1.expType) \
                       -width 10
    UifOutput          $cv.ccdExpInfo-gain -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-gain %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout.gainIndex) \
                       -width 1
    UifOutput          $cv.ccdExpInfo-rdtTime -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbPoll \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-rdtTime %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(readout.time) -width 6
    UifBarChart        $cv.ccdExpInfo-wdg1 -axis 0 -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-wdg1 %A %T %D %Q} \
                       -label {Readout (ACE->LCU)} -length 150 -maxVal 100 \
                       -minVal 0 -orient h -ticks 0 \
                       -variable gvar(readout.percent)
    UifOutput          $cv.ccdExpInfo-wdg2 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-wdg2 %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout.clockIndex) \
                       -width 2
    UifOutput          $cv.ccdExpInfo-wdg3 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-wdg3 %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:transfer.time) -width 6
    UifBarChart        $cv.ccdExpInfo-wdg4 -axis 0 -canvasAnchor nw \
                       -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpInfo-wdg4 %A %T %D %Q} \
                       -label {Transfer (LCU->WS)} -length 150 -maxVal 100 \
                       -minVal 0 -orient h -ticks 0 \
                       -variable gvar(images:transfer.percent)

    #
    #  Canvas Items
    #

    $cv create text 8 20 -tags "text ccdExpInfo-item1 classItem ccdExpInfo" -anchor w \
              -text "Exposure Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 148 49 -tags "text ccdExpInfo-item2 classItem ccdExpInfo" -anchor w \
              -text "Gain" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 198 63 -tags "text ccdExpInfo-item3 classItem ccdExpInfo" -anchor nw \
              -text "Time(sec)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 7 42 -tags "text ccdExpInfo-item4 classItem ccdExpInfo" -anchor nw \
              -text "Readout Mode" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpInfo-expType)  {UifOutputString 107 9 1 1 0 0 1 exposures:exposure_1.expType 0 {}}
    set panWidget(${top}.ccdExpInfo-gain)  {UifOutput 185 37 1 1 0 0 1 exposures:exposure_1:readout.gainIndex 0 {} {}}
    set panWidget(${top}.ccdExpInfo-rdtTime)  {UifOutput 201 80 1 1 0 0 1 readout.time 0 %.2f {}}
    set panWidget(${top}.ccdExpInfo-wdg1)  {UifBarChart 6 63 1 1 0 0 1 readout.percent 0 0 0 100 0 0}
    set panWidget(${top}.ccdExpInfo-wdg2)  {UifOutput 109 37 1 1 0 0 1 exposures:exposure_1:readout.clockIndex 0 {} {}}
    set panWidget(${top}.ccdExpInfo-wdg3)  {UifOutput 201 124 1 1 0 0 1 images:transfer.time 0 %.2f {}}
    set panWidget(${top}.ccdExpInfo-wdg4)  {UifBarChart 6 109 1 1 0 0 1 images:transfer.percent 0 0 0 100 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdExpInfo-expType)  [list out local exposures:exposure_1.expType 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdExpInfo-gain)  [list out local exposures:exposure_1:readout.gainIndex 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdExpInfo-rdtTime)  [list out local readout.time 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdExpInfo-wdg1)  [list out local readout.percent 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdExpInfo-wdg2)  [list out local exposures:exposure_1:readout.clockIndex 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdExpInfo-wdg3)  [list out local images:transfer.time 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.ccdExpInfo-wdg4)  [list out local images:transfer.percent 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdExpInfo-expType)  {Type of exposure}
    set panWidgetHlp(${top}.ccdExpInfo-gain)  {Gain index used for readout}
    set panWidgetHlp(${top}.ccdExpInfo-rdtTime)  {Time (sec) needed to perform the last readout}
    set panWidgetHlp(${top}.ccdExpInfo-wdg1)  {Percentage of image read}
    set panWidgetHlp(${top}.ccdExpInfo-wdg2)  {Index of clock used for readout}
    set panWidgetHlp(${top}.ccdExpInfo-wdg3)  {Time (sec) needed to transfer the image to WS}
    set panWidgetHlp(${top}.ccdExpInfo-wdg4)  {Percentage of image transferred to WS}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
