#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpSetupOpt_uifClass.tcl,v 2.7 2005/05/11 03:10:44 vltsccm Exp $" 
#
# ccdExpSetupOpt_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.7
#   date   : Thu May 14 03:31:43 UTC 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpSetupOpt_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 135 -height 137 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.ccdExpRept -anchor nw -canvasAnchor nw \
                       -label Repeat -offVal 0 -onVal 1 -variable gvar(rep) \
                       -width 0
    UifOptionButton    $cv.ccdExpType -canvasAnchor nw -default Normal \
                       -itemList {Normal Dark Multiple} -length 5 \
                       -selectMode label \
                       -variable gvar(setup.0.DET.EXP.TYPE)
    UifCheckButton     $cv.ccdExpWipe -anchor w -canvasAnchor nw -default 0 \
                       -label {no wipe} -offVal 0 -onVal -1 \
                       -variable gvar(setup.61.DET.EXP.WIPETIM) -width 0
    UifRadioButton     $cv.expFrep -anchor nw -canvasAnchor nw \
                       -label forever -onVal 0 -variable gvar(nrep) -width 6
    UifEntry           $cv.expNrep -canvasAnchor nw -default 1 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(expNrep) -width 4
    UifEntry           $cv.expPrep -canvasAnchor nw -default 0 -label Period \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 -units sec \
                       -variable gvar(setup.40.DET.EXP.TIMEREP) -width 4
    UifRadioButton     $cv.expTrep -anchor nw -canvasAnchor nw -onVal 2 \
                       -variable gvar(nrep) -width 0

    #
    #  Canvas Items
    #

    $cv create text 0 92 -tags "text ccdExpSetupOpt-item1 classItem ccdExpSetupOpt" -anchor nw \
              -text "Type" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 72 43 -tags "text ccdExpSetupOpt-item2 classItem ccdExpSetupOpt" -anchor nw \
              -text "times" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpRept)  {UifCheckButton 1.0 0.0 1 0 0 0 1 rep 0 0 1 0 0 0}
    set panWidget(${top}.ccdExpType)  {UifOptionButton 36.0 88.0 1 0 Normal 0 1 setup.0.DET.EXP.TYPE 0 {}}
    set panWidget(${top}.ccdExpWipe)  {UifCheckButton 4.0 64.0 1 0 0 0 1 setup.61.DET.EXP.WIPETIM 0 0 1 0 0 0}
    set panWidget(${top}.expFrep)  {UifRadioButton 1.0 20.0 1 0 1 0 1 nrep 0 0 0 0 0 0}
    set panWidget(${top}.expNrep)  {UifEntry 31.0 42.0 1 0 1 0 1 expNrep 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.expPrep)  {UifEntry 0.0 116.0 1 0 0 0 1 setup.40.DET.EXP.TIMEREP 0 N 0 100 0 0 0 0}
    set panWidget(${top}.expTrep)  {UifRadioButton 0.0 40.0 1 0 1 0 1 nrep 0 0 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdExpRept)  {If set, exposure has to be repeated, either forever or N times}
    set panWidgetHlp(${top}.ccdExpType)  {Type of exposure}
    set panWidgetHlp(${top}.ccdExpWipe)  {Do not wipe the chip before starting the next exposure (only in a loop)}
    set panWidgetHlp(${top}.expFrep)  {Infinite loop of repeated exposures}
    set panWidgetHlp(${top}.expPrep)  {Interval (sec) between consecutive repeated exposures}
    set panWidgetHlp(${top}.expTrep)  {Single exposure repeated n times}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
