#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdWipeConfig_uifClass.tcl,v 2.7 2005/05/11 03:10:42 vltsccm Exp $" 
#
# ccdWipeConfig_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.73
#   date   : Tue Feb 25 09:40:49 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdWipeConfig_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 136 -height 106 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.wipeN -canvasAnchor nw -maxVal 99 -minVal 0 \
                       -variable gvar(.nWipes) -width 2
    UifEntry           $cv.wipePer -canvasAnchor nw -maxVal 100 -minVal 0 \
                       -variable gvar(.wipePeriod) -width 5
    UifEntry           $cv.xBin -canvasAnchor nw -maxVal 16 -minVal 0 \
                       -variable gvar(.wipeXBin) -width 1
    UifEntry           $cv.yBin -canvasAnchor nw -maxVal 16 -minVal 0 \
                       -variable gvar(.wipeYBin) -width 1

    #
    #  Canvas Items
    #

    $cv create text 3 10 -tags "text ccdWipeConfig-item1 classItem ccdWipeConfig" -anchor nw \
              -text "Repeated " \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 3 34 -tags "text ccdWipeConfig-item2 classItem ccdWipeConfig" -anchor nw \
              -text "Period (sec)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 3 70 -tags "text ccdWipeConfig-item3 classItem ccdWipeConfig" -anchor nw \
              -text "Binning" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 67 58 -tags "text ccdWipeConfig-item4 classItem ccdWipeConfig" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 67 82 -tags "text ccdWipeConfig-item5 classItem ccdWipeConfig" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.wipeN)  {UifEntry 87.0 6.0 1 1 1 0 1 .nWipes 0 N 0 99 0 0 0 0}
    set panWidget(${top}.wipePer)  {UifEntry 87.0 30.0 1 1 0 0 1 .wipePeriod 0 N 0 100 0 0 0 0}
    set panWidget(${top}.xBin)  {UifEntry 87.0 54.0 1 1 1 0 1 .wipeXBin 0 N 0 16 0 0 0 0}
    set panWidget(${top}.yBin)  {UifEntry 87.0 78.0 1 1 1 0 1 .wipeYBin 0 N 0 16 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.wipeN)  {in local .nWipes 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.wipePer)  {in local .wipePeriod 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.xBin)  {in local .wipeXBin 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.yBin)  {in local .wipeYBin 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.wipeN)  {Number of times a complete chip wipe action has to be done to actually clean the chip}
    set panWidgetHlp(${top}.wipePer)  {Amount of time (in sec) between two consecutive wipe operations when periodical wipe is active}
    set panWidgetHlp(${top}.xBin)  {Binning along X during wipe}
    set panWidgetHlp(${top}.yBin)  {Binning along Y during wipe}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
