#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdExpSetup_uifClass.tcl,v 2.7 2005/05/11 03:10:44 vltsccm Exp $" 
#
# ccdExpSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.15
#   date   : Thu Oct 30 12:05:33 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdExpSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 258 -height 54 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.ccdExpSetup-expRep -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpSetup-expRep %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expRepeatDef) \
                       -width 5
    UifOutput          $cv.ccdExpSetup-expTimDef -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpSetup-expTimDef %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.timeDef) -width 6
    UifOutput          $cv.ccdExpSetup-file -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdExpSetup-file %A %T %D %Q} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:transfer.fileNameUnComp) \
                       -width 26

    #
    #  Canvas Items
    #

    $cv create text 5 14 -tags "text ccdExpSetup-item1 classItem ccdExpSetup" -anchor w \
              -text "Time(sec)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 135 7 -tags "text ccdExpSetup-item2 classItem ccdExpSetup" -anchor nw \
              -text "Repetitions" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 7 34 -tags "text ccdExpSetup-item3 classItem ccdExpSetup" -anchor nw \
              -text "File" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdExpSetup-expRep)  {UifOutput 207 2 1 1 0 0 1 exposures:exposure_1.expRepeatDef 0 {} {}}
    set panWidget(${top}.ccdExpSetup-expTimDef)  {UifOutput 71 3 1 1 0 0 1 exposures:exposure_1.timeDef 0 %.3f {}}
    set panWidget(${top}.ccdExpSetup-file)  {UifOutput 45 28 1 1 0 0 1 exposures:exposure_1:transfer.fileNameUnComp 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdExpSetup-expRep)  [list out local exposures:exposure_1.expRepeatDef 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdExpSetup-expTimDef)  [list out local exposures:exposure_1.timeDef 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdExpSetup-file)  [list out local exposures:exposure_1:transfer.fileNameUnComp 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdExpSetup-expRep)  {Number of times the exposure must be repeated (0 = infinite)}
    set panWidgetHlp(${top}.ccdExpSetup-expTimDef)  {Defined integration time (sec)}
    set panWidgetHlp(${top}.ccdExpSetup-file)  {Name of FITS file containing the image}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
