#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ccdReadoutSetup_uifClass.tcl,v 2.7 2005/05/11 03:10:44 vltsccm Exp $" 
#
# ccdReadoutSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.15
#   date   : Thu Oct 30 11:58:24 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class ccdReadoutSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 229 -height 101 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.ccdReadoutSetup-binx -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-binx %A %T %D %Q} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xBinning) \
                       -width 1
    UifOutput          $cv.ccdReadoutSetup-biny -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-biny %A %T %D %Q} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yBinning) \
                       -width 1
    UifOutput          $cv.ccdReadoutSetup-speed -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-speed %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout.speed) \
                       -width 6
    UifOutputString    $cv.ccdReadoutSetup-win1enab -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win1enab %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Red Blue} -listStrings {NO YES} \
                       -listValues {0 1} \
                       -variable gvar(exposures:exposure_1:readout:window_1.enabled) \
                       -width 3
    UifOutput          $cv.ccdReadoutSetup-win1xd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win1xd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xDim) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win1xf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win1xf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xFirst) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win1yd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win1yd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yDim) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win1yf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win1yf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yFirst) \
                       -width 4
    UifOutputString    $cv.ccdReadoutSetup-win2enab -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win2enab %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Red Blue} -listStrings {NO YES} \
                       -listValues {0 1} \
                       -variable gvar(exposures:exposure_1:readout:window_2.enabled) \
                       -width 3
    UifOutput          $cv.ccdReadoutSetup-win2xd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win2xd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_2.xDim) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win2xf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win2xf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_2.xFirst) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win2yd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win2yd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_2.yDim) \
                       -width 4
    UifOutput          $cv.ccdReadoutSetup-win2yf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate ccdReadoutSetup-win2yf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:readout:window_2.yFirst) \
                       -width 4

    #
    #  Canvas Items
    #

    $cv create text 117 14 -tags "text ccdReadoutSetup-item1 classItem ccdReadoutSetup" -anchor w \
              -text "Binning" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 6 15 -tags "text ccdReadoutSetup-item2 classItem ccdReadoutSetup" -anchor w \
              -text "Speed" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 5 62 -tags "text ccdReadoutSetup-item3 classItem ccdReadoutSetup" -anchor w \
              -text "#1" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 3 34 -tags "text ccdReadoutSetup-item4 classItem ccdReadoutSetup" -anchor nw \
              -text "Window  DimX   DimY FirstX FirstY" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 168 7 -tags "text ccdReadoutSetup-item5 classItem ccdReadoutSetup" -anchor nw \
              -text "X" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 197 8 -tags "text ccdReadoutSetup-item6 classItem ccdReadoutSetup" -anchor nw \
              -text "Y" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 4 79 -tags "text ccdReadoutSetup-item7 classItem ccdReadoutSetup" -anchor nw \
              -text "#2" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ccdReadoutSetup-binx)  {UifOutput 180 3 1 1 0 0 1 exposures:exposure_1:readout:window_1.xBinning 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-biny)  {UifOutput 207 4 1 1 0 0 1 exposures:exposure_1:readout:window_1.yBinning 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-speed)  {UifOutput 50 3 1 1 0 0 1 exposures:exposure_1:readout.speed 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win1enab)  {UifOutputString 22 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.enabled 0 {}}
    set panWidget(${top}.ccdReadoutSetup-win1xd)  {UifOutput 56 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.xDim 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win1xf)  {UifOutput 143 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.xFirst 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win1yd)  {UifOutput 99 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.yDim 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win1yf)  {UifOutput 187 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.yFirst 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win2enab)  {UifOutputString 22 74 1 1 0 0 1 exposures:exposure_1:readout:window_2.enabled 0 {}}
    set panWidget(${top}.ccdReadoutSetup-win2xd)  {UifOutput 57 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.xDim 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win2xf)  {UifOutput 143 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.xFirst 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win2yd)  {UifOutput 100 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.yDim 0 {} {}}
    set panWidget(${top}.ccdReadoutSetup-win2yf)  {UifOutput 187 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.yFirst 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.ccdReadoutSetup-binx)  [list out local exposures:exposure_1:readout:window_1.xBinning 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-biny)  [list out local exposures:exposure_1:readout:window_1.yBinning 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-speed)  [list out local exposures:exposure_1:readout.speed 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win1enab)  [list out local exposures:exposure_1:readout:window_1.enabled 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win1xd)  [list out local exposures:exposure_1:readout:window_1.xDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win1xf)  [list out local exposures:exposure_1:readout:window_1.xFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win1yd)  [list out local exposures:exposure_1:readout:window_1.yDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win1yf)  [list out local exposures:exposure_1:readout:window_1.yFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win2enab)  [list out local exposures:exposure_1:readout:window_2.enabled 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win2xd)  [list out local exposures:exposure_1:readout:window_2.xDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win2xf)  [list out local exposures:exposure_1:readout:window_2.xFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win2yd)  [list out local exposures:exposure_1:readout:window_2.yDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.ccdReadoutSetup-win2yf)  [list out local exposures:exposure_1:readout:window_2.yFirst 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ccdReadoutSetup-speed)  {Readout speed}
    set panWidgetHlp(${top}.ccdReadoutSetup-win1enab)  {Number of windows to be read}
    set panWidgetHlp(${top}.ccdReadoutSetup-win1xd)  {window width}
    set panWidgetHlp(${top}.ccdReadoutSetup-win1xf)  {X coordinate of window low left corner}
    set panWidgetHlp(${top}.ccdReadoutSetup-win1yd)  {window height}
    set panWidgetHlp(${top}.ccdReadoutSetup-win1yf)  {Y coordinate of window low left corner}
    set panWidgetHlp(${top}.ccdReadoutSetup-win2enab)  {Number of windows to be read}
    set panWidgetHlp(${top}.ccdReadoutSetup-win2xd)  {window width}
    set panWidgetHlp(${top}.ccdReadoutSetup-win2xf)  {X coordinate of window low left corner}
    set panWidgetHlp(${top}.ccdReadoutSetup-win2yd)  {window height}
    set panWidgetHlp(${top}.ccdReadoutSetup-win2yf)  {Y coordinate of window low left corner}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
