#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdImageSetupOpt_uifClass.tcl,v 2.83 2005/09/30 08:26:30 vltsccm Exp $" 
#
# fcdImageSetupOpt_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.9
#   date   : Mon Sep 24 13:34:20 METDST 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdImageSetupOpt_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 183 -height 72 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifEntry           $cv.imgNxfer -canvasAnchor nw -default 1  \
                      -label {Transfer one of}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 100 -minVal 1  \
                      -variable gvar(setup.24.DET.FRAM.SAMPLE) -width 3 
UifCheckButton     $cv.nobuildupFrame -anchor center -canvasAnchor nw  \
                      -default 0 -label {No build up effect} -offVal 0  \
                      -onVal 1 -variable gvar(rtdBld) -width 0 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.imgNxfer)  {UifEntry 5.0 10.0 1 0 1 0 1 setup.24.DET.FRAM.SAMPLE 0 N 1 100 0 0 0 0}
    set panWidget(${top}.nobuildupFrame)  {UifCheckButton 5 39 1 0 0 0 1 rtdBld 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.imgNxfer)  {one image out of N are transfered to WS}
    set panWidgetHlp(${top}.nobuildupFrame)  {Display image without build up effect}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
