#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdSetupIp_uifClass.tcl,v 2.83 2005/09/30 08:26:32 vltsccm Exp $" 
#
# fcdSetupIp_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.11
#   date   : Tue Oct 06 16:49:43 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdSetupIp_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 246 -height 86 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.fcdSetupIp-Bias -anchor center -canvasAnchor nw \
                       -default 0 -label RMS -offVal 0 -onVal 1 \
                       -variable gvar(ipRMS) -width 4
    UifCheckButton     $cv.fcdSetupIp-wdg1 -anchor center -canvasAnchor nw \
                       -default F -label Min/Max -offVal F -onVal T \
                       -variable gvar(ipMinMax) -width 7
    UifEntry           $cv.fcdSetupIp-wdg2 -canvasAnchor nw -default 1 \
                       -label X \
                       -labelFont -Adobe-helvetica-medium-r-normal--12* \
                       -labelWidth 0 -maxVal 10000 -minVal 1 \
                       -variable gvar(ipRefX) -width 5
    UifEntry           $cv.fcdSetupIp-wdg3 -canvasAnchor nw -default 1 \
                       -label Y \
                       -labelFont -Adobe-helvetica-medium-r-normal--12* \
                       -labelWidth 0 -maxVal 10000 -minVal 1 \
                       -variable gvar(ipRefY) -width 5
    UifCheckButton     $cv.fcdSetupIp-wdg4 -anchor w -canvasAnchor nw \
                       -default 0 -label {User Function} -offVal 0 -onVal 1 \
                       -variable gvar(ipUsrFlag) -width 0
    UifEntry           $cv.fcdSetupIp-wdg5 -canvasAnchor nw -default None \
                       -labelFont -Adobe-helvetica-medium-r-normal--12* \
                       -labelWidth 0 -variable gvar(ipUsrFunc) -width 15
    UifCheckButton     $cv.wCentroid -anchor center -canvasAnchor nw \
                       -default none -label Centroiding -offVal none \
                       -onVal standard -variable gvar(ipCentroid) -width 9

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdSetupIp-Bias)  {UifCheckButton 105 60 1 0 0 0 1 ipRMS 0 0 1 0 0 0}
    set panWidget(${top}.fcdSetupIp-wdg1)  {UifCheckButton 165 60 1 0 F 0 1 ipMinMax 0 0 1 0 0 0}
    set panWidget(${top}.fcdSetupIp-wdg2)  {UifEntry 5 30 1 0 1 0 1 ipRefX 0 N 1 10000 0 0 0 0}
    set panWidget(${top}.fcdSetupIp-wdg3)  {UifEntry 5 55 1 0 1 0 1 ipRefY 0 N 1 10000 0 0 0 0}
    set panWidget(${top}.fcdSetupIp-wdg4)  {UifCheckButton 115 5 1 0 0 0 1 ipUsrFlag 0 0 1 0 0 0}
    set panWidget(${top}.fcdSetupIp-wdg5)  {UifEntry 115 30 1 0 None 0 1 ipUsrFunc 0 A {} {} 0 0 0 0}
    set panWidget(${top}.wCentroid)  {UifCheckButton 5 5 1 0 none 0 1 ipCentroid 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdSetupIp-Bias)  {RMS calculation has to be performed on the image}
    set panWidgetHlp(${top}.fcdSetupIp-wdg1)  {Compute the minimum and maximum value in an image}
    set panWidgetHlp(${top}.fcdSetupIp-wdg2)  {X coordinate of the reference point}
    set panWidgetHlp(${top}.fcdSetupIp-wdg3)  {Y coordinate of the reference point}
    set panWidgetHlp(${top}.fcdSetupIp-wdg4)  {User funcion name}
    set panWidgetHlp(${top}.fcdSetupIp-wdg5)  {Enable user function}
    set panWidgetHlp(${top}.wCentroid)  {Compute the centroiding of an image}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
