#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigChip_uifClass.tcl,v 2.83 2005/09/30 08:26:26 vltsccm Exp $" 
#
# fcdConfigChip_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 26 16:41:54 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigChip_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 321 -height 295 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.fcdConfigChip-wdg1 -anchor center \
                       -canvasAnchor nw -default 0 -label {mpp Mode} \
                       -offVal 0 -onVal 1 -variable gvar(detector.mpp) \
                       -width 0
    UifCheckButton     $cv.fcdConfigChip-wdg2 -anchor center \
                       -canvasAnchor nw -default 0 -label {Frame Transfer} \
                       -offVal 0 -onVal 1 \
                       -variable gvar(detector.frameTransfer) -width 0
    UifCheckButton     $cv.fcdConfigChip-wdg3 -anchor center \
                       -canvasAnchor nw -default 0 -label Skipper -offVal 0 \
                       -onVal 1 -variable gvar(detector.skipper) -width 0
    UifEntry           $cv.fcdConfigChip-wdg4 -canvasAnchor nw \
                       -label {Number of Columns} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(detector.xPixels) -width 5
    UifEntry           $cv.fcdConfigChip-wdg5 -canvasAnchor nw \
                       -label {Number of Rows} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(detector.yPixels) -width 5
    UifEntry           $cv.fcdConfigChip-wdg6 -canvasAnchor nw \
                       -label {Number of Outputs} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(detector.nOutputs) -width 5
    UifEntry           $cv.fcdConfigChip-wdg7 -canvasAnchor nw \
                       -label {Horizontal Pixel Size (microns)} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(detector.xPixelSize) -width 5
    UifEntry           $cv.fcdConfigChip-wdg8 -canvasAnchor nw \
                       -label {Vertical Pixel Size (microns)} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 1000000 -minVal 0 \
                       -variable gvar(detector.yPixelSize) -width 5
    UifEntry           $cv.fcdConfigChip-wdg9 -canvasAnchor nw \
                       -label Description \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(detector.description) -width 20

    #
    #  Canvas Items
    #

    $cv create text 150 4 -tags "text fcdConfigChip-item1 classItem fcdConfigChip" -anchor nw \
              -text "Chip" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigChip-wdg1)  {UifCheckButton 20 230 1 1 0 0 1 detector.mpp 0 0 1 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg2)  {UifCheckButton 20 200 1 1 0 0 1 detector.frameTransfer 0 0 1 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg3)  {UifCheckButton 20 260 1 1 0 0 1 detector.skipper 0 0 1 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg4)  {UifEntry 20 50 1 1 {} 0 1 detector.xPixels 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg5)  {UifEntry 20 80 1 1 {} 0 1 detector.yPixels 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg6)  {UifEntry 20 170 1 1 {} 0 1 detector.nOutputs 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg7)  {UifEntry 20 110 1 1 {} 0 1 detector.xPixelSize 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg8)  {UifEntry 20 140 1 1 {} 0 1 detector.yPixelSize 0 N 0 1000000 0 0 0 0}
    set panWidget(${top}.fcdConfigChip-wdg9)  {UifEntry 20 20 1 1 {} 0 1 detector.description 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigChip-wdg1)  [list in local detector.mpp 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg2)  [list in local detector.frameTransfer 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg3)  [list in local detector.skipper 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg4)  [list in local detector.xPixels 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg5)  [list in local detector.yPixels 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg6)  [list in local detector.nOutputs 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg7)  [list in local detector.xPixelSize 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg8)  [list in local detector.yPixelSize 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigChip-wdg9)  [list in local detector.description 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigChip-wdg9)  {Chip description}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
