#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigModeWpSq_uifClass.tcl,v 2.83 2005/09/30 08:26:26 vltsccm Exp $" 
#
# fcdConfigModeWpSq_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 26 14:08:23 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigModeWpSq_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 281 -height 108 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigModeWpSq-wdg1 -canvasAnchor nw \
                       -label {Volt Table} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(.wipeVolts) -width 20
    UifCheckButton     $cv.fcdConfigModeWpSq-wdg2 -anchor center \
                       -canvasAnchor nw -default 0 -label {Wipe Always} \
                       -offVal 0 -onVal 1 -variable gvar(.wipeAlways) \
                       -width 0
    UifEntry           $cv.fcdConfigModeWpSq-wdg3 -canvasAnchor nw \
                       -label Sequence \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(.wipeSeq) -width 20

    #
    #  Canvas Items
    #

    $cv create text 100 4 -tags "text fcdConfigModeWpSq-item1 classItem fcdConfigModeWpSq" -anchor nw \
              -text "Wipe" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigModeWpSq-wdg1)  {UifEntry 20 50 1 1 {} 0 1 .wipeVolts 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdConfigModeWpSq-wdg2)  {UifCheckButton 20 80 1 1 0 0 1 .wipeAlways 0 0 1 0 0 0}
    set panWidget(${top}.fcdConfigModeWpSq-wdg3)  {UifEntry 20 20 1 1 {} 0 1 .wipeSeq 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigModeWpSq-wdg1)  [list in local .wipeVolts 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeWpSq-wdg2)  [list in local .wipeAlways 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigModeWpSq-wdg3)  [list in local .wipeSeq 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigModeWpSq-wdg1)  {Wipe voltage table name}
    set panWidgetHlp(${top}.fcdConfigModeWpSq-wdg2)  {Perform wipe between loop iteration}
    set panWidgetHlp(${top}.fcdConfigModeWpSq-wdg3)  {Wipe sequence name}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
