#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdConfigReadout_uifClass.tcl,v 2.83 2005/09/30 08:26:27 vltsccm Exp $" 
#
# fcdConfigReadout_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Feb 26 16:49:03 MET 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdConfigReadout_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 321 -height 118 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifEntry           $cv.fcdConfigReadout-wdg1 -canvasAnchor nw \
                       -label {ADC Resolution} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(readout.bitsPixel) -width 5
    UifEntry           $cv.fcdConfigReadout-wdg2 -canvasAnchor nw \
                       -label {Wipe Sequence} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(readout.wipeSeq) -width 20
    UifEntry           $cv.fcdConfigReadout-wdg3 -canvasAnchor nw \
                       -label {Wipe Period (sec)} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100000 -minVal 0 \
                       -variable gvar(readout.wipePeriod) -width 5

    #
    #  Canvas Items
    #

    $cv create text 136 4 -tags "text fcdConfigReadout-item1 classItem fcdConfigReadout" -anchor nw \
              -text "Readout" \
              -fill black -font -Adobe-helvetica-bold-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdConfigReadout-wdg1)  {UifEntry 20 20 1 1 {} 0 1 readout.bitsPixel 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdConfigReadout-wdg2)  {UifEntry 20 50 1 1 {} 0 1 readout.wipeSeq 0 A 0 100 0 0 0 0}
    set panWidget(${top}.fcdConfigReadout-wdg3)  {UifEntry 20 80 1 1 {} 0 1 readout.wipePeriod 0 N 0 100000 0 0 0 0}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdConfigReadout-wdg1)  [list in local readout.bitsPixel 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigReadout-wdg2)  [list in local readout.wipeSeq 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdConfigReadout-wdg3)  [list in local readout.wipePeriod 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdConfigReadout-wdg2)  {Wipe sequence to use}
    set panWidgetHlp(${top}.fcdConfigReadout-wdg3)  {Secs between two successive wipes}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
