#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExpSetup_uifClass.tcl,v 2.83 2005/09/30 08:26:29 vltsccm Exp $" 
#
# fcdExpSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.2
#   date   : Tue Apr 22 16:19:57 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExpSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 262 -height 54 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutput          $cv.fcdExpSetup-expRep -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdExpSetup-expRep %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expRepeatDef) \
                       -width 5
    UifOutput          $cv.fcdExpSetup-expTimDef -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdExpSetup-expTimDef %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.timeDef) -width 6
    UifOutput          $cv.fcdExpSetup-file -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdExpSetup-file %A %T %D} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1:transfer.fileNameUnComp) \
                       -width 26

    #
    #  Canvas Items
    #

    $cv create text 5 14 -tags "text fcdExpSetup-item1 classItem fcdExpSetup" -anchor w \
              -text "Time(sec)" \
              -fill black -font helvR14 

    $cv create text 135 7 -tags "text fcdExpSetup-item2 classItem fcdExpSetup" -anchor nw \
              -text "Repetitions" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 7 34 -tags "text fcdExpSetup-item3 classItem fcdExpSetup" -anchor nw \
              -text "File" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdExpSetup-expRep)  {UifOutput 207.0 2.0 1 1 0 0 1 exposures:exposure_1.expRepeatDef 0 {} {}}
    set panWidget(${top}.fcdExpSetup-expTimDef)  {UifOutput 71 3 1 1 0 0 1 exposures:exposure_1.timeDef 0 %.3f {}}
    set panWidget(${top}.fcdExpSetup-file)  {UifOutput 45.0 28.0 1 1 0 0 1 exposures:exposure_1:transfer.fileNameUnComp 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdExpSetup-expRep)  {out local exposures:exposure_1.expRepeatDef 0 0 0 0 0 0 0 {}}
    set panDbData(${top}.fcdExpSetup-expTimDef)  {out local exposures:exposure_1.timeDef 0 0 0 0 0 0 0 {}}
    set panDbData(${top}.fcdExpSetup-file)  {out local exposures:exposure_1:transfer.fileNameUnComp 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdExpSetup-expRep)  {Number of times the exposure must be repeated (0 = infinite)}
    set panWidgetHlp(${top}.fcdExpSetup-expTimDef)  {Defined integration time (sec)}
    set panWidgetHlp(${top}.fcdExpSetup-file)  {Name of FITS file containing the image}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
