#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExpStatus_uifClass.tcl,v 2.83 2005/09/30 08:26:29 vltsccm Exp $" 
#
# fcdExpStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Wed Aug  6 13:31:44 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExpStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 208 -height 75 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutput          $cv.fcdExpReptCur -anchor center -canvasAnchor nw \
                       -color Red -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdExpReptCur %A %T %D} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.expRepeatCur) \
                       -width 10
    UifOutput          $cv.fcdExpTimeRem -anchor center -canvasAnchor nw \
                       -color Red -dbMode dbPoll -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdExpTimeRem %A %T %D} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(exposures:exposure_1.timeRem) -width 7
    UifOutputString    $cv.fcdStatus -anchor center -canvasAnchor nw \
                       -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdStatus %A %T %D} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -listColors {Black Blue Red Red Red Red Red Red Red Red Red Black Red Red Red} \
                       -listStrings {Idle Setup Integrating Paused Reading Processing Read&Process Transfering Read&Transfer Process&Transfer Read&Process&Transfer Finished Failure Aborted {Loop active}} \
                       -listValues {1 2 4 8 16 32 48 64 80 96 112 128 256 512 1024} \
                       -variable gvar(exposures:exposure_1.expStatus) \
                       -width 21

    #
    #  Canvas Items
    #

    $cv create text 3 30 -tags "text fcdExpStatus-item1 classItem fcdExpStatus" -anchor nw \
              -text "Remaining time (sec)" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 5 53 -tags "text fcdExpStatus-item2 classItem fcdExpStatus" -anchor nw \
              -text "Loop count" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdExpReptCur)  {UifOutput 114 51 1 1 0 0 1 exposures:exposure_1.expRepeatCur 0 {} {}}
    set panWidget(${top}.fcdExpTimeRem)  {UifOutput 139 26 1 1 0 0 1 exposures:exposure_1.timeRem 0 %.3f {}}
    set panWidget(${top}.fcdStatus)  {UifOutputString 7 4 1 1 0 0 1 exposures:exposure_1.expStatus 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdExpReptCur)  {out local exposures:exposure_1.expRepeatCur 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdExpTimeRem)  {out local exposures:exposure_1.timeRem 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdStatus)  {out local exposures:exposure_1.expStatus 0 0 0 0 0 0 0 {}}

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
