#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdIpStatus_uifClass.tcl,v 2.83 2005/09/30 08:26:30 vltsccm Exp $" 
#
# fcdIpStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Fri Jul  4 15:03:14 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdIpStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 198 -height 93 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOutput          $cv.fcdIpCenVal -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.ipCenVal) -width 8
    UifOutput          $cv.fcdIpMaxVal -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.ipMaxVal) -width 8
    UifOutput          $cv.fcdIpMinVal -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.ipMinVal) -width 8
    UifOutput          $cv.fcdIpRMS -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(.ipRMS) -width 8

    #
    #  Canvas Items
    #

    $cv create text 33 4 -tags "text fcdIpStatus-item1 classItem fcdIpStatus" -anchor nw \
              -text "Min" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 125 4 -tags "text fcdIpStatus-item2 classItem fcdIpStatus" -anchor nw \
              -text "Max" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 33 52 -tags "text fcdIpStatus-item3 classItem fcdIpStatus" -anchor nw \
              -text "RMS" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 117 52 -tags "text fcdIpStatus-item4 classItem fcdIpStatus" -anchor nw \
              -text "Intensity" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdIpCenVal)  {UifOutput 105.0 68.0 1 1 0 0 1 .ipCenVal 0 %.0f {}}
    set panWidget(${top}.fcdIpMaxVal)  {UifOutput 105.0 20.0 1 1 0 0 1 .ipMaxVal 0 %.0f {}}
    set panWidget(${top}.fcdIpMinVal)  {UifOutput 9 20 1 1 0 0 1 .ipMinVal 0 %.0f {}}
    set panWidget(${top}.fcdIpRMS)  {UifOutput 9.0 68.0 1 1 0 0 1 .ipRMS 0 %.0f {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdIpCenVal)  {out local .ipCenVal 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdIpMaxVal)  {out local .ipMaxVal 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdIpMinVal)  {out local .ipMinVal 0 0 0 0 0 0 1 {}}
    set panDbData(${top}.fcdIpRMS)  {out local .ipRMS 0 0 0 0 0 0 1 {}}

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdIpCenVal)  {Intensity of pixel closest to centroid. If 0, no object detected}
    set panWidgetHlp(${top}.fcdIpMaxVal)  {Maximum intensity value in the image}
    set panWidgetHlp(${top}.fcdIpMinVal)  {Minimum intensity value in the image}
    set panWidgetHlp(${top}.fcdIpRMS)  {RMS value}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
