#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReadConfig.tcl,v 2.83 2005/09/30 08:26:35 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# abalestr  23/02/98  created
#
#************************************************************************
#   NAME
#   fcdReadConfig - read configuration on file
# 
#   SYNOPSIS
#   fcdReadConfig
# 
#   DESCRIPTION
#   Tcl procedure used within FIERA OSS GUI panels to read configuration from 
#   a file. 
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc fcdReadConfig {} {
   global env gvar

   set dir $env(INS_ROOT)/$env(INS_USER)/COMMON/CONFIGFILES

   set filter *.dbcfg
   set file [panSelectFile $dir $filter]

   if { $file != "" } {
     exec dbRestore -f $file -co "@$env(RTAPENV)<alias>$env(CCDNAME)"
   }
}
