#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReadoutSetup_uifClass.tcl,v 2.83 2005/09/30 08:26:31 vltsccm Exp $" 
#
# fcdReadoutSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.9
#   date   : Tue Sep 15 13:55:07 METDST 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdReadoutSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 228 -height 97 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.fcdReadoutSetup-binx -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-binx %A %T %D} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xBinning) \
                       -width 1
    UifOutput          $cv.fcdReadoutSetup-biny -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-biny %A %T %D} \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yBinning) \
                       -width 1
    UifOutput          $cv.fcdReadoutSetup-speed -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-speed %A %T %D} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout.speed) \
                       -width 16
    UifOutputString    $cv.fcdReadoutSetup-win1enab -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win1enab %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 -listColors {Red Blue} \
                       -listStrings {NO YES} -listValues {0 1} \
                       -variable gvar(exposures:exposure_1:readout:window_1.enabled) \
                       -width 3
    UifOutput          $cv.fcdReadoutSetup-win1xd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win1xd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xDim) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win1xf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win1xf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.xFirst) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win1yd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win1yd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yDim) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win1yf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win1yf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_1.yFirst) \
                       -width 4
    UifOutputString    $cv.fcdReadoutSetup-win2enab -anchor center \
                       -canvasAnchor nw -dbMode dbEvent -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win2enab %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 -listColors {Red Blue} \
                       -listStrings {NO YES} -listValues {0 1} \
                       -variable gvar(exposures:exposure_1:readout:window_2.enabled) \
                       -width 3
    UifOutput          $cv.fcdReadoutSetup-win2xd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win2xd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_2.xDim) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win2xf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win2xf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_2.xFirst) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win2yd -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win2yd %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_2.yDim) \
                       -width 4
    UifOutput          $cv.fcdReadoutSetup-win2yf -anchor center \
                       -canvasAnchor nw -color Black -dbMode dbEvent \
                       -evtFilter {"w"} \
                       -evtScript {panEvtDbUpdate fcdReadoutSetup-win2yf %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* \
                       -labelWidth 0 \
                       -variable gvar(exposures:exposure_1:readout:window_2.yFirst) \
                       -width 4

    #
    #  Canvas Items
    #

    $cv create text 6 15 -tags "text fcdReadoutSetup-item1 classItem fcdReadoutSetup" -anchor w \
              -text "Mode" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 5 62 -tags "text fcdReadoutSetup-item2 classItem fcdReadoutSetup" -anchor w \
              -text "#1" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 3 34 -tags "text fcdReadoutSetup-item3 classItem fcdReadoutSetup" -anchor nw \
              -text "Window  DimX   DimY FirstX FirstY" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 4 79 -tags "text fcdReadoutSetup-item4 classItem fcdReadoutSetup" -anchor nw \
              -text "#2" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReadoutSetup-binx)  {UifOutput 200.0 4.0 1 1 0 0 1 exposures:exposure_1:readout:window_1.xBinning 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-biny)  {UifOutput 216.0 4.0 1 1 0 0 1 exposures:exposure_1:readout:window_1.yBinning 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-speed)  {UifOutput 48.0 4.0 1 1 0 0 1 exposures:exposure_1:readout.speed 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win1enab)  {UifOutputString 22.0 51.0 1 1 0 0 1 exposures:exposure_1:readout:window_1.enabled 0 {}}
    set panWidget(${top}.fcdReadoutSetup-win1xd)  {UifOutput 56 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.xDim 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win1xf)  {UifOutput 143 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.xFirst 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win1yd)  {UifOutput 99 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.yDim 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win1yf)  {UifOutput 187 51 1 1 0 0 1 exposures:exposure_1:readout:window_1.yFirst 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win2enab)  {UifOutputString 22.0 74.0 1 1 0 0 1 exposures:exposure_1:readout:window_2.enabled 0 {}}
    set panWidget(${top}.fcdReadoutSetup-win2xd)  {UifOutput 57 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.xDim 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win2xf)  {UifOutput 143 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.xFirst 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win2yd)  {UifOutput 100 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.yDim 0 {} {}}
    set panWidget(${top}.fcdReadoutSetup-win2yf)  {UifOutput 187 75 1 1 0 0 1 exposures:exposure_1:readout:window_2.yFirst 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdReadoutSetup-binx)  [list out local exposures:exposure_1:readout:window_1.xBinning 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-biny)  [list out local exposures:exposure_1:readout:window_1.yBinning 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-speed)  [list out local exposures:exposure_1:readout.speed 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win1enab)  [list out local exposures:exposure_1:readout:window_1.enabled 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win1xd)  [list out local exposures:exposure_1:readout:window_1.xDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win1xf)  [list out local exposures:exposure_1:readout:window_1.xFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win1yd)  [list out local exposures:exposure_1:readout:window_1.yDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win1yf)  [list out local exposures:exposure_1:readout:window_1.yFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win2enab)  [list out local exposures:exposure_1:readout:window_2.enabled 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win2xd)  [list out local exposures:exposure_1:readout:window_2.xDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win2xf)  [list out local exposures:exposure_1:readout:window_2.xFirst 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win2yd)  [list out local exposures:exposure_1:readout:window_2.yDim 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.fcdReadoutSetup-win2yf)  [list out local exposures:exposure_1:readout:window_2.yFirst 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdReadoutSetup-speed)  {Readout speed}
    set panWidgetHlp(${top}.fcdReadoutSetup-win1enab)  {Number of windows to be read}
    set panWidgetHlp(${top}.fcdReadoutSetup-win1xd)  {window width}
    set panWidgetHlp(${top}.fcdReadoutSetup-win1xf)  {X coordinate of window low left corner}
    set panWidgetHlp(${top}.fcdReadoutSetup-win1yd)  {window height}
    set panWidgetHlp(${top}.fcdReadoutSetup-win1yf)  {Y coordinate of window low left corner}
    set panWidgetHlp(${top}.fcdReadoutSetup-win2enab)  {Number of windows to be read}
    set panWidgetHlp(${top}.fcdReadoutSetup-win2xd)  {window width}
    set panWidgetHlp(${top}.fcdReadoutSetup-win2xf)  {X coordinate of window low left corner}
    set panWidgetHlp(${top}.fcdReadoutSetup-win2yd)  {window height}
    set panWidgetHlp(${top}.fcdReadoutSetup-win2yf)  {Y coordinate of window low left corner}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
