#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdAnaVoltControl_uifClass.tcl,v 2.23 2005/09/12 13:07:41 vltsccm Exp $" 
#
# fcdAnaVoltControl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.12
#   date   : Sun Nov  2 17:41:51 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdAnaVoltControl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 311 -height 153 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.fcdAnaVoltControl-wdg1 -canvasAnchor nw \
                       -default BRD_ANABIAS0 \
                       -itemList {BRD_ANABIAS0 BRD_ANABIAS1 BRD_ANABIAS2} -length 20 \
                       -selectMode label -variable gvar(boardName)
    UifOptionButton    $cv.fcdAnaVoltControl-wdg2 -canvasAnchor nw \
                       -default ANB_PRESET_VOLT_A \
                       -itemList {ANB_PRESET_VOLT_A ANB_PRESET_VOLT_B ANB_PRESET_VOLT_C ANB_PRESET_VOLT_D ANB_PRESET_VOLT_E ANB_PRESET_VOLT_F ANB_PRESET_VOLT_G ANB_PRESET_VOLT_H ANB_PRESET_VOLT_I ANB_PRESET_VOLT_J ANB_PRESET_VOLT_K ANB_PRESET_VOLT_L ANB_PRESET_VOLT_M ANB_PRESET_VOLT_N ANB_PRESET_VOLT_O ANB_PRESET_VOLT_P ANB_PRESET_VOLT_AA ANB_PRESET_VOLT_AB ANB_PRESET_VOLT_AC ANB_PRESET_VOLT_AD ANB_PRESET_VOLT_AE ANB_PRESET_VOLT_AF ANB_PRESET_VOLT_AG ANB_PRESET_VOLT_AH ANB_PRESET_VOLT_AI ANB_PRESET_VOLT_AJ ANB_PRESET_VOLT_AK ANB_PRESET_VOLT_AL ANB_PRESET_VOLT_AM ANB_PRESET_VOLT_AN ANB_PRESET_VOLT_AO ANB_PRESET_VOLT_AP ANB_OPTOOUT} \
                       -length 20 -selectMode label \
                       -variable gvar(periphName)
    UifEntry           $cv.fcdAnaVoltControl-wdg3 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 32767 -minVal 0 \
                       -variable gvar(periphValue) -width 12
    UifButton          $cv.fcdAnaVoltControl-wdg4 -canvasAnchor nw \
                       -command fcdUserSetAnaVoltage -initialState normal \
                       -label {Set Value} -popup 0 \
                       -stateVar gvar(fcdAnaVoltControl-wdg8Var) -width 10
    UifButton          $cv.fcdAnaVoltControl-wdg5 -canvasAnchor nw \
                       -command fcdUserGetAnaVoltage -initialState normal \
                       -label {Get Value} -popup 0 \
                       -stateVar gvar(fcdAnaVoltControl-wdg9Var) -width 10

    #
    #  Canvas Items
    #

    $cv create text 37 19 -tags "text fcdAnaVoltControl-item1 classItem fcdAnaVoltControl" -anchor nw \
              -text "Board" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 13 47 -tags "text fcdAnaVoltControl-item2 classItem fcdAnaVoltControl" -anchor nw \
              -text "Peripheral" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 41 79 -tags "text fcdAnaVoltControl-item3 classItem fcdAnaVoltControl" -anchor nw \
              -text "Value" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdAnaVoltControl-wdg1)  {UifOptionButton 85 11 1 0 BRD_ANABIAS0 0 1 boardName 0 {}}
    set panWidget(${top}.fcdAnaVoltControl-wdg2)  {UifOptionButton 85 43 1 0 ANB_PRESET_VOLT_A 0 1 periphName 0 {}}
    set panWidget(${top}.fcdAnaVoltControl-wdg3)  {UifEntry 85 79 1 0 0 0 1 periphValue 0 N 0 32767 0 0 0 0}
    set panWidget(${top}.fcdAnaVoltControl-wdg4)  {UifButton 85 107 1 0 0 0 1 fcdAnaVoltControl-wdg8Var 0 {}}
    set panWidget(${top}.fcdAnaVoltControl-wdg5)  {UifButton 173 107 1 0 0 0 1 fcdAnaVoltControl-wdg9Var 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
