#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdClkVoltControl_uifClass.tcl,v 2.23 2005/09/12 13:07:41 vltsccm Exp $" 
#
# fcdClkVoltControl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Mon Feb 09 20:29:36 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdClkVoltControl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 311 -height 153 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.fcdClkVoltControl-wdg1 -canvasAnchor nw \
                       -default BRD_CLKDRV0 \
                       -itemList {BRD_CLKDRV0 BRD_CLKDRV1 BRD_CLKDRV2 BRD_CLKDRV3} \
                       -length 20 -selectMode label \
                       -variable gvar(boardName)
    UifOptionButton    $cv.fcdClkVoltControl-wdg2 -canvasAnchor nw \
                       -default CLKDRV_DAC0_LO \
                       -itemList {CLKDRV_DAC0_LO CLKDRV_DAC0_HI CLKDRV_DAC1_LO CLKDRV_DAC1_HI CLKDRV_DAC2_LO CLKDRV_DAC2_HI CLKDRV_DAC3_LO CLKDRV_DAC3_HI CLKDRV_DAC4_LO CLKDRV_DAC4_HI CLKDRV_DAC5_LO CLKDRV_DAC5_HI CLKDRV_DAC6_LO CLKDRV_DAC6_HI CLKDRV_DAC7_LO CLKDRV_DAC7_HI CLKDRV_DAC8_LO CLKDRV_DAC8_HI CLKDRV_DAC9_LO CLKDRV_DAC9_HI CLKDRV_DAC10_LO CLKDRV_DAC10_HI CLKDRV_DAC11_LO CLKDRV_DAC11_HI CLKDRV_DAC12_LO CLKDRV_DAC12_HI CLKDRV_DAC13_LO CLKDRV_DAC13_HI} \
                       -length 20 -selectMode label \
                       -variable gvar(periphName)
    UifEntry           $cv.fcdClkVoltControl-wdg3 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 32767 -minVal 0 \
                       -variable gvar(periphValue) -width 12
    UifButton          $cv.fcdClkVoltControl-wdg4 -canvasAnchor nw \
                       -command fcdUserSetClkVoltage -initialState normal \
                       -label {Set Value} -popup 0 \
                       -stateVar gvar(fcdClkVoltControl-wdg8Var) -width 10
    UifButton          $cv.fcdClkVoltControl-wdg5 -canvasAnchor nw \
                       -command fcdUserGetClkVoltage -initialState normal \
                       -label {Get Value} -popup 0 \
                       -stateVar gvar(fcdClkVoltControl-wdg9Var) -width 10

    #
    #  Canvas Items
    #

    $cv create text 37 19 -tags "text fcdClkVoltControl-item1 classItem fcdClkVoltControl" -anchor nw \
              -text "Board" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 13 47 -tags "text fcdClkVoltControl-item2 classItem fcdClkVoltControl" -anchor nw \
              -text "Peripheral" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 41 79 -tags "text fcdClkVoltControl-item3 classItem fcdClkVoltControl" -anchor nw \
              -text "Value" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdClkVoltControl-wdg1)  {UifOptionButton 85 11 1 0 BRD_CLKDRV0 0 1 boardName 0 {}}
    set panWidget(${top}.fcdClkVoltControl-wdg2)  {UifOptionButton 85 43 1 0 CLKDRV_DAC0_LO 0 1 periphName 0 {}}
    set panWidget(${top}.fcdClkVoltControl-wdg3)  {UifEntry 85 79 1 0 0 0 1 periphValue 0 N 0 32767 0 0 0 0}
    set panWidget(${top}.fcdClkVoltControl-wdg4)  {UifButton 85 107 1 0 0 0 1 fcdClkVoltControl-wdg8Var 0 {}}
    set panWidget(${top}.fcdClkVoltControl-wdg5)  {UifButton 173 107 1 0 0 0 1 fcdClkVoltControl-wdg9Var 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
