#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdControls_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdControls_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Tue Feb 03 23:46:47 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdControls_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 410 -height 189 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.fcdABORT -canvasAnchor nw -command fcdUserAbort \
                       -initialState normal -label ABORT -popup 0 \
                       -stateVar gvar(fcdABORT) -width 10
    UifButton          $cv.fcdCONTINUE -canvasAnchor nw \
                       -command fcdUserContinue -initialState normal \
                       -label CONTINUE -popup 0 -stateVar gvar(fcdCONTINUE) \
                       -width 10
    UifButton          $cv.fcdControls-wdg1 -canvasAnchor nw \
                       -command fcdUserWipe -initialState normal -label WIPE \
                       -popup 0 -stateVar gvar(fcdControls-wdg13Var) \
                       -width 15
    UifButton          $cv.fcdControls-wdg2 -canvasAnchor nw \
                       -command fcdUserChangeTime -initialState normal \
                       -label {CHANGE TIME} -popup 0 \
                       -stateVar gvar(fcdControls-wdg13Var) -width 15
    UifButton          $cv.fcdControls-wdg3 -canvasAnchor nw \
                       -command fcdUserStopWipe -initialState normal \
                       -label {STOP WIPE} -popup 0 \
                       -stateVar gvar(fcdControls-wdg21Var) -width 15
    UifButton          $cv.fcdControls-wdg4 -canvasAnchor nw \
                       -command fcdUserStartCamera -initialState normal \
                       -label {Start RTD} -popup 0 \
                       -stateVar gvar(fcdControls-wdg20Var) -width 15
    UifButton          $cv.fcdControls_1 -canvasAnchor nw \
                       -command fcdUserWait -initialState normal -label WAIT \
                       -popup 0 -stateVar gvar(fcdControls-wdg10Var) \
                       -width 15
    UifButton          $cv.fcdEND -canvasAnchor nw -command fcdUserEnd \
                       -initialState normal -label END -popup 0 \
                       -stateVar gvar(fcdEND) -width 10
    UifButton          $cv.fcdPAUSE -canvasAnchor nw -command fcdUserPause \
                       -initialState normal -label PAUSE -popup 0 \
                       -stateVar gvar(fcdPAUSE) -width 10
    UifButton          $cv.fcdSTART -canvasAnchor nw -command fcdUserStart \
                       -initialState normal -label START -popup 0 \
                       -stateVar gvar(fcdSTART) -width 10
    UifButton          $cv.fcdSTOP -canvasAnchor nw -command fcdUserStop \
                       -initialState normal -label STOP -popup 0 \
                       -stateVar gvar(fcdSTOP) -width 10

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdABORT)  {UifButton 16 125 1 0 0 0 1 fcdABORT 0 {}}
    set panWidget(${top}.fcdCONTINUE)  {UifButton 16 65 1 0 0 0 1 fcdCONTINUE 0 {}}
    set panWidget(${top}.fcdControls-wdg1)  {UifButton 136 4 1 0 0 0 1 fcdControls-wdg13Var 0 {}}
    set panWidget(${top}.fcdControls-wdg2)  {UifButton 136.0 68.0 1 0 0 0 1 fcdControls-wdg13Var 0 {}}
    set panWidget(${top}.fcdControls-wdg3)  {UifButton 136.0 32.0 1 0 0 0 1 fcdControls-wdg21Var 0 {}}
    set panWidget(${top}.fcdControls-wdg4)  {UifButton 136.0 152.0 1 0 0 0 1 fcdControls-wdg20Var 0 {}}
    set panWidget(${top}.fcdControls_1)  {UifButton 136.0 112.0 1 0 0 0 1 fcdControls-wdg10Var 0 {}}
    set panWidget(${top}.fcdEND)  {UifButton 16 154 1 0 0 0 1 fcdEND 0 {}}
    set panWidget(${top}.fcdPAUSE)  {UifButton 16 37 1 0 0 0 1 fcdPAUSE 0 {}}
    set panWidget(${top}.fcdSTART)  {UifButton 15 5 1 0 0 0 1 fcdSTART 0 {}}
    set panWidget(${top}.fcdSTOP)  {UifButton 16 97 1 0 0 0 1 fcdSTOP 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdABORT)  {ABORT current exposure and lose data}
    set panWidgetHlp(${top}.fcdCONTINUE)  {CONTINUE PAUSEd FIERA exposure}
    set panWidgetHlp(${top}.fcdControls-wdg1)  {Start wipe using wipe setup parameters}
    set panWidgetHlp(${top}.fcdControls-wdg2)  {Change the integration time of the current exposure}
    set panWidgetHlp(${top}.fcdControls-wdg3)  {Stop wiping of chip}
    set panWidgetHlp(${top}.fcdControls-wdg4)  {Start real time display process}
    set panWidgetHlp(${top}.fcdControls_1)  {Wait for exposure completion}
    set panWidgetHlp(${top}.fcdEND)  {END current integration and procede to readout}
    set panWidgetHlp(${top}.fcdPAUSE)  {PAUSE FIERA exposure}
    set panWidgetHlp(${top}.fcdSTART)  {START FIERA exposure}
    set panWidgetHlp(${top}.fcdSTOP)  {STOP loop of exposures at next iteration}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
