#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdEngSetup_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdEngSetup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Dec  2 10:59:51 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdEngSetup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 196 -height 111 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdEngSetup-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(wipeSeq) -width 10
    UifEntry           $cv.fcdEngSetup-wdg2 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(intSeq) -width 10
    UifEntry           $cv.fcdEngSetup-wdg3 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -variable gvar(readSeq) -width 10

    #
    #  Canvas Items
    #

    $cv create text 86 7 -tags "text fcdEngSetup-item1 classItem fcdEngSetup" -anchor nw \
              -text "Sequences" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 22 30 -tags "text fcdEngSetup-item2 classItem fcdEngSetup" -anchor nw \
              -text "Wipe" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 24 56 -tags "text fcdEngSetup-item3 classItem fcdEngSetup" -anchor nw \
              -text "Int" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 25 80 -tags "text fcdEngSetup-item4 classItem fcdEngSetup" -anchor nw \
              -text "Read" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdEngSetup-wdg1)  {UifEntry 72 31 1 0 {} 0 1 wipeSeq 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdEngSetup-wdg2)  {UifEntry 71 56 1 0 {} 0 1 intSeq 0 A {} {} 0 0 0 0}
    set panWidget(${top}.fcdEngSetup-wdg3)  {UifEntry 72 81 1 0 {} 0 1 readSeq 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
