#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdExecTest_uifClass.tcl,v 2.23 2005/09/12 13:07:42 vltsccm Exp $" 
#
# fcdExecTest_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Jul 15 14:40:23 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdExecTest_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 359 -height 47 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdExecTest-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(testNum) -width 10
    UifButton          $cv.fcdExecTest-wdg2 -canvasAnchor nw \
                       -command fcdUserExecTest -initialState normal \
                       -label {Exec Test} -popup 0 \
                       -stateVar gvar(fcdExecTest-wdg2Var) -width 10
    UifEntry           $cv.testResult -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(testResult) -width 10

    #
    #  Canvas Items
    #


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdExecTest-wdg1)  {UifEntry 106 17 1 0 {} 0 1 testNum 0 N 0 100 0 0 0 0}
    set panWidget(${top}.fcdExecTest-wdg2)  {UifButton 10 13 1 0 0 0 1 fcdExecTest-wdg2Var 0 {}}
    set panWidget(${top}.testResult)  {UifEntry 203 16 1 0 {} 0 1 testResult 0 A 0 100 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
