#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdIPStatus_uifClass.tcl,v 2.23 2005/09/12 13:07:45 vltsccm Exp $" 
#
# fcdIPStatus_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu May 14 10:47:17 MESZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdIPStatus_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 359 -height 207 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.fcdIPStatus-wdg1 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMean) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg2 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipXMax) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg3 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipYMax) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg4 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipCenVal) \
                       -width 7
    UifOutput          $cv.fcdIPStatus-wdg5 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipXCen) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg6 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipYCen) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg7 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipNumPix) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg8 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipBackGnd) \
                       -width 8
    UifOutput          $cv.fcdIPStatus-wdg9 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipXFWHM) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg10 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipYFWHM) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg11 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMaxVal) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg12 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipRMS) \
                       -width 8
    UifOutput          $cv.fcdIPStatus-wdg13 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipMinVal) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg14 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipXMin) \
                       -width 6
    UifOutput          $cv.fcdIPStatus-wdg15 -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbPoll -evtFilter {"w"} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -variable gvar(images:process:window_1.ipYMin) \
                       -width 6

    #
    #  Canvas Items
    #

    $cv create text 32 20 -tags "text fcdIPStatus-item1 classItem fcdIPStatus" -anchor nw \
              -text "IP  Min:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 32 48 -tags "text fcdIPStatus-item2 classItem fcdIPStatus" -anchor nw \
              -text "IP Max:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 32 76 -tags "text fcdIPStatus-item3 classItem fcdIPStatus" -anchor nw \
              -text "IP Avg:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 168 76 -tags "text fcdIPStatus-item4 classItem fcdIPStatus" -anchor nw \
              -text "RMS:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 32 108 -tags "text fcdIPStatus-item5 classItem fcdIPStatus" -anchor nw \
              -text "IP Cen:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 28 136 -tags "text fcdIPStatus-item6 classItem fcdIPStatus" -anchor nw \
              -text "Num Pix:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 164 136 -tags "text fcdIPStatus-item7 classItem fcdIPStatus" -anchor nw \
              -text "Backgnd:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 28 172 -tags "text fcdIPStatus-item8 classItem fcdIPStatus" -anchor nw \
              -text "FWHM:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdIPStatus-wdg1)  {UifOutput 92.0 72.0 1 1 0 0 1 images:process:window_1.ipMean 0 %.0f {}}
    set panWidget(${top}.fcdIPStatus-wdg10)  {UifOutput 180 164 1 1 0 0 1 images:process:window_1.ipYFWHM 0 %.1f {}}
    set panWidget(${top}.fcdIPStatus-wdg11)  {UifOutput 92 44 1 1 0 0 1 images:process:window_1.ipMaxVal 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg12)  {UifOutput 228.0 72.0 1 1 0 0 1 images:process:window_1.ipRMS 0 %.2f {}}
    set panWidget(${top}.fcdIPStatus-wdg13)  {UifOutput 92.0 16.0 1 1 0 0 1 images:process:window_1.ipMinVal 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg14)  {UifOutput 176 16 1 1 0 0 1 images:process:window_1.ipXMin 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg15)  {UifOutput 244 16 1 1 0 0 1 images:process:window_1.ipYMin 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg2)  {UifOutput 176.0 44.0 1 1 0 0 1 images:process:window_1.ipXMax 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg3)  {UifOutput 244 44 1 1 0 0 1 images:process:window_1.ipYMax 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg4)  {UifOutput 92 104 1 1 0 0 1 images:process:window_1.ipCenVal 0 %.1f {}}
    set panWidget(${top}.fcdIPStatus-wdg5)  {UifOutput 176 104 1 1 0 0 1 images:process:window_1.ipXCen 0 %.1f {}}
    set panWidget(${top}.fcdIPStatus-wdg6)  {UifOutput 244 104 1 1 0 0 1 images:process:window_1.ipYCen 0 %.1f {}}
    set panWidget(${top}.fcdIPStatus-wdg7)  {UifOutput 92 132 1 1 0 0 1 images:process:window_1.ipNumPix 0 {} {}}
    set panWidget(${top}.fcdIPStatus-wdg8)  {UifOutput 232 132 1 1 0 0 1 images:process:window_1.ipBackGnd 0 %.1f {}}
    set panWidget(${top}.fcdIPStatus-wdg9)  {UifOutput 92 164 1 1 0 0 1 images:process:window_1.ipXFWHM 0 %.1f {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.fcdIPStatus-wdg1)  [list out local images:process:window_1.ipMean 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg10)  [list out local images:process:window_1.ipYFWHM 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg11)  [list out local images:process:window_1.ipMaxVal 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg12)  [list out local images:process:window_1.ipRMS 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg13)  [list out local images:process:window_1.ipMinVal 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg14)  [list out local images:process:window_1.ipXMin 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg15)  [list out local images:process:window_1.ipYMin 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg2)  [list out local images:process:window_1.ipXMax 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg3)  [list out local images:process:window_1.ipYMax 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg4)  [list out local images:process:window_1.ipCenVal 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg5)  [list out local images:process:window_1.ipXCen 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg6)  [list out local images:process:window_1.ipYCen 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg7)  [list out local images:process:window_1.ipNumPix 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg8)  [list out local images:process:window_1.ipBackGnd 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.fcdIPStatus-wdg9)  [list out local images:process:window_1.ipXFWHM 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
