#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReadMode_uifClass.tcl,v 2.23 2005/09/12 13:07:43 vltsccm Exp $" 
#
# fcdReadMode_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Fri Oct 24 10:39:14 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdReadMode_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 372 -height 130 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifOptionButton    $cv.fcdReadMode-wdg1 -canvasAnchor nw \
                       -command fcdReadModeUpdate -default 0 \
                       -itemList {-1 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39} \
                       -length 3 -variable gvar(readMode)
    UifOutput          $cv.fcdReadMode-wdg2 -anchor center -canvasAnchor nw \
                       -color Black \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(readModeDescription) -width 23
    UifOutput          $cv.fcdReadMode-wdg3 -anchor center -canvasAnchor nw \
                       -color Black \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(readModeReadSeq) -width 17
    UifOutput          $cv.fcdReadMode-wdg4 -anchor center -canvasAnchor nw \
                       -color Black \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(readModeIntSeq) -width 17
    UifOutput          $cv.fcdReadMode-wdg5 -anchor center -canvasAnchor nw \
                       -color Black \
                       -font -Adobe-helvetica-medium-r-normal--14* -frame 1 \
                       -variable gvar(readModeWipeSeq) -width 17
    UifOutputString    $cv.fcdReadMode-wdg6 -anchor center -canvasAnchor nw \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -listColors {Black Black} -listStrings {FALSE TRUE} \
                       -listValues {0 1} -variable gvar(readModeWipeAlways) \
                       -width 10

    #
    #  Canvas Items
    #

    $cv create text 9 9 -tags "text fcdReadMode-item1 classItem fcdReadMode" -anchor nw \
              -text "Readout Mode" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 180 34 -tags "text fcdReadMode-item2 classItem fcdReadMode" -anchor nw \
              -text "Read" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 180 55 -tags "text fcdReadMode-item3 classItem fcdReadMode" -anchor nw \
              -text "Int" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 179 81 -tags "text fcdReadMode-item4 classItem fcdReadMode" -anchor nw \
              -text "Wipe" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 179 106 -tags "text fcdReadMode-item5 classItem fcdReadMode" -anchor nw \
              -text "Wipe Always" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReadMode-wdg1)  {UifOptionButton 107 4 1 0 0 0 1 readMode 0 {}}
    set panWidget(${top}.fcdReadMode-wdg2)  {UifOutput 175 3 1 0 0 0 1 readModeDescription 0 %s {}}
    set panWidget(${top}.fcdReadMode-wdg3)  {UifOutput 223 27 1 0 0 0 1 readModeReadSeq 0 {} {}}
    set panWidget(${top}.fcdReadMode-wdg4)  {UifOutput 222 52 1 0 0 0 1 readModeIntSeq 0 {} {}}
    set panWidget(${top}.fcdReadMode-wdg5)  {UifOutput 221 77 1 0 0 0 1 readModeWipeSeq 0 {} {}}
    set panWidget(${top}.fcdReadMode-wdg6)  {UifOutputString 267.0 103.0 1 0 0 0 1 readModeWipeAlways 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
