#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdReloadSeq_uifClass.tcl,v 2.23 2005/09/12 13:07:43 vltsccm Exp $" 
#
# fcdReloadSeq_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.7
#   date   : Tue Jul 15 14:42:35 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdReloadSeq_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 399 -height 47 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifEntry           $cv.fcdReloadSeq-wdg1 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 0 -minVal 0 \
                       -variable gvar(reloadSeqDir) -width 20
    UifButton          $cv.fcdReloadSeq-wdg2 -canvasAnchor nw \
                       -command fcdUserReloadSeq -initialState normal \
                       -label {Reload Seq} -popup 0 \
                       -stateVar gvar(fcdReloadSeq-wdg2Var) -width 10
    UifEntry           $cv.reloadSeqResult -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(reloadSeqResult) -width 10

    #
    #  Canvas Items
    #


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdReloadSeq-wdg1)  {UifEntry 106 17 1 0 {} 0 1 reloadSeqDir 0 N 0 0 0 0 0 0}
    set panWidget(${top}.fcdReloadSeq-wdg2)  {UifButton 10 13 1 0 0 0 1 fcdReloadSeq-wdg2Var 0 {}}
    set panWidget(${top}.reloadSeqResult)  {UifEntry 275 17 1 0 {} 0 1 reloadSeqResult 0 A {} {} 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.fcdReloadSeq-wdg1)  {Directory for config leave EMPTY for $INTROOT/config}
    set panWidgetHlp(${top}.fcdReloadSeq-wdg2)  {Reload the sequence definitions from dir}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
