#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdVidVoltControl_uifClass.tcl,v 2.23 2005/09/12 13:07:43 vltsccm Exp $" 
#
# fcdVidVoltControl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.12
#   date   : Sun Nov  2 17:43:19 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class fcdVidVoltControl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 311 -height 153 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.fcdVidVoltControl-wdg1 -canvasAnchor nw \
                       -default BRD_VIDBRD0 \
                       -itemList {BRD_VIDBRD0 BRD_VIDBRD1 BRD_VIDBRD2 BRD_VIDBRD3} \
                       -length 20 -selectMode label \
                       -variable gvar(boardName)
    UifOptionButton    $cv.fcdVidVoltControl-wdg2 -canvasAnchor nw \
                       -default VID_GAIN1_CHAN0 \
                       -itemList {VID_GAIN1_CHAN0 VID_GAIN1_CHAN1 VID_GAIN1_CHAN2 VID_GAIN1_CHAN3 VID_GAIN2_CHAN0 VID_GAIN2_CHAN1 VID_GAIN2_CHAN2 VID_GAIN2_CHAN3 VID_FILT_CHAN0 VID_FILT_CHAN1 VID_FILT_CHAN2 VID_FILT_CHAN3 VID_OFFSET_CHAN0 VID_OFFSET_CHAN1 VID_OFFSET_CHAN2 VID_OFFSET_CHAN3 VID_TESTVID_CHAN0 VID_TESTVID_CHAN1 VID_TESTVID_CHAN2 VID_TESTVID_CHAN3} \
                       -length 20 -selectMode label \
                       -variable gvar(periphName)
    UifEntry           $cv.fcdVidVoltControl-wdg3 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 32767 -minVal 0 \
                       -variable gvar(periphValue) -width 12
    UifButton          $cv.fcdVidVoltControl-wdg4 -canvasAnchor nw \
                       -command fcdUserSetVidVoltage -initialState normal \
                       -label {Set Value} -popup 0 \
                       -stateVar gvar(fcdVidVoltControl-wdg8Var) -width 10
    UifButton          $cv.fcdVidVoltControl-wdg5 -canvasAnchor nw \
                       -command fcdUserGetVidVoltage -initialState normal \
                       -label {Get Value} -popup 0 \
                       -stateVar gvar(fcdVidVoltControl-wdg9Var) -width 10

    #
    #  Canvas Items
    #

    $cv create text 37 19 -tags "text fcdVidVoltControl-item1 classItem fcdVidVoltControl" -anchor nw \
              -text "Board" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 13 47 -tags "text fcdVidVoltControl-item2 classItem fcdVidVoltControl" -anchor nw \
              -text "Peripheral" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 41 79 -tags "text fcdVidVoltControl-item3 classItem fcdVidVoltControl" -anchor nw \
              -text "Value" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.fcdVidVoltControl-wdg1)  {UifOptionButton 85 11 1 0 BRD_VIDBRD0 0 1 boardName 0 {}}
    set panWidget(${top}.fcdVidVoltControl-wdg2)  {UifOptionButton 85 43 1 0 VID_GAIN1_CHAN0 0 1 periphName 0 {}}
    set panWidget(${top}.fcdVidVoltControl-wdg3)  {UifEntry 85 79 1 0 0 0 1 periphValue 0 N 0 32767 0 0 0 0}
    set panWidget(${top}.fcdVidVoltControl-wdg4)  {UifButton 85 107 1 0 0 0 1 fcdVidVoltControl-wdg8Var 0 {}}
    set panWidget(${top}.fcdVidVoltControl-wdg5)  {UifButton 173 107 1 0 0 0 1 fcdVidVoltControl-wdg9Var 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
