# E.S.O. - VLT project
# "@(#) $Id: fcdpmsDefaults.tcl,v 1.20 2004/01/16 15:28:31 vltsccm Exp $"
#
#
#
# who         when       what
# --------   ---------   ----------------------------------------------



proc fcdpms::setXdefaults {} {
    # general widget defaults
    option add *foreground Black 
    option add *background #B2B2B2 
    option add *DisabledForeground Gray90

    # these are Tk defaults, but HP overrides them if we don't do this
    set labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*
    option add *Font $labelFont

    #option add *Radiobutton.Font $labelFont
    #option add *Checkbutton.Font $labelFont
    #option add *Button.Font $labelFont
    #option add *Label.Font $labelFont
    #option add *Menu.Font $labelFont
    #option add *Menubutton.Font $labelFont
    #option add *Message.Font $labelFont
    #option add *Scale.Font $labelFont
    #option add *LabelCheck.Font $labelFont
    #option add *LabelChoice.Font $labelFont
    #option add *Chooser.Font $labelFont

    option add *Chooser.font -*-courier-medium-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *Listbox.font -*-courier-medium-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *Entry.font -*-courier-medium-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *titleFont -*-courier-Bold-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *Text.Font "-*-Courier-Medium-R-Normal--*-120-*-*-*-*-*-*"

    option add *Text.foreground Black 
    option add *Listbox.foreground Black 
    option add *Entry.foreground Black 

    option add *mBar.background   #D3B5B5
    option add *mBarMain.background #D4B5B3
    #option add *Text.background #D3B5B5 
    #option add *Listbox.background #D3B5B5 
    #option add *Entry.background #D3B5B5 
    option add *textBackground #B2B2B2
    option add *selectForeground #C0C0C0 
    option add *selectBackground Black 
    
    option add *highlightThickness 0 
    option add *Text.highlightThickness 2  
    option add *Entry.highlightThickness 2 
    option add *highlightBackground #B2B2B2
    option add *highlightColor Black 

    option add *shelp*Background  #B2B2B2
    option add *shelp*Font -Adobe-helvetica-medium-r-normal--14*

    option add *plotBackground #C0C0C0 

    # general bindings

    # make delete and backspace work like they should
    #bind Entry <Delete> {tkEntryBackspace %W}
    #bind Entry <BackSpace> {tkEntryBackspace %W}
    #bind Text <Delete> {tkEntryBackspace %W}
    #bind Text <BackSpace> {tkEntryBackspace %W}

    # itk widget defaults (normally you'd put these in the itk sources, but
    # putting them here makes it easier to "pre-load" the classes for the single
    # binary version...

    option add *DialogWidget.messageWidth 3i 
    option add *DialogWidget.justify left 
    option add *DialogWidget.messageFont -Adobe-Times-Medium-R-Normal-*-180-* 

    option add *InputDialog.messageWidth 3i 
    option add *InputDialog.justify left 
    option add *InputDialog.messageFont -Adobe-Times-Medium-R-Normal-*-180-* 

    option add *ChoiceDialog.messageWidth 3i 
    option add *ChoiceDialog.justify left 
    option add *ChoiceDialog.messageFont -Adobe-Times-Medium-R-Normal-*-180-* 

    option add *LabelCheck.anchor w 
    option add *LabelChoice.anchor w 
    option add *LabelEntry.anchor w 

    option add *LabelMenu.anchor w 
    option add *LabelMenu.indicatorOn 1 

    option add *LabelMessage.anchor w 
    option add *LabelMessage.justify left 
    option add *LabelMessage.aspect 2000 

    option add *LabelNumber.anchor w 
    option add *LabelNumber.groove ridge 
    option add *LabelNumber.justify right 

    option add *LabelValue.anchor w 
    option add *LabelValue.relief ridge 

    option add *LabelWidget.anchor w 
    option add *LabelWidget.labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-* 

    option add *ListboxWidget.relief sunken 
    option add *ListboxWidget.borderwidth 3 
    option add *ListboxWidget.setgrid 1 
    option add *ListboxWidget.font -adobe-courier-medium-r-*-*-*-140-*-*-*-*-*-*
    option add *ListboxWidget.titleFont -Adobe-helvetica-bold-r-normal--14* 

    option add *ProgressBar.font -Adobe-helvetica-medium-r-normal--14* 
    option add *ProgressBar.width 8 
    option add *ProgressBar.length 6c 

    option add *FcdpmsCmdIf.canvasBackground black 

    option add *FcdpmsCmdIf.canvasBackground black 
    option add *FcdpmsCmdIf.canvasWidth 520 
    option add *FcdpmsCmdIf.canvasHeight 520 

    option add *FcdpmsCmdIf.background black 

    option add *FcdpmsCmdIf.relief flat 
    #option add *FcdpmsCmdIf.background black 

    option add *TableList.relief sunken 
    option add *TableList.borderwidth 3 
    option add *TableList.font -*-courier-medium-r-*-*-*-120-*-*-*-*-iso8859-* 
    option add *TableList.headingFont -*-courier-bold-r-*-*-*-120-*-*-*-*-iso8859-* 
    option add *TableList.headingLines 1 
    option add *TableList.titleFont -Adobe-helvetica-bold-r-normal--12* 

    option add *TextDialog.textWidth 80 
    option add *TextDialog.textHeight 40 
    option add *TextDialog.messageWidth 3i 
    option add *TextDialog.justify left 
    option add *TextDialog.messageFont -Adobe-Times-Medium-R-Normal-*-180-* 
    option add *TextDialog.textState disabled 

    option add *ListDialog.messageWidth 3i 
    option add *ListDialog.messageFont -Adobe-Times-Medium-R-Normal-*-180-* 

    option add *FileSelect.title "Select File"   
}

