#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fcdpmsGenPeriph.tcl,v 1.20 2004/01/16 15:28:30 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hpieper  15/10/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


itk::usual fcdpmsGenPeriph {}

class fcdpmsGenPeriph {    
    
    constructor             {args} {}
    destructor                     {}
    protected    variable  LOOKUP
    protected    variable  PERIPHLIST
}

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# fcdpmsGenPeriph::constructor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body fcdpmsGenPeriph::constructor {args} {
    global FCDP_DEWAR_MODEL         
    
    if {[llength $args] != 0 } {eval configure $args}
    
    lappend PERIPHLIST {"Dewar Model   " FCDP_DEWAR_MODEL}
    lappend PERIPHLIST {"Temp. Slope   " FCDP_TEMP_SLOPE}
    lappend PERIPHLIST {"Bias Power    " FCDP_BIAS_POWER}
    lappend PERIPHLIST {"Auto Tuner    " FCDP_AUTO_TUNER_MODE}
    lappend PERIPHLIST {"VacGauge Power" FCDP_VG_POWER} 
    lappend PERIPHLIST {"Shutter Logic " FCDP_SHUTTER_LOGIC}
    lappend PERIPHLIST {"Shutter Type  " FCDP_SHUTTER_TYPE}
    lappend PERIPHLIST {"Shutter Mode  " FCDP_SHUTTER_MODE}
}

#
# ___oOo___
