#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: hisMisc.tcl,v 1.33 2004/09/23 09:25:06 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  07/11/00  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc hisCommand { cmd args } {
   global hpIndex env hpAlias

   if {[cequal $args ""]} {
      set params $hpAlias($hpIndex)
   } else {
      set params "$hpAlias($hpIndex),$args"
   }

   eval panSendCommand $env(RTAPENV) hisDHMngr $cmd CHECK_ALL 5000 \"$params\"
}

proc hisGetPtNames { dirAddr } {

    # Get alias
    if {[catch {seq_dbDirAddrToName $dirAddr alias} nameAlias]} {
	puts "Cannot get 'alias' for $dirAddr"
	return ""
    }

    # Get absolute address
    if {[catch {seq_dbDirAddrToName $dirAddr absolute} nameAbsAddr]} {
	puts "Cannot get 'absolute name' for $dirAddr"
	return ""
    }

    set len [string last ">" $nameAlias] ; incr len
    set nameAlias [string range $nameAlias $len end]

    return [list $nameAbsAddr $nameAlias]
}


proc hisUserConfirm {} {

   set msg     "hisDHMngr should be re-started to take the new configuration \n"
   append msg  "BEWARE that all other applications using hisDHMngr are affected !!"

   set ret [uifDialog "WARNING" $msg global 0 warning 1]
   return $ret
}


#
# ___oOo___
