#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: icbpanICSDevCtrl_uifClass.tcl,v 1.47 2005/07/01 13:25:41 vltsccm Exp $" 
#
# icbpanICSDevCtrl_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.9
#   date   : Fri Sep 14 11:53:59 METDST 2001
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class icbpanICSDevCtrl_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 248 -height 149 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOptionButton    $cv.icbpanChgDevOpMode -canvasAnchor nw  \
                      -itemList {NO YES} -itemValue {0 1} -length 7  \
                      -selectMode label -variable gvar(stateDevOpmode) 
UifOptionButton    $cv.icbpanChgDevState -canvasAnchor nw  \
                      -itemList {OFF STANDBY ONLINE} -itemValue {0 1 2}  \
                      -length 7 -selectMode label  \
                      -variable gvar(stateDevCmd) 
UifButton          $cv.icbpanMove -canvasAnchor nw -initialState normal  \
                      -label {SETUP} -popup 0  \
                      -stateVar gvar(icbpanICSDevCtrl-wdg1Var) -width 8 
UifButton          $cv.icbpanStop -bitmapFile icbpanStop.xbm  \
                      -canvasAnchor nw -initialState normal -popup 0  \
                      -stateVar gvar(icbpanICSDevCtrl-wdg3Var) -width 0 

    #
    #  Canvas Items
    #

    $cv create text 33 81 -tags "text icbpanICSDevCtrl-item1 classItem icbpanICSDevCtrl" -anchor nw \
              -text "Change state:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 64 108 -tags "text icbpanICSDevCtrl-item2 classItem icbpanICSDevCtrl" -anchor nw \
              -text "Simulate:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.icbpanChgDevOpMode)  {UifOptionButton 128 104 1 0 {} 0 1 stateDevOpmode 0 {}}
    set panWidget(${top}.icbpanChgDevState)  {UifOptionButton 128.0 77.0 1 0 {} 0 1 stateDevCmd 0 {}}
    set panWidget(${top}.icbpanMove)  {UifButton 44 32 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.icbpanStop)  {UifButton 156 20 1 0 0 0 1 {} 0 icbpanStop.xbm}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.icbpanChgDevOpMode)  {Change selected device operational mode}
    set panWidgetHlp(${top}.icbpanChgDevState)  {Change selected device state}
    set panWidgetHlp(${top}.icbpanMove)  {Move all selected functions}
    set panWidgetHlp(${top}.icbpanStop)  {Stop ongoing actions}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
