#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: icbpanICSState_uifClass.tcl,v 1.47 2005/07/01 13:25:41 vltsccm Exp $" 
#
# icbpanICSState_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.22
#   date   : Wed Aug 20 14:47:45 MEST 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class icbpanICSState_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 639 -height 29 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutputList      $cv.icbpanLcuStatus -anchor center -canvasAnchor nw  \
                      -color Red  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 1 -label {LCU:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 0 -listColor OliveDrab -listKey OK  \
                      -variable gvar(lcuStatus) -width 15 
UifOutputString    $cv.icbpanSimulation -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate icbpanSimulation %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 1 -label {Op. mode:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--12*  \
                      -labelWidth 0 -listColors {Black Red Red}  \
                      -listStrings {NORMAL {LCU simulated} {HW simulated}}  \
                      -listValues {0 1 2} -variable gvar(.opMode)  \
                      -width 13 
UifOutputString    $cv.icbpanState -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate icbpanState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 1 -label {State:}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0  \
                      -listColors {Red Red Red Blue OliveDrab Red}  \
                      -listStrings {undefined OFF LOADED STANDBY ONLINE undefined}  \
                      -listValues {0 1 2 3 4 5} -variable gvar(.state)  \
                      -width 10 
UifOutputString    $cv.icbpanSubstate -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate icbpanSubstate %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0  \
                      -listColors {Red Black Blue Blue Black Blue Red Blue Blue Blue}  \
                      -listStrings {ERROR idle busy initialising initialised stopping {LCU down} starting {executing setup} {getting status}}  \
                      -listValues {0 1 2 3 4 5 6 7 8 9}  \
                      -variable gvar(.substate) -width 13 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.icbpanLcuStatus)  {UifOutputList 460 4 1 0 0 0 1 lcuStatus 0 {} {}}
    set panWidget(${top}.icbpanSimulation)  {UifOutputString 272 4 1 1 0 0 1 .opMode 0 {}}
    set panWidget(${top}.icbpanState)  {UifOutputString 8 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.icbpanSubstate)  {UifOutputString 148 4 1 1 0 0 1 .substate 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.icbpanSimulation)  [list out local .opMode 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.icbpanState)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.icbpanSubstate)  [list out local .substate 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.icbpanLcuStatus)  {LCUs status}
    set panWidgetHlp(${top}.icbpanSimulation)  {Global operations mode}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
