#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: icbpanPmt_uifClass.tcl,v 1.47 2005/07/01 13:25:40 vltsccm Exp $" 
#
# icbpanPmt_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.19
#   date   : Fri Aug 29 16:12:15 MEST 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class icbpanPmt_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 362 -height 26 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutputString    $cv.devSimHset -anchor center -canvasAnchor nw  \
                      -font -Adobe-courier-medium-r-normal--14*-iso8859-1  \
                      -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*-iso8859-1  \
                      -labelWidth 0 -listColors {Black Red Red}  \
                      -listStrings {{} HSET SIM} -listValues {0 1 2}  \
                      -variable gvar(devSimHset) -width 4 
UifOutputString    $cv.devState -anchor center -canvasAnchor nw  \
                      -dbMode dbEvent -evtFilter "!="  \
                      -evtScript {panEvtDbUpdate devState %A %T %D %Q}  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -listColors {Red Red Blue OliveDrab}  \
                      -listStrings {OFF LOADED STANDBY ONLINE}  \
                      -listValues {0 1 2 3} -variable gvar(.state)  \
                      -width 7 
UifOutput          $cv.devStatus0 -anchor w -canvasAnchor nw -color Black  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devStatus0 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.ctlast) -width 9 
UifOutput          $cv.devStatus1 -anchor w -canvasAnchor nw -color Black  \
                      -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate devStatus1 %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.cttot) -width 9 
UifCheckButton     $cv.devUse -anchor w -canvasAnchor nw -default 0  \
                      -offVal 0 -onVal 1 -variable gvar(devUse) -width 0 
UifOutput          $cv.device -anchor center -canvasAnchor nw  \
                      -color Black -dbMode dbEvent -evtFilter !=  \
                      -evtScript {panEvtDbUpdate device %A %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -variable gvar(.device) -width 5 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.devSimHset)  {UifOutputString 146 4 1 0 0 0 1 devSimHset 0 {}}
    set panWidget(${top}.devState)  {UifOutputString 77 4 1 1 0 0 1 .state 0 {}}
    set panWidget(${top}.devStatus0)  {UifOutput 188 4 1 1 0 0 1 .ctlast 0 {} {}}
    set panWidget(${top}.devStatus1)  {UifOutput 275 4 1 1 0 0 1 .cttot 0 {} {}}
    set panWidget(${top}.devUse)  {UifCheckButton 4 4 1 0 0 0 1 devUse 0 0 1 0 0 0}
    set panWidget(${top}.device)  {UifOutput 26 4 1 1 0 0 1 .device 0 {} {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.devState)  [list out local .state 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.devStatus0)  [list out local .ctlast 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.devStatus1)  [list out local .cttot 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.device)  [list out local .device 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.devSimHset)  {operational mode (blank = no simulation)}
    set panWidgetHlp(${top}.devState)  {Device state}
    set panWidgetHlp(${top}.devStatus0)  {Last read counts}
    set panWidgetHlp(${top}.devStatus1)  {Cumulated counts}
    set panWidgetHlp(${top}.devUse)  {Device selected/unselected}
    set panWidgetHlp(${top}.device)  {Device name}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
