#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: lsfState.tcl,v 1.121 2005/09/14 07:02:49 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# pduhoux  12/07/00  created
#

#************************************************************************
#   NAME
#     lsfState - 
#
#   SYNOPSIS
#     lsfSendStandardCommand $cmd
#
#   DESCRIPTION
#     The procedure lsfSendStandardCommand sends a standard command to the
#     LCU server '$gvar(modName)Server' with the parameter $gvar(modName).
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
proc lsfSendStandardCommand { cmd } {
    global gvar

    set t 10000
    if {![string compare $cmd "INIT"]    || \
        ![string compare $cmd "STANDBY"] || \
        ![string compare $cmd "ONLINE"]} {
	set t 300000
    } 
    if {![string compare $cmd "STOP"] } {
	set t 30000
    } 
    panSendCommand $gvar(lcuEnv) [format "%sServer" $gvar(modName)] $cmd "" $t \"$gvar(modName)\"
}

#
# ___oOo___
