#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiConvInterp_uifClass.tcl,v 2.43 2005/04/19 12:32:58 vltsccm Exp $" 
#
# moteiConvInterp_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Mon Jan 19 13:55:12 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiConvInterp_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 389 -height 244 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.moteiConvInterp-DEL -canvasAnchor nw \
                       -command moteiConvInterpDelete -initialState normal \
                       -label Delete -popup 0 \
                       -stateVar gvar(moteiConvInterp-wdg7Var) -width 6
    UifOutput          $cv.moteiConvInterp-FU -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -variable gvar(fromUnit) -width 7
    UifButton          $cv.moteiConvInterp-INS -canvasAnchor nw \
                       -command moteiConvInterpInsert -initialState normal \
                       -label Insert -popup 0 \
                       -stateVar gvar(moteiConvInterp-wdg7Var) -width 6
    UifListBox         $cv.moteiConvInterp-IPL -canvasAnchor nw -default 0 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -geometry 20x10 \
                       -itemList {{0        0        0} {1        2     1600} {10      20    16000}} \
                       -scrollx 0 -scrolly 1 -selectmode single \
                       -variable gvar(pointList)
    UifButton          $cv.moteiConvInterp-MDN -bitmapFile uifDownArrow.xbm \
                       -canvasAnchor nw -command moteiConvInterpMoveDn \
                       -initialState normal -popup 0 \
                       -stateVar gvar(moteiConvInterp-wdg7Var) -width 50
    UifButton          $cv.moteiConvInterp-MUP -bitmapFile uifUpArrow.xbm \
                       -canvasAnchor nw -command moteiConvInterpMoveUp \
                       -initialState normal -popup 0 \
                       -stateVar gvar(moteiConvInterp-wdg7Var) -width 50
    UifOutput          $cv.moteiConvInterp-NP -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(NP) -width 2
    UifOutput          $cv.moteiConvInterp-NPT -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -variable gvar(NPT) -width 2
    UifOutput          $cv.moteiConvInterp-TU -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--14* -frame 0 \
                       -variable gvar(toUnit) -width 7
    UifEntry           $cv.moteiConvInterp-X -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 -variable gvar(X) \
                       -width 8
    UifOutput          $cv.moteiConvInterp-XU -anchor w -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 0 -variable gvar(fromUnit) -width 7
    UifEntry           $cv.moteiConvInterp-Y -canvasAnchor nw -default 0 \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 -variable gvar(Y) \
                       -width 8
    UifOutput          $cv.moteiConvInterp-YU -anchor w -canvasAnchor nw \
                       -color Black -font -Adobe-courier-bold-r-normal--14* \
                       -frame 0 -variable gvar(toUnit) -width 7

    #
    #  Canvas Items
    #

    $cv create text 16 8 -tags "text moteiConvInterp-item1 classItem moteiConvInterp" -anchor nw \
              -text "#" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 224 40 -tags "text moteiConvInterp-item2 classItem moteiConvInterp" -anchor nw \
              -text "Point #" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 296 40 -tags "text moteiConvInterp-item3 classItem moteiConvInterp" -anchor nw \
              -text "of" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 220 72 -tags "text moteiConvInterp-item4 classItem moteiConvInterp" -anchor nw \
              -text "X =" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 220 92 -tags "text moteiConvInterp-item5 classItem moteiConvInterp" -anchor nw \
              -text "Y =" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiConvInterp-DEL)  {UifButton 152 208 1 0 0 0 1 moteiConvInterp-wdg7Var 0 {}}
    set panWidget(${top}.moteiConvInterp-FU)  {UifOutput 48.0 4.0 1 0 0 0 1 fromUnit 0 {} {}}
    set panWidget(${top}.moteiConvInterp-INS)  {UifButton 8 208 1 0 0 0 1 moteiConvInterp-wdg7Var 0 {}}
    set panWidget(${top}.moteiConvInterp-IPL)  {UifListBox 8.0 28.0 1 0 0 0 1 pointList 0 {}}
    set panWidget(${top}.moteiConvInterp-MDN)  {UifButton 80 224 1 0 0 0 1 moteiConvInterp-wdg7Var 0 uifDownArrow.xbm}
    set panWidget(${top}.moteiConvInterp-MUP)  {UifButton 80 204 1 0 0 0 1 moteiConvInterp-wdg7Var 0 uifUpArrow.xbm}
    set panWidget(${top}.moteiConvInterp-NP)  {UifOutput 268.0 36.0 1 0 0 0 1 NP 0 {} {}}
    set panWidget(${top}.moteiConvInterp-NPT)  {UifOutput 312.0 36.0 1 0 0 0 1 NPT 0 {} {}}
    set panWidget(${top}.moteiConvInterp-TU)  {UifOutput 128.0 4.0 1 0 0 0 1 toUnit 0 {} {}}
    set panWidget(${top}.moteiConvInterp-X)  {UifEntry 248.0 68.0 1 0 0 0 1 X 0 N 0 100 0 0 0 0}
    set panWidget(${top}.moteiConvInterp-XU)  {UifOutput 320.0 68.0 1 0 0 0 1 fromUnit 0 {} {}}
    set panWidget(${top}.moteiConvInterp-Y)  {UifEntry 248.0 92.0 1 0 0 0 1 Y 0 N 0 100 0 0 0 0}
    set panWidget(${top}.moteiConvInterp-YU)  {UifOutput 320.0 92.0 1 0 0 0 1 toUnit 0 {} {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.moteiConvInterp-DEL)  {Delete row}
    set panWidgetHlp(${top}.moteiConvInterp-INS)  {Insert above}
    set panWidgetHlp(${top}.moteiConvInterp-MDN)  {Move down one row}
    set panWidgetHlp(${top}.moteiConvInterp-MUP)  {Move up one row}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
