#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiInitMotion_uifClass.tcl,v 2.43 2005/04/19 12:33:01 vltsccm Exp $" 
#
# moteiInitMotion_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Wed Jan 21 16:24:34 MEZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiInitMotion_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 516 -height 272 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOptionButton    $cv.moteiInitMotion-MM -canvasAnchor nw \
                       -command moteiCHwInitSelectMotionMode -default 5 \
                       -itemList {Direct Position Speed} \
                       -itemValue {2 3 5} -length 8 -selectMode value \
                       -variable gvar(motionMode)
    UifOptionButton    $cv.moteiInitMotion-PT -canvasAnchor nw \
                       -command moteiCHwInitSelectPosType -default 3 \
                       -length 25 -selectMode value -variable gvar(posType)
    UifOptionButton    $cv.moteiInitMotion-PosHow -canvasAnchor nw \
                       -default 2 -command moteiCHwInitSelectPosHow \
                       -itemList {{by Value} {by Name} {by Index} {by Name + Offset} {by Index + Offset}} \
                       -itemValue {2 3 4 5 6} -length 15 -selectMode value \
                       -variable gvar(posHow)
    UifOptionButton    $cv.moteiInitMotion-SpdHow -canvasAnchor nw \
                       -default 2 -command moteiCHwInitSelectSpdHow \
                       -itemList {{by Default} {by Value} {by Name} {by Index}} \
                       -itemValue {1 2 3 4} -length 8 -selectMode value \
                       -variable gvar(spdHow)
    classFrame         $cv.moteiInitMotion-Speed -helparea $shArea \
                       -background Grey90 -borderwidth 2 \
                       -classBackground #d9d9d9 -classSelect 1 -height 66 \
                       -nameInstance speedClass -relief groove -show 1 \
                       -variable speedFrame \
                       -wdgClassList {moteiSetSpdDefault_uifClass moteiSetSpeed_uifClass moteiSetSpdNames_uifClass moteiSetSpdIndex_uifClass} \
                       -wdgLibrary libmoteiWidgets -width 320
    classFrame         $cv.moteiInitMotion-Target -helparea $shArea \
                       -background Grey90 -borderwidth 2 \
                       -classBackground #d9d9d9 -classSelect 0 -height 66 \
                       -nameInstance positionClass -relief groove -show 1 \
                       -variable positionFrame \
                       -wdgClassList {moteiSetTarget_uifClass moteiSetPosNames_uifClass moteiSetPosIndex_uifClass} \
                       -wdgLibrary libmoteiWidgets -width 320
    classFrame         $cv.moteiInitMotion-Offset -helparea $shArea \
	               -background Grey90 -borderwidth 2 \
                       -classBackground #d9d9d9 -classSelect 0 -height 66 \
                       -nameInstance offsetClass -relief groove -show 0 \
                       -variable offsetFrame \
                       -wdgClassList moteiSetOffset_uifClass \
                       -wdgLibrary libmoteiWidgets -width 192

    #
    #  Canvas Items
    #

    $cv create text 44 4 -tags "text moteiInitMotion-item1 classItem moteiInitMotion" -anchor nw \
              -text "Motion" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

    $cv create text 44 68 -tags "text moteiInitMotion-item2 classItem moteiInitMotion" -anchor nw \
              -text "Speed" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

    $cv create text 44 172 -tags "text moteiInitMotion-item3 classItem moteiInitMotion" -anchor nw \
              -text "Position" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.moteiInitMotion-MM)  {UifOptionButton 144.0 8.0 1 0 5 0 1 motionMode 0 {}}
    set panWidget(${top}.moteiInitMotion-PT)  {UifOptionButton 60.0 32.0 1 0 3 0 1 posType 0 {}}
    set panWidget(${top}.moteiInitMotion-PosHow)  {UifOptionButton 144 172 1 0 2 0 1 posHow 0 {}}
    set panWidget(${top}.moteiInitMotion-SpdHow)  {UifOptionButton 144.0 68.0 1 0 2 0 1 spdHow 0 {}}
    set panWidget(${top}.moteiInitMotion-Speed)  {PubClass 4.0 96.0 1 0 uifCommon nw 0 {} 0}
    set panWidget(${top}.moteiInitMotion-Target)  {PubClass 4.0 200.0 1 0 uifCommon nw 0 {} 0}
    set panWidget(${top}.moteiInitMotion-Offset)  {PubClass 324.0 200.0 1 0 uifCommon nw 0 {} 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
