#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: moteiSetTarget_uifClass.tcl,v 2.43 2005/04/19 12:33:05 vltsccm Exp $" 
#
# moteiSetTarget_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Thu Dec 11 10:51:24 MEZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class moteiSetTarget_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 312 -height 54 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifOutput          $cv.maxValue -anchor e -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--12* -frame 1 \
                       -variable gvar(maxValue) -width 10
    UifOutput          $cv.minValue -anchor e -canvasAnchor nw -color Black \
                       -font -Adobe-courier-bold-r-normal--12* -frame 1 \
                       -variable gvar(minValue) -width 10
    UifEntry           $cv.value -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(value) -width 9
    UifOptionButton    $cv.valueUnit -canvasAnchor nw \
                       -command moteiConvertPositionRange -default 0 \
                       -length 7 -selectMode label -variable gvar(valueUnit)

    #
    #  Canvas Items
    #

    $cv create text 124 4 -tags "text moteiSetTarget-item1 classItem moteiSetTarget" -anchor nw \
              -text "Unit" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 24 4 -tags "text moteiSetTarget-item2 classItem moteiSetTarget" -anchor nw \
              -text "Target" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 204 8 -tags "text moteiSetTarget-item3 classItem moteiSetTarget" -anchor nw \
              -text "Maxi" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 204 36 -tags "text moteiSetTarget-item4 classItem moteiSetTarget" -anchor nw \
              -text "Mini" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.maxValue)  {UifOutput 236 4 1 0 0 0 1 maxValue 0 {} {}}
    set panWidget(${top}.minValue)  {UifOutput 236 36 1 0 0 0 1 minValue 0 {} {}}
    set panWidget(${top}.value)  {UifEntry 4 24 1 0 {} 0 1 value 0 N 0 100 0 0 0 0}
    set panWidget(${top}.valueUnit)  {UifOptionButton 84 20 1 0 0 0 1 valueUnit 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
