#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: auto_uifClass.tcl,v 2.60 2005/07/31 20:47:40 vltsccm Exp $" 
#
# auto_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.55
#   date   : Wed Apr 10 12:54:43 MESZ 1996
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class auto_uifClass { 
  inherit  UifPanel 

  constructor {args} { 


    setPublicVar

    #
    # Link class to user libraries 
    #

    set panUsrLib   {}  
    set panClassLib {}

    panSetAutoPath  $panUsrLib $panClassLib

    #
    # Build the class 
    #

    parseClassName $this 

    # Create Canvas 

    itk_component add top {
        canvas $itk_interior.cv -width 255 -height 130 \
               -borderwidth 2 -highlightthickness 0
    } {
        keep -relief
    }

    pack $itk_component(top) -fill both -expand 1
    eval itk_initialize

    configure -relief groove ; # Default value


    UifEntry           $cv.autoDelay -maxVal 80000 -minVal 0 \
                       -variable gvar(delay) -width 7 -canvasAnchor nw
    UifOutputString    $cv.autoStat -evtFilter {"w"} -dbMode dbPoll \
                       -variable gvar(autoStatus) -frame 1 -width 9 \
                       -font -Adobe-courier-medium-r-normal--14* \
                       -canvasAnchor nw
    UifButton          $cv.disable -popup 0 -label Disable \
                       -stateVar gvar(auto-wdg7Var) -width 9 -state normal \
                       -command {scaneiDisableRestart $gvar(scaneiEnvStatus-env_envName)} \
                       -canvasAnchor nw
    UifButton          $cv.enable -popup 0 -label Enable \
                       -stateVar gvar(auto-wdg6Var) -width 9 -state normal \
                       -command {scaneiEnableRestart $gvar(scaneiEnvStatus-env_envName)} \
                       -canvasAnchor nw

    #
    #  Canvas Items
    #

    $cv create text 24 19 -tags "text auto-item1 classItem auto" -anchor nw \
              -text "Auto-Restart " \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 73 55 -tags "text auto-item2 classItem auto" -anchor nw \
              -text "Delay" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 196 57 -tags "text auto-item3 classItem auto" -anchor nw \
              -text "sec" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 



    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global panWidget gvar panDbData panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.autoDelay)  {UifEntry 129 54 1 0 {} 0 1 delay 0 N 0 80000 0 0 0 0}
    set panWidget(${top}.autoStat)  {UifOutputString 127 16 1 0 0 0 1 autoStatus 0 {}}
    set panWidget(${top}.disable)  {UifButton 142 86 1 0 0 0 1 auto-wdg7Var 0 {}}
    set panWidget(${top}.enable)  {UifButton 33 87 1 0 0 0 1 auto-wdg6Var 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.autoDelay)  {Delay between two attempts to restart}
    set panWidgetHlp(${top}.autoStat)  {Status of auto-start-mechanism}
    set panWidgetHlp(${top}.disable)  {Disable auto-start-mechanism}
    set panWidgetHlp(${top}.enable)  {Enable auto-start-mechanism}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
