#***************************************************************************
#
# E.S.O. - VLT project
#
# "@(#) $Id: seqScanConfig.tcl,v 2.97 2005/09/14 09:47:28 vltsccm Exp $" 
#
# 
# who      when     what
# -------- -------- ------------------
# eallaert 03/22/95 created for cmm
#
# seqScanConfig.tcl --
# Create a new command called seq_scanConfig

#***************************************************************************
#   NAME 
#   seq_scanConfig - configure a db entry to be acquired by the scan system
#
#   SYNOPSIS 
#   seq_scanConfig arguments
#
#   DESCRIPTION
#   see manpage for scanConfig(1).  
#  
#   ENVIRONMENT
#   No Tcl variables are accessed.
#
#   RETURN VALUES
#   OK, with a result string containing all what scanConfig(1) sent to stdout,
#   if it terminated OK (exit(0)). 
#   ERROR with corresponding message in the result string if scanCOnfig(1)
#   terminated abnormally (exit(1)).
#
#   SEE ALSO 
#   "Tcl and the Tk toolkit", John K. Ousterhout, ISBN 0-201-6337-X
#   scanConfig(1)
# 
#------------------------------------------------------------------------ 

proc seq_scanConfig {args} {
        eval exec scanConfig $args
}
