#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: stooSosStartup_uifClass.tcl,v 1.47 2005/08/23 08:02:55 vltsccm Exp $" 
#
# stooSosStartup_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.24
#   date   : Tue Nov 18 07:29:23 UTC 2003
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class stooSosStartup_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 425 -height 45 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifCheckButton     $cv.ignoreFlag -anchor w -canvasAnchor nw  \
                      -default NORMAL -offVal IGNORE -onVal NORMAL  \
                      -variable gvar(ignoreFlagVar) -width 0 
UifOutput          $cv.osName -anchor w -canvasAnchor nw -color Black  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 0  \
                      -labelFont -Adobe-helvetica-bold-r-normal--14*-iso8859-1  \
                      -labelWidth 0 -variable gvar(osNameVar) -width 10 
UifOutput          $cv.osNum -anchor w -canvasAnchor nw -color Black  \
                      -font -Adobe-courier-bold-r-normal--14*-iso8859-1  \
                      -frame 0  \
                      -labelFont -Adobe-helvetica-bold-r-normal--14*-iso8859-1  \
                      -labelWidth 0 -variable gvar(osNumVar) -width 4 
UifButton          $cv.osStartup -canvasAnchor nw -initialState normal  \
                      -label {Startup} -popup 1  \
                      -stateVar gvar(osStartupVar) -width 12 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.ignoreFlag)  {UifCheckButton 205 12 1 0 NORMAL 0 1 ignoreFlagVar 0 0 1 0 0 0}
    set panWidget(${top}.osName)  {UifOutput 65 12 1 0 0 0 1 osNameVar 0 {} {}}
    set panWidget(${top}.osNum)  {UifOutput 20 12 1 0 0 0 1 osNumVar 0 {} {}}
    set panWidget(${top}.osStartup)  {UifButton 305 11 1 0 0 0 1 {} 0 {}}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.ignoreFlag)  {OS Access: Checked - NORMAL, Cleared - IGNORE}
    set panWidgetHlp(${top}.osName)  {OS Name}
    set panWidgetHlp(${top}.osNum)  {OS Number}
    set panWidgetHlp(${top}.osStartup)  {Call Startup Panel for this OS}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
