#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tcsSettings_uifClass.tcl,v 1.94 2005/08/08 10:24:16 vltsccm Exp $" 
#
# tcsSettings_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.2
#   date   : Mon Apr 21 11:47:12 MESZ 1997
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class tcsSettings_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    setPublicVar
    #
    # Link class to user libraries 
    #
    set panUsrLib   {}  
    set panClassLib {}
    panSetAutoPath  $panUsrLib $panClassLib
    #
    # Build the class 
    #
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 529 -height 203 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize 

    configure -relief groove ; # Default value

    UifButton          $cv.tcsSettings-wdg1 -canvasAnchor nw \
                       -command {panSendCommand $gvar(tcssimEnv) $gvar(tcssimTif) SETLAM $gvar(tcssimSetlamLambda)} \
                       -initialState normal -label Wavelength -popup 0 \
                       -stateVar gvar(tcsSettings-wdg10) -width 15
    UifEntry           $cv.tcsSettings-wdg2 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 20000 -minVal 100 \
                       -variable gvar(tcssimSetlamLambda) -width 10
    UifButton          $cv.tcsSettings-wdg3 -canvasAnchor nw \
                       -command {panSendCommand $gvar(tcssimEnv) $gvar(tcssimTif) SETADC $gvar(tcssimSetadcAdcsep)} \
                       -initialState normal -label {ADC Separation} -popup 0 \
                       -stateVar gvar(tcsSettings-wdg12Var) -width 15
    UifEntry           $cv.tcsSettings-wdg4 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 200 -minVal 0 \
                       -variable gvar(tcssimSetadcAdcsep) -width 10
    UifButton          $cv.tcsSettings-wdg5 -canvasAnchor nw \
                       -command {panSendCommand $gvar(tcssimEnv) $gvar(tcssimTif) SETRLIM $gvar(tcssimSetrlimLimit)} \
                       -initialState normal -label {Rem Track Time} -popup 0 \
                       -stateVar gvar(tcsSettings-wdg14Var) -width 15
    UifEntry           $cv.tcsSettings-wdg6 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 600 -minVal 0 \
                       -variable gvar(tcssimSetrlimLimit) -width 10
    UifButton          $cv.tcsSettings-wdg7 -canvasAnchor nw \
                       -command {panSendCommand $gvar(tcssimEnv) $gvar(tcssimTif) SETAV $gvar(tcssimSetavAlpha) $gvar(tcssimSetavDelta)} \
                       -initialState normal -label {Add. Velocity} -popup 0 \
                       -stateVar gvar(tcsSettings-wdg5Var) -width 15
    UifEntry           $cv.tcsSettings-wdg8 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 15 -minVal -15 \
                       -variable gvar(tcssimSetavAlpha) -width 10
    UifEntry           $cv.tcsSettings-wdg9 -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 15 -minVal -15 \
                       -variable gvar(tcssimSetavDelta) -width 10

    #
    #  Canvas Items
    #

    $cv create text 9 9 -tags "text tcsSettings-item1 classItem tcsSettings" -anchor nw \
              -text "Settings" \
              -fill black -font -Adobe-helvetica-bold-r-normal--24* 

    $cv create text 238 86 -tags "text tcsSettings-item2 classItem tcsSettings" -anchor nw \
              -text "nm" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 238 118 -tags "text tcsSettings-item3 classItem tcsSettings" -anchor nw \
              -text "mm" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 238 150 -tags "text tcsSettings-item4 classItem tcsSettings" -anchor nw \
              -text "sec" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 334 54 -tags "text tcsSettings-item5 classItem tcsSettings" -anchor nw \
              -text "arcsec/sec" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 


    eval configure $args 
  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.tcsSettings-wdg1)  {UifButton 6.0 78.0 1 0 0 0 1 tcsSettings-wdg10 0 {}}
    set panWidget(${top}.tcsSettings-wdg2)  {UifEntry 142.0 86.0 1 0 600 0 1 tcssimSetlamLambda 0 N 100 20000 0 0 0 0}
    set panWidget(${top}.tcsSettings-wdg3)  {UifButton 6.0 110.0 1 0 0 0 1 tcsSettings-wdg12Var 0 {}}
    set panWidget(${top}.tcsSettings-wdg4)  {UifEntry 142.0 118.0 1 0 0 0 1 tcssimSetadcAdcsep 0 N 0 200 0 0 0 0}
    set panWidget(${top}.tcsSettings-wdg5)  {UifButton 6.0 142.0 1 0 0 0 1 tcsSettings-wdg14Var 0 {}}
    set panWidget(${top}.tcsSettings-wdg6)  {UifEntry 142.0 150.0 1 0 0 0 1 tcssimSetrlimLimit 0 N 0 600 0 0 0 0}
    set panWidget(${top}.tcsSettings-wdg7)  {UifButton 6.0 46.0 1 0 0 0 1 tcsSettings-wdg5Var 0 {}}
    set panWidget(${top}.tcsSettings-wdg8)  {UifEntry 142.0 54.0 1 0 0 0 1 tcssimSetavAlpha 0 N -15 15 0 0 0 0}
    set panWidget(${top}.tcsSettings-wdg9)  {UifEntry 238.0 54.0 1 0 0 0 1 tcssimSetavDelta 0 N -15 15 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.tcsSettings-wdg1)  {Set observed wavelength}
    set panWidgetHlp(${top}.tcsSettings-wdg2)  {wavelegth in nanometers}
    set panWidgetHlp(${top}.tcsSettings-wdg3)  {Set ADC Separation}
    set panWidgetHlp(${top}.tcsSettings-wdg4)  {ADC separation in mm}
    set panWidgetHlp(${top}.tcsSettings-wdg5)  {Set remaining tracking time limit}
    set panWidgetHlp(${top}.tcsSettings-wdg6)  {remaining tracking time limit in seconds}
    set panWidgetHlp(${top}.tcsSettings-wdg7)  {Set additional velocity in alpha and delta}
    set panWidgetHlp(${top}.tcsSettings-wdg8)  {additional alpha velocity in arcsec/sec (-15...15)}
    set panWidgetHlp(${top}.tcsSettings-wdg9)  {additional delta velocity in arcsec/sec (-15...15)}


    setInstanceData
    set initDone 1 
  }; # end of init

} ; #end of the class 
