#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tifTcsState_uifClass.tcl,v 1.153 2005/07/25 11:19:03 vltsccm Exp $" 
#
# tifTcsState_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.11
#   date   : Wed Mar 20 10:29:26 MET 2002
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class tifTcsState_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 297 -height 205 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifOutputString    $cv.tifTcsState-wdg1 -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont {Helvetica -12 bold} -labelWidth 0  \
                      -listColors {Red Red Black Black OliveDrab OliveDrab Red OliveDrab Red}  \
                      -listStrings {Unknown Off Loaded Standby Online Ready Error Idle {Stand Alone}}  \
                      -listValues {0 1 2 3 4 5 6 7 11}  \
                      -variable gvar(tcsState.tcsState) -width 15 
UifOutputString    $cv.tifTcsState-wdg2 -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont {Helvetica -12 bold} -labelWidth 0  \
                      -listColors {Red Red OliveDrab OliveDrab Black Black Black Black Black Black Red Black Black Black}  \
                      -listStrings {Unknown Error Steady Idle {Cold Starting} {Shutting Down} Paused Pausing Starting Stopping Unknown Presetting {Changing Focus} Aligning}  \
                      -listValues {0 19 20 21 22 23 24 25 26 27 28 29 30 31}  \
                      -variable gvar(tcsState.tcsSubstate) -width 15 
UifOutputString    $cv.tifTcsState-wdg3 -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont {Helvetica -12 bold} -labelWidth 0  \
                      -listColors {Red OliveDrab} -listStrings {NO YES}  \
                      -listValues {0 1} -variable gvar(tcsState.track)  \
                      -width 15 
UifOutputString    $cv.tifTcsState-wdg4 -anchor center -canvasAnchor nw  \
                      -dbMode dbPoll -evtFilter "w"  \
                      -evtScript {panEvtDbUpdate tifTcsState-wdg4 %T %D %Q}  \
                      -font -Adobe-courier-medium-r-normal--14* -frame 1  \
                      -labelFont {Helvetica -12 bold} -labelWidth 0  \
                      -listColors {Red Red Black Black Black Black}  \
                      -listStrings {Undefined Undefined {Nasmyth A} {Nasmyth B} Cassegrain Coude'}  \
                      -listValues {0 1 2 3 4 5}  \
                      -variable gvar(tcsState.focus) -width 15 

    #
    #  Canvas Items
    #

    $cv create text 20 20 -tags "text tifTcsState-item1 classItem tifTcsState" -anchor nw \
              -text "TCS State:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--24* 

    $cv create text 20 69 -tags "text tifTcsState-item2 classItem tifTcsState" -anchor nw \
              -text "TCS State:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 101 -tags "text tifTcsState-item3 classItem tifTcsState" -anchor nw \
              -text "TCS SubState:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 133 -tags "text tifTcsState-item4 classItem tifTcsState" -anchor nw \
              -text "Tracking:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

    $cv create text 20 165 -tags "text tifTcsState-item5 classItem tifTcsState" -anchor nw \
              -text "Focus:" \
              -fill black -font -Adobe-helvetica-medium-r-normal--14* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.tifTcsState-wdg1)  {UifOutputString 132 61 1 1 0 0 1 tcsState.tcsState 0 {}}
    set panWidget(${top}.tifTcsState-wdg2)  {UifOutputString 132 93 1 1 0 0 1 tcsState.tcsSubstate 0 {}}
    set panWidget(${top}.tifTcsState-wdg3)  {UifOutputString 132 125 1 1 0 0 1 tcsState.track 0 {}}
    set panWidget(${top}.tifTcsState-wdg4)  {UifOutputString 132 157 1 1 0 0 1 tcsState.focus 0 {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.tifTcsState-wdg1)  [list out local tcsState.tcsState 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.tifTcsState-wdg2)  [list out local tcsState.tcsSubstate 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.tifTcsState-wdg3)  [list out local tcsState.track 0 0 0 0 0 0 1 {}]
    set panDbData(${top}.tifTcsState-wdg4)  [list out local tcsState.focus 0 0 0 0 0 0 1 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.tifTcsState-wdg1)  {TCS Global State}
    set panWidgetHlp(${top}.tifTcsState-wdg2)  {TCS Global Substate}
    set panWidgetHlp(${top}.tifTcsState-wdg3)  {TCS Tracking Status (No/Yes)}
    set panWidgetHlp(${top}.tifTcsState-wdg4)  {Current Focus}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
