#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: classWESTrBase.tcl,v 4.5 2004/01/16 15:25:06 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hpieper  29/04/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#      Base class for all waveform translator objects
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
itk::usual ClassWESTrBase { }
class ClassWESTrBase {
    inherit ClassWESWaveData
    constructor               {args}      {}
    destructor                            {}

    public    variable displData         ""  
    public    variable debug             ""  
    public    variable path              "~"
    public    variable outPatFileExt     ".pat"
    public    variable outUSeqFileExt    ".useq"
    public    variable outSeqFileExt     ".seq"
    public    variable inPatFileExt      ".wpt"
    public    variable inProfFileExt     ".wpr"
    public    variable inUSeqFileExt     ".wus"
    public    variable inSeqFileExt      ".wsq"
    public    method   dbg               {m}   {}
};#ClassWESTrBase
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESTrBase::constructor
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESTrBase::constructor {args} {
    if {[llength $args] != 0 } {eval configure $args}
}
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ClassWESTrBase::dbg
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
body ClassWESTrBase::dbg {m} {
    if {$debug != ""} {
	$debug insert end "$m\n"
	$debug see end
	update idletasks
    }
}
#
# ___oOo___


