#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wesFindLib.tcl,v 4.5 2004/01/16 15:25:12 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hpieper  13/06/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
#-----------------------------------------------------------------------
# NOTE:
#-----------------------------------------------------------------------
# the following routines have been taken from bobFindLib, Module BOB
# which was implemented by eallaert 30/11/1996
#
proc wesFindVLT {relPath} {
    foreach area [namespace eval ::wes set searchList2] {
	set absPath ${area}/$relPath
	if [file readable $absPath] {
	    #puts "found it: $absPath"
	    return $absPath		;# found in given area
	}
    }
    return {}	
}

proc wesRel2Abs {path} {
    if {[file isfile $path]} {
	set dir [file dirname $path]
	set file /[file tail $path]
    } elseif {[file isdirectory $path]} {
	set dir $path
	set file {}
    } else {
	wesError "file $path does not exist"
    }
    set cwd [pwd]
    cd $dir
    set path [pwd]$file
    cd $cwd
    unset cwd
    return $path
}

namespace eval wes {
    global ::env searchList1 searchList2
    
    set searchList1 "[pwd] [wesRel2Abs [pwd]/..]"
    set searchList2 $searchList1
   
    if {[info exists env(INS_ROOT)]} {
	if {[info exists env(INS_USER)] && ![cequal $env(INS_USER) SYSTEM]} {
	    lappend searchList1 $env(INS_ROOT)/$env(INS_USER)
	}
	lappend searchList1 $env(INS_ROOT)/SYSTEM
    }

    if {[info exists env(INTROOT)]} {
	lappend searchList2 $env(INTROOT)
    }
    if {[info exists env(VLTROOT)]} {
	lappend searchList2 $env(VLTROOT)
    }
}    


#
# ___oOo___
