#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iserver.boot,v 1.14 2005/06/22 12:40:21 vltsccm Exp $"
#
# VxWorks script for automatic installation of iserver
#
# who       when      what
# --------  --------  ----------------------------------------------
# ccumani   12/02/96  created
#                     (replaces inmosInstallIserver.sh)
#
#*****************************************************************************
#
#  NAME
#  iserver.boot - script file to load iserver program
#
#  DESCRIPTION
#  This script file loads iserver,
#  transputer host file server used to load programs onto
#  the transputer network
#
#  RETURN VALUES
#  none
#
#  CAUTIONS
#
#  EXAMPLE
#  vxworks> < iserver.boot
#
#------------------------------------------------------------------------------
#

# define environment variable TRANSPUTER,
# which specifies the default capability name to use
putenv("TRANSPUTER=/bxvi00")

#  load iserver
lcubootAutoLoad 1,"b016",0
lcubootAutoLoad 1,"iserver"

# verify loading
inmosVersion

# __oOo__
