#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: cetatm.boot,v 1.4 2001/01/29 13:14:33 vltsccm Exp $"
#
# who       when       what
# --------  ---------- ----------------------------------------------
# bgustafs  10/12/99   created
#

# Note: indentations are done for proper man-page generation!

#********************************************************************
# NAME
# cetatm.boot - automatic installation of one CPMCATM-5155 board

# DESCRIPTION
# This script installs one CPMCATM-5155 board.

# Initializing the Driver
lcubootAutoExec 1, "cetAtmInit"
taskDelay(300)

# Configure ATMARP Server,s Address
# Insert your ATMARP Server's Address
sp chgclip,"-a nsap_arpserv_prim=47:00:91:81:00:00:00:00:50:3e:03:6c:01:40:00:0c:86:99:30:00"
taskDelay(200)

# Setting up ILMI VPI-VCI 
sp atmvc,"-r5","atm0","0","16","RAW_access","0"
sp atmvc,"-t5","atm0","0","16","BEST_EFFORT","100000","-","-","-"
taskDelay(200)

# Setting up ATM Signalling Environment and 
# Launching Signalling Threads and ILMI
sp atmvc,"-r5","atm0","0","5","RAW_access","0"
sp atmvc,"-t5","atm0","0","5","BEST_EFFORT","100000","-","-","-"
sp atmb,"-v uni31","-i"
taskDelay(200)

# Setting the Subnet Mask
# The default value is good for whole ESO, elsewhere it may be different.
lcubootAutoExec 1,"ifMaskSet","clip0",0xffffff00
taskDelay(200)

# Setting the IP Adress

lcubootAutoExec 1, "ifAddrSet","clip0","134.171.18.2"

#********************************************************************
