#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: lqs.boot,v 2.23 2005/10/11 16:20:39 vltsccm Exp $"
#
# VxWorks script for automatic installation of lqs module
#
# who       when       what
# --------  ---------- ----------------------------------------------
# ssandroc  22.09.1995 created
#

lcubootAutoLoad 1, "lqs"

# Define Ping and Ack timeout(seconds)
lcubootAutoExec 1, "lqsInit", 15, "rtap"

# Register local and boot workstation environments:
lcubootAutoExec 1,"lqsAddEnvTbl",getenv("HOSTENV"), getenv("HOSTNAME"), getenv("HOSTIPADDR"), atoi(getenv("HOSTTCPPORT"))
lcubootAutoExec 1,"lqsAddEnvTbl",getenv("LOCALENV"),getenv("LOCALHOST"),getenv("LOCALIPADDR"),atoi(getenv("LOCALTCPPORT"))

# For each further environment to be accessed, add one additional line:
# === NOTE: this section has to be customized! ================================
# === NOTE: adjust the TCP port-numbers according to your specific case! ======
# RTAP:
#lcubootAutoExec 1,"lqsAddEnvTbl","w...",   "...", "134.171.12.?", 2301
#...
# qsemu:
#lcubootAutoExec 1,"lqsAddEnvTbl","w...qs", "...", "134.171.12.?", 2223
#...

# Spawn the lqs task with default procNum and protocolVersion:
# Note that lqs has to spawned with the task name tLqs
lcubootAutoSpawn 1, "tLqs", 90, 0x8, 30000, "lqs"

# ___oOo___
