#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: tac.boot,v 1.55 2005/10/03 17:38:14 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# rkarban 2002-04-29 use dynamic MsgQ init
# rkarban  06/12/96  created
#
# Load and start tac server (tacServer)
#
lcubootAutoLoad 1,"lsf"
lcubootAutoLoad 1,"tac"

#
# Set system task priorities
#
rlogTaskPriority   =   5
telnetTaskPriority =   5
netTaskPriority    =  20
spyTaskPriority    =  20
shellTaskPriority  = 100

taskPrioritySet(taskNameToId("tRlogind"),5)
taskPrioritySet(taskNameToId("tLogTask"),20)
taskPrioritySet(0,100)

sysClkRateSet(100)

# Initialize message queues from the shared memory pool if tac is deployed on 
# a CPU with SM objects extension. Otherwise allocate from the heap.
tacShMsgQInitAll()

# Initialize data sampling task
tacSampTaskInitAll()

lcubootAutoSpawn 1,"tacInitAll",100,0x08,100000,"lsfInitAll","tac",&tacGlobalData

# Delay needed for tacServer to start up
taskDelay(50)

#
# Wait for Slave boot done
#
tacBootDone(0)

# ___oOo___
