#ifndef ACRO_ERROR_H
#define ACRO_ERROR_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: acroErrors.h,v 1.31 2005/10/11 09:06:50 vltsccm Exp $" 
*
* acroError.h  -  Contains literals for Acromag Digital I/O driver error codes
*
* who        when       what
* ---------  ---------- ----------------------------------------------
* S.Sandrock 02.09.1994 updated comments
*	     16.09.1994 added acroERROR_INTERRUPT_NOT_CLEARED
*/


/*
 *	Set Acromag digital i/o driver error definitions
 */
#define acroERROR_NO_EXCLUSIVE                  -100
#define acroERROR_CONFIGURATION			-300
#define acroERROR_PULSEBIT_NOT_IN_PROGRESS	-400
#define acroERROR_PULSEBIT_IN_PROGRESS		-401
#define acroERROR_INTERRUPT_NOT_CLEARED		-500

/* Driver errors */
#define acroERROR_SEMAPHORE_TIMEOUT		-1000
#define acroERROR_START_TIMER			-1100
#define acroERROR_STOP_TIMER			-1101


#endif /* !ACRO_ERROR_H */
