#ifndef AIO_ERROR_H
#define AIO_ERROR_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: aioErrors.h,v 1.33 2005/10/11 09:48:18 vltsccm Exp $" 
*
* aioError.h  -  Contains literals for all AIO driver error codes, 
*                returned from ioctl calls.
*
* who        when       what
* ---------  ---------- ----------------------------------------------
* S.Sandrock 02.09.1994 updated comments
*/

#define aioOK			 	 0
#define aioERROR_NOT_CONFIGURED		-400
#define aioERROR_INVALID_SIGNAL_NUMBER	-405
#define aioERROR_INVALID_SIGNAL_CONFIG	-410
#define aioERROR_INVALID_SIGNAL_GAIN	-415
#define aioERROR_INVALID_SIGNAL_VALUE	-420
#define aioERROR_INVALID_TIMEOUT	-425
#define aioERROR_INVALID_IR_LEVEL	-430
#define aioERROR_INVALID_IR_NUMBER	-435
#define aioERROR_INVALID_BOARD_ID	-440
#define aioERROR_NO_EXCLUSIVE		-445
#define aioERROR_NOT_SETTLED		-450


#endif /* !AIO_ERROR_H */
