#ifndef B016_COMMANDS_H
#define B016_COMMANDS_H
/******************************************************************************
* E.S.O - VLT project
*
* "@(#) $Id: b016Commands.h,v 3.3 2002/04/30 06:14:58 vltsccm Exp $"
*
* b016Commands.h - ioctl control command literals of b016 driver
*
* who        when      what
* --------   --------  --------------------------------------------
* J.Ayasse   xx/xx/93  created
* C.Cumani   09/02/95  adapted to ESO VLT driver standards
* A.Piercy   14/02/95  added byte multiplexor command
* C.Cumani   26/09/95  made compatible with CMM
*
*/


#define b016CMD_RESET_LINK              -10
#define b016CMD_ANALYSE_LINK            -20
#define b016CMD_SET_LINK_TIMEOUT        -30
#define b016CMD_TEST_LINK_ERROR         -40
#define b016CMD_BMUX_OFF         	-50
#define b016CMD_PROG_BMUX         	-60
#define b016CMD_BMUX_ON         	-70

#define b016CMD_LOOP_OFF         	-2550
#define b016CMD_LOOP_ON         	-2540

#endif /* !B016_COMMANDS_H */
