/************************************************************************
*
* E.S.O. - VLT project
*
* "@(#) $Id: babSerial.h,v 1.30 2004/11/19 13:26:38 vltsccm Exp $"
*
* who       when      what
* --------  --------  ---------------------------------------------------
* ahuxley   17/01/03  created 
* -----------------------------------------------------------------------
************************************************************************/

#include "lcc.h"				/* lsfSerial.h should include this */
#include "too.h"				/* lsfSerial.h should include this */
#include "babTypes.h"				/* for babDATA */

extern ccsCOMPL_STAT babSerialConstructor(IN babDATA *appBabData, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialDestructor(IN babDATA *appBabData, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialSendText(IN IN babDATA *appBabData, IN char *logicalName, IN char *text, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialWrite(IN IN babDATA *appBabData, IN char *logicalName, IN char *text, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialStartMonitor(IN babDATA *appBabData, IN char *logicalName, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialStopMonitor(IN babDATA *appBabData, IN char *logicalName, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialTestChat(IN babDATA *appBabData,	IN char *logicalName, IN vltINT32 scenario, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialGetExternalDeviceSimulation(IN babDATA *appBabData, IN char *logicalName, OUT vltLOGICAL *externalDeviceIsSimulated, OUT ccsERROR *error);
extern ccsCOMPL_STAT babSerialSetExternalDeviceSimulation(IN babDATA *appBabData, IN char *logicalName, IN vltLOGICAL externalDeviceIsSimulated, OUT ccsERROR *error);
