#ifndef CANOPENERRORS_H
#define CANOPENERRORS_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: canOpenErrors.h,v 1.9 2005/05/09 15:51:57 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* vltuser5  11/01/02  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#define canOpenERROR_INTERNAL_FAILURE            (-100)
#define canOpenERROR_HARDWARE_FAILURE            (-101)
#define canOpenERROR_INVALID_OBJECT              (-102)
#define canOpenERROR_INVALID_PARAMETER           (-103)
#define canOpenERROR_PARAMETER_OUT_OF_RANGE      (-104)
#define canOpenERROR_OBJECT_NOT_FOUND            (-105)
#define canOpenERROR_WRITE_NOT_ALLOWED           (-106)
#define canOpenERROR_TOGGLE_BIT_UNCHANGED        (-107)
#define canOpenERROR_UNKNOWN_CODE                (-108)
#define canOpenERROR_COMMUNICATION_FAILURE       (-109)
#define canOpenERROR_COMMUNICATION_TIMEOUT       (-110)
#define canOpenERROR_ROUTING_FAILURE             (-111)
#define canOpenERROR_INVALID_REGISTER            (-112)
#define canOpenERROR_REGISTER_ACCESS_FAILURE     (-113)
#define canOpenERROR_UNKNOWN_COMMAND             (-114)
#define canOpenERROR_UNKNOWN_RESPONSE            (-115)
#define canOpenERROR_DEVICE_FAILURE              (-116)
#define canOpenERROR_RESET                       (-117)

#endif /*!CANOPENERRORS_H*/
