#ifndef CANIO_H
#define CANIO_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: canio.h,v 1.19 2005/09/14 10:45:10 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* vltuser5  11/01/02  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#define DEV_PREFIX "/canio" /* mandatory device-name prefix for lcudrv macros */

#include "lcudrv.h"
#include "lculog.h"

#define canioVERSION    "@(#) canio $Revision: 1.19 $"

/*
 * canio driver provided functions
 */
int canioDrv       (int   devices, int channels, int timeout);
int canioDevCreate (char *name, int node, int card, int chan);

/*
 * canio tool functions
 */
void canioShowDevice (char *devName);
void canioShowDriver ();

#endif /*!CANIO_H*/
