/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ccddclACE.h,v 4.11 2005/06/22 10:57:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  07/02/96  Created
* P.Duhoux  10/11/97  Added ccddclACE_CALL_MAXRETRY = 5
*/
/*
 ****************************************************************************
 *
 * This header file belongs to the CCD LCU software. It contains structure
 * descriptions common to all CCD DCL ACE based modules.
 *
 ****************************************************************************
 */
#ifndef CCDDCL_ACE_H
#define CCDDCL_ACE_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef CCDARC_CONTROLLER

#include "lcudrv.h"
#include "arcdrv.h"
#include "arcdrvCommands.h"

/* macro for ACE call overhead correction [us] */ 
#define ccddclACE_CALL_OVERHEAD 1000 

/* max number of retries for ACE commands */
#define ccddclACE_CALL_MAXRETRY 5

#else

#ifdef CCDRDA_INTERNAL_H
#include "aceccdRC.h"
#include "aceccdRT.h"
#endif

#ifdef CCDSHA_INTERNAL_H
#include "aceccdSH.h"
#endif

#ifdef CCDTLA_INTERNAL_H
#include "aceccdTL.h"
#endif

#ifdef CCDTMA_INTERNAL_H
#include "aceccdTM.h"
#endif

#ifdef CCDAUA_INTERNAL_H
#include "aceccdAU.h"
#endif

#include "acesci.h"

/* macro for ACE call overhead correction [us] */ 
#define ccddclACE_CALL_OVERHEAD 1000 

/* max number of retries for ACE commands */
#define ccddclACE_CALL_MAXRETRY 5

#endif

#ifdef __cplusplus
}
#endif

#endif /*!CCDDCL_ACE_H*/

/************************************************************************/

/*___o0o___*/
