/************************************************************************
* E.S.O. - VLT project							
*									
* "@(#) $Id: ccdrdbDefines.h,v 1.4 2005/07/28 13:47:16 vltsccm Exp $"
*
* who            when      what
* ------------   --------  -----------------------------------------------
* P.Duhoux       2003-FEB  Created
*
*/
/************************************************************************
*  ccdrdbDefines.h - Read-Out Control macro definition file for ARC Controller
*************************************************************************
*/

#ifndef CCDRDB_DEFINES_H
#define CCDRDB_DEFINES_H

#define ccdrdbMAXSLEEP   1000
#define ccdrdbRESOLUTION 1000

#define ccdrdbRIGHT_TO_LEFT 0
#define ccdrdbLEFT_TO_RIGHT 1

#define ccdrdbNUM_OUTPUTS   2
#define ccdrdbOUTPUT_LEFT   0
#define ccdrdbOUTPUT_RIGHT  1

#define ccdrdbNUM_BLOCKS    3

#define ccdrdbREAD_WIN_0   0
#define ccdrdbREAD_WIN_1   1
#define ccdrdbREAD_BOTH    2
#define ccdrdbREAD_DUAL    4

#define ccdrdbTEMP_NO_TPWR  0
#define ccdrdbTEMP_TOO_HOT  1
#define ccdrdbTEMP_COOLING  4
#define ccdrdbTEMP_COLD_OK  6

#define ccdrdbTEMP_NO_TPWR_MSG  "Peltier is switched Off"
#define ccdrdbTEMP_TOO_HOT_MSG  "CCD too hot!"
#define ccdrdbTEMP_COOLING_MSG  "CCD is cooling down"
#define ccdrdbTEMP_COLD_OK_MSG  "CCD is cold enough"
#define ccdrdbTEMP_ILLEGAL_MSG  "Illegal Temperature status"

#define ccdrdbCONTROLLER_TIMEOUT 0
#define ccdrdbCONTROLLER_IDLE    0
#define ccdrdbCONTROLLER_DONE    1
#define ccdrdbCONTROLLER_REPLY   2
#define ccdrdbCONTROLLER_ERROR   3
#define ccdrdbCONTROLLER_RESET   4
#define ccdrdbCONTROLLER_READOUT 5
#define ccdrdbCONTROLLER_BUSY    6

#define ccdrdbCONTROLLER_TIMEOUT_MSG "Controller Timeout"
#define ccdrdbCONTROLLER_IDLE_MSG    "Controller Idle"
#define ccdrdbCONTROLLER_DONE_MSG    "Controller OK"
#define ccdrdbCONTROLLER_REPLY_MSG   "Controller OK"
#define ccdrdbCONTROLLER_ERROR_MSG   "Controller Error"
#define ccdrdbCONTROLLER_RESET_MSG   "Controller Reset"
#define ccdrdbCONTROLLER_READOUT_MSG "Readout in Progress"
#define ccdrdbCONTROLLER_BUSY_MSG    "Controller Busy"


#endif  /* ! CCDRDB_DEFINES_H */

/************************************************************************/

/*___o0o___*/
