/************************************************************************
* E.S.O. - VLT project							
*									
* "@(#) $Id: ccdtelDefines.h,v 1.40 2005/06/21 08:03:19 vltsccm Exp $"
*
* who           when      what
* ------------  --------  -----------------------------------------------
* P.Duhoux      15/11/95  First version
* P.Duhoux      04/11/97  added ccdtelINVALID_TELEMETRY_VALUE = -99.9
*
*/
/************************************************************************
*  ccdtelDefines.h - Telemetry Control macro definition file
*************************************************************************
*/

#ifndef CCDTEL_DEFINES_H
#define CCDTEL_DEFINES_H

#define ccdtelMESSAGE_NOTAVAIL "Telemetry monitoring system not available"
#define ccdtelMESSAGE_DISABLED "Telemetry monitoring system disabled"
#define ccdtelMESSAGE_IDLE     "Telemetry monitoring system not active"
#define ccdtelMESSAGE_OK       "All telemetry values OK"

#define ccdtelMESSAGE_FMT1 \
    "TLM%i (%s %s) : %.1f %s - Out of range %.1f to %.1f %s"
#define ccdtelMESSAGE_FMTN \
	"%d telemetry values are out of range - See logs"

    /*
     * preset values
     */
#define ccdtelINVALID_TELEMETRY_VALUE -99.9

#ifdef ccdONLY_FOR_OPS_LOG
    /*
     * max abs difference to previous measure for issuing the FITS ops-log :
     * DET TLMi PARM = <val>
     */
#define ccdtelDELTA10      0.1  /* TCCD : 0.1  V resolution             */
#define ccdtelDELTA100     0.01 /* SCCD : 0.01 V resolution             */
#endif

#endif  /* ! CCDTEL_DEFINES_H */

/************************************************************************/

/*___o0o___*/
