#ifndef IRVME_ERRORS_H
#define IRVME_ERRORS_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: irvmeErrors.h,v 1.7 2005/09/12 08:08:39 vltsccm Exp $" 
*
* irvmeError.h  -  Contains literals for IRACE VME-BUS I/O driver 
*                  error codes
*
* who        when       what
* ---------  ---------- ----------------------------------------------
* jstegmei   14/11/00   created
*/


/*
 *  Set IRACE VME-BUS I/O driver error definitions
 */
#define irvmeERROR_OPEN_CHANNELS      -201

#define irvmeERROR_INT_NOT_VALID      -211
#define irvmeERROR_INT_NO_HANDLER     -212
#define irvmeERROR_SEMAPHORE_IVLD     -213

#define irvmeERROR_ATTACHED           -221
#define irvmeERROR_DETACHED           -222

#define irvmeERROR_CFG_NO_CFG         -231
#define irvmeERROR_CFG_IVLD_DSIZE     -232
#define irvmeERROR_CFG_IVLD_PTR       -233

#define irvmeERROR_DMA_INIT           -241

#define irvmeERROR_ABORTED            -251
#define irvmeERROR_TRANSFER           -252

#endif /* !IRVME_ERRORS_H */

/* __oOo__ */
