#ifndef LQS_PING_H
#define LQS_PING_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lqsPing.h,v 2.23 2005/10/11 16:20:38 vltsccm Exp $" 
*
* lqsPing.h
*
* who        when       what
* ---------- ---------- ----------------------------------------------
* ---v2.1---
* S.Sandrock 06.10.1994 New comment header, revised Prototypes
* ---v2.2--- 31.10.1994 ---RELEASED---
*/

/************************************************************************
* Copyright (c) 1992	European  Southern  Observatory			*
*									*
*									*
*			Very Large Telescope Software			*
*			*****************************			*
*									*
*	Subsystem   :	Local Control Unit				*
*									*
*	Module      :	Q Server					*
*									*
*	Component   :	lqsPing.h					*
*									*
*	Produced by :	SpaceBel Informatique s.a.			*
*									*
*	Author      :	T. Phan Duc					*
*									*
*	Description :	Ping management prototypes		  	*
*									*
*									*
*	Change history :						*
*									*
*	Author	Date	Version		Description of change		*
*									*
*       Phan    Jan94     2.1           First version 			*
*					according to RTAP 6.30 		*
*									*
*************************************************************************/

BOOL lqsWaitPingResponse(char *envPtr);

void lqsDecrementPingCtr(void);

void lqsSetPingCtr(char *envPtr);

void lqsReceivePingResponse(char *envPtr);

STATUS lqsCheckPingCtr(void);

#endif /* !LQS_PING_H */
