#ifndef LQS_VXWORKS_H
#define LQS_VXWORKS_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lqsVxWorks.h,v 2.23 2005/10/11 16:20:39 vltsccm Exp $" 
*
* lqsVxWorks.h
*
* who        when       what
* ---------- ---------- ----------------------------------------------
* ---v2.1---
* S.Sandrock 06.10.1994 New comment header
* ---v2.2--- 31.10.1994 ---RELEASED---
*/

/************************************************************************
* Copyright (c) 1992	European  Southern  Observatory			*
*									*
*									*
*			Very Large Telescope Software			*
*			*****************************			*
*									*
*	Subsystem   :	Local Control Unit				*
*									*
*	Module      :	lqs VxWork include file.			*
*									*
*	Component   :	lqsVxWorks.h					*
*									*
*	Produced by :	SpaceBel Informatique s.a.			*
*									*
*	Author      :	T. Phan Duc					*
*									*
*	Description :	Contain VxWorks include files, prototypes and	*
*			C standard preprocessor include file.		*
*									*
*									*
*	Change history :						*
*									*
*	Author	Date	Version	Description of change		        *
*									*
*	Phan  	Jul92	  0.0	First version		        	*
*       AWA     Nov92     1.3   VxWorks 5.1 compatibility (SBI-LQS-01)  *
*									*
*************************************************************************/

#include "vxWorks.h"
#include "semLib.h"
#include "sysLib.h"
#include "wdLib.h"
#include "rngLib.h"
#include "ioLib.h"
#include "iosLib.h"
#include "taskLib.h"
#include "stdioLib.h"
#include "strLib.h"
#include "vxLib.h"
#include "logLib.h"
#include "tickLib.h"

/* add 1.3 */
#include "string.h"

#endif /* !LQS_VXWORKS_H */
