#ifndef LSF_STANDARD_H
#define LSF_STANDARD_H
/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsfStandard.h,v 1.121 2005/09/14 07:02:58 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-05-04  created
*/

/************************************************************************/

ccsCOMPL_STAT lsfStdExit          ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdGetInit       ( IN  lsfSERVER_DATA *serverData,
		                    OUT vltLOGICAL     *init,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdGetSimulation ( IN  lsfSERVER_DATA *serverData,
		                    OUT vltLOGICAL     *simulation,
                                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdGetVersion    ( OUT char           *version,
                                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdInit          ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdOff           ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdOnline        ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdSelfTest      ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdStandby       ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdStartSim      ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdStop          ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdStopSim       ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

ccsCOMPL_STAT lsfStdTest          ( IN  lsfSERVER_DATA *serverData,
				    IN  const char     *devName,
		                    OUT ccsERROR       *error );

#endif /*!LSF_STANDARD_H */
