#ifndef LSF_STANDARD_INTERFACE_H
#define LSF_STANDARD_INTERFACE_H
/***************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsfStandardInterface.h,v 1.121 2005/09/14 07:02:55 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-02-23  created
* usrName   incDate     automatic creation for module 'lsf'
*/

/************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#include "lsfInterface.h"

/*
 * Prototypes
 */
lsfACI_FUNCTION(lsf,StdInit);
lsfACI_FUNCTION(lsf,StdStandby);
lsfACI_FUNCTION(lsf,StdOnline);
lsfACI_FUNCTION(lsf,StdOff);
lsfACI_FUNCTION(lsf,StdStop);
lsfACI_FUNCTION(lsf,StdExit);
lsfACI_FUNCTION(lsf,StdStartSim);
lsfACI_FUNCTION(lsf,StdStopSim);
lsfACI_FUNCTION(lsf,StdSelfTest);
lsfACI_FUNCTION(lsf,StdTest);
lsfACI_FUNCTION(lsf,StdSelf);

lsfACI_FUNCTION(lsf,StdGetVersion);
lsfACI_FUNCTION(lsf,StdGetState);
lsfACI_FUNCTION(lsf,StdGetStatus);
lsfACI_FUNCTION(lsf,StdGetSimulation);
lsfACI_FUNCTION(lsf,StdGetInit);

#ifdef __cplusplus
}
#endif

#endif /*!LSF_STANDARD_INTERFACE_H*/
