/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: motci.h,v 2.5 2002/04/18 06:56:03 vltsccm Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* P.Duhoux  01/03/95  Created  for Release 1.1
* P.Duhoux  10/05/95  New version 1.2 JUL95  
* P.Duhoux  09/06/95  Modified for CMM Archive
* P.Duhoux  28/08/95  Moved macros to motciDefines.h
*/

#ifndef MOTCI_H
#define MOTCI_H

/*
 * MOT Public include file
 */
#include "motPublic.h"

/*
 * MOTCI include files
 */
#include "motciDefines.h"
#include "motciErrors.h"

/* MOTCI module name */
#define motciMODULE              "motci"
#define motciMODULE_NAME         "Motor Control Module CI"
 
/* literal for motor command interpretor version */
#define motciVERSION             "$Revision: 2.5 $" 
#define motciVERSION_DATE        "APR2002"
 
/*
 * Variables
 */
extern const char *motciStatusNames[];

/*
 * Functions
 */
ccsCOMPL_STAT motciInit( void );
ccsCOMPL_STAT motciVersion( vltBYTES80 version );

#endif 
