#ifndef ntpLCU_H
#define ntpLCU_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ntpLCU.h,v 1.37 2002/03/30 21:48:46 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* ramestic  22/08/97  created
*/

/* VxWorks libraries */
#include <vxWorks.h>
#include <taskLib.h>
#include <ioLib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sysLib.h>
#include <loadLib.h>
#include <unldLib.h>
#include <symLib.h>
#include <sysSymTbl.h>
#include <semLib.h>
#include <remLib.h>

/* ntp public distribution module names */
#define ntpNTPDATE_MOD_NAME	"ntpdate"
#define ntpNTPD_MOD_NAME	"xntpd"
 
/* ntp distribution function names */
#define ntpNTPDATE_NAME		"ntpdate_task"
#define ntpNTPD_NAME		"ntpd_task"

/* task names */
#define ntpNTPDATE_TASK_NAME	"tNtpdate"
#define ntpNTPD_TASK_NAME	"tNtpd"

/* ntpdate task parameters */
#define ntpNTPDATE_PRIO		25
#define ntpNTPDATE_STACK_SIZE	30000
#define ntpNTPDATE_TIMEOUT	10	/* seconds */

/* daemon task parameters */
#define ntpNTPD_PRIO		25
#define ntpNTPD_STACK_SIZE	30000
#define ntpNTPD_WAIT		10	/* seconds */

/* type definition of the ntp distribution functions called from the
   ntpStart function */
typedef void (ntpNTPDATE) (const char *timeserver, int *serverStatus);
typedef ntpNTPDATE *ntpNTPDATE_P;

typedef void (ntpNTPD)    ();
typedef ntpNTPD *ntpNTPD_P;

#endif /*!ntpLCU_H*/
