/************************************************************************
*
* E.S.O. - VLT project
*
* "@(#) $Id: rtdscope.h,v 1.0 2005/06/17 09:07:00 vltsccm Exp $"
*
* who       when      what
* --------  --------  ---------------------------------------------------
* ahuxley   01/07/04  cloned from arisms
* -----------------------------------------------------------------------
************************************************************************/

#ifndef RTDSCOPE_H
#define RTDSCOPE_H

/* 
 *  System includes
 */

/*
 *  VLTSW includes
 */

#include "tac.h"			/* for tacDATA type */

/*
 *  Application includes 
 */

#include "rtdscopeDeviceList.h"
#include "rtdscopeDefines.h"
#include "rtdscopeErrors.h"

#define rtdscopeVERSION      "$Revision: 1.0 $"
#define rtdscopeVERSION_DATE "OCT2001"

extern void          rtdscopeVersion(vltBYTES80 version);
extern void          rtdscopeProbeCallback(tacDATA *pData, void *usrParam);
extern ccsCOMPL_STAT rtdscopeProbeConstructor(vltLOGICAL frame_locking_already_done, ccsERROR *error);
extern ccsCOMPL_STAT rtdscopeProbeDestructor(vltLOGICAL frame_unlocking_done_later, ccsERROR *error);
extern ccsCOMPL_STAT rtdscopeProbeUpdateFrameSize(ccsERROR* error);
extern void *(*rtdscopeGetFuncAddr(char *funcName))();
extern ccsCOMPL_STAT rtdscopeServerInstallDataCallback(vltUINT32 callbackType, char *name, void (*theCallback)(), void *usrParam, ccsERROR *error);
extern ccsCOMPL_STAT rtdscopeServerRemoveDataCallback(vltUINT32 callbackType, char *name, ccsERROR *error);
extern ccsCOMPL_STAT rtdscopePassSamples(int sampleCount, double *samples, ccsERROR *error);

#endif 	/* !RTDSCOPE_H */
