#ifndef TAC_STANDARD_H
#define TAC_STANDARD_H
/************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: tacStandard.h,v 1.121 2005/09/14 07:02:59 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-02-24  created
* vltlite   2005-10-27  automatic creation for module 'tac'
*/

/************************************************************************/

ccsCOMPL_STAT tacStdExit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdGetInit       ( OUT vltLOGICAL  *init,
		                    OUT ccsERROR    *error );

ccsCOMPL_STAT tacStdGetSimulation ( OUT vltLOGICAL  *simulation,
                                    OUT ccsERROR    *error );

ccsCOMPL_STAT tacStdGetVersion    ( OUT char      *version,
                                    OUT ccsERROR  *error );

ccsCOMPL_STAT tacStdInit          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdOff           ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdOnline        ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdSelfTest      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdStandby       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdStartSim      ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdStop          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdStopSim       ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

ccsCOMPL_STAT tacStdTest          ( IN  const char *moduleId,
		                    OUT ccsERROR   *error );

#endif /*!TAC_STANDARD_H */
