#ifndef LSFTPL_SIGNAL_H
#define LSFTPL_SIGNAL_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsftplSignal.h,v 1.15 2003/09/10 12:41:48 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rkarban  14/09/99  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
#include "lsfSignal.h"

ccsCOMPL_STAT lsftplSignalReadAnalog  ( IN  const char *signalName, 
				       OUT char       *names[], 
				       OUT vltFLOAT   *value, 
				       OUT ccsERROR   *error );
ccsCOMPL_STAT lsftplSignalWriteAnalog ( IN  const char *signalName, 
				       IN  vltFLOAT   *value, 
				       OUT ccsERROR   *error );

ccsCOMPL_STAT lsftplSignalReadDigital ( IN  const char *signalName, 
				       OUT char       *names[], 
				       OUT vltUINT32  *value, 
				       OUT ccsERROR   *error );
ccsCOMPL_STAT lsftplSignalWriteDigital( IN  const char *signalName, 
				       IN  vltUINT32  *value, 
				       OUT ccsERROR   *error );

#endif /*!LSFTPL_SIGNAL_H*/
