#ifndef LSFTPL_STANDARD_INTERFACE_H
#define LSFTPL_STANDARD_INTERFACE_H
/***************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: lsftplStandardInterface.h,v 1.15 2003/09/10 12:41:51 vltsccm Exp $"
*
* who       when        what
* --------  ----------  ----------------------------------------------
* pduhoux   2000-02-23  created
* pduhoux   2001-07-18  automatic creation for module 'lsftpl'
*/

/************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#include "lsfInterface.h"

/*
 * Prototypes
 */
lsfACI_FUNCTION(lsftpl,StdInit);
lsfACI_FUNCTION(lsftpl,StdStandby);
lsfACI_FUNCTION(lsftpl,StdOnline);
lsfACI_FUNCTION(lsftpl,StdOff);
lsfACI_FUNCTION(lsftpl,StdStop);
lsfACI_FUNCTION(lsftpl,StdExit);
lsfACI_FUNCTION(lsftpl,StdStartSim);
lsfACI_FUNCTION(lsftpl,StdStopSim);
lsfACI_FUNCTION(lsftpl,StdSelfTest);
lsfACI_FUNCTION(lsftpl,StdTest);
lsfACI_FUNCTION(lsftpl,StdSelf);

lsfACI_FUNCTION(lsftpl,StdGetVersion);
lsfACI_FUNCTION(lsftpl,StdGetState);
lsfACI_FUNCTION(lsftpl,StdGetStatus);
lsfACI_FUNCTION(lsftpl,StdGetSimulation);
lsfACI_FUNCTION(lsftpl,StdGetInit);

#ifdef __cplusplus
}
#endif

#endif /*!LSFTPL_STANDARD_INTERFACE_H*/
