#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: lsftplgui.pan,v 1.15 2003/09/10 12:42:00 vltsccm Exp $" 
#
# lsftplgui.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.2
#   date   : Wed Jul 12 07:18:13 METDST 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp ckHeartBeat
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   liblsfGuiPublic  
set panClassLib liblsfGuiPublic

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .lsftplgui 
   set panUsrProcs lsftplguiGlobalData
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

# User's Global Data 
# It contains definitions of constant data

proc lsftplguiGlobalData {} {

 # Declare any variable as global

    global gvar env

 # Variable Initialization

    set gvar(lcuEnv)  $env(lcuTat)
    set gvar(modName) lsftpl
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckHeartBeat   1 ;# Enable Heart-beat
set ckShHelp      1 ;# Set Short Help
set ckActBut      0 ;# Set Action Button Area
set ckMenuBar     1 ;# Setup Menu Bar
set ckCCS         1 ;# Initialize CCS
set ckCmdReply    1 ;# Display Cmd. Reply
set cwp           "" ;# Set Current Working Point
set actAreaHeight 5; # Set height of action area 

panReadOption winter
panCreateFrame lsftplgui ;# Create empty frame
panGetCvNames  lsftplgui cv bcv ;# Get Canvas Names
panInit        $argc $argv lsftplgui ;# Initialization
panInitEnvNames 



lsfState_uifClass  $cv.lsftplStatus -canvasAnchor nw -cwp <alias>lsftpl  \
                  -envName $gvar(lcuEnv) -library liblsfGuiPublic -relief groove 

#
#  Canvas Items
#


#
# Set Widget Configuration
#
set panWidget(lsftplStatus)  {UifClass 12 8 1 0 0 nw 0 {} 0}

#
# Set Database Configuration
#

#
# Set Short Help for each widget
#

#
#-----------------------------------------------
#           Menu Bar Definition  
#-----------------------------------------------
# 

set menu(0) {File 1 file}
set menu(1) {{Std. Options} 0 stdoptions}
set menu(2) {Help 1 help}


# Add MenuButton < File > 

set mb [addMenuButton $menuBar file " File " -1 left]

# Menu  

addMenuCmd $mb "Quit" 0 {panClosePanel}

# Add MenuButton < Std. Options > 

set mb [addMenuButton $menuBar stdoptions " Std. Options " -1 left]

# Menu  

addMenuCmd $mb "Refresh Database values" 0 {global cv; panUpdateOutput $cv}
addMenuCmd $mb "Re-Start DataBase Events" 0 {global cv ; panEvtDbOperation $cv RESTART all }

# Add MenuButton < Help > 

set mb [addMenuButton $menuBar help " Help " -1 right]

# Menu  

addMenuCmd $mb "Extended Help" 0 {puts "Not Implemented"}

#
#-----------------------------------------------
#           Menu Help Definition  
#-----------------------------------------------
# 


#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 405x278
wm title     $panRoot "lsftpl"
set par(TITLE) "lsftpl" 

panMainStart  lsftplgui $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################
