!
! "@(#) $Id: CCDdefects.prg,v 2.83 2005/09/30 08:26:42 vltsccm Exp $"
!
! CCDdefects.prg
!
! Program to find CCD - defects on a given image *.bdf
!+ 
! resulting in kind of defects and their location
!+
! S. Deiries 19.4.1996 /27.3.96 Version 1 
!+
! Parameter:
!+
! xstart = number of first pixel
! ystart = number of first line
! detector = Manufacturer and Serial number of CCD
! exposure = exposure information of frame
! xstep = binning in x
! ystep = binning in y
! xprescan = number of prescan pixels
! xspix = number of sensitive pixels
! ysline = number of sensitive lines
! extype = abbreviation of exposure type
! ccd_type = CCD detector type name
! image = file-name of used image
!+
! Program:
!
define/par p1 ? ima "Enter name of input first image frame:  "
define/par p2 ? ima "Enter name of input second image frame:  "
define/par p3 ? ima "Enter name of input third image frame:  "
define/par p4 ? c "Enter offset letter of table-set:  "
define/local letter/c/1/1 "{p4}"
!
@@ cosmetic {p1} {p2} {p3} 
!
@@ analyse {q1} {q2} {letter}
!
return 
!
! end




