!
! "@(#) $Id: sample.prg,v 2.83 2005/09/30 08:26:50 vltsccm Exp $"
!
! sample.prg
! Program to calculate Mean and RMS Value of a given window
! of a CCD frame
! given as image:       *.bdf
!+ 
! resulting in the values   Mean   and   RMS
!+
! S. Deiries 17.3.1993 Version 2
!+
! Parameter:
!+
! P1 = image frame
! P2 = first pixel
! P3 = first line
! P4 = last pixel
! P5 = last line
!+
! Program:
!+
!
define/par p1 ? ima "Enter name of input frame:  "
define/par p2 ? num "Enter number of first pixel:  "
define/par p3 ? num "Enter number of first line:  "
define/par p4 ? num "Enter number of last pixel:  "
define/par p5 ? num "Enter number of last line:  "
!
stat/ima {p1} [{p2},{p3}:{p4},{p5}] option=rn
!
define/local mean/r/1/1 {outputr(3)}
define/local rms/r/1/1  {outputr(4)}
!
return {mean} {rms}
!
! end
